# Kartos Therapeutics

-   Client: Kartos Therapeutics
-   Project Code: KAR1
-   URLs:
    -   Dev: <https://kartos.dev>
    -   Staging: <https://kartos.cognitionstudio.com>
    -   Production: <https://kartosthera.com>

* * *

## Installation

### Requirements

The following packages are required to be installed before proceeding.

-   NodeJS (`brew install node`)
-   Composer (`brew install composer`)
-   ESLint (`brew install eslint`)
-   jq (`brew install jq`)
-   webp (`brew install webp`)

### Pre-installation

The Craft CMS wizard (_see: `init`, step 3, sub-step 3_) will prompt you for the following, please ensure that you have these items prepared:

-   Database info
    -   Type
    -   Server (`localhost`)
    -   User
    -   Password
    -   Name (`This needs to be created via phpMyAdmin/Sequel Pro before install`)
    -   Table Prefix (`kar1_`)
-   Craft CMS info
    -   Username (`cognition_[lowercase first name]`)
    -   Email (`Cognition email address`)
    -   Password
    -   Site name (`Kartos Therapeutics`)
    -   Site URL (`kartos.dev`)
    -   Language (`en-US`)

### `init`

1.  Using a Terminal, navigate to the project root.
2.  Type `npm run init`.
3.  The `init` script will do the following:
    1.  Install `npm` packages.
    2.  Install Craft CMS via `composer`.
    3.  Run the Craft CMS install wizard.
    4.  Install Craft CMS plugins.
    5.  Add project variables to environment file.
    6.  Set file and folder permissions.

* * *

## Directory Structure

-   `dist/`: Build directory.
-   `src/`: Source directory.
-   `.csscomb.json`: Linters for SCSS files.
-   `.eslintrc`: Linter for JavaScript files.
-   `.gitignore`: Git ignore file.
-   `init`: Set up file; will self-destruct after single use!
-   `package.json`: NPM package directory manager.
-   `README.md`: This exact file! So meta!
-   `webpack.mix.js`: Webpack-based task runner.

### Source Directory

-   `assets/`
    -   `images/`
    -   `video/`
    -   `audio/`
-   `config`
    -   `certs/`
    -   `runner/`
    -   `config.modernizr.json`
    -   `cssNanoOptions.js`
-   `scripts`
    -   `controller.js`
-   `styles`
    -   `TODO`
-   `templates`
    -   `TODO`

### Build Directory

-   `config/`
    -   `redactor/`: Config files for Redactor (<https://imperavi.com/redactor/docs/>)
    -   `app.php`: Settings for custom modules.
    -   `db.php`: Database settings.
    -   `general.php`: General settings (<https://docs.craftcms.com/v3/config/config-settings.html>).
    -   `routes.php`: Routes (<https://docs.craftcms.com/v3/routing.html>).
-   `modules/`
-   `public_html/`
    -   `assets/`: Compiled files from `src/`, including CSS, JavaScript, and media assets (images, video, and audio).
    -   `cpresources/`: Resources and assets created by Craft CMS.
    -   `.htaccess` Apache access file.
    -   `index.php`: Main application.
-   `storage/`
    -   `config-backups/`: Project backups.
    -   `logs/`: Service and error logs.
    -   `runtime/`: Contains `cache`.
-   `templates/`: Templates for the website (from `src/templates`)
-   `vendor/`: Composer vendor directories.
-   `.env`: Environment file.
-   `.gitingore`: Git ignore file.
-   `composer.json`: Composer package directory manager.
-   `composer.lock`: Composer lock file.
-   `craft`: Craft CLI.

* * *

## Helper Scripts

### Node

-   `build-modernizr`: converts images to the `.webp` format.
-   `convert-images`: converts images to the `.webp` format.
-   `deploy`: converts images to the `.webp` format.
    -   `staging`:
    -   `prod`:


-   `dev`: compiles source code on a development level.
-   `watch`: runs `dev` with the option for browser syncing.
-   `prod`: compiles source code on a production level.
-   `hot`: enables hot module replacement.

### Craft CMS CLI

-   `dist/craft backup/db`:
-   `dist/craft clear-caches/all`:
-   `dist/craft update/update`:

## Task Runner Scripts

There are several helper scripts available for you to use, all of which are run via `npm run [name of script]`.

For a script with a parameter, simply add two hyphens after the call followed by your desired parameter. For example: `npm run scriptName -- option`.

-   `init`: installs and sets up the project.
-   `dev`: compiles source code on a development level.
-   `watch`: runs `dev` with the option for browser syncing.
-   `prod`: compiles source code on a production level.
-   `hot`: enables hot module replacement.
-   `convert-images`: converts images to the `.webp` format.
