video_text = new THREE.ImageUtils.loadTexture('_media/images/audio/video/video-text.png');
video_text.minFilter = THREE.LinearFilter;
interaction_text = new THREE.ImageUtils.loadTexture('_media/images/audio/interaction/microsoft-building-87-audio-interaction-text.png');
interaction_text.minFilter = THREE.LinearFilter;
sound_hotspot = new THREE.ImageUtils.loadTexture('_media/images/icons/sound-hotspot.png');
sound_hotspot.minFilter = THREE.LinearFilter;
sound_hotspot_hover = new THREE.ImageUtils.loadTexture('_media/images/icons/sound-hotspot-hover.png');
sound_hotspot_hover.minFilter = THREE.LinearFilter;
get_started_cta = new THREE.ImageUtils.loadTexture('_media/images/icons/get-started.png');
get_started_cta.minFilter = THREE.LinearFilter;

function open_interaction(query){
	if( typeof query != 'undefined'){
		tetherAudio.rotator_desktop.trigger( 'to.owl.carousel',[ query, 50, true ] );
	}
	jQuery('.canvas-module-interaction').css({
		'z-index': 2,
	}).animate({
		opacity: 1
	}, 500)
}


wall_textures = {};
wall_textures[0] 	= THREE.ImageUtils.loadTexture('_media/images/audio/about/microsoft-building-87-audio-about.jpg');
wall_textures[1] 	= THREE.ImageUtils.loadTexture('_media/images/audio/facts/microsoft-building-87-audio-facts.jpg');
//wall_textures[2] 	= THREE.ImageUtils.loadTexture('_media/images/audio/interaction/microsoft-building-87-audio-interaction.jpg');
//wall_textures[3] 	= THREE.ImageUtils.loadTexture('_media/images/audio/video/microsoft-building-87-audio-video.jpg');

wall_textures[0].minFilter = THREE.LinearFilter;
wall_textures[1].minFilter = THREE.LinearFilter;
//wall_textures[2].minFilter = THREE.LinearFilter;

// create the video element
video = document.createElement( 'video' );
if( Modernizr.video.h264 != '' ){
	video.type = ' video/mp4; codecs="avc1.4D401E, mp4a.40.2" ';
	video.src = "_media/video/audio-labs-attract-loop.mp4";
}else if( Modernizr.video.webm != '' ){
	video.type = ' video/webm; codecs="vp8, vorbis" ';
	video.src = "_media/video/audio-labs-attract-loop.webm";
}
// else{
// 	video.type = ' video/ogg; codecs="theora, vorbis" ';
// 	video.src = "_media/video/audio-labs-attract-loop.ogv";
// }

audio_interaction = true;

interaction_video = document.createElement( 'video' );
if( Modernizr.video.h264 != '' ){
	interaction_video.type = ' video/mp4; codecs="avc1.4D401E, mp4a.40.2" ';
	interaction_video.src = "_media/video/audio-interaction.mp4";
}else if( Modernizr.video.webm != '' ){
	interaction_video.type = ' video/webm; codecs="vp8, vorbis" ';
	interaction_video.src = "_media/video/audio-interaction.webm";
}
// else{
// 	interaction_video.type = ' video/ogg; codecs="theora, vorbis" ';
// 	interaction_video.src = "_media/video/audio-interaction.ogv";
// }

interaction_video.loop = true;
interaction_video.load(); // must call after setting/changing source
interaction_video.play();
interaction_videoImage = document.createElement( 'canvas' );
interaction_videoImage.width = 1206;
interaction_videoImage.height = 754;

interaction_videoImageContext = interaction_videoImage.getContext( '2d' );
interaction_videoImageContext.fillStyle = '#000000';// background color if no video present
interaction_videoImageContext.fillRect( 0, 0, interaction_videoImage.width, interaction_videoImage.height );

wall_textures[2] = new THREE.Texture( interaction_videoImage );
wall_textures[2].minFilter = THREE.LinearFilter;
wall_textures[2].magFilter = THREE.LinearFilter;


hashtag_array = {
	'facts': 1,
	'louder-than-loud': 2,
	'video': 3
}

buttons = {
	'video-text': {
		width: 761,
		height: 91,
		map: video_text,
		transparent: true,
		position: {
			_x: 799,
			_y: -87,
			_z: 0,
		},
		rotation: -.5 * Math.PI,
	},
	'interaction_text': {
		width: 530,
		height: 181,
		map: interaction_text,
		transparent: true,
		position: {
			_x: 0,
			_y: 232,
			_z: 799,
		},
		rotation: Math.PI,
	},
	'hotspot_1': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: 702,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 0,
	},
	'hotspot_2': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: 685,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 1,
	},
	'hotspot_3': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: 498,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 2,
	},
	'hotspot_4': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: 451,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 3,
	},
	'hotspot_5': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: 213,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 4,
	},
	'hotspot_6': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: 4,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 5,
	},
	'hotspot_7': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: -100,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 6,
	},
	'hotspot_8': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: -311,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 7,
	},
	'hotspot_9': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: -353,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 8,
	},
	'hotspot_10': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: -381,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 9,
	},
	'hotspot_11': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: -518,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 10,
	},
	'hotspot_12': {
		width: 34,
		height: 34,
		map: sound_hotspot,
		hover: sound_hotspot_hover,
		transparent: true,
		position: {
			_x: -700,
			_y: -307,
			_z: 799,
		},
		rotation: Math.PI,
		wall: 2,
		behavior: open_interaction,
		query: 11,
	},
}