if (tether === null || typeof(tether) !== "object") { var tether = new Object(); }

tether.audio = (function() {
	var _instance;

	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/

			initialize: function(options) {
				var self = this;
				// attach event handlers

				jQuery(document).ready(function() {

					/** NKS: Set external script caching to true. */
					jQuery.ajaxSetup({ cache: true });

					self.set_vars();
					self.event_handlers();
					self.factsheet_gallery();
					self.sound_galleries();
				});
			},

			set_vars: function(){
				var self = this;

			},
			event_handlers: function() {
				var self = this;
				self.rotator_navigation_click();
			},
			factsheet_gallery: function(){
				$rotator = jQuery('.cube-module-factsheet .mobile-rotator')
				$rotator.owlCarousel({
					items: 1,
					loop: true,
					dots: true,
				});
			},
			sound_galleries: function(){
				var self = this;

				$rotator_bg = jQuery('.cube-module-sound .mobile-backgrounds');
				$rotator = jQuery('.cube-module-sound .mobile-captions');
				self.rotator_desktop = jQuery('.cube-module-sound .sound-gallery');

				$rotator.one('changed.owl.carousel', function() {
					jQuery('.rotator-nav-arrows').delay(500).fadeIn({
						duration: 700,
						easing: 'easeInSine'
					})
				});

				/** --- Set the Prev/Next navigation -------------------- */
				jQuery('.rotator-nav-arrows div').on('click', function() {
					var $elem = jQuery(this), dir = $elem.data('dir');
					self.rotator_desktop.trigger(dir + '.owl.carousel');
				});



				$rotator_bg.owlCarousel({
					items: 1,
					animateIn: 'fadeIn',
					animateOut: 'fadeOut',
					loop: false,
					dots: false,
					nav: false,

				});

				$rotator.owlCarousel({
					items: 1,
					loop: true,
					dots: true,
				})
				.on('translated.owl.carousel', function (e) {
		        	$rotator_bg.trigger('to.owl.carousel', [e.item.index -2, 300, true]);
		      	});

		      	self.rotator_desktop.owlCarousel({
					items: 1,
					loop: false,
					dots: false,
		      	})
				.on('translate.owl.carousel', function (e) {
		        	slide = e.item.index;
					$('.rotator-navigation li a').removeClass('active');
		        	$('.rotator-navigation li').eq(slide).find('a').addClass('active');
		      	});
			},

			rotator_navigation_click: function(){
				var self = this;




				jQuery('.cube-module-sound .rotator-navigation a').on('click', function(e){
					e.preventDefault();
					slide_target = jQuery(this).closest('li').index();
					self.rotator_desktop.trigger( 'to.owl.carousel',[ slide_target, 700, true ] )
				})
			}

		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
tetherAudio = tether.audio.getInstance();
// Run initialize method
tetherAudio.initialize();

