	var scene = new THREE.Scene();
	var camera = new THREE.PerspectiveCamera( 70, window.innerWidth/window.innerHeight, 1, 1000 );

	var renderer = new THREE.WebGLRenderer();
	renderer.setSize( window.innerWidth, window.innerHeight );
	jQuery('.site-wrapper').append( renderer.domElement );

	    var geometry = new THREE.BoxGeometry(12, 8, 12);
	    geometry.applyMatrix(new THREE.Matrix4().makeScale(-1, 1, 1));

	home = {};
	home.about = {};
	home.audio = {};
	home.edison = {};
	home.hfg = {};
	home.about.texture = THREE.ImageUtils.loadTexture('_media/images/home/microsoft-building-87-home-about-text.jpg');
	home.audio.texture = THREE.ImageUtils.loadTexture('_media/images/home/microsoft-building-87-home-audio-text.jpg');
	home.edison.texture = THREE.ImageUtils.loadTexture('_media/images/home/microsoft-building-87-home-edison-text.jpg');
	home.hfg.texture = THREE.ImageUtils.loadTexture('_media/images/home/microsoft-building-87-home-hfg-text.jpg');
	
	floor = THREE.ImageUtils.loadTexture('_media/images/backgrounds/PanelSize_1x1.jpg'); 
	ceiling = THREE.ImageUtils.loadTexture('_media/images/backgrounds/ceiling.jpg'); 
	var material = [
	    new THREE.MeshBasicMaterial( {map: home.hfg.texture} ), //left of front
	    new THREE.MeshBasicMaterial( {map: home.audio.texture} ), //right of front
	    new THREE.MeshBasicMaterial( {map: floor} ), //ceiling
	    new THREE.MeshBasicMaterial( {map: floor} ), //floor
		new THREE.MeshBasicMaterial( {map: home.about.texture } ), // front
	    new THREE.MeshBasicMaterial( {map: home.edison.texture} ) //rear
	    ];
    mesh = new THREE.Mesh( geometry, new THREE.MeshFaceMaterial(material) );

    scene.add( mesh );

	var material = new THREE.MeshBasicMaterial({color: 0xdadcad});

	var radius = .2;
	var segments = 32;

	var objects = [];
	var isUserInteracting = false;

	var particleMaterial = new THREE.MeshBasicMaterial({color: 0x000000});

	var circleGeometry = new THREE.CircleGeometry( radius, segments );				
	var circle = new THREE.Mesh( circleGeometry, material );
	circle.position.set( 0, 0, -2 );
	scene.add( circle );




	objects.push( circle );

	// var material = new THREE.MeshBasicMaterial( { color: 0x00ff00 } );
	// var wall_1 = new THREE.Mesh( new THREE.PlaneGeometry( 4, 2, 32 ), material );
	// scene.add( wall_1 );
	// var material = new THREE.MeshBasicMaterial( { color: 0xffffff } );
	// var wall_2 = new THREE.Mesh( new THREE.PlaneGeometry( 4, 2 ), material );
	// wall_2.position.set( -3, 0, 1.7 );
	// wall_2.rotation.y = 1;
	// scene.add( wall_2 );

	// var material = new THREE.MeshBasicMaterial( { color: 0xe81a20 } );
	// var wall_3 = new THREE.Mesh( new THREE.PlaneGeometry( 4, 2 ), material );
	// wall_3.position.set( 2, 0, 1 );
	// wall_3.rotation.y = -1;
	// scene.add( wall_3 );


	// var material = new THREE.MeshBasicMaterial( { color: 0x00ff00 } );
	// var wall_4 = new THREE.Mesh( new THREE.PlaneGeometry( 4, 2 ), material );

	// wall_4.position.set( 0, 0, 4 );
	// scene.add( wall_4 );

	// var group = new THREE.Object3D();
	// group.add(wall_1);
	// group.add(wall_2);
	// group.add(wall_3);
	// group.add(wall_4);
	// scene.add( group );

	//var money = new THREE.Mesh( object, material );
	//object.position.set( -400, 0, 0 );
	

	// camera.position.x = 3;
	// camera.position.y = 3;
	// camera.position.z = 3;
	//renderer.render(scene, camera);


	raycaster = new THREE.Raycaster();
	mouse = new THREE.Vector2();

	document.addEventListener( 'mousedown', onDocumentMouseDown, false );
	document.addEventListener( 'touchstart', onDocumentTouchStart, false );
  	document.addEventListener( 'mousemove', onDocumentMouseMove, false );

	function onDocumentMouseMove( event ) {

	    //lon += ( onPointerDownPointerX - event.clientX ) * 0.1 + onPointerDownLon;
	    //lat = ( event.clientY - onPointerDownPointerY ) * 0.1 + onPointerDownLat;
	    camera_delta_x =  Math.min( .005, ( (event.clientY - window.innerHeight/2) * -.0001) );
	    camera_delta_y =  Math.min( .01, ( (event.clientX - window.innerWidth/2) * -.0001) );

	  

	}


	function onDocumentTouchStart( event ) {
		
		event.preventDefault();
		
		event.clientX = event.touches[0].clientX;
		event.clientY = event.touches[0].clientY;
		onDocumentMouseDown( event );

	}	

	function onDocumentMouseDown( event ) {

		event.preventDefault();

		mouse.x = ( event.clientX / renderer.domElement.width ) * 2 - 1;
		mouse.y = - ( event.clientY / renderer.domElement.height ) * 2 + 1;

		raycaster.setFromCamera( mouse, camera );

		var intersects = raycaster.intersectObjects( objects );

		if ( intersects.length > 0 ) {

			if( isUserInteracting == intersects[ 0 ].object.id ){
				isUserInteracting = false;
			}else{
				isUserInteracting = intersects[ 0 ].object.id;
			}
			intersects[ 0 ].object.material.color.setHex( Math.random() * 0xffffff );

			var particle = new THREE.Sprite( particleMaterial );
			particle.position.copy( intersects[ 0 ].point );
			particle.scale.x = particle.scale.y = .01;
			scene.add( particle );

			//camera.position.z = -.5;

		}

		/*
		// Parse all the faces
		for ( var i in intersects ) {

			intersects[ i ].face.material[ 0 ].color.setHex( Math.random() * 0xffffff | 0x80000000 );

		}
		*/
	}
	var render = function () {
		requestAnimationFrame( render );

		//cube.rotation.x += 0.1;
		//cube.rotation.y += 0.01;
		//camera.rotation.y += .01;
		//camera.rotation.y += .01;
		//group.rotation.y += .01;
		if ( isUserInteracting ===false ) {

			//camera.rotation.x += camera_delta_x;
			//camera.rotation.x = Math.max( -.2, Math.min( camera.rotation.x, .2) );
			camera.rotation.y += camera_delta_y;
		}
		
		texture = THREE.ImageUtils.loadTexture('_media/images/backgrounds/28_MG_3357.jpg', {}, function(){
			renderer.render(scene,camera);	
		})
	};

	$(window).load(function() {
		render();
	});