if (tether === null || typeof(tether) !== "object") { var tether = new Object(); }

tether.hfg = (function() {
	var _instance;

	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/

			initialize: function(options) {
				var self = this;
				// attach event handlers

				jQuery(document).ready(function() {
					self.set_vars();
					self.event_handlers();
					self.head_gallery();
					self.setup_hotspots();
				});
			},


			set_vars: function(){
				var self = this;
			},


			event_handlers: function() {
				var self = this;
				self.hotspot_click();
			},


			head_gallery: function(){
				$rotator = jQuery('.cube-module-head .mobile-rotator')
				$rotator.owlCarousel({
					items: 1,
					loop: true,
					dots: true,
				});
			},


			setup_hotspots: function(){
				vectors = Snap.selectAll('.canvas-module-head .hotspot .path')
				vectors.forEach( function(el){
					path_length = el.getTotalLength();
					el.attr({
						'stroke-dasharray': path_length,
						'stroke-dashoffset': -path_length,
					})
				} );
				jQuery('.canvas-module-head .hotspot .caption, .canvas-module-head .hotspot .caption-2').hide();
			},


			hotspot_click: function(){
				var self = this;
				jQuery(document).on('click', '.canvas-module-head .hotspot .icon', function(){

					hotspot = jQuery(this).closest('.hotspot');
					hotspot_id = hotspot.attr('id');
					vectors = Snap.selectAll( '#' + hotspot_id + ' .path');

					if( hotspot.hasClass('active') ){

						self.close_hotspots();
					}else{
						self.close_hotspots();

						setTimeout( function(){
							hotspot.addClass('active');
							vectors.forEach( function(el){
								el.animate({
									'stroke-dashoffset': 0,
								}, 300)
							});
							hotspot.find('.caption').stop().delay(300).fadeIn(500);
							hotspot.find('.caption-2').stop().delay(300).fadeIn(500);
						}, 600)
					}
				})
			},



			close_hotspots: function(){
				if( jQuery('.hotspot.active').length > 0 ){
					other_hotspot = jQuery('.hotspot.active');
					other_hotspot_id = other_hotspot.attr('id');
					other_vectors = Snap.selectAll( '#' + other_hotspot_id + ' .path');


					other_hotspot.find('.caption-2').stop().fadeOut(300);
					other_hotspot.find('.caption').stop().fadeOut(300, function(){
						other_hotspot.removeClass('active');
						other_vectors.forEach( function(el){
							path_length = el.getTotalLength();
							el.animate({
								'stroke-dashoffset': -path_length,
							}, 300)
						} );
					});

				}
			},

		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
tetherHfg = tether.hfg.getInstance();
// Run initialize method
tetherHfg.initialize();



///Nicks Javascript//
jQuery(document).ready(function() {

	var $vs = jQuery('.video-scrubber'),
			$frame = jQuery('#c1'),
			context = $frame[0].getContext('2d'),
			totalFrames = 359,
			imageHeight = 1044,
			imageWidth = 1472,
			frames = [],
			rangeProx = 20;
			$slider = $vs.find('.slider'),
			$dots = $vs.find('.dot'),
			dotFrameVals = $dots.data('slider-frame'),
			methods = {};




	/**
	 *  preloadFrames
	 *  Creates the array of preloaded frames
	 *
	 *  @return: {Array} Preloaded images in an array
	 *
	 */

	methods.preloadFrames = function() {
		var arr = [];
		for (var i = 1; i <= totalFrames; i++) {
			var filename, img;
			filename = 'frame_' + i + '.jpg';
			img = new Image;
			img.src = '_media/images/hfg/interaction/jon/'+ filename;
			arr.push(img);
		}
		return arr;
	}


	/**
	 *  calculateStep
	 *  Sets up the positions and functions for dots.
	 *
	 */

	methods.calculateStep = function(frame) {
		return (frame - 1) / (totalFrames - 2) * 100 + '%'
	};


	/**
	 *  dotsInit
	 *  Sets up the positions and functions for dots.
	 *
	 */

	methods.dotsInit = function() {
		$dots.each(function(i, elem) {
			var $dot = jQuery(this),
			frame = $dot.data('slider-frame'),
			step = methods.calculateStep(frame);
			$dot.css('left', step);
			$dot.on('click', function() {
				$('.stage').fadeOut(200);
				target = frame;
				current = $slider.slider('value');
				methods.renderLoop();
			});
		});
	}


	/**
	 *  renderFrame
	 *  Draws the video frame to the <canvas>.
	 *
	 *  @param: {Number} The frame to call in the image array.
	 *
	 */

	methods.renderFrame = function(frame) {
		$slider.slider('value', frame);
		context.clearRect(0,0,imageWidth,imageHeight);
		context.drawImage(frames[frame], 0, 0, imageWidth, imageHeight);
	};

	/**
	 *  NP
	 *
	 */
	
	methods.getLoopFrame = function() {
		current = $slider.slider('value');
		if( Math.abs(target - current) < 3 ){
			current = target;
		}else if (target > current) {
			current+=3;
		} else {
			current-=3;
		}
		$slider.slider('value', current);
	};
	methods.renderLoop = function() {

		if (target != current) {
			methods.getLoopFrame();

			window.requestAnimationFrame(methods.renderLoop);

			context.clearRect(0,0,imageWidth,imageHeight);
			context.drawImage(frames[current], 0, 0, imageWidth, imageHeight);
		}else{
			methods.checkForDotHit();
		}
	};

	/**
	 *  snap
	 *  Detects proximity to nearest dot and snaps into place.
	 *
	 */

	methods.snap = function(callback) {
		var currentPosition = $slider.slider('value').toString();
		$dots.each(function() {
			var $dot = jQuery(this),
			frame = jQuery(this).data('slider-frame');
			min = frame - rangeProx,
			max = frame + rangeProx;
			if (currentPosition > min && currentPosition < max) {
				jQuery('.ui-slider-handle').animate({
					'left': $dot.css('left')
				}, 600, 'easeInOutCirc', function() {
					methods.renderFrame(frame);
					callback();
				});
			}
		});
	}


	/**
	 *  animateFrame
	 *  Animates the canvas.
	 *
	 *  @param: {Number} The frame you to which you'd like to animate.
	 *
	 */

	methods.animateFrame = function(target, speed) {
		var animateCanvas = setInterval(function() {
			var current = $slider.slider('value');
			if (target > current) {
				current++;
			} else {
				current--;
			}
			$slider.slider('value', current);
			if (current === target) {
				clearInterval(animateCanvas);
				methods.checkForDotHit();
			}
			methods.renderFrame(current);
		}, speed);
	};


	/**
	 *  checkForDotHit
	 *  Checks if the current slider position matches a dot.
	 *
	 */

	methods.checkForDotHit = function() {
		var current = $slider.slider('value');
		$dots.each(function() {
			var slideNum = jQuery(this).data('slider-frame');
			if (current === slideNum) {
				methods.fireStage(jQuery(this).data('callback'));
			}
		});
	};


	/**
	 *  fireStage
	 *  Shows the current stage if a match is found in checkForDotHit().
	 *
	 */

	methods.fireStage = function(name) {
		$('.stage').fadeOut(200);
		$('.' + name).fadeIn(350, function(){

			hotspot = $('.' + name + ' .hotspot').eq(0);
			hotspot_id = hotspot.attr('id');
			vectors = Snap.selectAll( '#' + hotspot_id + ' .path');

			tetherHfg.close_hotspots();
			hotspot.addClass('active');
			vectors.forEach( function(el){
				el.animate({
					'stroke-dashoffset': 0,
				}, 300)
			});
			hotspot.find('.caption').stop().delay(300).fadeIn(500);
			hotspot.find('.caption-2').stop().delay(300).fadeIn(500);
		});

		
	};


	/**
	 *  sliderInit
	 *  Creates the slider instance.
	 *
	 */

	methods.sliderInit = function() {
		$slider.slider({
	    min: 1,
	    max: totalFrames -1,
	    create: function(event, ui) {
		    methods.dotsInit();
	    },
	    slide: function(event, ui) {
				methods.renderFrame(ui.value);
				$('.stage').fadeOut(200);
				tetherHfg.close_hotspots();
	    },
	    stop: function(event, ui) {
		    methods.snap(function() {
			    methods.checkForDotHit();
		    });
	    }
	  });
	};


	methods.init = function() {
		var self = this;
		/** --- Build the photo loop -------------------- */
		frames = self.preloadFrames();
		self.sliderInit();
		jQuery(window).load(function() {
	  	self.renderFrame(1);
	  	jQuery('.loader').fadeOut(600, function(){
				jQuery('.loader').remove();
			});
  	});
	};

	methods.init();

});
