if( Modernizr.webgl ){

var scene 		= new THREE.Scene(),
	camera 		= new THREE.PerspectiveCamera( 70, window.innerWidth/window.innerHeight, 1, 1600 ),
	raycaster 	= new THREE.Raycaster(),
	mouse 		= new THREE.Vector2(),
	canvas 		= document.getElementById('cube-canvas'),
	renderer 	= new THREE.WebGLRenderer({canvas: canvas}),
	objects 	= [],
	isUserArrowing = false,
	isUserInteracting = false,
	arrow_interval_set = false,
	INTERSECTED = null,
	isLoaded = false,
	is_mobile = jQuery(window).width() <= 1024;
	wall_focused = false,
	onMouseDownMouseX = 0, onMouseDownMouseY = 0,
	camera.rotation.y = lon = .05 * Math.PI, 
	onMouseDownLon = 0,
	lat = 0, onMouseDownLat = 0,
	phi = 0, theta = 0,
	wall_rotations = {};

wall_rotations[0] = new THREE.Euler( 0, 0, 0, 'XYZ' ),
wall_rotations[1] = new THREE.Euler( 0, .5*Math.PI, 0, 'XYZ' ),
wall_rotations[2] = new THREE.Euler( 0, Math.PI, 0, 'XYZ' ),
wall_rotations[3] = new THREE.Euler( 0, 1.5*Math.PI, 0, 'XYZ' );
wall_rotations[4] = new THREE.Euler( 0, 2*Math.PI, 0, 'XYZ' );

floor = THREE.ImageUtils.loadTexture('_media/images/home/home-floor.png');
floor.minFilter = THREE.LinearFilter;
audio_cta = THREE.ImageUtils.loadTexture('_media/images/home/microsoft-building-87-home-audio-cta.jpg');
audio_cta.minFilter = THREE.LinearFilter;
edison_cta = THREE.ImageUtils.loadTexture('_media/images/home/microsoft-building-87-home-edison-cta.jpg');
edison_cta.minFilter = THREE.LinearFilter;
hfg_cta = THREE.ImageUtils.loadTexture('_media/images/home/microsoft-building-87-home-hfg-cta.jpg');
hfg_cta.minFilter = THREE.LinearFilter;

renderer.setSize( window.innerWidth, window.innerHeight );
jQuery('.site-wrapper').append( renderer.domElement );

//cube
var geometry = new THREE.BoxGeometry(1600, 1000, 1600);
geometry.applyMatrix(new THREE.Matrix4().makeScale(-1, 1, 1));

var material = [
    new THREE.MeshBasicMaterial( {map: wall_textures[1]} ), //left of front
    new THREE.MeshBasicMaterial( {map: wall_textures[3] } ), //right of front videoTexture
    new THREE.MeshBasicMaterial( {map: floor} ), //ceiling
    new THREE.MeshBasicMaterial( {map: floor} ), //floor 363231
	new THREE.MeshBasicMaterial( {map: wall_textures[2] } ), //rear
    new THREE.MeshBasicMaterial( {map: wall_textures[0] } ) //front
    ];
mesh = new THREE.Mesh( geometry, new THREE.MeshFaceMaterial(material) );

scene.add( mesh );




//anchor - edison
rectShape = new THREE.PlaneBufferGeometry( 373, 35 );
button_mesh = new THREE.MeshBasicMaterial({
	map: edison_cta,
	transparent: true
});
var rect = new THREE.Mesh( rectShape, button_mesh );
rect.position.set( -799, -102, 13 );
rect.rotation.y = .5 * Math.PI;
rect.wall = 1;
rect.newRoom = 'edison-labs.php';
scene.add( rect );
objects.push(rect);

//anchor - hfg
rectShape = new THREE.PlaneBufferGeometry( 456, 35 );
button_mesh = new THREE.MeshBasicMaterial({
	map: hfg_cta,
	transparent: true
});
var rect = new THREE.Mesh( rectShape, button_mesh );
rect.position.set( 94, -104, 799 );
rect.rotation.y = Math.PI;
rect.wall = 2;
rect.newRoom = 'human-factors-group.php';
scene.add( rect );
objects.push(rect);

//anchor - audio
rectShape = new THREE.PlaneBufferGeometry( 380, 35 );
button_mesh = new THREE.MeshBasicMaterial({
	map: audio_cta,
	transparent: true
});
var rect = new THREE.Mesh( rectShape, button_mesh );
rect.position.set( 799, -102, -50 );
rect.rotation.y = -.5 * Math.PI;
rect.wall = 3;
rect.newRoom = 'audio-lab.php';
scene.add( rect );
objects.push(rect);




function onWindowResize() {

  camera.aspect = window.innerWidth / window.innerHeight;
  camera.updateProjectionMatrix();

  renderer.setSize( window.innerWidth, window.innerHeight );

};

function onDocumentMouseDown( event ) {

	event.preventDefault();

	isUserInteracting = true;

	onPointerDownPointerX = event.clientX;
	onPointerDownPointerY = event.clientY;

	onPointerDownLon = lon;
	onPointerDownLat = lat;

  	mouse.x = ( event.clientX / renderer.domElement.width ) * 2 - 1;
	mouse.y = - ( event.clientY / renderer.domElement.height ) * 2 + 1;

	raycaster.setFromCamera( mouse, camera );

	var intersects = raycaster.intersectObjects( objects );
	

	if ( intersects.length > 0 && !is_mobile ) {
		wall_focused = true;

		// calculate original rotation within 2pi
		var startRotation = new THREE.Euler().copy( camera.rotation );
		startRotationY = startRotation._y;
		nearest_zero = Math.floor( Math.abs(startRotationY/(Math.PI*2) ) ) * Math.PI*2;
		startRotationBase = Math.abs(startRotationY) - nearest_zero;
		startRotationBase = (startRotationY < 0)? 2*Math.PI - startRotationBase: startRotationBase;
		startRotation._y = startRotationBase;

		var wall =  intersects[0].object.wall,
			endRotation = wall_rotations[wall];
			new_room = intersects[0].object.newRoom,

		//reset rotation to within 2pi
		camera.rotation.copy( startRotation );

		duration = Math.abs( startRotation._y - endRotation._y ) * 700;

		tween = 
			new TWEEN.Tween( { y: startRotation._y } )
	            .to( { y: endRotation._y }, duration )
	            .easing( TWEEN.Easing.Quartic.Out )
	            .onUpdate( function () {
	            	camera.rotation.y = lon = this.y;
	            } )
	            .onComplete( function(){
	            	tetherMain.load_new_page(new_room);
	            })
	            .start();
	}
}

jQuery(document).on('keydown', function(e){
    //left
    if(e.keyCode === 37 || e.keyCode === 39) {
        e.preventDefault();
        if( !isUserArrowing ){
	        isUserArrowing = true;

	        var startRotation = new THREE.Euler().copy( camera.rotation );
			startRotationY = startRotation._y;
			nearest_zero = Math.floor( Math.abs(startRotationY/(Math.PI*2) ) ) * Math.PI*2;
			startRotationBase = Math.abs(startRotationY) - nearest_zero;
			startRotationBase = (startRotationY < 0)? 2*Math.PI - startRotationBase: startRotationBase;
			startRotation._y = startRotationBase;

			currentWall = Math.floor( (startRotation._y + Math.PI/4)/(Math.PI/2) );
			currentWall = (currentWall < 4)? currentWall: 0;

			if(e.keyCode === 37) {
				newWall = currentWall + 1;
				startRotation._y = (startRotationBase < 1.75*Math.PI)? startRotationBase: startRotationBase - 2*Math.PI;
				endRotation = wall_rotations[newWall];
			}
			if(e.keyCode === 39) {
				newWall = currentWall - 1;
				newWall = (newWall > -1)? newWall: 3;
				startRotation._y = (startRotationBase > .25*Math.PI)? startRotationBase: startRotationBase + 2*Math.PI;
				endRotation = wall_rotations[newWall];
			}

			camera.rotation.copy( startRotation );
			//console.log(currentWall, newWall, startRotation._y, endRotation._y);
			duration = Math.abs( startRotation._y - endRotation._y ) * 1000;
			tween = 
				new TWEEN.Tween( { y: startRotation._y } )
		            .to( { y: endRotation._y }, duration )
		            .easing( TWEEN.Easing.Quartic.Out )
		            .onUpdate( function () {
		            	camera.rotation.y = lon = this.y;
		            } )
		            .onComplete( function(){
		            	isUserArrowing = false;
		            })
		            .start();
	        return;
	    }
    }
})


function onDocumentMouseMove( event ) {

	if ( isUserInteracting === true ) {
		lon = ( onPointerDownPointerX - event.clientX ) * -0.005 + onPointerDownLon;
		lat = ( event.clientY - onPointerDownPointerY ) * -0.005 + onPointerDownLat;
	}

	//Hover cursor change
  	mouse.x = ( event.clientX / renderer.domElement.width ) * 2 - 1;
	mouse.y = - ( event.clientY / renderer.domElement.height ) * 2 + 1;

	raycaster.setFromCamera( mouse, camera );
	var intersects = raycaster.intersectObjects( objects );

	if ( intersects.length > 0 ) {
		INTERSECTED = intersects[ 0 ].object;
		INTERSECTED.material.opacity = .6;

		jQuery('#cube-canvas').css({
			'cursor': 'pointer'
		})
	}else{
		if( INTERSECTED != null )
			INTERSECTED.material.opacity = 1;
		INTERSECTED = null;

		jQuery('#cube-canvas').css({
			'cursor': ''
		})
	}
}

function onDocumentMouseUp( event ) {

  isUserInteracting = false;

}

document.addEventListener( 'mousedown', onDocumentMouseDown, false );
document.addEventListener( 'mousemove', onDocumentMouseMove, false );
document.addEventListener( 'mouseup', onDocumentMouseUp, false );
window.addEventListener( 'resize', onWindowResize, false );



last = 0;

var render = function (time) {
	TWEEN.update(time);

	if( wall_focused === false ){
		if ( isUserInteracting === false && isUserArrowing === false && isLoaded ) {
			dt = time - last;
			lon = camera.rotation.y -= dt * .00003; //continuous rotation
		}else{
			camera.rotation.y = lon;
		}
	}
	
	if( !is_mobile ){
		renderer.render(scene,camera);	
	}	
	last = time;
	requestAnimationFrame( render );
};

$('body').imagesLoaded()
	.always( function(){
		render();
		tetherMain.remove_loader();
	});

}// Modernizr.webgl