if( Modernizr.webgl ){
	
var scene 		= new THREE.Scene(),
	camera 		= new THREE.PerspectiveCamera( 70, window.innerWidth/window.innerHeight, 1, 1600 ),
	raycaster 	= new THREE.Raycaster(),
	mouse 		= new THREE.Vector2(),
	canvas 		= document.getElementById('cube-canvas'),
	renderer 	= new THREE.WebGLRenderer({canvas: canvas}),
	objects 	= [],
	isLoaded = false,
	//driftEnabled = true,
	isUserArrowing = false,
	hashTagged = false;
	isUserInteracting = false,
	INTERSECTED = null,
	video_hovered = false,
	arrow_interval_set = false,
	is_mobile = jQuery(window).width() <= 1024;
	wall_focused = false,
	onMouseDownMouseX = 0, onMouseDownMouseY = 0,
	lon = 0, onMouseDownLon = 0,
	lat = 0, onMouseDownLat = 0,
	phi = 0, theta = 0,
	wall_rotations = {};

play_button = new THREE.ImageUtils.loadTexture('_media/images/icons/play-button.png');
play_button.minFilter = THREE.LinearFilter;
play_button_hover = new THREE.ImageUtils.loadTexture('_media/images/icons/play-button-hover.png');
play_button_hover.minFilter = THREE.LinearFilter;

wall_rotations[0] = new THREE.Euler( 0, 0, 0, 'XYZ' ),
wall_rotations[1] = new THREE.Euler( 0, .5*Math.PI, 0, 'XYZ' ),
wall_rotations[2] = new THREE.Euler( 0, Math.PI, 0, 'XYZ' ),
wall_rotations[3] = new THREE.Euler( 0, 1.5*Math.PI, 0, 'XYZ' );
wall_rotations[4] = new THREE.Euler( 0, 2*Math.PI, 0, 'XYZ' );

floor = THREE.ImageUtils.loadTexture('_media/images/home/home-floor.png');
floor.minFilter = THREE.LinearFilter;

renderer.setSize( window.innerWidth, window.innerHeight );
jQuery('.site-wrapper').append( renderer.domElement );


//Deep linking
hash = window.location.hash;
hash = hash.split('#').pop()
if( hashtag_array.hasOwnProperty(hash) ){
	hashTagged = true;
	wall = hashtag_array[hash];
	camera.rotation.y = lon = wall_rotations[wall]._y;
}


///////////
// VIDEO //
///////////
//video src declared in page specific script
video.loop = true;
video.load(); // must call after setting/changing source
video.play();
videoImage = document.createElement( 'canvas' );
videoImage.width = 1200;
videoImage.height = 750;

videoImageContext = videoImage.getContext( '2d' );
videoImageContext.fillStyle = '#000000';// background color if no video present
videoImageContext.fillRect( 0, 0, videoImage.width, videoImage.height );

videoTexture = new THREE.Texture( videoImage );
videoTexture.minFilter = THREE.LinearFilter;
videoTexture.magFilter = THREE.LinearFilter;

			

//cube
var geometry = new THREE.BoxGeometry(1600, 1000, 1600);
geometry.applyMatrix(new THREE.Matrix4().makeScale(-1, 1, 1));

var material = [
    new THREE.MeshBasicMaterial( {map: wall_textures[1]} ), //left of front
    //new THREE.MeshBasicMaterial( {map: wall_textures[3] } ), //right of front 
	new THREE.MeshBasicMaterial( {map: videoTexture } ), //right of front
    new THREE.MeshBasicMaterial( {map: floor} ), //ceiling
    new THREE.MeshBasicMaterial( {map: floor} ), //floor
	new THREE.MeshBasicMaterial( {map: wall_textures[2] } ), //rear
    new THREE.MeshBasicMaterial( {map: wall_textures[0] } ) //front
    ];
mesh = new THREE.Mesh( geometry, new THREE.MeshFaceMaterial(material) );

scene.add( mesh );


//Wall Functions
function open_video( query ){

	if( !jQuery('.audio-toggle').hasClass('off') ){
		jQuery('#ambient-audio').stop().animate({
			'volume': 0,
		}, 500, function(){
			document.getElementById("ambient-audio").pause();
		})
	}

	player.playVideo();
	jQuery('.canvas-module-video').css({
		'z-index': 2,
	}).animate({
		opacity: 1
	}, 500, function(){
		//player.playVideo();
	})
}
function open_factsheet( target ){
	jQuery('.canvas-module-factsheet .tabs').tabs( "option", { active: target } );
	jQuery('.canvas-module-factsheet').css({
		'z-index': 2,
	}).animate({
		opacity: 1,
	},500);
}


additional_buttons = {
	'video-play': {
		width: 162,
		height: 162,
		map: play_button,
		hover: play_button_hover,
		transparent: true,
		position: {
			_x: 799,
			_y: 84.5,
			_z: 0,
		},
		rotation: -.5 * Math.PI,
		wall: 3,
		behavior: open_video
	},
	'factsheet-clickable-area': {
		width: 670,
		height: 340,
		transparent: true,
		opacity: 0,
		position: {
			_x: -799,
			_y: -108,
			_z: 0,
		},
		rotation: .5 * Math.PI,
		wall: 1,
		behavior: open_factsheet,
		query: 0,
	},
	'factsheet-cta': {
		width: 168,
		height: 38,
		map: get_started_cta,
		opacityHover: .6,
		transparent: true,
		position: {
			_x: -798,
			_y: -230,
			_z: 0,
		},
		rotation: .5 * Math.PI,
		wall: 1,
		behavior: open_factsheet,
		query: 0,
	},
	// 'factsheet-l': {
	// 	width: 248,
	// 	height: 50,
	// 	transparent: true,
	// 	opacity: 0,
	// 	position: {
	// 		_x: -799,
	// 		_y: 175,
	// 		_z: 254,
	// 	},
	// 	rotation: .5 * Math.PI,
	// 	wall: 1,
	// 	behavior: open_factsheet,
	// 	query: 0,
	// },
	// 'factsheet-m': {
	// 	width: 248,
	// 	height: 50,
	// 	transparent: true,
	// 	opacity: 0,
	// 	position: {
	// 		_x: -799,
	// 		_y: 175,
	// 		_z: 0,
	// 	},
	// 	rotation: .5 * Math.PI,
	// 	wall: 1,
	// 	behavior: open_factsheet,
	// 	query: 1,
	// },
	// 'factsheet-r': {
	// 	width: 248,
	// 	height: 50,
	// 	transparent: true,
	// 	opacity: 0,
	// 	position: {
	// 		_x: -799,
	// 		_y: 175,
	// 		_z: -254,
	// 	},
	// 	rotation: .5 * Math.PI,
	// 	wall: 1,
	// 	behavior: open_factsheet,
	// 	query: 2,
	// }
};


for (var attrname in additional_buttons ) { buttons[attrname] = additional_buttons[attrname]; }

jQuery.each( buttons, function( i, val ){
	rectShape = new THREE.PlaneBufferGeometry( val.width, val.height );
	button_mesh = new THREE.MeshBasicMaterial();
	if( val.hasOwnProperty("map") ) button_mesh.map = val.map;
	if( val.hasOwnProperty("transparent") ) button_mesh.transparent = val.transparent;
	if( val.hasOwnProperty("opacity") ) button_mesh.opacity = val.opacity;
	var rect = new THREE.Mesh( rectShape, button_mesh );
	rect.position.set( val.position._x, val.position._y, val.position._z );
	rect.rotation.y = val.rotation;
	if( val.hasOwnProperty("wall") ) rect.wall = val.wall;
	if( val.hasOwnProperty("behavior") ) rect.behavior = val.behavior;
	if( val.hasOwnProperty("query") ) rect.query = val.query;
	if( val.hasOwnProperty("map") ) rect.map = val.map;
	if( val.hasOwnProperty("hover") ) rect.hover = val.hover;
	if( val.hasOwnProperty("opacityHover") ) rect.opacityHover = val.opacityHover;
	scene.add( rect );
	objects.push(rect);
} )


function onWindowResize() {

  camera.aspect = window.innerWidth / window.innerHeight;
  camera.updateProjectionMatrix();

  renderer.setSize( window.innerWidth, window.innerHeight );

}

function onDocumentMouseDown( event ) {

	event.preventDefault();

	isUserInteracting = true;
	//driftEnabled = false;

	onPointerDownPointerX = event.clientX;
	onPointerDownPointerY = event.clientY;

	onPointerDownLon = lon;
	onPointerDownLat = lat;

  	mouse.x = ( event.clientX / renderer.domElement.width ) * 2 - 1;
	mouse.y = - ( event.clientY / renderer.domElement.height ) * 2 + 1;

	raycaster.setFromCamera( mouse, camera );

	var intersects = raycaster.intersectObjects( objects );
	

	if ( intersects.length > 0 && intersects[0].object.hasOwnProperty('behavior') && !is_mobile && !wall_focused ) {
		wall_focused = true;

		// calculate original rotation within 2pi
		var startRotation = new THREE.Euler().copy( camera.rotation );
		startRotationY = startRotation._y;
		nearest_zero = Math.floor( Math.abs(startRotationY/(Math.PI*2) ) ) * Math.PI*2;
		startRotationBase = Math.abs(startRotationY) - nearest_zero;
		startRotationBase = (startRotationY < 0)? 2*Math.PI - startRotationBase: startRotationBase;
		startRotation._y = startRotationBase;

		var wall =  intersects[0].object.wall,
			endRotation = wall_rotations[wall];
			wall_behavior = intersects[0].object.behavior,
			wall_query = intersects[0].object.query,

		//reset rotation to within 2pi
		camera.rotation.copy( startRotation );

		duration = Math.abs( startRotation._y - endRotation._y ) * 700;

		tween = 
			new TWEEN.Tween( { y: startRotation._y } )
	            .to( { y: endRotation._y }, duration )
	            .easing( TWEEN.Easing.Quartic.Out )
	            .onUpdate( function () {
	            	camera.rotation.y = lon = this.y;
	            } )
	            .onComplete( function(){
	            	jQuery('.ms87-site-header').addClass('scrolled');

	            	wall_behavior( wall_query );
	            })
	            .start();
	}
}

jQuery(document).on('keydown', function(e){
    //left
    if(e.keyCode === 37 || e.keyCode === 39) {
        e.preventDefault();
        if( !isUserArrowing && !wall_focused ){
	        isUserArrowing = true;

	        var startRotation = new THREE.Euler().copy( camera.rotation );
			startRotationY = startRotation._y;
			nearest_zero = Math.floor( Math.abs(startRotationY/(Math.PI*2) ) ) * Math.PI*2;
			startRotationBase = Math.abs(startRotationY) - nearest_zero;
			startRotationBase = (startRotationY < 0)? 2*Math.PI - startRotationBase: startRotationBase;
			startRotation._y = startRotationBase;

			currentWall = Math.floor( (startRotation._y + Math.PI/4)/(Math.PI/2) );
			currentWall = (currentWall < 4)? currentWall: 0;

			if(e.keyCode === 37) {
				newWall = currentWall + 1;
				startRotation._y = (startRotationBase < 1.75*Math.PI)? startRotationBase: startRotationBase - 2*Math.PI;
				endRotation = wall_rotations[newWall];
			}
			if(e.keyCode === 39) {
				newWall = currentWall - 1;
				newWall = (newWall > -1)? newWall: 3;
				startRotation._y = (startRotationBase > .25*Math.PI)? startRotationBase: startRotationBase + 2*Math.PI;
				endRotation = wall_rotations[newWall];
			}

			camera.rotation.copy( startRotation );
			//console.log(currentWall, newWall, startRotation._y, endRotation._y);
			duration = Math.abs( startRotation._y - endRotation._y ) * 1000;
			tween = 
				new TWEEN.Tween( { y: startRotation._y } )
		            .to( { y: endRotation._y }, duration )
		            .easing( TWEEN.Easing.Quartic.Out )
		            .onUpdate( function () {
		            	camera.rotation.y = lon = this.y;
		            } )
		            .onComplete( function(){
		            	isUserArrowing = false;
		            })
		            .start();
	        return;
	    }
    }
    //right
    // if(e.keyCode === 39) {
    //     e.preventDefault();
    //     if( !arrow_interval_set ){
    //         arrow_interval = setInterval( function(){
    //         	isUserArrowing = true;
    //         	lon = camera.rotation.y -= .002;
    //         }, 5);
    //         arrow_interval_set = true;
    //     }
    //     return;
    // }
})
// jQuery(document).on('keyup', function(e){
//     if(e.keyCode === 37 || e.keyCode === 39) {
//     	e.preventDefault();
//         if( typeof arrow_interval != 'undefined'){
//             clearInterval( arrow_interval );
//             isUserArrowing = false;
//             hashTagged = false;
//             arrow_interval_set = false;
//         }
//         return;
//     }
// })


function onDocumentMouseMove( event ) {

	if ( isUserInteracting === true ) {
		lon = ( onPointerDownPointerX - event.clientX ) * -0.005 + onPointerDownLon;
		lat = ( event.clientY - onPointerDownPointerY ) * -0.005 + onPointerDownLat;
	}

	//Hover cursor change
  	mouse.x = ( event.clientX / renderer.domElement.width ) * 2 - 1;
	mouse.y = - ( event.clientY / renderer.domElement.height ) * 2 + 1;

	raycaster.setFromCamera( mouse, camera );
	var intersects = raycaster.intersectObjects( objects );

	if ( intersects.length > 0 ) {

		if( INTERSECTED && INTERSECTED.hasOwnProperty("opacityHover") )
			INTERSECTED.material.opacity = 1;

		INTERSECTED = intersects[ 0 ].object;
		if( INTERSECTED.hasOwnProperty("hover") )
			INTERSECTED.material.map = INTERSECTED.hover;
		if( INTERSECTED.hasOwnProperty("opacityHover") )
			INTERSECTED.material.opacity = INTERSECTED.opacityHover;

		if( INTERSECTED.hasOwnProperty("behavior") ){
			jQuery('#cube-canvas').css({
				'cursor': 'pointer'
			})
		}else{
			jQuery('#cube-canvas').css({
				'cursor': ''
			})
		}
	}else{
		if( INTERSECTED && INTERSECTED.hasOwnProperty("hover") )
			INTERSECTED.material.map = INTERSECTED.map;
		if( INTERSECTED && INTERSECTED.hasOwnProperty("opacityHover") )
			INTERSECTED.material.opacity = 1;

		INTERSECTED = null;
		jQuery('#cube-canvas').css({
			'cursor': ''
		})
	}
}

function onDocumentMouseUp( event ) {

  isUserInteracting = hashTagged = false;

}

document.addEventListener( 'mousedown', onDocumentMouseDown, false );
//document.addEventListener( 'touchstart', onDocumentTouchStart, false );
document.addEventListener( 'mousemove', onDocumentMouseMove, false );
document.addEventListener( 'mouseup', onDocumentMouseUp, false );
window.addEventListener( 'resize', onWindowResize, false );


last = 0;

var render = function (time) {
	TWEEN.update(time);

	if( wall_focused === false ){
		if ( isUserInteracting === false && isUserArrowing === false && hashTagged === false && isLoaded ) { // && driftEnabled
			dt = time - last;
			lon = camera.rotation.y -= dt * .00003; //continuous rotation
		}else{
			camera.rotation.y = lon;
		}
	}
	if ( video.readyState === video.HAVE_ENOUGH_DATA ){
		videoImageContext.drawImage( video, 0, 0 );
		if ( videoTexture ) 
			videoTexture.needsUpdate = true;
	}
	if ( audio_interaction && interaction_video.readyState === interaction_video.HAVE_ENOUGH_DATA ){
		interaction_videoImageContext.drawImage( interaction_video, 0, 0 );
		if ( wall_textures[2] ) 
			wall_textures[2].needsUpdate = true;
	}
	
	if( !is_mobile ){
		renderer.render(scene,camera);	
	}
	last = time;

	requestAnimationFrame( render );

};

$('body').imagesLoaded()
	.always( function(){
		render();
		tetherMain.remove_loader();
	});


}//modernizr.webgl