if (tether === null || typeof(tether) !== "object") { var tether = new Object(); }

tether.Main = (function() {
	var _instance;

	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/

			initialize: function(options) {
				var self = this;
				// attach event handlers

				jQuery(document).ready(function() {

					/** NKS: Set external script caching to true. */
					jQuery.ajaxSetup({ cache: true });

					self.audio_player = document.getElementById("ambient-audio");

					self.set_vars();
	                self.responsive_audio()
					self.setup_cube();
					self.event_handlers();
					self.resize_functions();
					self.factsheet_tabs();
					self.factsheet_gallery();
				  	//self.remove_loader();
				});

			},

			set_vars: function(){
				var self = this;
			},

			event_handlers: function() {
				var self = this;
				self.nav_cube_click();
				self.nav_link_click();
				self.nav_link_hover();
				self.modal_close();
				self.mobile_nav_toggle();
				self.mobile_video_play();
				self.toggle_audio();
				self.button_events();
			},
			resize_functions: function(){
				var self = this;
				$(window).smartresize(function(){
	                self.responsive_audio()
	            });
			},
			responsive_audio: function(){
				if( $(window).width() <= 1024 ){
					document.getElementById('ambient-audio').muted = true;
				}else{
					document.getElementById('ambient-audio').muted = false;
				}
			},


			loadScript: function(url, callback) {
				var script = document.createElement("script");
				script.type = "text/javascript";
				script.async = true;
				if (script.readyState) {
					script.onreadystatechange = function () {
						if (script.readyState == "loaded" || script.readyState == "complete") {
							script.onreadystatechange = null;
								if (callback && typeof callback === "function") {
									callback();
								}
						}
					};
				} else {
					script.onload = function () {
						if (callback && typeof callback === "function") {
							callback();
						}
					};
				}
				script.src = url;
				(document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(script);
			},
			setup_cube: function(){
				var self = this;

				self.nav_cube = Snap('#nav-cube');
				self.nav_cube[0] = Snap('#nav-cube #tl-orig');
				self.nav_cube[1] = Snap('#nav-cube #bl-orig');
				self.nav_cube[2] = Snap('#nav-cube #br-orig');
				self.nav_cube[3] = Snap('#nav-cube #tr-orig');
				self.nav_cube[0].opacity_orig = .4;
				self.nav_cube[1].opacity_orig = .6;
				self.nav_cube[2].opacity_orig = .6;
				self.nav_cube[3].opacity_orig = .4;
				self.nav_cube.rear_top 		= Snap('#nav-cube #rear-top');
				self.nav_cube.rear_top.leng = Math.ceil(self.nav_cube.rear_top.getTotalLength());
				self.nav_cube.rear_right 	= Snap('#nav-cube #rear-right');
				self.nav_cube.rear_right.leng = Math.ceil(self.nav_cube.rear_right.getTotalLength());
				self.nav_cube.rear_left 	= Snap('#nav-cube #rear-left');
				self.nav_cube.rear_left.leng = Math.ceil(self.nav_cube.rear_left.getTotalLength());
				self.nav_cube.front_bottom 	= Snap('#nav-cube #front-bottom');
				self.nav_cube.front_bottom.leng = Math.ceil(self.nav_cube.front_bottom.getTotalLength());
				self.nav_cube.front_right 	= Snap('#nav-cube #front-right');
				self.nav_cube.front_right.leng = Math.ceil(self.nav_cube.front_right.getTotalLength());
				self.nav_cube.front_left 	= Snap('#nav-cube #front-left');
				self.nav_cube.front_left.leng = Math.ceil(self.nav_cube.front_left.getTotalLength());

				if( !$('.page-navigation').hasClass('expanded') ){
					self.nav_cube.expanded = false;

					self.nav_cube[0].attr({ opacity: 0, });
					self.nav_cube[1].attr({ opacity: 0, });
					self.nav_cube[2].attr({ opacity: 0, });
					self.nav_cube[3].attr({ opacity: 0, });

					self.nav_cube.rear_top.attr({
						'strokeDasharray': self.nav_cube.rear_top.leng,
					})
					self.nav_cube.rear_right.attr({
						'strokeDasharray': self.nav_cube.rear_right.leng,
					})
					self.nav_cube.rear_left.attr({
						'strokeDasharray': self.nav_cube.rear_left.leng,
					})
					self.nav_cube.front_bottom.attr({
						'strokeDasharray': self.nav_cube.front_bottom.leng,
					})
					self.nav_cube.front_right.attr({
						'strokeDasharray': self.nav_cube.front_right.leng,
					})
					self.nav_cube.front_left.attr({
						'strokeDasharray': self.nav_cube.front_left.leng,
					})
				}else{
					self.nav_cube[0].animate({
						opacity: .4,
						transform: 't-25 -7',
					}, 100, mina.linear)
					self.nav_cube[1].animate({
						opacity: .6,
						transform: 't-11 9',
					}, 100, mina.linear)
					self.nav_cube[2].animate({
						opacity: .6,
						transform: 't22 13',
					}, 100, mina.linear)
					self.nav_cube[3].animate({
						opacity: .4,
						transform: 't13 -4',
					}, 100, mina.linear)
					self.nav_cube.rear_top.animate({ 'strokeDashoffset': -self.nav_cube.rear_top.leng, }, 100)
					self.nav_cube.rear_right.animate({ 'strokeDashoffset': self.nav_cube.rear_right.leng, }, 100)
					self.nav_cube.rear_left.animate({ 'strokeDashoffset': -self.nav_cube.rear_left.leng, }, 100)
					self.nav_cube.front_bottom.animate({ 'strokeDashoffset': -self.nav_cube.front_bottom.leng, }, 100)
					self.nav_cube.front_right.animate({ 'strokeDashoffset': -self.nav_cube.front_right.leng, }, 100)
					self.nav_cube.front_left.animate({ 'strokeDashoffset': self.nav_cube.front_left.leng, }, 100)
					self.nav_cube.expanded = true;
					jQuery('.page-navigation .nav-links').show();
				}

			},
			nav_cube_click: function(){
				var self = this;

				self.nav_cube.click( function(){
					if( self.nav_cube.expanded ){
						self.nav_cube[0].animate({
							opacity: 0,
							transform: 't0 0',
						}, 200)
						self.nav_cube[1].animate({
							opacity: 0,
							transform: 't0 0',
						}, 200)
						self.nav_cube[2].animate({
							opacity: 0,
							transform: 't0 0',
						}, 200)
						self.nav_cube[3].animate({
							opacity: 0,
							transform: 't0 0',
						}, 200);
						self.nav_cube.rear_top.animate({ 'strokeDashoffset':0, }, 100)
						self.nav_cube.rear_right.animate({ 'strokeDashoffset': 0, }, 100)
						self.nav_cube.rear_left.animate({ 'strokeDashoffset': 0, }, 100)
						self.nav_cube.front_bottom.animate({ 'strokeDashoffset': 0, }, 100)
						self.nav_cube.front_right.animate({ 'strokeDashoffset': 0, }, 100)
						self.nav_cube.front_left.animate({ 'strokeDashoffset': 0, }, 100)
						self.nav_cube.expanded = false;
						jQuery('.page-navigation').removeClass('expanded');
						jQuery('.page-navigation .nav-links').fadeOut(100);
					}else{
						self.nav_cube[0].animate({
							opacity: .4,
							transform: 't-25 -7',
						}, 100, mina.linear)
						self.nav_cube[1].animate({
							opacity: .6,
							transform: 't-11 9',
						}, 100, mina.linear)
						self.nav_cube[2].animate({
							opacity: .6,
							transform: 't22 13',
						}, 100, mina.linear)
						self.nav_cube[3].animate({
							opacity: .4,
							transform: 't13 -4',
						}, 100, mina.linear)
						self.nav_cube.rear_top.animate({ 'strokeDashoffset': -self.nav_cube.rear_top.leng, }, 100)
						self.nav_cube.rear_right.animate({ 'strokeDashoffset': self.nav_cube.rear_right.leng, }, 100)
						self.nav_cube.rear_left.animate({ 'strokeDashoffset': -self.nav_cube.rear_left.leng, }, 100)
						self.nav_cube.front_bottom.animate({ 'strokeDashoffset': -self.nav_cube.front_bottom.leng, }, 100)
						self.nav_cube.front_right.animate({ 'strokeDashoffset': -self.nav_cube.front_right.leng, }, 100)
						self.nav_cube.front_left.animate({ 'strokeDashoffset': self.nav_cube.front_left.leng, }, 100)
						self.nav_cube.expanded = true;
						jQuery('.page-navigation').addClass('expanded');
						jQuery('.page-navigation .nav-links').fadeIn(400);
					}
				})
			},
			nav_link_click: function(){
				var self = this;

				jQuery('.nav-links a').on('click', function(e){
					e.preventDefault();

					if( !jQuery(this).hasClass('nav-item-current') ){
						destination = jQuery(this).attr('href');
						self.load_new_page(destination);
					}
				})
			},
			nav_link_hover: function(){
				var self = this;
				jQuery('.nav-links a').hover(
					function(){
						if( !jQuery(this).hasClass('nav-item-current') ){
							which = jQuery(this).closest('li').index();
							self.nav_cube[ which ].animate({
								opacity: .9,
							}, 400);
						}
					},
					function(){
						if( !jQuery(this).hasClass('nav-item-current') ){
							which = jQuery(this).closest('li').index();
							new_opacity = self.nav_cube[ which ].opacity_orig;
							self.nav_cube[ which ].animate({
								opacity: new_opacity,
							}, 400);
						}
				})
			},
			factsheet_gallery: function(){
				$rotator = jQuery('.cube-module-factsheet .mobile-rotator')
				$rotator.owlCarousel({
					//items: 1,
					loop: true,
					dots: true,
					responsive: {
						0: {
							items: 1,
						},
						950: {
							items: 3,
						}
					}
				});
			},
			factsheet_tabs: function(){
				var opts = {
					//heightStyle: 'auto'
				};

				$tabs = jQuery('.tabs');

				$tabs.each(function() {
					var id = '#' + $(this).attr('id');
					jQuery(id).tabs(opts);
				});
			},
			modal_close: function(){
				var self = this;
				jQuery(document).on('click', '.cube-overlay .screen, .close-overlay', function(e){
					e.preventDefault();
					$('body').removeClass('scroll-disabled');
					player.pauseVideo();
	            	jQuery('.ms87-site-header').removeClass('scrolled');
					jQuery(this).closest('.cube-overlay').animate({
						opacity: 0,
						'z-index': -1,
					}, 500);
					wall_focused = hashTagged = false;

					if( jQuery(this).closest('.cube-overlay').hasClass('canvas-module-interaction') && jQuery(this).closest('.page-content-edison').length > 0 ){
						tetherEdison.desktop_interaction_rotator.trigger( 'to.owl.carousel', [ 0, 300, true] )
					}
					if( !jQuery('.audio-toggle').hasClass('off') && jQuery(this).closest('.cube-overlay').hasClass('canvas-module-video') ){
						self.audio_player.play();
						jQuery('#ambient-audio').stop().animate({
							'volume': 1,
						}, 500)
					}

					if( jQuery(this).closest('.cube-overlay').hasClass('canvas-module-interaction') && jQuery(this).closest('.page-content-hfg').length > 0 ){
						target = 0;
						current = $slider.slider('value');
						methods.renderLoop();
					}
				})
			},
			remove_loader: function(){
				jQuery('body').imagesLoaded( function(){
					setTimeout( function(){
						isLoaded = true;
						jQuery('.loading-screen').fadeOut(1000);
						jQuery('.ms87-site-header').removeClass('scrolled');
					}, 2000);
				})
			},
			load_new_page: function( destination ){

				switch( destination ){
					case 'audio-lab.php':
						loading_class = 'loading-screen-audio';
						break;
					case 'human-factors-group.php':
						loading_class = 'loading-screen-hfg';
						break;
					case 'edison-labs.php':
						loading_class = 'loading-screen-edison';
						break;
					default:
						loading_class = 'loading-screen-index';
				}
				jQuery('.loading-screen').addClass(loading_class).fadeIn(700, function(){
					setTimeout( function(){
						window.location = destination;
					}, 500);
				});
				jQuery('.ms87-site-header').addClass('scrolled');
			},
			mobile_nav_toggle: function(){
				jQuery('.mobile-nav-toggle').on('click', function(e){
					e.preventDefault();
					if( $(this).hasClass('active') ){
						$(this).removeClass('active')
						$('.mobile-navigation').stop().fadeOut(500, function(){
							$('body').removeClass('scroll-disabled');
						})
					}else{
						$(this).addClass('active')
						$('.mobile-navigation').stop().fadeIn(500, function(){
							$('body').addClass('scroll-disabled');
						})
					}
				})
			},
			mobile_video_play: function(){
				jQuery('.mobile-video-play').on('click', function(e){
					e.preventDefault();
					$('body').addClass('scroll-disabled');
					jQuery('.canvas-module-video').css({
						'display': 'block',
						'z-index': 2,
					}).animate({
						opacity: 1
					}, 500, function(){
						player.playVideo();
					})
				})
			},
			toggle_audio: function(){
				var self = this;

				jQuery('.audio-toggle').on('click', function(e){
					e.preventDefault();

					if(jQuery(this).hasClass('off') ){

						Cookies.set('ambient_audio', 'on');

						jQuery(this).removeClass('off');
						self.audio_player.play();
						jQuery('#ambient-audio').stop().animate({
							'volume': 1,
						}, 500)
					}else{
						Cookies.set('ambient_audio', 'off');

						jQuery(this).addClass('off');
						jQuery('#ambient-audio').stop().animate({
							'volume': 0,
						}, 500, function(){
							self.audio_player.pause();
						})
					}
				})
			},
			button_events: function(){
				jQuery(document).on('keydown', function(e){
                    if(e.keyCode === 27){
                        e.preventDefault();
						$('body').removeClass('scroll-disabled');
						player.pauseVideo();
		            	jQuery('.ms87-site-header').removeClass('scrolled');
						jQuery('.cube-overlay').animate({
							opacity: 0,
							'z-index': -1,
						}, 500);
						wall_focused = false;
                        return;
                    }
                });
			}

		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
tetherMain = tether.Main.getInstance();
// Run initialize method
tetherMain.initialize();

