if (saf === null || typeof(saf) !== "object") { var saf = new Object(); }

saf.ballistic = (function() {
	var _instance;
	
	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/
			initialize: function(options) {
				var self = this;
				// attach event handlers
				jQuery(window).on('beforeunload', function() {
				    jQuery(window).scrollTop(0);
				});
				jQuery(document).ready(function() {
					self.set_vars();
					if( $(window).width() > 1024 ){
						self.setup_video();
						self.scroll_event();
					}else{
						jQuery('.tint-loader').fadeOut( 500 );
					}
					self.setup_hotspots();
					self.event_handlers();
					self.resize_functions();
					
					
				});
			},
			resize_functions: function(){
				var self = this;
				$(window).smartresize(function(){
	                if( $(window).width() > 1024 && !self.video_setup){
	                	self.set_vars();
						self.setup_video();
						self.scroll_event();
					}
	            });
			},
			set_vars: function(){
				var self = this;
					//folder = '/on/demandware.static/-/Sites-tsg-Library/default/v1442496969524/resources/body_armor/tet-saves/assets/img/xt4/',
					folder = 'assets/img/xt4/',
					totalFrames = 509,
					imageFrames = [],
					imageCache = [],
					currentFrame = 0,
					lastScrollPosition = 0,
					canvas = document.getElementById('c1').getContext('2d'),
					self.browser_width = jQuery(window).width(),
					self.browser_height = jQuery(window).height(),
					pause_duration = 100,
					pause_1 = 94,
					pause_2 = 238 + pause_duration,
					pause_3 = totalFrames + 2*pause_duration,
					headline_offset = 5;
					headline_opacity_duration = 20,
					headline_duration = 30,
					headline_pause = 20,
					headline_margin = 30, //distance covered in parallax
					fade_duration = 30,
					hotspot_duration = 50,
					scroll_factor = 20;
				headline_1 = pause_1 - headline_duration*2 - headline_offset - headline_pause;
				headline_2 = pause_2 - headline_duration*2 - headline_offset - headline_pause;
				headline_3 = pause_3 - headline_duration*2 - headline_offset - headline_pause;
				self.animating = false;
				self.animating_scroll = false;
				self.hotspot_open = false,
				self.video_setup = false;
				self.header_height = jQuery('#header').outerHeight();
				self.page_header_height = jQuery('.tet-page-header').outerHeight();
				self.frame_offset_top = 470 + self.header_height; //jQuery('.tet-intro').outerHeight()
				self.animation_height = (totalFrames + 3*pause_duration) * scroll_factor;
				self.placeholder_height = self.animation_height - self.frame_offset_top + self.browser_height;
				self.animation_fired = {};
				self.animation_fired.fit = false;
				self.animation_fired.protect = false;
				self.animation_fired.material = false;
				self.waypoints = {};
				self.waypoints.top = 0;
				self.waypoints.fit = (headline_1 + headline_duration) * scroll_factor;
				self.waypoints.protect = (headline_2 + headline_duration) * scroll_factor;
				self.waypoints.material = (headline_3 + headline_duration) * scroll_factor;
				self.waypoints.find = self.animation_height + self.browser_height - self.page_header_height + 100;
				self.current_nav_class = ''
			},
			setup_video: function(){
				var self = this;
				// $('.tint-xtreme').css({
				// 	height: self.animation_height + self.browser_height + $('.specifications').outerHeight(),
				// });

				$('.tint-xtreme .animation-placeholder').height(self.placeholder_height);

				$('.xtreme-stage').css({
					top: self.frame_offset_top,
				})

				self.new_height = self.browser_height - self.page_header_height;
				self.new_width = self.new_height / .5625;
				if( self.new_width > self.browser_width ){
					self.new_width = self.browser_width;
					self.new_height = self.browser_width * .5625;
				}
				$('#c1').css({
					height: self.new_height,
					width: self.new_width,
				})
				$('.animation-stage').css({
					height: self.new_height,
					width: self.new_width,
					marginLeft: -.5*self.new_width,
				})

				for (var i = 1; i <= totalFrames + 1; i++) {
					var filename, img;
					filename = 'frame_' + i + '.jpg';
					img = new Image;
					img.src = folder + filename;
					imageFrames.push(img);
				}
				jQuery('body').imagesLoaded( function(){
					canvas.drawImage(imageFrames[0], 0, 0, 1920, 1080);
					setTimeout( function(){
						jQuery('.tint-loader').fadeOut( 500 );
					}, 2000)
				})
				self.video_setup = true;
			},
			setup_hotspots: function(){
				underscores = Snap.selectAll('.hotspot .underscore')
				underscores.forEach( function(el){
					path_length = el.getTotalLength();
					el.attr({
						'stroke-dasharray': path_length,
						'stroke-dashoffset': path_length,
					})
				} );
			},
			// xtreme_click: function(){
			// 	var self = this;
			// 	$('.tet-ctas .left a').on('click', function(){
			// 		$('.tint-tech').addClass('choice-xtreme');
			// 		$('.tint-standard').delay(1000).fadeOut();
			// 		$('.tint-xtreme').animate({
			// 			height: self.animation_height + self.browser_height + $('.specifications').outerHeight(),
			// 		}, 2000);
			// 	})
			// },
			event_handlers: function() {
				var self = this;

				self.underscore_click();
				self.pagenav_click();
				//self.xtreme_click();
				
			},
			scroll_event: function(){
				var self = this;


				hotspot_1_display = 'none';
				hotspot_2_display = 'none';
				hotspot_3_display = 'none';

				jQuery(window).on('scroll', function(e){

					docTop = jQuery(document).scrollTop();
					video_progress = Math.floor( docTop / scroll_factor );

					if( docTop > self.header_height ){
						jQuery('.tet-page-header').addClass('fixed')
					}else{
						jQuery('.tet-page-header').removeClass('fixed')
					}


					//headline paralax
					if( video_progress <= headline_1 ){
						hotspot_1_display = 'none';
						headline_1_opacity = 0;
						headline_1_margin = headline_margin;
					}else if( video_progress > headline_1 && video_progress <= headline_1 + headline_duration ){
						hotspot_1_display = 'block';
						headline_1_opacity = (video_progress - headline_1) / headline_opacity_duration;
						headline_1_margin = headline_margin - (video_progress - headline_1);
					}else if( video_progress > headline_1 + headline_duration && video_progress <= headline_1 + headline_duration + headline_pause ){
						headline_1_opacity = 1;
						headline_1_margin = 0;
					}else if( video_progress > headline_1 + headline_duration + headline_pause && video_progress <= headline_1 + headline_duration*2 + headline_pause ){
						headline_1_opacity = 1 - (video_progress - (headline_1 + headline_duration + headline_pause) ) / headline_duration;
						headline_1_margin = -(video_progress - (headline_1 + headline_duration + headline_pause) );
					}else{
						headline_1_opacity = 0;
						headline_1_margin = -headline_margin;
					}

					if( video_progress <= headline_2 ){
						hotspot_2_display = 'none';
						headline_2_opacity = 0;
						headline_2_margin = headline_margin;
					}else if( video_progress > headline_2 && video_progress <= headline_2 + headline_duration ){
						hotspot_2_display = 'block';
						headline_2_opacity = (video_progress - headline_2) / headline_opacity_duration;
						headline_2_margin = headline_margin - (video_progress - headline_2);
					}else if( video_progress > headline_2 + headline_duration && video_progress <= headline_2 + headline_duration + headline_pause ){
						headline_2_opacity = 1;
						headline_2_margin = 0;
					}else if( video_progress > headline_2 + headline_duration + headline_pause && video_progress <= headline_2 + headline_duration*2 + headline_pause ){
						headline_2_opacity = 1 - (video_progress - (headline_2 + headline_duration + headline_pause) ) / headline_duration;
						headline_2_margin = -(video_progress - (headline_2 + headline_duration + headline_pause) );
					}else{
						headline_2_opacity = 0;
						headline_2_margin = -headline_margin;
					}

					if( video_progress <= headline_3 ){
						hotspot_3_display = 'none';
						headline_3_opacity = 0;
						headline_3_margin = headline_margin;
					}else if( video_progress > headline_3 && video_progress <= headline_3 + headline_duration ){
						hotspot_3_display = 'block';
						headline_3_opacity = (video_progress - headline_3) / headline_opacity_duration;
						headline_3_margin = headline_margin - (video_progress - headline_3);
					}else if( video_progress > headline_3 + headline_duration && video_progress <= headline_3 + headline_duration + headline_pause ){
						headline_3_opacity = 1;
						headline_3_margin = 0;
					}else if( video_progress > headline_3 + headline_duration + headline_pause && video_progress <= headline_3 + headline_duration*3 + headline_pause ){
						headline_3_opacity = 1 - (video_progress - (headline_3 + headline_duration + headline_pause) ) / headline_duration;
						headline_3_margin = -(video_progress - (headline_3 + headline_duration + headline_pause) );
					}else{
						headline_3_opacity = 0;
						headline_3_margin = -headline_margin;
					}

					

//console.log( headline_1_margin );



					if( video_progress <= pause_1 ){
						hotspot_1_opacity = 0;
					}else if( video_progress > pause_1 && video_progress <= pause_1 + fade_duration ){
						hotspot_1_opacity = (video_progress - pause_1) / fade_duration;
					}else if( video_progress > pause_1 + fade_duration && video_progress <= pause_1 + fade_duration + hotspot_duration ){
						hotspot_1_opacity = 1;
					}else if( video_progress > pause_1 + fade_duration + hotspot_duration && video_progress <= pause_1 + 2*fade_duration + hotspot_duration ){
						hotspot_1_display = 'block';
						hotspot_1_opacity = 1 - (video_progress - (pause_1 + fade_duration + hotspot_duration) ) / fade_duration;
					}else if( video_progress > pause_1 + 2*fade_duration + hotspot_duration ){
						hotspot_1_display = 'none';
						hotspot_1_opacity = 0;
					}

					if( video_progress <= pause_2 ){
						hotspot_2_opacity = 0;
					}else if( video_progress > pause_2 && video_progress <= pause_2 + fade_duration ){
						hotspot_2_opacity = (video_progress - pause_2 ) / fade_duration;
					}else if( video_progress > pause_2 + fade_duration && video_progress <= pause_2 + fade_duration + hotspot_duration ){
						hotspot_2_opacity = 1;
					}else if( video_progress > pause_2 + fade_duration + hotspot_duration && video_progress <= pause_2 + 2*fade_duration + hotspot_duration ){
						hotspot_2_display = 'block';
						hotspot_2_opacity = 1 - (video_progress - (pause_2 + fade_duration + hotspot_duration) ) / fade_duration;
					}else if( video_progress > pause_2 + 2*fade_duration + hotspot_duration ) {
						hotspot_2_display = 'none';
						hotspot_2_opacity = 0;
					}

					if( video_progress <= pause_3 ){
						hotspot_3_opacity = 0;
					}else if( video_progress > pause_3 && video_progress <= pause_3 + fade_duration ){
						hotspot_3_opacity = (video_progress - pause_3 ) / fade_duration;
					}else if( video_progress > pause_3 + fade_duration){
						hotspot_3_display = 'block';
						hotspot_3_opacity = 1;
					}

					// else{
					// 	hotspot_3_display = 'none';
					// 	hotspot_3_opacity = 0;
					// }



					if( docTop < self.frame_offset_top ){
						new_top = Math.max( self.page_header_height, self.frame_offset_top - docTop );
					}else if( docTop >= self.frame_offset_top && docTop < self.animation_height ){
						new_top = self.page_header_height;
					}else if( docTop >= self.animation_height ){
						new_top = self.animation_height - docTop + self.page_header_height;
					}
					$('.xtreme-stage').css({
						top: new_top,
					})

					if( video_progress <= pause_1 ){
						currentFrame = video_progress;
					}else if( video_progress > pause_1 && video_progress <= pause_1 + pause_duration ){
						currentFrame = pause_1;
					}else if( video_progress > pause_1 + pause_duration && video_progress <= pause_2 ){
						currentFrame = video_progress - pause_duration;
					}else if( video_progress > pause_2 && video_progress <= pause_2 + pause_duration ){
						currentFrame = pause_2 - pause_duration;
					}else if( video_progress > pause_2 + pause_duration && video_progress <= pause_3 ){
						currentFrame = video_progress - 2*pause_duration;						
					}else if( video_progress > pause_3 ){
						currentFrame = totalFrames;
					}

					//console.log( currentFrame );
					
					if( video_progress <= headline_1 ){
						new_nav_class = '';
					}else if( video_progress > headline_1 && video_progress <= pause_1 + 2*fade_duration + hotspot_duration){
						new_nav_class = 'fit';
					}else if( video_progress > headline_2 && video_progress <= pause_2 + 2*fade_duration + hotspot_duration){
						new_nav_class = 'protect';
					}else if( video_progress > headline_3 && video_progress <= pause_3 + 2*fade_duration + hotspot_duration){
						new_nav_class = 'material';
					}else if( video_progress > pause_3 + 2*fade_duration + hotspot_duration ){
						new_nav_class = 'find';
					}
					if( new_nav_class != self.current_nav_class ){
						//console.log(new_nav_class);
						$('.video-navigation')
							.removeClass('fit protect material find')
							.addClass(new_nav_class);
						self.current_nav_class = new_nav_class;
					}

					jQuery('.animation-stage-fit .tet-section-header').css({
						opacity: headline_1_opacity,
						marginTop: headline_1_margin,
					})
					jQuery('.animation-stage-fit').css({
						display: hotspot_1_display,
					})
					jQuery('.animation-stage-fit .hotspot, .animation-stage-fit .living-proof-bubble').css({
						opacity: hotspot_1_opacity,
					})

					jQuery('.animation-stage-protect .tet-section-header').css({
						opacity: headline_2_opacity,
						marginTop: headline_2_margin,
					})
					jQuery('.animation-stage-protect').css({
						display: hotspot_2_display,
					})
					jQuery('.animation-stage-protect .hotspot, .animation-stage-protect .living-proof-bubble').css({
						opacity: hotspot_2_opacity,
					})

					jQuery('.animation-stage-material .tet-section-header').css({
						opacity: headline_3_opacity,
						marginTop: headline_3_margin,
					})
					jQuery('.animation-stage-material .underlay').css({
						opacity: headline_3_opacity,
					})
					jQuery('.animation-stage-material').css({
						display: hotspot_3_display,
					})
					jQuery('.animation-stage-material .hotspot, .animation-stage-material .living-proof-bubble').css({
						opacity: hotspot_3_opacity,
					})

					if( self.hotspot_open && self.browser_width > 1024 ){
						self.close_hotspots();
					}
					//console.log(currentFrame);
					canvas.drawImage(imageFrames[currentFrame], 0, 0, 1920, 1080);
				})
			},
			stage_animation: function( stage, callback ){
				var self = this;
				$('body').addClass('stop-scrolling');
				stage.show();
				if( stage.find('.tet-section-header').length > 0 ){
					stage.find('.tet-section-header').animate({
						marginTop: 0,
						opacity: 1,
					}, 400, function(){
						jQuery(this).delay(1500).animate({
							marginTop: -50,
							opacity: 0,
						}, 300)
						stage.find('.hotspot').delay(1500).fadeIn(800, function(){
							$('body').removeClass('stop-scrolling')
							if( typeof callback == 'function' ){
								callback();
							}
						});
					})
				}else{
					stage.find('.hotspot').fadeIn(800, function(){
						$('body').removeClass('stop-scrolling');
						if( typeof callback == 'function' ){
							callback();
						}
					});
				}

				

			},
			unset_all_animations: function(){
				var self = this;

				if(	self.animation_fired.fit ){
					self.animation_fired.fit = false;
					self.animation_unset( jQuery('.animation-stage-fit') );
				}
				if( self.animation_fired.protect ){
					self.animation_fired.protect = false;
					self.animation_unset( jQuery('.animation-stage-protect') );
				}
				if( self.animation_fired.material ){
					self.animation_fired.material = false;
					self.animation_unset( jQuery('.animation-stage-material') );
				}
			},
			animation_unset: function( stage ){
				var self = this;

				stage.fadeOut(100, function(){
					stage.find('.tet-section-header').stop().css({
						marginTop: 50,
					})
					stage.find('.hotspot').hide();
					self.close_hotspots();
				});
			},
			close_hotspots: function(){
				if( jQuery('.hotspot.active').length > 0 ){
					other_underscore = jQuery('.hotspot.active').find('.underscore').get(0);
					other_underscore = Snap(other_underscore);
					jQuery('.hotspot.active').closest('.animation-stage').removeClass('hotspot-open');
					jQuery('.hotspot.active').removeClass('active');
					other_path_length = other_underscore.getTotalLength();
					other_underscore.animate({
						'stroke-dashoffset': other_path_length,
					}, 300)
					self.hotspot_open = false;
				}
			},
			underscore_click: function(){
				var self = this;
				jQuery(document).on('click', '.xtreme-stage', function(){
					self.close_hotspots();
				})
				jQuery(document).on('click', '.hotspot', function(e){
					e.stopPropagation();

					if( self.browser_width > 540 ){
						underscore = jQuery(this).find('.underscore').get(0);
						underscore = Snap(underscore);
						path_length = underscore.getTotalLength();

						if( jQuery(this).hasClass('active') ){
							self.hotspot_open = false;
							self.close_hotspots();
						}else{
							self.close_hotspots();

							self.hotspot_open = true;
							jQuery(this).closest('.animation-stage').addClass('hotspot-open');
							jQuery(this).addClass('active');
							underscore.animate({
								'stroke-dashoffset': 0,
							}, 300)
						}
					}else{
						//console.log('neil');
						if( jQuery(this).hasClass('active') ){

							jQuery(this).removeClass('active')
						}else{
							jQuery(this).addClass('active')
						}
					}
				})

				// jQuery('.hotspot .text .close-overlay').on('click', function(e){
				// 	e.preventDefault();
				// 	console.log('neil');
				// 	jQuery(this).closest('.hotspot').removeClass('active');
				// })
jQuery('.mobile-menu-trigger').on('click', function(){
		var $target = jQuery(this),
			$menu = $target.parents('.tet-page-header-mobile')
			$nav = $menu.find('.mobile-campaign-navigation');

		if ($menu.hasClass('active')) {
			$nav.fadeOut(300);
			$menu.removeClass('active');
		} else {
			$menu.addClass('active');
			$nav.fadeIn(300);
		}
});
			},
			pagenav_click: function(){
				var self = this;
				$('.video-navigation a').on('click', function(e){
					e.preventDefault();
					//self.animating_scroll = true;
					//self.unset_all_animations();
					destination = jQuery(this).attr('data-video-nav');
					//self.animation_fired[destination] = true;
					new_scroll_pos = self.waypoints[destination];
					distance = Math.abs( jQuery(document).scrollTop() - Math.abs( new_scroll_pos ) );
					jQuery('html, body').animate({
						scrollTop: new_scroll_pos,
					}, .2*distance, function(){
						// self.stage_animation( jQuery('.animation-stage-' + destination ), function(){
						// 	self.animation_fired[destination] = true;
						// 	self.animating_scroll = false;
						// });
					})
				})
			}

		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
safBallistic = saf.ballistic.getInstance();
// Run initialize method
safBallistic.initialize();

