if (saf === null || typeof(saf) !== "object") { var saf = new Object(); }

saf.home = (function() {
	var _instance;

	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/
			initialize: function(options) {
				var self = this;
				// attach event handlers
				jQuery(document).ready(function() {
					self.set_vars();
					self.resize_functions();
					self.event_handlers();
					self.setup_logo_animation();
					self.setup_video_bg();
					jQuery('body').imagesLoaded( function(){
						setTimeout( function(){
							self.fire_animation();
						}, 2000)
					})
				});
			},
			set_vars: function(){

			},
			resize_functions: function(){
				var self = this;
				$(window).smartresize(function(){
	                self.setup_video_bg();
	            });
			},
			event_handlers: function() {
				var self = this;

			},
			setup_video_bg: function(){
				browser_width = $(window).width();
				video_height = browser_width * .5625;

				if( video_height < 788 ){
					video_margin = (1400 - browser_width)/2;
					$('.tint-saves .video-bg').css({
						width: 1400,
						marginLeft: -video_margin,
					})
				}
			},
			setup_logo_animation: function(){
				var self = this,
					living_src = "/on/demandware.static/-/Sites-tsg-Library/default/v1442496969524/resources/body_armor/tet-saves/assets/img/index/safariland-logotype-living.png",
					proof_src = "/on/demandware.static/-/Sites-tsg-Library/default/v1442496969524/resources/body_armor/tet-saves/assets/img/index/safariland-logotype-proof.png",

				title = Snap('.logo-animation');
				living 	= title.image( living_src, 22, 16, 420, 52 );
				proof 	= title.image( proof_src, 570, 4,  427, 75 );
				mask_left = Snap('#mask-left');
				mask_right = Snap('#mask-right');

				mask_left.attr({ fill: '#fff', transform: 't-510 0' });
				mask_right.attr({ fill: '#fff', transform: 't510 0'});

				living.attr({ mask: mask_left, transform: 't510 0' });
				proof.attr({ mask: mask_right, transform: 't-510 0'  });

			},
			fire_animation: function(){
				var self = this;

				jQuery('.tint-loader').fadeOut( 500, function(){
					jQuery('.tint-saves').addClass('animated');

					mask_left.animate({ transform: 't0 0' }, 500, mina.easein )
					living.animate({ transform: 't0 0' }, 500, mina.easein )

					mask_right.animate({ transform: 't0 0' }, 500, mina.easein )
					proof.animate({ transform: 't0 0' }, 500, mina.easein, function(){
						setTimeout( function(){
							jQuery('.tint-saves').addClass('animation-complete');
						}, 2000)
					} );
				})


			}


		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
safHome = saf.home.getInstance();
// Run initialize method
safHome.initialize();

