if (tet === null || typeof(tet) !== "object") { var tet = {}; }

tet.main = (function($) {
    var _instance;


    function kickoff() {
        return {
            initialize: function(options) {
                var self = this;

                $(document).ready(function() {
                    self.set_viewport_vars();
                    self.event_handlers();
                    self.resize_functions();
                    self.hash_load();

                    self.page_nav();
                    self.reconstruct_primary_nav();
                    self.reconstruct_extended_nav();
                    self.reconstruct_footer_nav();
                    self.nav_accordions();

                    setTimeout( function(){
                        $('body').addClass('loaded');

                        var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
                    
                        if( scrollTop > 300 ){
                            if( !self.scrolled ){
                                $('body').addClass('scrolled');
                                self.scrolled = true;
                            }
                        }
                    }, 700);
                });
            },
            scrolled: false,
            nav_open: false,

            //Define variables that change on viewport resize
            set_viewport_vars: function(){
                var self = this;

            },

            //Functionality update on resize
            resize_functions: function(){
                var self = this;

                $(window).smartresize(function(){
                    self.set_viewport_vars();
                });
            },

            //Utilities
            //Scroll to a hash tag
            hash_scroll: function( dest, hash ){
	           
                if( $(dest).length > 0 ){
                    var loc = Math.ceil($(dest).offset().top - 100),
                    dur = Math.abs($(document).scrollTop() - loc) * 0.5;
                    
                    $('html, body').animate({
                        scrollTop: loc
                    }, dur, function() {
                        // if( hash ){
                        //     window.location.hash = hash;
                        // }
                    });
                }
            },

            //Events
            //Init Event Handlers
            event_handlers: function(){
                var self = this;

                self.toggle_extended_nav();
                self.modal_trigger_click();
                self.modal_paging_click();
                self.modal_close_click();
                self.in_page_hash_links();
                self.page_nav_clicks();
                self.header_scroll();
                self.competency_filter();
                self.escape_click();
            },

            //Modal link click
            modal_trigger_click: function(){
                var self = this;

                $('.modal-link').on('click tap touch', function(e){
                    e.preventDefault();
                    var modal = $(this).attr('data-modal');

                    self.open_modal(modal);
                });
            },

            modal_paging_click: function(){
                var self = this;
                $('.modal-paging a').on('click tap touch', function(e){
                    e.preventDefault();
                    var $this = $(this),
                        $curr_modal = $('.sponsor-modal.active');

                    if( $this.hasClass('next') ){
                        $targ_modal = ( $curr_modal.next('.sponsor-modal').length > 0 )? $curr_modal.next('.sponsor-modal') : $('.sponsor-modal').first();
                    }else{
                        $targ_modal = ( $curr_modal.prev('.sponsor-modal').length > 0 )? $curr_modal.prev('.sponsor-modal') : $('.sponsor-modal').last();
                    }
                    $curr_modal.removeClass('active');
                    setTimeout( function(){
                        $targ_modal.addClass('active');
                    }, 300);
                });
            },

            modal_close_click: function(){
                var self = this;
                $('.close-modal,.modal-ground').on('click tap touch', function(e){
                    e.preventDefault();
                    self.close_modals();
                });
            },

            open_modal: function(modal){
                var $target = $('#modal-' + modal );
                if( $target.length > 0 ){
                    $('body').addClass('scroll-disabled');
                    $('.modals .modal').removeClass('active').find('.modal-scroll').scrollTop(0);
                    $target.addClass('active');
                    $target.closest('.modals').addClass('active');
                }
            },

            close_modals: function(){
                $('body').removeClass('scroll-disabled');
                $('.modals .modal').removeClass('active');
                $('.modals').removeClass('active');
            },

            //Escape key
            escape_click: function(){
                var self = this;
                //Esc close modal
                $(document).on('keydown', function(e){
                    if(e.keyCode === 27){
                        e.preventDefault();
                        self.close_modals();
                        self.close_nav();
                    }
                });
            },
            //Handle clicks on inline links and nav bullets that link to content on current page
            in_page_hash_links: function(){
                var self = this;

                $(document).on('click tap touch', '.hash-link, .extended-nav .nav-item-has-children.nav-item-current ul a', function(e){
                    e.preventDefault();
                    e.stopPropagation();

                    var href = $(this).attr('href'),
                    slug = href.split('#')[1],
                    hash = '#' + slug,
                    dest = '#section-' + href.split('#')[1];
										
                    if( typeof slug != 'undefined'){
                        e.preventDefault();
                        self.hash_scroll( dest, hash );
                    }

                    if( self.nav_open ){
                        self.close_nav();
                    }
                });
            },

            //Handle clicks in sidebar nav
            page_nav_clicks: function(){
                var self = this;

                $('#page-nav a').on('click tap touch', function(e){
                    e.preventDefault();

                    var dest = $(this).attr('href'),
                    hash = '#' + dest.split('#section-')[1];

                    self.hash_scroll( dest, hash );

                });
            },

            close_nav: function(){
                var self = this;

                self.nav_open = true;
                $('.toggle-menu, .extended-nav').removeClass('active');
            },

            //Toggle extended navigation open and closed
            toggle_extended_nav: function(){
                var self = this;
                $('.toggle-menu').on('click tap touch', function(e){
                    e.preventDefault();
                    e.stopPropagation();

                    if( $(this).hasClass('active') ){
                        self.close_nav();
                    }else{
                        self.nav_open = true;
                        $(this).add('.extended-nav').addClass('active');
                    }
                });

                $('html').on('click tap touch', function(){
                    if( self.nav_open ){
                        self.close_nav();
                    }
                });

                $('.extended-nav').on('click tap touch', function(e){
                    e.stopPropagation();
                });

                $('.ui-accordion-header').on('click tap touch', function(e){
                    e.stopPropagation();
                });
            },

            //Loading Functions
            //Detect hashtag in url and scroll to it
            hash_load: function(){
                var self = this,
                hash = location.hash,
                dest_section = '#section-' + hash.split('#')[1],
                dest_modal = '#modal-' + hash.split('#')[1];

                if( hash && $(dest_section).length > 0 ){
                    self.hash_scroll( dest_section );

                    if( $(dest_modal).length > 0 ){
                        setTimeout( function(){
                            self.open_modal( location.hash.split('#')[1] );
                        }, 1000);
                    }
                }
            },

            //Header
            //Create extended navigation accordions with jquery ui
            nav_accordions: function(){
                var active_panel = ($('.nav-item-has-children.nav-item-current, .nav-item-ancestor').length > 0 )? $('.nav-item-has-children.nav-item-current, .nav-item-ancestor').index('.nav-item-has-children'):false;

                $( '.extended-nav' ).accordion({
                    active: active_panel,
                    collapsible: true,
                    header: '.nav-item-has-children > a',
                    heightStyle: 'content'
                });
            },

            //Streamline architecture changes by building nav from javascript object
            reconstruct_primary_nav: function(){
                var curr_slug = $('body').data('page'),
                    html = '<ul>';

                //Create html from menu object
                for( var item in tet.menus.primary ){
                    html += '<li class="nav-item-' + tet.menus.primary[item].slug;
                    if( curr_slug == tet.menus.primary[item].slug ) html += ' nav-item-current';
                    html += '"><a href="' + tet.menus.primary[item].url + '">' + tet.menus.primary[item].title + '</a></li>';
                }
                html += '</ul>';

                //Overwrite primary nav
                $('.site-header .site-nav').html(html);
            },
            reconstruct_extended_nav: function(){
                var curr_slug = $('body').data('page'),
                    parent_slug = $('body').data('parent'),
                    html = '<ul>';

                //Create html from secondary nav object
                for( var item in tet.menus.secondary ){
                    entry = tet.menus.secondary[item];

                    html += '<li class="nav-item-' + entry.slug + ' ';
                    if ( parent_slug == entry.slug ) html += 'nav-item-ancestor ';
                    if ( curr_slug == entry.slug ) html += 'nav-item-current ';
                    if ( 'sub' in entry )  html += 'nav-item-has-children ';
                    html += 'nav-item"><a href="' + entry.url + '">' + entry.title + '</a>';

                    if ( 'sub' in entry ) {
                        html += '<ul>';
                        for ( var sub in entry.sub ) {
                            var subentry = entry.sub[sub];
                            html += '<li class="nav-item-' + subentry.slug + ' ';
                            if ( curr_slug == subentry.slug ) html += 'nav-item-current ';
                            html += 'nav-sub-item nav-item"><a href="' + subentry.url + '">' + subentry.title + '</a></li>';
                        }
                        html += '</ul>';
                    }
                    html += '</li>';
                }
                html += '</ul>';

                //Overwrite secondary nav
                $('.extended-nav .inner').html(html);
            },
            reconstruct_footer_nav: function(){

                //Create html from footer_nav object
                var html = '<ul>';
                for( var item in tet.menus.footer_nav ){
                    html += '<li class="nav-item-' + tet.menus.footer_nav[item].slug+ '"><a href="' + tet.menus.footer_nav[item].url + '"><span>' + tet.menus.footer_nav[item].title + '</span></a></li>';
                }
                html += '</ul>';
                //Overwrite footer nav
                $('.site-footer .footer-nav').html(html);

                //Create html from footer_tools object
                html = '';
                for( var item in tet.menus.footer_tools ){
                    html += '<li class="nav-item-' + tet.menus.footer_tools[item].slug+ '"><a href="' + tet.menus.footer_tools[item].url + '" target="_blank"><span>' + tet.menus.footer_tools[item].title + '</span></a></li>';
                }
                //Overwrite footer tools
                $('.site-footer .reg-tools').html(html);

                //Create html from footer_social object
                html = '';
                for( var item in tet.menus.footer_social ){
                    html += '<li class="nav-item-' + tet.menus.footer_social[item].slug+ '"><a href="' + tet.menus.footer_social[item].url + '" target="_blank">' + tet.menus.footer_social[item].title + '</a></li>';
                }
                //Overwrite footer tools
                $('.site-footer .social-nav').html(html);
            },


            //Page Nav
            //Use bootstrap plugins to configure sidebar nav
            page_nav: function(){
                if( $('#page-nav').length > 0 ){

                    $('body').scrollspy({
                        target: '#page-nav',
                        offset: 100
                    });

                    affix_offset = $('#page-nav').offset().top;
                    $('.page-nav-inner').affix({
                        offset: {
                            top: affix_offset
                        }
                    });
                }
            },


            header_scroll: function(){
                var self = this;
                
                $(document).on('scroll', function(){
                    var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
                    
                    if( scrollTop > 300 ){
                        if( !self.scrolled ){
                            $('body').addClass('scrolled');
                            self.scrolled = true;
                        }
                    }else{
                        if( self.scrolled ){
                            $('body').removeClass('scrolled');
                            self.scrolled = false;
                        }
                    }
                });
            },

            competency_filter: function(){
                var self = this;

                $('.toggle-competencies').on('click tap touch', function(e){
                    e.preventDefault();
                    var $this = $(this);

                    if( $this.hasClass('active')){
                        $(this).removeClass('active');
                        $('.options-panel').removeClass('active');
                    }else{
                        $(this).addClass('active');
                        $('.options-panel').addClass('active');
                    }
                });

                $('.competencies-filter .options ul a').on('click tap touch', function(e){
                    e.preventDefault();

                    var $this = $(this),
                        comp = $this.data('competency'),
                        comp_name = $this.html();

                    $('.sections').removeClass(function (index, css) {
                        return (css.match (/(^|\s)filter-\S+/g) || []).join(' ');
                    });

                    if( $this.hasClass('active') ){
                        $('.toggle-competencies').removeClass('active');
                        $('.competencies-filter').removeClass('active');
                        $('.competencies-filter .options a').removeClass('active');
                        $('.sections').removeClass('filtered');
                        $('.current-filter').html('Select').removeClass('full');
                        $('.options-panel').removeClass('active');
                    }else{
                        $('.toggle-competencies').removeClass('active');
                        $('.competencies-filter').addClass('active');
                        $('.competencies-filter .options a').removeClass('active');
                        $(this).addClass('active');
                        $('.sections').addClass('filtered filter-' + comp);
                        $('.options-panel').removeClass('active');
                        $('.current-filter').html(comp_name).addClass('full');
                    }
                });

                $('.competencies-filter .clear-selection').on('click tap touch', function(e){
                    e.preventDefault();

                    $('.toggle-competencies').removeClass('active');
                    $('.competencies-filter').removeClass('active');
                    $('.competencies-filter .options a').removeClass('active');
                    $('.current-filter').html('Select').removeClass('full');
                    $('.options-panel').removeClass('active');
                    $('.sections').removeClass(function (index, css) {
                        return (css.match (/(^|\s)filter-\S+/g) || []).join(' ');
                    });
                });
            }
        };
    }


    return {
    /* Get an instance of this singleton
    * @return object
    */
    getInstance: function() {
        if (!_instance)
            _instance = kickoff();
        return _instance;
    }
};
})(jQuery);

// Instantiate the class
tet_main = tet.main.getInstance();
// Run initialize method
tet_main.initialize();



jQuery(document).ready(function($){
    if( $('.wave-parallax').length <= 0 ) return;
    
    //check media query
    var mediaQuery = window.getComputedStyle(document.querySelector('.wave-parallax'), '::before').getPropertyValue('content').replace(/"/g, '').replace(/'/g, ""),
        //define store some initial variables
        halfWindowH = $(window).height()*0.5,
        halfWindowW = $(window).width()*0.5,
        //define a max rotation value (X and Y axises)
        maxRotationY = 5,
        maxRotationX = 3,
        aspectRatio;

    //detect if hero <img> has been loaded and evaluate its aspect-ratio
    $('.layers').find('img').eq(0).load(function() {
        aspectRatio = $(this).width()/$(this).height();
        if( mediaQuery == 'web' && $('html').hasClass('preserve-3d') ) initBackground();
    }).each(function() {
        //check if image was previously load - if yes, trigger load event
        if(this.complete) $(this).load();
    });
    
    //detect mouse movement
    $('.wave-parallax').on('mousemove', function(event){
        if( mediaQuery == 'web' && $('html').hasClass('preserve-3d') ) {
            window.requestAnimationFrame(function(){
                moveBackground(event);
            });
        }
    });

    //on resize - adjust .wave-parallax and .layers dimentions and position
    $(window).on('resize', function(){
        mediaQuery = window.getComputedStyle(document.querySelector('.wave-parallax'), '::before').getPropertyValue('content').replace(/"/g, '').replace(/'/g, "");
        if( mediaQuery == 'web' && $('html').hasClass('preserve-3d') ) {
            window.requestAnimationFrame(function(){
                halfWindowH = $(window).height()*0.5;
                halfWindowW = $(window).width()*0.5;
                initBackground();
            });
        } else {
            $('.wave-parallax').attr('style', '');
            $('.layers').attr('style', '').removeClass('is-absolute');
        }
    });

    function initBackground() {
        var wrapperHeight = Math.ceil(halfWindowW*2/aspectRatio), 
            proportions = ( maxRotationY > maxRotationX ) ? 1.1/(Math.sin(Math.PI / 2 - maxRotationY*Math.PI/180)) : 1.1/(Math.sin(Math.PI / 2 - maxRotationX*Math.PI/180)),
            newImageWidth = Math.ceil(halfWindowW*2*proportions),
            newImageHeight = Math.ceil(newImageWidth/aspectRatio),
            newLeft = halfWindowW - newImageWidth/2,
            newTop = (wrapperHeight - newImageHeight)/2;

        //set an height for the .wave-parallax
        // $('.wave-parallax').css({
        //     'height' : wrapperHeight,
        // });
        //set dimentions and position of the .wave-parallax     
        $('.layers').addClass('is-absolute').css({
            'left' : newLeft,
            'top' : newTop,
            'width' : newImageWidth,
        });
    }

    function moveBackground(event) {
        var rotateY = ((-event.pageX+halfWindowW)/halfWindowW)*maxRotationY,
            rotateX = ((event.pageY-halfWindowH)/halfWindowH)*maxRotationX;

        if( rotateY > maxRotationY) rotateY = maxRotationY;
        if( rotateY < -maxRotationY ) rotateY = -maxRotationY;
        if( rotateX > maxRotationX) rotateX = maxRotationX;
        if( rotateX < -maxRotationX ) rotateX = -maxRotationX;

        $('.layers').css({
            '-moz-transform': 'rotateX(' + rotateX + 'deg' + ') rotateY(' + rotateY + 'deg' + ') translateZ(0)',
            '-webkit-transform': 'rotateX(' + rotateX + 'deg' + ') rotateY(' + rotateY + 'deg' + ') translateZ(0)',
            '-ms-transform': 'rotateX(' + rotateX + 'deg' + ') rotateY(' + rotateY + 'deg' + ') translateZ(0)',
            '-o-transform': 'rotateX(' + rotateX + 'deg' + ') rotateY(' + rotateY + 'deg' + ') translateZ(0)',
            'transform': 'rotateX(' + rotateX + 'deg' + ') rotateY(' + rotateY + 'deg' + ') translateZ(0)',
        });
    }
});

/*  Detect "transform-style: preserve-3d" support, or update csstransforms3d for IE10 ? #762
    https://github.com/Modernizr/Modernizr/issues/762 */
(function getPerspective(){
  var element = document.createElement('p'),
      html = document.getElementsByTagName('html')[0],
      body = document.getElementsByTagName('body')[0],
      propertys = {
        'webkitTransformStyle':'-webkit-transform-style',
        'MozTransformStyle':'-moz-transform-style',
        'msTransformStyle':'-ms-transform-style',
        'transformStyle':'transform-style'
      };

    body.insertBefore(element, null);

    for (var i in propertys) {
        if (element.style[i] !== undefined) {
            element.style[i] = "preserve-3d";
        }
    }

    var st = window.getComputedStyle(element, null),
        transform = st.getPropertyValue("-webkit-transform-style") ||
                    st.getPropertyValue("-moz-transform-style") ||
                    st.getPropertyValue("-ms-transform-style") ||
                    st.getPropertyValue("transform-style");

    if(transform!=='preserve-3d'){
      html.className += ' no-preserve-3d';
    } else {
        html.className += ' preserve-3d';
    }
    document.body.removeChild(element);

})();
