module.exports.activities = [{
	meta: [{
		title: 'Activities',
		slug: 'activities',
		url: 'https://reinvent.awsevents.com/activites',
		desc: 'Take your re:Invent experience to the next level with activities that provide learning environments, showcase your AWS skills, and meet other AWS experts.',
		wave: '3',
	}],
	header: [{
		headline: 'Activities',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Global Partner Summit, Hackathon, and Gameday</h2> \
			<p class="last">Take your re:Invent experience to the next level with activities that provide engaging learning environments and opportunities to showcase and sharpen your AWS skills while meeting other AWS experts. Are you a member of APN? Take part in our annual Global Partner Conference.</p>'
	}],
	sections: [
		{
			slug: 'global-partners-summit',
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/activities/aws-reinvent-activity-global-partners-summit-panel-of-speakers.jpg',
								alt: 'AWS re:Invent panel of speakers at Global Partners Summit.',
							},
						},
						{
							content: '<h3 class="headline-s3">Global Partner Summit</h3> \
								<p>Join us at the Global Partner Summit for the chance to hear from AWS leadership about the future of the business and what is coming next for the AWS Partner Network (APN). Here, you will have the opportunity to learn from the success of your fellow partners, participate in sessions focused on developing new skills, and discover insights into growing your cloud practice with AWS.</p> \
								<p class="last"><a class="button" href="/activities/global-partner-summit"><span>learn more</span></a></p>'
						}
					]
				}
			]
		},
		{
			slug: "hackathon",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/activities/aws-reinvent-activity-hackathon-two-engineers-colaborate.jpg',
								alt: 'Two engineers collaborate at the AWS re:Invent Hackathon.',
							},
						},
						{
							content: '<h3 class="headline-s3">Hackathon</h3> \
								<p>Our annual hackathon is back for another year, this time with even bigger and better challenges. This is the perfect place to show off your tech skills and earn bragging rights while solving real-world problems for a non-profit organization.</p> \
								<p class="last">You can register for this event in late summer.</p>'
						}
					]
				}
			]
		},
		{
			slug: "gameday",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/activities/aws-reinvent-activity-game-day-hands-working-on-circuitry.jpg',
								alt: 'An engineer working on circuity at the AWS re:Invent Game Day activity.',
							},
						},
						{
							content: '<h3 class="headline-s3">Gameday</h3> \
								<p>Do you have what it takes to securely scale an application that meet the demands of the connected world and still conquers threats from both inside and outside of your company?</p> \
								<p>Can you keep a cloud-based workload running through extreme traffic spikes and malicious attacks, with little input from the people who built it the first time?</p> \
								<p class="last">You can register for this event in late summer.</p>'
						}
					]
				}
			]
		},
	]
}];