module.exports.after_hours = [{
	meta: [{
		title: "After Hours",
		slug: "after-hours",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/after-hours",
		desc: "AWS re:Invent after hours experiences you&rsquo;ve come to love: the wing eating contest, Pub Crawl, Harley ride, re:Play party, and the brand new re:Invent 5k.",
	}],
	header: [{
		headline: "After Hours",
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">After Hours at <span class="reinvent-case">re:Invent</span></h2> \
			<p class="last">Quirky after hours experiences you&rsquo;ve come to love from the wing eating contest to the (expanded) Pub Crawl, Harley ride, re:Play party, and new this year, the re:Invent 5k.  After a full day of sessions, these activities are the perfect way to relax and connect and network with your fellow attendees, re:Invent sponsors, and AWS experts.</p>',
	//	content_2: "<h3>The New re:Invent 5k</h3> \
	//		<p>New to re:Invent this year, we are excited to offer a 5k run for our attendees. Stick to your fitness routine, get outside and stretch your legs before a full day of sessions. The re:Invent 5k will take place Wednesday morning before the keynote and is fun way to stay fit during re:Invent   Registration opens in July!</p>",
	}],
	sections: [
		{
			slug: "welcome-reception",
			name: "welcome reception",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-welcome-reception.jpg',
								alt: 'The welcome reception at the AWS re:Invent After Hours event.',
							},
						},
						{
							content: '<h3 class="headline-s3">Welcome Reception</h3> \
								<p class="last">Stop by and get your first taste of AWS re:Invent Central, located at the heart of the re:Invent action. You&rsquo;ll find everything you need to get connected, educated, and stay engaged with conference happenings. While you&rsquo;re there, take advantage of opportunities to speak with leading cloud-technology consultants and providers and get answers from our expert AWS engineers and product leaders.</p> \
								<!--<a class="button" href="/after-hours/welcome-reception"><span>learn more</span></a>-->'
						},
					]
				}
			]
		},
		{
			slug: "pub-crawl",
			name: "pub crawl",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-pub-crawl.jpg',
								alt: 'The AWS re:Invent After Hours Pub Crawl',
							},
						},
						{
							content: '<h3 class="headline-s3">Pub Crawl</h3> \
								<p class="last">Spend a night with AWS and its sponsors at some of the best clubs and restaurants Las Vegas has to offer. Hosted bar and appetizer are on us.</p> \
								<!--<a class="button" href="/after-hours/pub-crawl"><span>learn more</span></a>-->'
						},
					]
				}
			]
		},
		{
			slug: "reinvent-5k",
			name: "re:Invent 5k",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-preplay-5k.jpg',
								alt: 'The brand new AWS re:Invent 5k run.',
							},
						},
						{
							content: '<h3 class="headline-s3">The New <span class="reinvent-case">re:Invent</span> 5<span class="reinvent-case">k</span></h3> \
								<p class="last">New to re:Invent this year, we are excited to offer a 5k run for our attendees. Stick to your fitness routine, get outside and stretch your legs before a full day of sessions. The re:Invent 5k will take place Wednesday morning before the keynote and is fun way to stay fit during re:Invent   Registration opens in July!</p> \
								<!--<a class="button" href="/after-hours/preplay-5k"><span>learn more</span></a>-->'
						},
					]
				}
			]
		},
		{
			slug: "tatonka-challenge",
			name: "tatonka challenge",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-tatonka-challenge.jpg',
								alt: 'The third annual Tatonka Challenge at AWS re:Invent.',
							},
						},
						{
							content: '<h3 class="headline-s3">Tatonka Challenge</h3> \
								<p>The Tatonka Challenge is back! Join us for our third annual buffalo chicken wing eating contest that will test the heart (and stomach) of every brave participant. All entrants will receive unlimited wings (or celery, for our plant-loving friends), a commemorative t-shirt and a chance at the ultimate prize - Tatonka bragging rights.</p> \
								<p class="last">Pre-registration is encouraged. However, participants will be selected on a first-come, first-seated basis. Registration to open late summer.</p> \
								<!--<a class="button" href="/after-hours/tatonka-challenge"><span>learn more</span></a>-->',
							},
					]
				}
			]
		},
		{
			slug: "replay",
			name: "re:Play",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-replay.jpg',
								alt: 'The world-famous re:Play Party at AWS re:Invent After Hours.',
							},
						},
						{
							content: '<h3 class="headline-s3">re:Play</h3> \
								<p>Join us on Thursday evening for our world-famous re:Play Party.</p> \
								<a class="button" href="/after-hours/replay"><span>learn more</span></a>'
						},
					]
				}
			]
		},
		{
			slug: "harley-ride",
			name: "harley ride",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-harley-ride.jpg',
								alt: 'The AWS re:Invent Harley Ride.',
							},
						},
						{
							content: '<h3 class="headline-s3">Harley Ride</h3> \
								<p class="last">End your week on the perfect note by joining your fellow attendees and AWS solutions architects on a half-day Harley ride. This 5 to 6 hours ride, including a stop for lunch, will elad you approximately 160 miles into the Valley of Fire along narrow, scenic roads. We&rsquo;ll pass through Lake Mead National Recreation Area, cruise along the shores of Lake Las Vegas, and finish with stunning view of the Las Vegas skyline.</p> \
								<!--<a class="button" href="/after-hours/harley-ride"><span>learn more</span></a>-->',
						},
					]
				}
			]
		},
	]

}];
