module.exports.agenda = [{
	meta: [{
		title: "Agenda",
		slug: "agenda",
		template: '',
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/agenda",
		desc: "Create the re:Invent experience that's right for you. Learn how the cloud impacts your business, including: IoT, new perspectives on cloud issues, and more.",
		wave: '2',
	}],
	header: [{
		headline: "Agenda Overview",
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Build Your Own Experience</h2> \
			<p class="last">Create the re:Invent experience that&rsquo;s right for you. Our 2016 agenda offers expanded opportunities to learn how the cloud impacts your business, including deep dives into topics like IoT, new perspectives on cloud issues, and more chances to learn from the experts.</p>',
		content_2: '<h2 class="headline-s3">Even More Ways To Learn</h2> \
			<p>The 2016 Session Catalog will be available later in the summer. In the meantime, you can browse the 2015 catalog to review the types of sessions we offered last year. This year&rsquo;s catalog will have 400+ sessions to choose from, with courses for all levels.</p> \
			<p class="last"><a class="button" target="_blank" href="https://www.portal.reinvent.awsevents.com/connect/search.ww#loadSearch-searchPhrase=&searchType=session&tc=1&sortBy=abbreviationSort&p="><span>view 2015 session catalog</span></a></p>',
	}],
	sections: [
		{
			slug: 'monday',
			name: 'Monday',
			number: 'Pre-Day',
			day: 'Monday',
			date: 'November 28',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 7:30pm',
					type: 'session',
					link: ''
				},
				{
					name: 'Bootcamps',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
			]
		},
		{
			slug: 'tuesday',
			name: 'Tuesday',
			number: 'Day 1',
			day: 'Tuesday',
			date: 'November 29',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 7:30pm',
					type: 'session',
				},
				{
					name: 'Breakfast',
					time: '7:30am — 8:30am',
					type: 'other',
				},
				{
					name: 'Hands-on Labs',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Bootcamps',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Breakout Sessions',
					url: '/sessions',
					time: '9:00am — 6:00pm',
					type: 'session',
				},
				{
					name: 'Global Partner Summit',
					url: '/activities/global-partner-summit',
					time: '11:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Technical Deep Dives',
					url: '/sessions#technical-deep-dives',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Lunch',
					time: '12:00pm — 1:30pm',
					type: 'other',
				},
				{
					name: 'Welcome Reception',
					url: '/activities',
					time: '5:00pm — 7:00pm',
					type: 'after-hours',
				},
			]
		},
		{
			slug: 'wednesday',
			name: 'Wednesday',
			number: 'Day 2',
			day: 'Wednesday',
			date: 'November 30',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 10:00pm',
					type: 'session',
				},
				{
					name: 'Breakfast',
					time: '7:30am — 8:30am',
					type: 'other',
				},
				{
					name: 'Hands-on Labs',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Bootcamps',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Keynote',
					time: '9:00am — 10:30am',
					type: 'other',
				},
				{
					name: 're:Invent Central <span>(Expo Hall)</span>',
					url: '/sponsors',
					time: '10:30am — 6:00pm',
					type: 'other',
				},
				{
					name: 'Breakout Sessions',
					url: '/sessions',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Technical Deep Dives',
					url: '/sessions#technical-deep-dives',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Lunch',
					time: '12:00pm — 1:30pm',
					type: 'other',
				},
				{
					name: 'Pub Crawl',
					url: '/after-hours/#pub-crawl',
					time: '5:30pm — 7:30pm',
					type: 'after-hours',
				},
				{
					name: 'Late Night Hands-on Labs',
					url: '/training',
					time: '7:00pm — 12:00am',
					type: 'session',
				}
			]
		},
		{
			slug: 'thursday',
			name: 'Thursday',
			number: 'Day 3',
			day: 'Thursday',
			date: 'December 1',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Breakfast',
					time: '7:30am — 8:30am',
					type: 'other',
				},
				{
					name: 'Hands-on Labs',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Keynote',
					time: '9:00am — 10:30am',
					type: 'other',
				},
				{
					name: 're:Invent Central <span>(Expo Hall)</span>',
					url: '/sponsors',
					time: '10:30am — 6:00pm',
					type: 'other',
				},
				{
					name: 'Breakout Sessions',
					url: '/sessions',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Technical Deep Dives',
					url: '/sessions#technical-deep-dives',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Lunch',
					time: '12:00pm — 1:30pm',
					type: 'other',
				},
				{
					name: 're:Play Party',
					url: '/after-hours/replay',
					time: '8:00pm — Midnight',
					type: 'after-hours',
				},
			]
		},
		{
			slug: 'friday',
			name: 'Friday',
			number: 'Day 4',
			day: 'Friday',
			date: 'December 2',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 2:30pm',
					type: 'session',
				},
				{
					name: 'Breakfast',
					time: '7:30am — 8:30am',
					type: 'other',
				},
				{
					name: 'Hands-on Labs',
					url: '/training',
					time: '9:00am — 12:00pm',
					type: 'session',
				},
				{
					name: 'Breakout Sessions',
					url: '/sessions',
					time: '9:00am — 1:00pm',
					type: 'session',
				},
			]
		},
	]
}];