module.exports.certifications = [{
	meta: [{
		title: "Certifications",
		slug: "certifications",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/certifications",
		desc: "Demonstrate your technical proficiency by getting AWS Certified at re:Invent. Register in advance for exams and prove your expertise.",
		wave: '2',
	}],
	header: [{
		headline: 'AWS Certification',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Get AWS Certified</h2> \
			<p class="last">Demonstrate your technical proficiency and receive special recognition by getting AWS Certified at re:Invent. The AWS Certification Exam Testing Center is open throughout the week. Register in advance for one or more exams and prove your expertise.</p>',
		content_2: '<h2 class="headline-s3">Schedule Your Exam</h2> \
			<p class="last"><strong>Please note that exam registration is separate from conference registration.</strong> Associate-level exams take 80 minutes to complete and cost $150. Professional-level exams take 170 minutes to complete and cost $300. We strongly encourage you to reserve your exam time early, as seating is limited.</p>',
		register_link: 'https://www.webassessor.com/wa.do?page=publicHome&branding=AMAZON',
		register_text: 'Certification Registration',
	}],
	sections: [
		{
			slug: 'benefits',
			name: 'benefits',
			headline: 'Benefits',
			subsections: [
				{
					rule: 'true',
					columns: [
						{
							content: '<ul class="last"> \
								<li><strong>$150 off re:Invent registration at Professional level.</strong></li> \
								<li><strong>Use of AWS Certification logo on professional collateral.</strong></li> \
								<li><strong>Opportunities for career advancement.</strong></li> \
								<li class="last"><strong>Special designation on re:Invent name badge.</strong></li> \
								</ul>',

						},
						{
							content: '<ul class="last"> \
								<li><strong>Complementary AWS Certification gift.</strong></li> \
								<li class="last"><strong>Access to AWS Certification Lounge and Appreciation Reception.</strong></li> \
								</ul>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p class="last"><a href="http://aws.amazon.com/training/traincert-customer-testimonials/" target="_blank">See what IT professionals are saying about AWS Certification</a></p>',
						}
					]
				}
			]
		},
		{
			slug: 'certification-snipe',
			page_nav_exclude: 'true',
			subsections: [
				{
					columns: [
						{
							slug: 'badge',
							content: '<img width="300" src="/_media/images/certifications/aws-certified-badge.png" alt="AWS Certified Badge"/>',
						},
						{
							content: '<h2 class="headline-s2">Get AWS Certified</h2> \
								<a class="button" target="_blank" href="https://www.webassessor.com/wa.do?page=publicHome&branding=AMAZON"><span>schedule your exam</span></a>'
						}
					]
				}
			],

		},
		{
			slug: 'events',
			name: 'events',
			headline: 'Events',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Aws Certification Lounge</h3> \
								<p>Visit the AWS Certification Lounge Monday through Friday on Level 1 (across from the Casanova Ballroom) to re:Charge and network with other certified professionals. Your re:Invent AWS Certified badge is required for entry.',
							list: [
								{
									date: "Monday, November 28",
									time: "1:00pm – 5:00pm"
								},
								{
									date: "Tuesday, November 29",
									time: "8:00am – 6:00pm"
								},
								{
									date: "Wednesday, November 30",
									time: "8:00am – 6:00pm"
								},
								{
									date: "Thursday, December 1",
									time: "8:00am – 5:00pm"
								},
								{
									date: "Friday, December 2",
									time: "8:00am – 12:00pm"
								}
							]
						},
						{
							content: '<h3 class="headline-s3">Aws Certification Appreciation Reception</h3> \
								<p>Join us on Thursday evening for a special event to recognize our AWS Certified community. You&rsquo;ll have the opportunity to meet AWS Executives and Technical Evangelists and network with other AWS Certified professionals. Your re:Invent AWS Certified badge is required for entry. If you are AWS Certified, please <a href="https://aws.amazon.com/certification/certified-reception-reinvent-2016/" target="_blank">RSVP to attend this event</a>.</p> \
								<div class="reception-details clearfix"><p class="label last">Reception Details:</p><p class="details last">December 1, 2016 <br>5:30pm - 7:30pm <br>Lavo at the Palazzo</p></div>',
						}

					]
				}
			]
		},
		{
			slug: 'exams',
			name: 'exams',
			headline: "Exams",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/certifications/aws-reinvent-exams-information-center.jpg',
								alt: 'AWS re:Invent Certification Information Center.'
							}
						},
						{
							content: '<h3 class="headline-s3">Exam Test Center Location And Hours</h3> \
								<p>The AWS Certification Exam Testing Center check-in is located in Casanova 501. Please <a href="https://www.webassessor.com/wa.do?page=publicHome&branding=AMAZON" target="_blank">reserve your seat</a> in advance and allow enough time to take your exam.',
							list: [
								{
									date: "Monday, November 28",
									time: "7:00am – 7:30pm"
								},
								{
									date: "Tuesday, November 29",
									time: "7:00am – 7:30pm"
								},
								{
									date: "Wednesday, November 30",
									time: "7:00am – 10:00pm"
								},
								{
									date: "Thursday, December 1",
									time: "7:00am – 6:30pm"
								},
								{
									date: "Friday, December 2",
									time: "7:00am – 2:30pm"
								}
							],
						},
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/certifications/aws-reinvent-developers-using-certifications-lounge.jpg',
								alt: 'AWS re:Invent Certification Information Center Lounge.'
							}
						},
						{
							content: '<h3 class="headline-s3">Aws Certification Exam Availability</h3> \
								<p class="last">The following exams are currently available in English. Many exams are also offered in Japanese, Chinese, Korean, Spanish, and Brazilian Portuguese.</p>',
						},
					]
				},
				{
					columns: [
						{
							slug: 'exam-schedule',
							subhead: 'Exams',
							list: [
								{
									name: '<a class="modal-link" href="#aws-certified-solutions-architect-associate" data-modal="aws-certified-solutions-architect-associate">AWS Certified Solutions Architect</a>',
									desc: 'Associate'
								},
								{
									name: '<a class="modal-link" href="#aws-certified-sysops-administrator" data-modal="aws-certified-sysops-administrator">AWS Certified SysOps Administrator</a>',
									desc: 'Associate'
								},
								{
									name: '<a class="modal-link" href="#aws-certified-developer" data-modal="aws-certified-developer">AWS Certified Developer</a>',
									desc: 'Associate'
								},
								{
									name: '<a class="modal-link" href="#aws-certified-solutions-architect-professional" data-modal="aws-certified-solutions-architect-professional">AWS Certified Solutions Architect</a>',
									desc: 'Professional'
								},
								{
									name: '<a class="modal-link" href="#aws-certified-devops-engineer" data-modal="aws-certified-devops-engineer-professional" >AWS Certified DevOps Engineer</a>',
									desc: 'Professional'
								}
							],
						},
						{
							slug: 'recert-schedule',
							subhead: 'Recertification Exams',
							list: [
								{
									name: 'AWS Certified Solutions Architect',
									desc: 'Associate Recertification'
								},
								{
									name: 'AWS Certified SysOps Administrator',
									desc: 'Associate Recertification'
								},
								{
									name: 'AWS Certified Developer',
									desc: 'Associate Recertification'
								},
								{
									name: 'AWS Certified Solutions Architect',
									desc: 'Professional Recertification'
								},
								{
									name: 'AWS Certified DevOps Engineer',
									desc: 'Professional Recertification'
								}
							]
						}
					]
				},
				{
					columns: [
						{
							content: '<p>To learn more about AWS Certification exams and find resources to help you prepare, <a href="http://aws.amazon.com/certification/" target="_blank">visit AWS Certification</a>.</p> \
							<a class="button" href="/training#certification-readiness"><span>learn more</span></a>'
						
						}
					]
				},
			]
		}
	],
	
	modals: [
		
		{
			headline: 'AWS Certified Solutions Architect',
			bump_r: 'Associate',
			slug: 'aws-certified-solutions-architect-associate',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/29, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Designed to complement the AWS course Architecting on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Associate exam. In this workshop, we review what to expect at the testing center and while taking the exam. We walk you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. We also teach you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will have the chance to apply knowledge and test concepts through a series of practice exam questions. </p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified Solutions Architect – Associate exam</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Architecting on AWS</strong></li> \
								<li>One or more years of hands-on experience designing and deploying scalable, highly available, and fault-tolerant systems on AWS </li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Navigate the logistics of the examination process.</li> \
								<li>Understand the exam structure and question types.</li> \
								<li>Identify how questions are written to test AWS architectural concepts.</li> \
								<li>Interpret the concepts being tested by an exam question.</li> \
								<li>Allocate your time in studying for the AWS Certified Solutions Architect – Associate exam.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing Center Information and Expectations</li> \
								<li>Exam Overview and Structure</li> \
								<li>Content Domains and Question Breakdown</li> \
								<li>Topics and Concepts with Content Domains</li> \
								<li>Question Structure and Interpretation Techniques</li> \
								<li>Practice Exam Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified SysOps Administrator',
			bump_r: 'Associate',
			slug: 'aws-certified-sysops-administrator',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This half-day workshop is intended for individuals who are preparing for the AWS Certified SysOps Administrator – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You&rsquo;ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions. At the end of the workshop you&rsquo;ll also receive a voucher to take an additional, online practice exam at no cost.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified SysOps Administrator – Associate exam</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Systems Operations on AWS</strong> (or have equivalent knowledge)</li> \
								<li>One or more years of hands-on experience configuring, deploying, and supporting networks and systems on the AWS platform.</li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Navigate the logistics of the examination process.</li> \
								<li>Understand the exam structure and question types.</li> \
								<li>Identify how questions are written to test AWS system operations concepts.</li> \
								<li>Interpret the concepts being tested by an exam question.</li> \
								<li>Allocate your time in studying for the AWS Certified SysOps Administrator – Associate exam.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing Center Information and Expectations</li> \
								<li>Exam Overview and Structure</li> \
								<li>Content Domains and Question Breakdown</li> \
								<li>Topics and Concepts with Content Domains</li> \
								<li>Question Structure and Interpretation Techniques</li> \
								<li>Practice Exam Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
			
		{
			headline: 'AWS Certified Developer',
			bump_r: 'Associate',
			slug: 'aws-certified-developer',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Designed to complement the course Developing on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Developer – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You&rsquo;ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified Developer – Associate exam</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Developing on AWS</strong> (or have equivalent knowledge)</li> \
								<li>In depth knowledge or training in at least one high-level programming language</li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
						<p class="last">This course teaches you how to:</p> \
						<ul> \
							<li>Navigate the logistics of the examination process.</li> \
							<li>Understand the exam structure and question types.</li> \
							<li>Interpret the concepts being tested by an exam question.</li> \
							<li>Allocate your time in studying for the AWS Certified Developer – Associate exam.</li> \
						</ul> \
						<h3 class="headline-s3">Delivery Method</h3> \
						<p class="last">This course is delivered through a mix of:</p> \
						<ul> \
							<li>Instructor-Led Training (ILT)</li> \
							<li>Group Discussion</li> \
							<li>Sample Exercise Questions</li> \
						</ul> \
						<h3 class="headline-s3">Course Outline</h3> \
						<p class="last">This course covers the following concepts:</p> \
						<ul> \
							<li>Exam Overview and Structure</li> \
							<li>Content Domains and Question Breakdown</li> \
							<li>Topics and Concepts with Content Domains</li> \
							<li>Question Structure and Interpretation Techniques</li> \
							<li>Practice Exam Questions</li> \
						</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified Solutions Architect',
			bump_r: 'Professional',
			slug: 'aws-certified-solutions-architect-professional',
			modal_meta: [{
				price: '$450',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Professional exam. This workshop dives deep into the content domains and concepts behind them. Hands-on labs explore advanced use cases spanning multiple content domains. The workshop walks through the exam structure, including analysis and explanations of example questions. You will apply your knowledge and test your understanding of key architectural concepts through a series of practice exam questions.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Solutions architects</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Advanced Architecting on AWS </strong> (or have equivalent knowledge)</li> \
								<li>Two or more years of hands-on experience designing and deploying cloud architecture on AWS </li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the requirements of the AWS Solutions Architect – Professional exam.</li> \
								<li>Learn the content and learn where your gaps are.</li> \
								<li>Identify the content and knowledge needed to fill those gaps.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-on Labs</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction to content domains and exam structure </li> \
								<li>Deployment Management, Data Storage, High Availability, and Business Continuity</li> \
								<li>Costing</li> \
								<li>Security, Network Design</li> \
								<li>Cloud Migration and Hybrid Architecture, Scalability, and Elasticity</li> \
								<li>Practice Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified DevOps Engineer',
			bump_r: 'Professional',
			slug: 'aws-certified-devops-engineer-professional',
			modal_meta: [{
				price: '$450',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified DevOps Engineer – Professional exam. The AWS Certified DevOps Engineer – Professional exam validates technical expertise in provisioning, operating, and managing distributed application systems on the AWS platform. This workshop walks you through how the exam is structured, including question formats, content domains, and a breakdown of the domains. It also teaches you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test DevOps concepts through a series of practice exam questions and a lab. This workshop is designed to complement the DevOps Engineering on AWS course.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified DevOps Engineer – Professional exam</li> \
								<li>Solutions architects</li> \
								<li>Developers</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>DevOps Engineering on AWS</strong> (or have equivalent knowledge)</li> \
								<li>Two or more years of hands-on experience with production AWS systems</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the structure of the AWS Certified DevOps Engineer – Professional exam.</li> \
								<li> \
									Understand the DevOps-specific domain content to prepare for the exam, including: \
									<ul> \
										<li>Implementing and managing continuous delivery systems and methodologies on AWS.</li> \
										<li>Designing, managing, and maintaining tools to automate operational processes.</li> \
										<li>Defining and deploying monitoring, metrics, and logging systems on AWS.</li> \
										<li>Understanding, implementing, and automating security controls, governance processes, and compliance validation.</li> \
										<li> Implementing systems that are highly available, scalable, and self-healing on the AWS platform.</li> \
										<li>Using AWS services for DevOps in a cost-effective manner.</li> \
									</ul> \
								</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing center information and expectations</li> \
								<li>Exam overview and structure</li> \
								<li>Content domains and question breakdown</li> \
								<li>Topics and concepts with content domains</li> \
								<li>Question structure and interpretation techniques</li> \
								<li>Practice exam questions</li> \
							</ul>'
						}
					]
				}
			]
		}	
	]
}];
