module.exports.executive_summit = [{
	meta: [{
		title: "Executive Summit",
		slug: "executive-summit",
		url: "https://reinvent.awsevents.com/executive-summit",
		desc: "The Executive Summit at AWS re:Invent hosts senior leaders from across the globe to discuss the opportunities and challenges of cloud adoption with their peers.",
	}],
	header: [{
		headline: "Executive Summit",
		bump_l: "The Venetian",
		bump_r: "11.28 – 29",
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Join The Global Cloud Leader Gathering</h2> \
			<p class="last">The Executive Summit at AWS re:Invent hosts senior leaders from across the globe to discuss the opportunities and challenges of cloud adoption with their peers. This invitation-only event occurs during the 2016 re:Invent conference in Las Vegas, Nevada.</p>',
		content_2: '<h2 class="headline-s3">Register Now</h2> \
			<p class="last">To register for Executive Summit, simply click on the register now button and register using the email address your invitation was sent to. The system will recognize you as Executive Summit invitee and will automatically add you to Executive Summit.</p>',
	}],
	sections: [
		{
			slug: 'intro',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Learn From The Experts</h3> \
								<p class="last">Hear directly from AWS executives about how AWS is investing in the future of cloud computing, including deep dives on new services launches. Agenda will feature sessions led by Andy Jassy, SVP Amazon Web Services and Stephen Schmidt, CISO Amazon Web Services as well as other members of the AWS Executive Leadership team.</p>',
						},
						{
							content: '<h3 class="headline-s3">Executive Led Agenda</h3> \
								<p class="last">The the most out of your time at re:Invent with our two-day agenda with both a leadership/business focused track with topics including operation and organizational change management as well as sessions around the technology of both building new and migrating existing applications to the cloud. </p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Make Impactful Connections</h3> \
								<p class="last">Leverage the exclusive Executive Summit Lounge to connect with our AWS teams, network with other cloud leaders, and </p>',
						},
					]
				}
			]
		},
		{
			slug: 'agenda',
			name: 'agenda',
			subhead: 'Executive Summit Agenda',
			rule: 'true',
			schedule: [
				{
					slug: 'tuesday',
					name: 'Tuesday',
					number: 'Day 1',
					day: 'Tuesday',
					date: 'November 29',
					events: [
						{
							time: '1:00pm',
							type: 'other',
							name: 'Executive Summit Lounge Open for Meetings',
						},
						{
							time: '5:00pm',
							type: 'other',
							name: 'Executive Summit Cocktail Reception',
						},
					]
				},
				{
					slug: 'wednesday',
					name: 'Wednesday',
					number: 'Day 2',
					day: 'Wednesday',
					date: 'November 30',
					events: [
						{
							time: '7:00am',
							type: 'other',
							name: 'Breakfast',
						},
						{
							time: '9:00am',
							type: 'other',
							content: '<ul> \
								<li> \
									<p class="name">Exclusive VIP Seating at the re:Invent keynote</p> \
									<p>Featuring AWS Andy Jassy, SVP AWS</p> \
								</li> \
								<li> \
									<p class="name">Executive Summit Session</p> \
								</li> \
								<li> \
									<p>Fireside Chat with Andy Jassy, SVP AWS</p> \
								</li> \
								</ul>',
						},
						{
							time: '11:00am — 5:00pm',
							type: 'other',
							content: '<ul> \
								<li> \
									<p class="name">Executive Summit Breakout Sessions</p> \
									<p>Featuring a business focused track and a technologist track</p> \
								</li> \
								<li> \
									<p class="name">Opt-In Birds-of-a-feather sessions</p> \
								</li> \
								<li> \
									<p class="name">Executive Briefing Meetings</p> \
								</li> \
								</ul>',
						},
						{
							time: '5:00pm',
							type: 'other',
							name: 'Networking Reception',
						},
					]
				},
				{
					slug: 'thursday',
					name: 'Thursday',
					day: 'Thursday',
					number: 'Day 3',
					date: 'December 1',
					events: [
						{
							time: '7:00am',
							type: 'other',
							name: 'Breakfast',
							desc: '<p>Venetian Ballroom D, Executive Summit Lounge</p>',
						},
						{
							time: '9:00am',
							type: 'other',
							content: '<ul> \
								<li> \
									<p class="name">Exclusive VIP Seating at the re:Invent keynote</p> \
									<p>Featuring Dr. Werner Vogels, CTO Amazon</p> \
								</li> \
								<li> \
									<p class="name">Executive Summit Session</p> \
								</li> \
								<li> \
									<p>Cloud Security led by Steven Schmidt, CISO, AWS</p> \
								</li> \
								</ul>',
						},
						{
							time: '11:00am — 5:00pm',
							type: 'other',
							content: '<ul> \
								<li> \
									<p class="name">Executive Summit Breakout Sessions</p> \
									<p>Featuring a business focused track and a technologist track</p> \
								</li> \
								<li> \
									<p class="name">Opt-In Birds-of-a-feather sessions</p> \
								</li> \
								<li> \
									<p class="name">Executive Briefing Meetings</p> \
								</li> \
								</ul>',
						},
						{
							time: '8:00pm',
							type: 'other',
							name: 'VIP Experience at re:Play Party',
						},
					]
				},
			]
		},
		{
			slug: 'questions',
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">For Questions</h3> \
								<p class="last">please reach out to Executive Summit Team at <a href="mailto:awsexecsummit@amazon.com">awsexecsummit@amazon.com</a></p>'
						}
					]
				}
			]
		}
	]
}];