module.exports.gameday = [{
	meta: [{
		title: "Gameday",
		slug: "gameday",
		url: "https://reinvent.awsevents.com/activities/gameday",
		parent: 'activities',
		desc: "Join us for the AWS GameDay competition at re:Invent 2016 and show off your scale compute skills.",
	}],
	header: [{
		headline: 'Gameday',
	}],
	intro: [{
		content_1: '<h3>Powered By Red Hat</h3> \
			<p><img width="158" src="/_media/images/gameday/aws-reinvent-gameday-sponsor-redhat.png" alt="Red Hat Logo" /></p> \
			<p>Do you have what it takes to securely scale an application that meet the demands of the connected world and still conquers threats from both inside and outside of your company?</p> \
			<p class="last">Can you keep a cloud-based workload running through extreme traffic spikes and malicious attacks, with little input from the people who built it the first time?</p>',
		content_2: '<p>If this sounds like your idea of a good time, join us for the AWS GameDay competition at re:Invent 2016 and show off your scale compute skills.</p> \
			<p>Not yet so confident in your abilities? Sign up and take the challenge to learn tips and tricks from AWS resources and your teammates.</p> \
			<p class="last"><a class="button" href=""><span>login and register</span></a></p>',
	}],
	sections: [
		{
			slug: 'details',
			name: 'details',
			headline: 'Details',
			rule: 'true',
			subsections: [
				{
					rule: 'true',
					columns: [
						{
							content: '<h3>A Digital Adventure</h3> \
								<p class="last">Come with us on a digital adventure through the high-pressure game of a lifetime as you and your teammates take on explosive traffic growth, internal and external threats, and the challenge of working together as a team to keep your infrastructure online and your customers happy.</p>',
						}
					]
				},
				{
					rule: 'true',
					columns: [
						{
							content: '<h3>Your Mission</h3> \
								<p>It is your first day as a DevOps engineer for a game-changing startup about to come out of stealth mode. You are a little nervous stepping into this role since the entire team is new to the company, but the infrastructure is stable, the app just went 1.0, and this is a great opportunity to really leave your mark on something big.</p> \
								<p>That is, until traffic to the site kicks up and you watch your infrastructure start to stress and snap.</p> \
								<p class="last">Of course, this would not be such a big deal if the lead engineer on the project had not just left the company to pursue a new digital currency venture powered by cat memes. Minimal documentation, minimal communication with the previous DevOps team, and a large media event scheduled for later in the day. No sweat, right?</p>'
						},
						{
							content: '<h3>Rack Up Points And Win Prizes</h3> \
								<p>In this intense, full-day competition, you and your team will earn points by maximizing performance, minimizing downtime, and managing unpredictable variables from forces both outside and inside the company.</p> \
								<p>To pull ahead of the pack, you will need to secure and optimize your platform using the features and services AWS has to offer, along with the unique skills and expertise you bring to the table.</p> \
								<p class="last">There will be awards for the most requests answered, the most efficient infrastructure, and the most innovative approach to the challenge.</p>'
						}
					]
				},
				{
					subhead: 'Take Ownership Of An Initial Architecture',
					rule: 'true',
					columns: [
						{
							content: '<p>AWS GameDay groups individuals into teams who will take ownership of an initial architecture and evolve it into a high-performing machine able to react to any situation. Go through your own personal GameDay as you learn how to deal with scaling out infrastructure, implementing high availability design, system monitoring and alerting, and crisis management.</p>'
						},
					]
				},
				{
					subhead: 'Keep Yourself Atop The Leaderboard',
					rule: 'true',
					columns: [
						{
							content: '<p class="last">Throughout the day, you will evolve your initial infrastructure into one that will continue to perform as various roadblocks pop up. Use your knowledge of AWS services, or learn as you go, but always keep your infrastructure performing as optimally as possible in order to build up points for your team and stay ahead of the competition.</p>'
						}
					]
				},
				{
					subhead: 'Now Open For Registration: AWS Gameday',
					columns: [
						{
							content: '<p>GameDay is open to anyone with an AWS re:Invent conference pass, but signups are limited to the first 250 players. Previous experience with AWS is highly recommended. Your GameDay fuel will be on us: look for food and beverages to be provided throughout the day. </p> \
								<p><a class="button" href=""><span>login and register</span></a></p> \
								<p class="last">Already registered for AWS re:Invent 2016?</p>'
						}
					]
				},
			]
		},
		{
			slug: 'agenda',
			name: 'agenda',
			headline: 'Agenda',
			rule: 'true',
			schedule: [
				{
					events: [
						{
							time: '10:00am',
							type: 'other',
							name: 'Welcome to GameDay! Basic orientation.',
						},
						{
							time: '10:30am',
							type: 'other',
							name: 'First day on the job. Let&rsquo;s get settled.',
						},
						{
							time: '11:45am',
							type: 'other',
							name: 'Oh boy! Your app has been discovered!',
							desc: '<p>Traffic increases and so does the challenge of running the infrastructure.</p>',
						},
						{
							time: '12:00pm',
							type: 'other',
							name: 'Lunch',
						},
						{
							time: '1:00pm',
							type: 'other',
							name: 'Code push. No biggie&hellip;',
						},
						{
							time: '2:30pm',
							type: 'other',
							name: 'Whoa, national attention for your app!',
							desc: '<p>Let the good times (and spiking traffic) roll!</p>',
						},
						{
							time: '3:00pm',
							type: 'other',
							name: 'A quick exercise in dealing with system failures.',
						},
						{
							time: '4:30pm',
							type: 'other',
							name: 'Snack break',
						},
						{
							time: '5:30pm',
							type: 'other',
							name: 'Wrap up and awards',
						},
					]
				}
			],
		},
		{
			slug: 'faq',
			name: 'FAQ',
			headline: 'FAQ',
			subsections: [
				{
					columns: [
						{
							content: '<h4>What Is Aws Gameday?</h4> \
								<p>AWS GameDay groups individuals into teams who will take ownership of an initial architecture and evolve it into a high-performing machine able to react to any situation. Go through your own personal GameDay as you learn how to deal with scaling out infrastructure, implementing high availability design, system monitoring and alerting, and crisis management.</p> \
								<p>Throughout the day, you will evolve your initial infrastructure into one that will continue to perform as various roadblocks are put in front of you. Use your knowledge of AWS services, or learn as you go, but always keep your infrastructure performing as optimally as possible in order to build up points for your team and stay ahead of the competition.</p>'
						},
						{
							content: '<h4>I&rsquo;ve already registered for re:Invent 2016. How do I register for the GameDay waitlist?</h4> \
								<p>Log back into your re:Invent account and add the GameDay waitlist to your schedule. We will notify those on the waitlist in the weeks before or on the day of the event as spots become available.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>Do I need a team, or will I be assigned to one?</h4> \
								<p>We will be breaking everyone into teams after they arrive. No need to bring your own.</p>'
						},
						{
							content: '<h4>Do I need to bring a laptop?</h4> \
								<p>Yes! Please bring whatever computer you are most comfortable with.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>Can I sign up onsite?</h4> \
								<p>Yes! There are often players who cannot attend after registering, and we will be accepting standby players on a first-come, first-served basis on the day of the event. Please join our GameDay waitlist in order to be prioritized.</p>'
						},
						{
							content: '<h4>Do I need to be a DevOps Ninja to participate in / have fun at AWS GameDay?</h4> \
								<p>Having some skill in the DevOps space will probably increase your chance of winning, but is not required. We will have AWS staff available to assist teams who may need a helping hand.</p>'
						}
					]
				},
			]
		}
	]
}];