module.exports.global_partner_summit = [{
	meta: [{
		title: "Global Partner Summit",
		slug: "global-partner-summit",
		url: "https://reinvent.awsevents.com/global-partner-summit",
		parent: 'activities',
		desc: "Join us at the Global Partner Summit to hear from AWS leadership about the future of the business and what is coming next for the AWS Partner Network (APN).",
		wave: '1',
	}],
	header: [{
		headline: "Global Partner Summit",
		bump_l: "The Venetian",
		bump_r: "11.29",
	}],
	intro: [{
		content_1: '<p class="last">Join us at the Global Partner Summit for the chance to hear from AWS leadership about the future of the business and what is coming next for the AWS Partner Network (APN). Here, you will have the opportunity to learn from the success of your fellow partners, participate in sessions focused on developing new skills, and discover insights into growing your cloud practice with AWS.</p>',
		content_2: '<p class="last">The Global Partner Summit will arm you and your team with information that is tailored to your goals as an APN Partner, including discussions on driving increased revenue with AWS, how to gain a greater competitive advantage, and how the APN can help expand your business. This event is free and exclusive to APN members and will not be available to general attendees.</p>',
	}],
	sections: [
		{
			slug: 'attendance',
			name: 'attendance',
			subhead: 'Attendance',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p>The Global Partner Summit is open to all AWS re:Invent attendees employed by AWS Partner Network (APN) member organizations as of November 29, 2016. This event is a free benefit of APN membership and does not require any additional registration fees.</p> \
								<p class="last">Sessions at the Global Partner Summit cover a wide range of topics relevant to executives, sales managers, and technical professionals. We encourage partners from all levels and disciplines to attend.</p>',
						},
						{
							content: '<p class="last">Click <a href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww" target="_blank">here</a> to register for AWS re:Invent. To register for the Global Partner Summit, please identify yourself as an APN member during AWS re:Invent registration. Admittance will be validated by your company&rsquo;s email address domain.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'agenda',
			name: 'agenda',
			subhead: 'Global Partner Summit Agenda',
			schedule: [
				{
					slug: 'tuesday',
					name: 'Tuesday',
					number: 'Day 2',
					day: 'Tuesday',
					date: 'November 29',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							time: '8:00am — 9:00am',
							type: 'other',
							name: 'Pre-Summit Breakfast Briefings',
							//desc: '<p>Venetian Ballroom D, Executive Summit Lounge</p>',
						},
						{
							time: '9:30am – 11:15am',
							type: 'other',
							name: 'Global Partner Summit Keynote',
							//desc: '<p>VIP seating will be held until 8:15 am. Live-stream keynote viewing will be available in the Executive Summit Lounge</p>',
						},
						{
							time: '11:30am - 12:30pm',
							type: 'other',
							name: '1 Breakout Session (6-8 tracks/session plus 4/5 Chalk Talk rooms)',
							//desc: '<p>Venetian Ballroom D, Executive Summit General Session</p>',
						},
						{
							time: '12:30pm - 1:45pm',
							type: 'other',
							name: 'Lunch',
							//desc: '<p>Keynote Hall B</p>',
						},
						{
							time: '1:45pm - 5:30pm',
							type: 'other',
							name: '3 Breakout Sessions (6-8 tracks/session plus 4/5 Chalk Talk rooms)',
							//desc: '<p>Venetian Ballroom D, Executive Summit General Session</p>',
						}
					]
				}
			]
		},
	]
}];
