module.exports.hackathon = [{
	meta: [{
		title: "Hackathon",
		slug: "hackathon",
		url: "https://reinvent.awsevents.com/activities/hackathon",
		page_nav: 'true',
		parent: 'activities',
		desc: "Our annual hackathon is back for another year, this time with even bigger and better challenges while solving real-world problems for a non-profit organization.",
	}],
	header: [{
		headline: "Hackathon",
	}],
	intro: [{
		content_1: '<h3>Come Hack With Us</h3> \
			<p>Our annual hackathon is back for another year, this time with even bigger and better challenges. This is the perfect place to show off your tech skills and earn bragging rights while solving real-world problems for a non-profit organization.</p> \
			<p class="last">Registration to open late summer.</p>',
	}],
	sections: [
		{
			slug: 'details',
			name: 'details',
			headline: 'Details',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h3>What You&rsquo;ll Be Doing</h3> \
								<p>Hackers will gather into pre-assigned teams and work together to solve real-world issues.</p>',
						}
					]
				},
				{
					subhead: 'Non-profit Sponsors And Challenge Overviews',
					columns: [
						{
							content: '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
						},
						{

							content: '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
						}
					],
					sponsors: [
						{
							name: 'cloudability',
							img: {
								src: '_media/images/home/aws-reinvent-sponsor-cloudability.png',
								alt: '',
								width: '172'
							}
						},
						{
							name: 'data-dog',
							img: {
								src: '_media/images/home/aws-reinvent-sponsor-data-dog.png',
								alt: '',
								width: '93'
							}
						},
						{
							name: 'intel',
							img: {
								src: '_media/images/home/aws-reinvent-sponsor-intel-logo.png',
								alt: '',
								width: '114'
							}
						},
						{
							name: 'tableau',
							img: {
								src: '_media/images/home/aws-reinvent-sponsor-tableau.png',
								alt: '',
								width: '182'
							}
						},
					]
				},
			]
		},
		{
			slug: 'agenda',
			name: 'agenda',
			headline: 'Agenda',
			rule: 'true',
			header_text: 'Please be sure to check back frequently for updates to the agenda as we get closer to re:Invent 2016.',
			schedule: [
				{
					slug: 'tuesday',
					name: 'Tuesday',
					number: 'Day 2',
					day: 'Tuesday',
					date: 'November 29',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							time: '8:00am — 9:00am',
							type: 'other',
							name: 'Breakfast',
						},
						{
							time: '9:00am — 10:00am',
							type: 'other',
							name: 'Hackathon Introduction',
						},
						{
							time: '10:00am — 10:00pm',
							type: 'other',
							name: 'Coding',
						},
						{
							time: '12:00pm — 1:00pm',
							type: 'other',
							name: 'Lunch',
						},
						{
							time: '5:00pm — 6:00pm',
							type: 'other',
							name: 'Dinner',
						},
						{
							time: '10:00pm — 11:30pm',
							type: 'other',
							name: 'Presentations and judging',
						},
						{
							time: '11:30pm — 12:00am',
							type: 'other',
							name: 'Winners announced',
						},
					]
				}
			],
			subsections: [
				{
					columns: [
						{
							content: '<h3>Requirements</h3> \
								<p>Bring your laptop but leave the rest to us. We will take care of all of your food, beverage, power, flip charts, connectivity, AWS credits, and AWS expertise.</p>'
						}
					]
				}
			]
		},
		{
			slug: 'faq',
			name: 'FAQ',
			headline: 'FAQ',
			subsections: [
				{
					columns: [
						{
							content: '<h4>I&rsquo;ve already registered for re:Invent. How do I register for the Hackathon waitlist?</h4> \
								<p class="last">Log back into your re:Invent account and add the Hackathon waitlist to your schedule.</p>'
						},
						{
							content: '<h4>I forgot to sign up for a team! How do I find teammates now?</h4> \
								<p class="last">If you haven&rsquo;t signed up for a team, you will be placed into a pre-formed team prior to your arrival. You&rsquo;ll have the opportunity to meet your new teammates and introduce yourself during the Mixer the evening prior to the event.</p>'
						}
					]
				},
				{

					columns: [
						{
							content: '<h4>Do I need a team?</h4> \
								<p class="last">Yes, but no need to worry about putting one together. Our staff is dedicated to matching up individuals with complimentary skill sets and working hard to make sure you have an amazing team. If you requested specific team members during the registration process, we will do our best to make sure you are teamed up together. Please note that teams are placed into groups of 5, so if your group is larger, you will be split into separate teams. If you don&rsquo;t join a team or request a team member prior to the event, you will be matched with other Hackathon participants with complementary skills to create a team on the day of the hack. Just be sure to fill out the registration form that is sent out in the &ldquo;Know before you go&rdquo; email, and you&rsquo;re all set!</p>'
						},
						{
							content: '<h4>How do I form a team with my friends?</h4> \
								<p class="last">There is a portion of the registration form that requests the names of your proposed teammates. If you were unable to fill it out but have other members of your organization already signed up for the Hackathon that you would like to partner with, please contact <a href="mailto:reinvent-hackathon@amazon.com">reinvent-hackathon@amazon.com</a>. We will do what we can to put together your dream team.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>The Hackathon has filled up. Can I still join?</h4> \
								<p class="last">We have a waiting list for the first 100 people who register after we reach our 250-participant limit. We will notify those on the waitlist in the weeks before, or on the day of the event as spots become available.</p>'
						},
						{
							content: '<h4>Where is the Hackathon?</h4> \
								<p class="last">The Hackathon will be held in the Venetian. Please pick up your re:Invent conference badge prior to coming to the Hackathon.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>What will AWS provide?</h4> \
								<ul class="last"> \
									<li>Food and beverages</li> \
									<li>Whiteboards, power strips, flip charts, wireless internet access</li> \
									<li>Plenty of AWS credits for your hacking needs</li> \
									<li>An amazing start to re:Invent!</li> \
								</ul>'
						},
						{
							content: '<h4>Do I need experience with certain types of apps / coding to participate?</h4> \
								<p class="last">We will be sharing more details about the Hackathon challenges in the coming months that will help you determine which challenge your skillset is best suited for. We&rsquo;ll make sure every team is well rounded and ready for anything.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>What should I bring?</h4> \
								<p>A laptop suitable for coding.</p>',
						}
					]
				},
			]
		}
	]
}];