module.exports.home = [{
	meta: [{
		title: "Home",
		slug: "home",
		template: '',
		url: "https://reinvent.awsevents.com/",
		desc: "At AWS re:Invent 2016, connect with peers and cloud experts, collaborate at our bootcamps, and learn how AWS can improve productivity, security and performance.",
		wave: '1',
	}],
	header: [{
		headline: '<span class="reinvent-case">AWS re:Invent</span> 2016',
		bump_l: 'Las Vegas',
		bump_r: '11.28 - 12.2',
	}],
	intro: [{
		headline: "Registration Now Open",
		content_1: '<h3 class="headline-s3">Start Here.</h3> \
			<p class="last">You&rsquo;re invited to join the largest gathering of the global Amazon Web Services community at AWS re:Invent 2016. Connect with peers and cloud experts, collaborate at our hands-on labs and bootcamps, and learn how AWS can improve developer productivity, network security, and application performance while keeping infrastructure costs low.</p>',
		content_2: '<h3 class="headline-s3">Become a Sponsor</h3> \
			<p>Interested in sponsorship opportunities at AWS re:Invent 2016? Reach out to us <a href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS" target="_blank">here</a>.</p> \
			<a class="button" href="/become-a-sponsor"><span>learn more</span></a>',
	}],
	sections: [
		{
			slug: 'features',
			subsections: [
				{
					columns: [
						{
							headline_basic: 'What To Expect <span class="no-wrap">In 2016</span>',
							content: '<p class="last">Start planning now to attend the largest global cloud computing conference. We have designed re:Invent 2016 to give you increased opportunities to connect, collaborate, and learn about AWS solutions. This year we are offering all-new mini conferences on topics such as IoT, Serverless Computing, Security, and Containers. In addition, we are delivering more than 400 sessions, and more hands-on labs, bootcamps, and opportunities for one-on-one engagements with AWS experts.</p>',
						},
						{
							col_img: 'true',
							img: {
								src: '_media/images/home/aws-reinvent-crowded-hall.jpg',
								alt: 'Crowded hall at AWS re:Invent.',
							},
						}
					]
				},
				{
					columns: [
						{
							content: '<p>This year we are offering a <strong>full additional day of content</strong>, bootcamps, hands-on labs, workshops, and <strong>full-day technical deep dives</strong> on topics such as IoT, Serverless Computing, Databases, and Containers.</p> \
								<p class="last"><strong>Two new venues</strong> with <strong>twice as many breakout sessions as last year</strong>. Don&rsquo;t worry, we&rsquo;ll make it easy for you to get from venue to venue.</p>',
						},
						{
							content: '<p><strong>Reserved seating</strong> for all breakout session! No more waiting in line for your favorite session.</p> \
								<p class="last">Quirky after hours experiences you&rsquo;ve come to love from the wing eating contest to the (expanded) Pub Crawl, Harley Ride, re:Play party, and new this year, the <strong>re:Invent 5k</strong>.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'pass',
			subsections: [
				{
					columns: [
						{
							content: '<img width="153" src="_media/images/branding/aws-reinvent-logo-2016.png" alt="AWS re:Invent 2016" /> \
								<h2 class="headline-s2 last">Full Conference Pass</h2>'
						},
						{
							content: '<p class="pitch last"><span class="cost">$1,599</span><br>\
								<span class="opening">Registration Now Open</span></p>\
								<a class="register-now" target="_blank" href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww">register now</a>',
						}
					]
				}
			]
		},
		{
			slug: "agenda-sessions",
			subsections: [
				{
					columns: [
						{
							headline: 'Agenda',
							content: '<p>Create the re:Invent experience that&rsquo;s right for you. Our 2016 agenda offers expanded opportunities to learn how the cloud impacts your business, including deep dives into topics like IoT, new perspectives on cloud issues, and more chances to learn from the experts.</p>  \
								<p class="last"><a class="button" href="/agenda"><span>learn more</span></a></p>',
						},
						{
							headline: 'Sessions',
							content: '<p>AWS re:Invent is designed to bring together AWS users of all skill levels to connect, collaborate, and learn more about AWS.</p>  \
								<p class="last"><a class="button" href="/sessions"><span>learn more</span></a></p>',
						}
					]
				}
			]
		},
		{
			slug: "training",
			template: "poster",
			bg: {
				src: '_media/images/home/aws-reinvent-instructor-using-white-board.jpg',
				alt: '',
			},
			headline: "Training Bootcamps",
			content: '<p>Our in-person training Bootcamps are your chance to get exclusive knowledge directly from AWS experts. This year, we&rsquo;re offering Technical Bootcamps, APN Partner Accreditation Bootcamps, and Certification Exam Readiness Workshops.</p> \
				<p class="button-wrap last"><a class="button" href="/training"><span>learn more</span></a></p>'
		},
		{
			slug: "certifications",
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/home/aws-reinvent-woman-developer-at-certifications-event.jpg',
								alt: 'A smiling, happy engineer at the AWS re:Invent Certification Event.',
							},
						},
						{
							headline: "Certifications",
							content: '<p>Demonstrate your technical proficiency and receive special recognition by getting AWS Certified at re:Invent. The AWS Certification Exam Testing Center is open throughout the week. Register in advance for one or more exams and prove your expertise.</p> \
								<p class="last"><a class="button" href="/certifications"><span>learn more</span></a></p>'
						}
					]
				}
			]
		},
		{
			slug: "travel",
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/home/aws-reinvent-las-vegas-hotels.jpg',
								alt: 'An landscape of Las Vegas hotels for the AWS re:Invent event.',
							},
						},
						{
							headline: "Travel",
							content: '<p>Book your travel early. We have secured discounted rates at <a href="https://aws.passkey.com/g/58756472" target="_blank">The Venetian | Palazzo</a>, <a href="https://aws.passkey.com/g/54603902" target="_blank">The Mirage</a>, and the <a href="https://aws.passkey.com/g/59560325" target="_blank">Wynn | Encore</a>. We are providing you with a flight discount and other perks offered by Delta Air Lines, our preferred global airline. To receive the discount, please enter code <strong>NMNHR</strong> in the &ldquo;Meeting Event Code&rdquo; field when you <a href="http://www.delta.com/air-shopping/searchFlights.action" target="_blank">book your flight online</a>. You can get the Delta flight discount by using the code online or by calling Delta Meeting Reservations at 1-800-328- 1111, Monday through Friday, 7:00am-7:00pm CDT. The discount is available for travel between November 23, 2016 and December 7, 2016.</p> \
								<p class="last"><a class="button" href="/travel"><span>learn more</span></a></p>'
						}
					]
				}
			]
		},
		{
			slug: "activities",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/home/aws-reinvent-two-men-attend-development-activity.jpg',
								alt: 'Two engineers taking part in an activity at AWS re:Invent.',
							},
						},
						{
							headline: "Activities",
							content: '<p>Take your re:Invent experience to the next level with activities that provide engaging learning environments and opportunities to showcase and sharpen your AWS skills while meeting other AWS experts. Are you a member of APN? Take part in our annual Global Partner Conference.</p> \
								<p class="last"><a class="button" href="/activities"><span>learn more</span></a></p>'
						}
					]
				}
			]
		},
		{
			slug: 'sponsors',
			template: 'sponsors',
			content: '<p>AWS re:Invent Central is designed to facilitate connections between sponsors and attendees. As a sponsor, you will have the opportunity to share your space with leading cloud-technology providers and consultants, over 24,000 attendees and expert Amazon Web Services engineers and product leaders.</p> \
				<p class="last"><a class="button" href="/sponsors"><span>learn more</span></a><a class="no-wrap" href="/become-a-sponsor">become a sponsor</a></p>',
			sponsors: [
				{
					name: 'accenture',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-accenture-aws-business-group.png',
						alt: 'AWS re:Invent sponsor: Accenture',
						width: '132'
					}
				},
				{
					name: 'cloudability',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-cloudability.png',
						alt: 'AWS re:Invent sponsor: Cloudability',
						width: '172'
					}
				},
				{
					name: 'data-dog',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-data-dog.png',
						alt: 'AWS re:Invent sponsor: Data Dog',
						width: '93'
					}
				},
				{
					name: 'intel',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-intel-logo.png',
						alt: 'AWS re:Invent sponsor: Intel',
						width: '114'
					}
				},
				{
					name: 'new-relic',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-new-relic.png',
						alt: 'AWS re:Invent sponsor: New Relic',
						width: '110'
					}
				},
				{
					name: 'tableau',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-tableau.png',
						alt: 'AWS re:Invent sponsor: Tableau',
						width: '182'
					}
				},
				{
					name: 'trend-micro',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-trend-micro.png',
						alt: 'AWS re:Invent sponsor: Trend Micro',
						width: '140'
					}
				},

			]
		},
	]
}];