module.exports.resources = [{
	meta: [{
		title: "Resources",
		slug: "resources",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/resources",
		desc: "For all general re:Invent questions, including questions on registration.",
		wave: '3',
	}],
	header: [{
		headline: 'AWS <span class="reinvent-case">re:Invent</span> Contact Details',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">AWS Press and Analyst Contact</h2> \
			<p>For all general re:Invent questions, including questions on registration.</p> \
			<p>Registration questions: <br><a class="emphatic-link" href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a></p> \
			<p class="last">Sponsors questions: <br><a class="emphatic-link" href="mailto:reinvent-sponsorship@amazon.com">reinvent-sponsorship@amazon.com</a></p>',
		content_2: '<h2 class="headline-s3">Social Media Resources</h2> \
			<div class="feeds"> \
				<p>Twitter Feeds <br><a target="_blank" href="https://twitter.com/awscloud">@awscloud</a> <br><a target="_blank" href="https://twitter.com/jeffbarr">@jeffbarr</a></p> \
			</div> \
			<div class="blogs"> \
				<p class="last">Blogs <br><a target="_blank" href="https://aws.amazon.com/blogs/aws/">AWS Blog</a> <br><a target="_blank" href="https://www.awsarchitectureblog.com/">AWS Architecture Blog</a> <br><a target="_blank" href="https://medium.com/aws-activate-startup-blog">AWS Startup Blog</a></p> \
			</div>',
	}],
	sections: [
		{
			slug: 'justification-letter',
			name: 'justification letter',
			headline: 'Justify Your Trip To AWS <span class="reinvent-case">re:Invent</span>',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p class="last">Trying to convince your manager to let you attend the AWS re:Invent conference? We&rsquo;ve created a customizable email template you can use to prove the value of your trip.</p>',
						}
					]
				},
				{
					columns: [
						{
							slug: 'justification-letter-1',
							cols: '1',
							content: '<div class="short-rule rule"></div> \
								<h3 class="headline-s4">Dear [your manager&rsquo;s name],</h3> \
								<p>I&rsquo;d like your permission to attend the largest global conference focused on cloud computing, AWS re:Invent, from November 28 to December 2 in Las Vegas. Attending this conference will be beneficial for both my personal growth and our company&rsquo;s cloud knowledge in the following areas:</p> \
								<ul class="last"> \
									<li>Learn more about core AWS services like Amazon EC2, S3, RDS, and Redshift.</li> \
									<li>Be the first to hear about new AWS products and features</li> \
									<li>Get educated on technical best practices during over 400-plus breakout sessions on topics such as cloud architecture, continuous deployment, monitoring and management, performance, security, migration and more</li> \
									<li>Find answers to our development questions and learn technical tips and tricks from AWS architects, engineers, product leads, and expert users</li> \
									<li>Gain valuable hands-on experience that can be brought back to my team in day-long technical bootcamps, self-paced labs, and hackathons</li> \
									<li>Discover new ways to reduce our company&rsquo;s AWS bill</li> \
								</ul>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p>Here&rsquo;s an estimated breakdown of costs:</p> \
								<p>Airfare estimate: $640 <br>Hotel (4 nights at the Venetian) $189/night: $756<br>Registration fee: $1,599 <br>Total: $3,005</p> \
								<p>After the conference, I&rsquo;ll circulate a report that will include a summary of what I learned plus a set of recommendations to increase our team&rsquo;s productivity and maximize our cloud investment.</p> \
								<p class="last">Thank you for considering my request to attend this event. <br>Looking forward to your reply, <br>[your name]</p>',
						}
					]
				}
				
			]
		},
		{
			slug: 'faq',
			name: 'FAQ',
			headline: "FAQ",
			subsections: [
				{
					subhead: 'General',
					columns: [
						{
							h4: 'What is AWS re:Invent?',
							content: '<p class="last">AWS re:Invent is a learning conference hosted by Amazon Web Services for the global cloud computing community. The event features keynote announcements, training and certification opportunities, more than 400 technical sessions, a partner expo, after-hours events, and more.</p>',
						},
						{
							h4: 'How can I register? ',
							content: '<p class="last">Registration for AWS re:Invent opens on June 23 at 10:00am PT. Click &ldquo;<a href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww" target="_blank">Register Now</a>&rdquo; in the navigation menu above to start the registration process. A valid credit card is required to purchase a conference pass, or you can choose to pay with Amazon Payment. Please note, you must be 21 years or older to register for the AWS re:Invent conference.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'Who should attend AWS re:Invent?',
							content: '<p class="last">The event is ideal for developers and engineers, system administrators, systems architects, and technical decision makers.</p>',
						},
						{
							h4: 'How can I convince my boss to let me attend?',
							content: '<p class="last">There are many great reasons for attending AWS re:Invent. We have made it easy for you to convince your boss with our <a class="hash-link" href="#justification-letter">Justify Your Trip template</a>.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'What is included in the full conference pass?',
							content: '<p class="last">The full conference pass gives you access to all keynotes and sessions, Hands-on Labs, re:Invent Central (expo hall), and the Developer Lounge, plus the Welcome Reception, Pub Crawl, re:Play Party, and breakfast, lunch, and snacks on main conference days.</p>',
						},
						{
							h4: 'I received a discount promotion code. How do I apply it to my registration?',
							content: '<p class="last">If you have a registration code, please log in <a href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww" target="_blank">here</a>. You can log in on this site to manage or update your existing registration.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'Can I purchase multiple conference passes and have them invoiced to my AWS account?',
							content: '<p class="last">Yes. Please email <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a> with your AWS account ID and the number of passes you wish to purchase. We will do our best to accommodate your needs.</p>',
						},
						{
							h4: 'How can I sign up for a Training Bootcamp if I am already registered for the conference?',
							content: '<p class="last"><a href="https://www.portal.reinvent.awsevents.com/portal/login.do" target="_blank">Log in</a> to your AWS re:Invent account with the credentials you created during registration and click on &ldquo;Purchase Additional Registration Items.&rdquo; You will need a valid credit card to complete your registration. Training Bootcamps are limited, so please register early.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'How do I purchase multiple Group Passes?',
							content: '<p class="last">You can purchase up to 75 group passes at a time by selecting the group-ticket option during registration.</p>',
						},
						{
							h4: 'How do I update my registration information or my name badge?',
							content: '<p class="last">To view or make changes to your registration details, such as name, title, company, or email address, log in to your account on this <a href="https://www.portal.reinvent.awsevents.com/portal/login.do" target="_blank">page</a>. Click on the &ldquo;Account Settings&rdquo; section to edit your personal information.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'How do I redeem my Group Passes?',
							content: '<p class="last">After purchasing a group pass, you will receive a confirmation email that includes a unique registration code. This code will be valid for all of the group passes purchased and may be used multiple times until all your passes have been redeemed. For example, if you purchased 10 passes, the registration code will be valid for 10 uses. Share this unique registration code with your colleagues and ask them to <a href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww" target="_blank">register here</a>. After completing the &ldquo;Personal Information&rdquo; page, registrants will be taken to the &ldquo;Events Selection&rdquo; page, where they will be able to input the registration code. The code applied will remove any costs associated with the purchase of a full conference pass.  You are not registered to attend AWS re:Invent until you have redeemed your registration code.</p>',
						},
						{
							h4: 'What is your cancellation policy? ',
							content: '<p class="last">You may cancel your Event registration by sending written notice to AWS by email to <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>. If AWS receives your cancellation notice by 12:00 noon (PT), September 1, 2016, AWS will issue you a full refund of registration fees, minus a cancellation fee, via the original payment method. The cancellation fee for a full conference pass is $100, and the cancellation fee for Certifications or Bootcamps is $50. If AWS receives your cancellation notice by 12:00 noon (PT), between September 1, 2016 and November 1, 2016, AWS will issue you a 50% refund of registration fees, via the original payment method. If AWS receives your cancellation notice after 12:00 noon (PT), November 1, 2016, you will not be eligible for a refund. Event registrations may be transferred to another participant upon approval by AWS in its sole discretion. To request a transfer of your Event registrations, contact us at <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>.</p>',
						},
					]
				},
				{
					rule: 'true',
					columns: [
						{
							h4: 'Why is there a QR code on the email confirming my registration?',
							content: '<p class="last">The square-shaped black and white image on your registration confirmation email (a QR Code) has been placed on your registration confirmation email to help simplify and expedite your check-in when you are arrive at re:Invent. At each check-in station, you will find a laser scanner attached to a check-in computer. When you scan the QR code using the check-in scanner, your account information will immediately appear on-screen, allowing for quick and easy check-in.</p>',
						},
						{
							h4: 'Can I get a receipt for my registration?',
							content: '<p class="last">Upon completing the online registration process, you will be sent a confirmation email with payment receipt details from <a href="mailto:noreply@awsevents.com">noreply@awsevents.com</a>. Be sure to check your junk mail folder if you don&rsquo;t see an email in your inbox. If you do not receive the confirmation email, contact us for a copy at <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>. Charges will appear on your credit card statement as &ldquo;AMZ*AWS re:Invent.&rdquo;</p>',
						},
					]
				},
				{
					slug: 'travel',
					subhead: 'Travel',
					rule: 'true',
					columns: [
						{
							h4: 'Which hotel should I stay at?',
							content: '<p>There are a limited number of discounted sleeping rooms at <a href="https://aws.passkey.com/g/58756472" target="_blank">The Venetian / Palazzo</a>, <a href="https://aws.passkey.com/g/54603902" target="_blank">The Mirage</a>, and <a href="https://aws.passkey.com/g/59560325" target="_blank">The Wynn / Encore Resort</a>. Please book your hotel today.</p> \
								<p class="last">Airport transportation information, including cabs, town cars and shuttles can be found at the <a href=" https://www.mccarran.com/Go/Shuttles.aspx" target="_blank">McCarran International Airport</a>.  You can also find them at the <a href="http://www.venetian.com/hotel/explore-the-venetian/map.html#getting-here" target="_blank">Venetian/Palazzo Hotel</a>, <a href="https://www.mirage.com/en.html" target="_blank">The Mirage</a>, and <a href="http://www.wynnlasvegas.com/AboutUs/Directions" target="_blank">The Wynn/Encore</a> websites.</p>'
						}
					]
				},
				{
					slug: 'event-detail',
					subhead: 'Event Detail',
					columns: [
						{
							h4: 'Where is the conference agenda?',
							content: '<p class="last">You can review the event <a href="/agenda">agenda</a> here. The session catalog will go live this summer.</p>'
						},
						{
							h4: 'Will you be providing translation services?',
							content: '<p class="last">Onsite translation services in Chinese, Korean, and Japanese will be provided for the keynotes. Translation services will not be provided for other sessions and activities.</p>'
						},
					]
				},
				{
					columns: [
						{
							h4: 'How will reserved seating work?',
							content: '<p class="last">Reserved seating will allow you to reserve a space in the breakout sessions you are interested in attending. This will allow you to plan in advance how you will spend your time while attending re:Invent. As the session catalog launches, we will communicate more details on how and when you can reserve your space.</p>'
						},
						{
							h4: 'Can I sign up for sessions I want to attend?',
							content: '<p class="last">Yes. New this year is the ability to reserve a seat in advance. Once the full session schedule goes live a few weeks before re:Invent, you can start building your onsite schedule and reserving a spot in your favorite sessions. Look for announcements to come later this summer on the launch of the Schedule Builder.</p>'
						},
					]
				},
				{
					rule: 'true',
					columns: [
						{
							h4: 'Can I bring a guest to the after-hours activities?',
							content: '<p class="last">We only have a limited number of passes available for the re:Play Party only, which takes place December 1, from 8:00pm to 12:00am. They are available for purchase for $300 each during the registration process. You must hold a full conference pass in order to purchase a guest pass for the re:Play party. One guest pass only will be allowed to purchase.</p>'
						},
						{
							h4: 'What is the AWS re:Invent code of conduct?',
							content: '<p class="last">AWS expects all re:Invent participants (attendees, staff, speakers, sponsors, etc.) to behave in such a way as to create a safe, supportive learning environment while at the conference and any conference-related events. AWS will not tolerate any form of harassment or offensive speech or behavior, including any relating to race, gender, sexual orientation, religion, or disability. Participants engaging in behavior deemed by AWS as discriminatory or offensive will be asked to leave the conference or related event immediately. Anyone witnessing such behavior is encouraged to contact an AWS staff member so direct action can be taken.</p>'
						},
						// {
						// 	h4: 'When and where can I pick up my conference badge?',
						// 	content: '<p>You can pick up your conference badge from Registration on Level 2 of the Sands Expo Convention Center during the following hours:</p>',
						// 	list: [
						// 		{
						// 			date: "Monday, November 28",
						// 			time: "7:00am — 5:00pm"
						// 		},
						// 		{
						// 			date: "Tuesday, November 29",
						// 			time: "7:00am — 5:00pm"
						// 		},
						// 		{
						// 			date: "Wednesday, November 30",
						// 			time: "7:00am — 5:00pm"
						// 		},
						// 		{
						// 			date: "Thursday, December 1",
						// 			time: "7:00am — 5:00pm"
						// 		},
						// 		{
						// 			date: "Friday, December 2",
						// 			time: "7:00am — 5:00pm"
						// 		}
						// 	],
						// },
					]
				},
				{
					slug: 'additional-information',
					subhead: "Other",
					columns: [
						{
							h4: 'Are you streaming the keynotes or any sessions?',
							content: '<p class="last">We will provide a free livestream of the keynotes and a number of sessions. More to come!</p>'
						},
						{
							h4: 'Why do I need to provide my photo?',
							content: '<p class="last">Your re:Invent badge will have your photo printed on it. We are adding this as an additional security measure to prevent unauthorized badge usage.</p>'
						},
					]
				},
				{
					columns: [
						{
							h4: 'Do you accept submissions for speakers or session ideas?',
							content: '<p class="last">We are not hosting a call for content/speakers this year. Instead, we are exploring the idea of customer-led unconference sessions and other non-traditional presentation styles to highlight customer stories. We&rsquo;re still in the brainstorming stage, so check back as we get closer to the event for more information on these types of opportunities.</p>'
						},
						{
							h4: 'How do I upload my photo?',
							content: '<p class="last">Complete your registration, then click the &ldquo;Upload Badge Photo&rdquo; button on the confirmation page. Select the option to upload a file from your computer. Click upload file to save the photo that you have taken or imported.  Your photo will appear in the preview area. From there, you can retake the photo or upload the photo.  Finally, click the &ldquo;Verify&rdquo; button to return to the My Account page.</p>'
						},
					]
				},
				{
					columns: [
						{
							h4: 'How do I add a photo to my account if I have already registered?',
							content: '<p class="last">Log In to your account through <a href="https://www.portal.reinvent.awsevents.com/portal/login.do" target="_blank">My Portal</a>.  Select Registration to enter the registration portal (this will happen after Connect launch).  On the My Account page in the registration portal, select &ldquo;Upload Badge Photo&rdquo;.   You will then be prompted to upload a file from your computer.  Click upload file to save the photo that you have taken or imported. Your photo will appear in the preview area. From there, you can retake the photo or upload the photo.  Finally, click the &ldquo;Verify&rdquo; button to return to the My Account page.</p>'
						},
						{
							h4: 'How can I contact the conference organizers?',
							content: '<p>If you have a question that was not addressed above, please contact us at:</p> \
								<p class="last">Registration questions: <a class="emphatic-link" href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a></p> \
								<p class="last">Sponsors questions: <a class="emphatic-link" href="mailto:reinvent-sponsorship@amazon.com">reinvent-sponsorship@amazon.com</a></p>'
						},
					]
				},
				{
					columns: [
						{
							h4: 'Will you offer child care?',
							content: '<p class="last">Additional information will be provided about available child care resources.</p>'
						},
					]
				}
			]
		}
	]
}];