module.exports.sessions = [{
	meta: [{
		title: "Sessions",
		slug: "sessions",
		template: '',
		url: "https://reinvent.awsevents.com/sessions",
		desc: "AWS re:Invent is designed to bring together AWS users of all skill levels to connect, collaborate, and learn more about AWS.",
		wave: '3',
	}],
	header: [{
		headline: "Breakout Sessions",
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Sessions at <span class="reinvent-case">re:Invent</span></h2> \
			<p class="last">AWS re:Invent is designed to bring together AWS users of all skill levels to connect, collaborate, and learn more about AWS.</p>',
		content_2: '<h2 class="headline-s3">Explore the Catalog</h2> \
			<p>All sessions will be delivered by subject matter experts, AWS engineers, Solutions Architects or expert customers who will share their real world experiences and lessons learned. Explore the AWS re:Invent 2015 session catalog to learn about the session offering.  The new AWS re:Invent 2016 session catalog will be available in late summer.</p> \
			<p class="last"><a class="button" target="_blank" href="https://www.portal.reinvent.awsevents.com/connect/search.ww#loadSearch-searchPhrase=&searchType=session&tc=1&sortBy=abbreviationSort&p="><span>view 2015 session catalog</span></a></p>',
	}],
	sections: [
		{
			slug: 'intro',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h2 class="headline-s3">Technical Breakout Sessions</h2> \
								<p class="last">AWS re:Invent is designed to bring together AWS users of all skill levels to connect, collaborate, and learn more about AWS.</p>',
						},
						{
							content: '<h2 class="headline-s3">Learn From The Experts</h2> \
								<p class="last">Subject-matter experts with real-world experience, including AWS engineers, solution architects, and expert customers, will lead every session.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<h2 class="headline-s3">Over 400 Sessions</h2> \
								<p class="last">We have the perfect session to meet your needs, whether you are just getting started with AWS, interested in knowing more about the latest in cloud technology, or ready to dive deep into new AWS solutions.</p>',
						},
						{
							content: '<h2 class="headline-s3">Expand Your Cloud Skills</h2> \
								<p class="last">From technical bootcamps to hands-on labs, re:Invent offers training opportunities to suit the level of every participant.</p>',
						}
					]
				},
				{
					columns: [
						{
							slug: 'technical-deep-dives',
							content: '<h2 class="headline-s3">Full-Day Technical Deep Dives</h2> \
								<p class="last">New to AWS re:Invent this year are full-day technical deep dives. In these deep dives, customers and AWS engineers will explore topics such as IoT, Serverless Computing, Databases and Containers in greater detail to fully understand real-world challenges and the solutions provided by AWS services and features.</p>',
						},
					]
				},
			]
		},
		{
			slug: 'levels',
			headline: "Session Levels",
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/sessions/aws-reinvent-blue-lit-session-auditorium.jpg',
								alt: 'AWS re:Invent Introductory Level Sessions hall.'
							}
						},
						{
							content: '<h3 class="headline-s3">Introductory <span>&ldquo;I&rsquo;m new to this.&rdquo;</span></h3> \
								<p class="last">Sessions are focused on providing an overview of AWS services or features with the assumption that attendees are new to the topic. These sessions highlight basic use cases, features, functions, and benefits.</p>',
						}
					]
					
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/sessions/aws-reinvent-advanced-session-auditorium.jpg',
								alt: 'AWS re:Invent Advanced Level Sessions hall.'
							}
						},
						{
							content: '<h3 class="headline-s3">Advanced <span>&ldquo;I get it and want to learn more.&rdquo;</span></h3> \
								<p class="last">Sessions will dive deeper into the the selected topic. Presenters assume the audience has some familiarity with the topic but may or may not have direct experience implementing a similar solution. Code may be shared, but will not be the primary focus of the session.</p>',
						}
					]
					
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/sessions/aws-reinvent-presenters-at-expert-session.jpg',
								alt: 'AWS re:Invent Expert Level Sessions hall.'
							}
						},
						{
							content: '<h3 class="headline-s3">Expert <span>&ldquo;I live and breathe this stuff.&rdquo;</span></h3> \
								<p class="last">Sessions are for attendees who are deeply familiar with the topic, have implemented a solution on their own already, and are comfortable with how the technology works across multiple services, architectures, and implementations. Presenters will dive into code, cover advanced tricks, and explore future developments in the technology.</p>',
						}
					]
					
				}
			]
		},
		{
			slug: 'offerings',
			rule: 'true',
			//header_text:'<p class="last">Our session catalog goes live this summer, but you don&rsquo;t have to wait that long to get a taste of what AWS re:Invent 2016 will offer. Take a look at some of the new offerings we are working on to make your re:Invent experience even better.</p>',
			subsections: [
				{
					columns: [
						{
							content: '<h2 class="headline-s3">One-day Immersive Topics <span class="new-badge">New</span></h2> \
								<p class="last">Wish that you could spend more than a few hours in your favorite sessions? This year, AWS re:Invent will offer you the opportunity to plunge even deeper into some of today&rsquo;s hottest tech topics. Think of it as a one-day, fully immersive mini-conference guiding you through more of what you want to know about subjects like machine learning, mobile, IoT, containers, big data and analytics, and serverless computing.</p>',
						},
						{
							content: '<h2 class="headline-s3">Reserved Seating <span class="new-badge">New</span></h2> \
								<p class="last">You asked, we listened. This year, when you add a breakout session to your AWS re:Invent calendar, you will automatically have a seat reserved in that session. Here&rsquo;s how it will work: the session catalog will be posted later this summer, with new sessions added every week. One month before re:Invent, we&rsquo;ll notify you that the session scheduling tool is going live. This is your chance to build your customized conference calendar. Reserve a spot in your favorite session or join the waitlist if it&rsquo;s already full. If a spot opens up, you&rsquo;ll automatically get a seat.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<h2 class="headline-s3">Breakout Sessions <span class="new-badge">New</span></h2> \
								<p class="last">This year, we&rsquo;re offering even more of our popular one-hour breakout sessions led by AWS subject-matter experts and/or top AWS customers. These sessions are an informative mixture of lectures, demonstrations, and guest speakers. You&rsquo;ll find deep dive technical content, customer stories, and new launch announcements.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'tracks',
			headline: "Track Descriptions",
			subsections: [
				{
					columns: [
						{
							icon: 'architecture',
							subhead: 'Architecture',
							tags: 'architecture principles, best practices, high availability, fault tolerance, performance',
							content: '<p class="last">Sessions in the architecture track will show you how to design highly available, performant, cost effective cloud architectures on AWS.</p>',
						},
						{
							icon: 'data-analytics',
							subhead: 'Big Data &amp; Analytics',
							tags: 'architecture principles, best practices, high availability, fault tolerance, performance',
							content: '<p class="last">Sessions on the Big Data &amp; Analytics track will provide best practices, architectural design patterns, and in-depth discussions of Hadoop, Amazon Elastic MapReduce, Amazon Redshift, Amazon Kinesis, Amazon QuickSight, and a variety of other data services.</p>'
						},
						{
							icon: 'business-apps',
							subhead: 'Business Apps',
							tags: 'Amazon WorkSpaces, Amazon WorkMail, Amazon WorkDocs, managed desktops, virtual desktops',
							content: '<p class="last">Sessions in the Business Apps track will show how you can use Amazon WorkSpaces, Amazon WorkMail, and Amazon Desktop to meet the usability, performance &amp; reliability expectations of employees, while delivering on the security and compliance requirements of the most demanding enterprise IT organizations.</p>'
						},
						{
							icon: 'compute',
							subhead: 'Compute',
							tags: 'Amazon EC2, Auto Scaling, Amazon VPC, Elastic Load Balancing',
							content: '<p>Amazon EC2 and its family of related services enable customers to incubate ideas, start new ventures, consolidate datacenter operations, and scale fast-growing business to millions of users.</p> \
								<p class="last">Sessions in the Compute track cover the latest instance types and features of Amazon EC2, Amazon VPC, Auto Scaling, and Elastic Load Balancing and show how to operate at scale and efficiently manage your compute resources.</p>',
						},
						{
							icon: 'containers',
							subhead: 'Containers',
							tags: 'Amazon ECS, Amazon ECR, Docker',
							content: '<p class="last">In the Containers track, you will learn how to use Amazon ECS to run Docker-enabled containers on AWS and build robust, scalable applications and services.</p>',
						},
						{
							icon: 'databases',
							subhead: 'Databases',
							tags: 'Amazon RDS, Amazon DynamoDB, Amazon Redshift, Amazon ElastiCache, Amazon Aurora',
							content: '<p class="last">Sessions in the Databases track  will cover how to setup, operate and scale relational, NoSQL and analytic databases and data warehouses in the cloud and will go deep into Amazon RDS, Amazon DynamoDB, Amazon Redshift, Amazon ElastiCache and Amazon Aurora.</p>',
						},
						{
							icon: 'dev-tools',
							subhead: 'Developer Tools',
							tags: 'AWS CLI, SDKs, Java, Ruby, PHP, Python',
							content: '<p class="last">This Dev tools track will cover the best practices for building cloud applications and demonstrate how to optimize your applications using our SDKs, and increase your productivity using our toolkits and command line interfaces. </p>',
						},
						{
							icon: 'enterprise',
							subhead: 'Enterprise',
							tags: 'change management, TCO, migration, cost optimization, assessment, adoption ',
							content: '<p class="last">The sessions in the Enterprise track will explore how to select projects for the cloud, how to improve economics, how to plan and execute migrations, and how to manage change in large-scale IT transformations to cloud.</p>',
						},
						{
							icon: 'iot',
							subhead: 'IoT',
							tags: 'AWS IoT, IoT ',
							content: '<p class="last">Sessions in the IoT trackvwill highlight best practices using the cloud for IoT applications, connecting devices with AWS IoT, and using AWS endpoints. </p>',
						},
						{
							icon: 'machine-learning',
							subhead: 'Machine Learning',
							tags: 'Amazon Machine Learning, predictive analytics, artificial intelligence,',
							content: '<p class="last">Sessions in the Machine Learning track will show you how to apply predictive analytics to your data, and add new smart data processing features to your applications using Amazon Machine Learning as well as open source frameworks like Spark ML running on Amazon EMR. </p>',
						},
						{
							icon: 'mobile',
							subhead: 'Mobile',
							tags: 'AWS Lambda, AWS Mobile Hub, Amazon Cognito, Amazon Mobile Analytics, Auto Scaling ',
							content: '<p class="last">Session in the Mobile track will help you understand AWS&rsquo; latest portfolio of mobile optimized services as provide examples of best practices and lessons learned from real world companies that use AWS to power their mobile apps.</p>',
						},
						{
							icon: 'networking',
							subhead: 'Networking And Content Delivery',
							tags: 'Amazon VPC, AWS Direct Connect, Amazon Route 53, Elastic Load Balancing ',
							content: '<p class="last">The Networking sessions will go deep into the range of networking services provided by AWS to enable you to create a logically isolated network that you define, establish a private network connection to the AWS cloud, use a highly available and scalable DNS service and deliver content to your end users with low latency at high data transfer speeds with a content delivery web service.</p>',
						},
						{
							icon: 'security',
							subhead: 'Security &amp; Compliance',
							tags: 'Governance, AWS Directory Service, AWS IAM, AWS CloudTrail, AWS Config, AWS CloudWatch',
							content: '<p class="last">The Security &amp; Compliance track will provide you with the latest information about security-related AWS features and capabilities, and how to tailor them to meet your business objectives and compliance requirements.</p>',
						},
						{
							icon: 'storage',
							subhead: 'Storage',
							tags: 'Amazon S3, Amazon Glacier, Amazon EBS, AWS Storage Gateway, Amazon EFS, Amazon CloudFront, Amazon Snowball',
							content: '<p class="last">In the Storage &amp; Content Delivery track, you&rsquo;ll learn how to use the different AWS storage services and features for all your storage needs and gain insights into practical strategies, architectural patterns, and learn best practices to optimize your storage tiers to implement secure, scalable solutions and reduce costs. </p>',
						},
						{
							icon: 'serverless-computing',
							subhead: 'Serverless Computing',
							tags: 'AWS Lambda, Amazon API Gateway ',
							content: '<p class="last">In the Serverless Computing track you will learn how to build serverless architectures on AWS using AWS Lambda. We will demonstrate how you can build a range of applications from data processing systems to mobile backends to web applications.</p>',
						},

					],
				}
			]
		},
		{
			slug: 'workshops',
			headline_basic: "Workshops — Expanded For 2016",
			subsections: [
				{
					columns: [
						{
							content: '<p>Looking for a different way to learn about your favorite topics? Sign up for a workshop! Workshops engage attendees in a small-scale, hands-on session that provides a more tangible way to learn. These sessions are two-plus hours long and are capped at about 75 attendees per workshop to maximize networking and learning opportunities. After seeing how popular these sessions were last year, we decided to double the number of workshops being offered at re:Invent 2016.</p> \
								<p class="last">Workshop details will be available in late Summer when the session catalog is released.</p>',
						},
					]
				}
			]
		},
		{
			slug: 'chats-demos',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h2 class="headline-s3">Dev Chats</h2> \
								<p class="last">Bring your questions to our Dev Chats, which let you &ldquo;ask the expert&rdquo; anything about a specific topic, solution, or technology. Visit the Developer Lounge in the Expo Hall to connect with experts in these small-scale, short-format sessions.</p>',
						},
						{
							content: '<h2 class="headline-s3">Live Demos</h2> \
								<p class="last">You don&rsquo;t need hours of practice to pick up a new skill. These short-format, real-time demo sessions are a great way to get how-to instructions straight from the experts.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'revisit-2015',
			header_text: '<p class="last">In addition, you can revisit a few of our highest-rated sessions form re:Invent 2015:</p>',
			subsections: [
				{
					columns: [
						{
							list: [
								{
									name: '<a href="https://www.youtube.com/watch?v=5_bQ6Dgk6k8" target="_blank">Creating Your Virtual Data <span class="no-wrap">Center &raquo;</span></a>',
									desc: 'NET201: VPC Fundamentals and Connectivity Options'
								},
								{
									name: '<a href="https://www.youtube.com/watch?v=-mL3zT1iIKw" target="_blank">A Day in the Life of a Netflix Engineer Using 37% of the <span class="no-wrap">Internet &raquo;</span></a>',
									desc: 'DVO203'
								},
								{
									name: '<a href="https://www.youtube.com/watch?v=qEYbjCXOU7Q" target="_blank">Alexa Voice Service Under the <span class="no-wrap">Hood &raquo;</span></a>',
									desc: 'MBL310'
								},
							],
						},
						{
							list: [
								{
									name: '<a href="https://www.youtube.com/watch?v=sGUQFEZWkho" target="_blank">AWS Config/Config <span class="no-wrap">Rules &raquo;</span></a>',
									desc: 'SEC314: Use AWS Config Rules to Improve Governance over Configuration Changes to Your Resources'
								},
								{
									name: '<a href="https://youtu.be/xPXIrxZGRm8" target="_blank">Making Every Packet <span class="no-wrap">Count &raquo;</span></a>',
									desc: 'NET404'
								},
								{
									name: '<a href="https://www.youtube.com/watch?v=C4c0pkY4NgQ" target="_blank">From Monolithic to <span class="no-wrap">Microservice &raquo;</span></a>',
									desc: 'ARC309'
								},
							],
						}
					]
				}
			]
		}
	],
}];

