module.exports.sponsors = [{
	meta: [{
		title: "Sponsors",
		slug: "sponsors",
		page_nav: 'true',
		template: 'pale',
		url: "https://reinvent.awsevents.com/sponsors",
		desc: "AWS re:Invent Central is the hub for gathering with cloud peers to be entertained, educated, and engaged.",
	}],
	header: [{
		headline: 'AWS <span class="reinvent-case">re:Invent</span> SPONSORS',
		bump_r: '<span class="reinvent-case">re:Invent</span> Central',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">AWS <span class="reinvent-case">re:Invent</span> Central</h2> \
			<p class="last">AWS re:Invent Central is the hub for gathering with cloud peers to be entertained, educated, and engaged. Inside re:Invent Central, attendees are able to get questions answered by Amazon Web Services engineers and product leaders, connect with leading cloud technology providers and consultants, participate in a variety of activities at several activity pavilions, relax at a Connected Café, and re:Charge your devices at numerous charging stations.</p>',
		content_2: '<h2 class="headline-s3">Become a Sponsor</h2> \
			<p>Interested in sponsorship opportunities at AWS re:Invent 2016? Reach out to us <a target="_blank" href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS">here</a>.</p> \
			<p class="last"><a class="button" href="/become-a-sponsor"><span>learn more</span></a></p>',
	}],

	sections: [
		{
			headline: 'Diamond',
			name: 'diamond',
			slug: 'diamond',
			header_rule: 'true',
			sponsors: [
				{
					name: 'accenture',
					competencies: ['big-data','ms-exchange'],
					modal: 'accenture',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-accenture.png',
						alt: '',
						width: '180'
					}
				},
				{
					name: 'cloudability',
					modal: 'cloudability',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-cloudability.png',
						alt: '',
						width: '237'
					}
				},
				{
					name: 'datadog',
					modal: 'datadog',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-data-dog.png',
						alt: '',
						width: '127'
					}
				},
				{
					name: 'intel',
					modal: 'intel',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-intel.png',
						alt: '',
						width: '157'
					}
				},
				{
					name: 'new-relic',
					modal: 'new-relic',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-new-relic.png',
						alt: '',
						width: '151'
					}
				},
				{
					name: 'tableau',
					modal: 'tableau',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-tableau.png',
						alt: '',
						width: '250'
					}
				},
				{
					name: 'trend-micro',
					modal: 'trend-micro',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-trend-micro.png',
						alt: '',
						width: '193'
					}
				},
			]
		},
		{
			headline: 'Platinum',
			name: 'platinum',
			slug: 'platinum',
			header_rule: 'true',
			sponsors: [
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-2nd-watch.png',
						alt: '',
						width: '171'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-alert-logic.png',
						alt: '',
						width: '266'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-cliqr.png',
						alt: '',
						width: '161'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-cloud-checkr.png',
						alt: '',
						width: '199'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-cloud-health.png',
						alt: '',
						width: '221'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-cloudreach.png',
						alt: '',
						width: '234'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-dynatrace.png',
						alt: '',
						width: '253'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-evident-io.png',
						alt: '',
						width: '261'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-signal-fx.png',
						alt: '',
						width: '202'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-sumo-logic.png',
						alt: '',
						width: '243'
					}
				},
			]
		},
		{
			headline: 'Gold',
			name: 'gold',
			slug: 'gold',
			header_rule: 'true',
			sponsors: [
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-aspera.png',
						alt: '',
						width: '199'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-att.png',
						alt: '',
						width: '112'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-avere.png',
						alt: '',
						width: '224'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-chef.png',
						alt: '',
						width: '141'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-citrix.png',
						alt: '',
						width: '219'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-cloud-passage.png',
						alt: '',
						width: '257'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-cloud-technology-partners.png',
						alt: '',
						width: '224'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-cloudberry-lab.png',
						alt: '',
						width: '242'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-datapipe.png',
						alt: '',
						width: '249'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-dome-security-9.png',
						alt: '',
						width: '280'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-f5.png',
						alt: '',
						width: '125'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-hgst.png',
						alt: '',
						width: '219'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-lg.png',
						alt: '',
						width: '198'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-pagerduty.png',
						alt: '',
						width: '241'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-palerra.png',
						alt: '',
						width: '249'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-qubole.png',
						alt: '',
						width: '225'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-science-logic.png',
						alt: '',
						width: '265'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-sungard-availability-services.png',
						alt: '',
						width: '256'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-treasure-data.png',
						alt: '',
						width: '149'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-veritas.png',
						alt: '',
						width: '213'
					}
				},
			]
		},
		{
			headline: 'Silver',
			name: 'silver',
			slug: 'silver',
			header_rule: 'true',
			sponsors: [
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-c2s-consulting-group.png',
						alt: '',
						width: '111'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-chartio.png',
						alt: '',
						width: '184'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-cloudinary.png',
						alt: '',
						width: '103'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-pivotal.png',
						alt: '',
						width: '144'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-rean-cloud.png',
						alt: '',
						width: '112'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-scality.png',
						alt: '',
						width: '168'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-statuspage-io.png',
						alt: '',
						width: '186'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-zadara-storage.png',
						alt: '',
						width: '195'
					}
				},
			]
		},
		{
			headline: 'Bronze',
			name: 'bronze',
			slug: 'bronze',
			header_rule: 'true',
		sponsor_list: [
				{
					name: '47Line',
					link: '#',
					competencies: ['big-data','ms-exchange'],
				},
				{
					name: 'Acquia',
					link: '#',
				},
				{
					name: 'Actifio',
					link: '#',
				},
				{
					name: 'Akana',
					link: '#',
				},
				{
					name: 'AlgoSec',
					link: '#',
				},
				{
					name: 'Amazon Alexa',
					link: '#',
				},
				{
					name: 'Amazon Business',
					link: '#',
				},
				{
					name: 'Amazon Cloud Drive',
					link: '#',
				},
				{
					name: 'Amazon Payments',
					link: '#',
				},
				{
					name: 'Ansible',
					link: '#',
				},
				{
					name: 'Appcito',
					link: '#',
				},
			]
		},
		{
			headline: 'Startup',
			name: 'startup',
			slug: 'startup',
			header_rule: 'true',
			sponsor_list: [
				{
					name: '47Line',
					link: '#',
					competencies: ['big-data','ms-exchange'],
				},
				{
					name: 'Acquia',
					link: '#',
				},
				{
					name: 'Actifio',
					link: '#',
				},
				{
					name: 'Akana',
					link: '#',
				},
				{
					name: 'AlgoSec',
					link: '#',
					competencies: ['big-data','ms-exchange'],
				},
				{
					name: 'Amazon Alexa',
					link: '#',
				},
				{
					name: 'Amazon Business',
					link: '#',
				},
				{
					name: 'Amazon Cloud Drive',
					link: '#',
				},
				{
					name: 'Amazon Payments',
					link: '#',
				},
				{
					name: 'Ansible',
					link: '#',
					competencies: ['big-data'],
				},
				{
					name: 'Appcito',
					link: '#',
				},
				
			]
		}
	],

	sponsor_modals: [
		{
			name: 'Accenture',
			slug: 'accenture',
			level: 'Diamond',
			link: 'https://www.accenture.com',
			link_text: 'accenture.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-accenture.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Cloudability',
			slug: 'cloudability',
			level: 'Diamond',
			link: 'https://www.cloudability.com/',
			link_text: 'cloudability.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-cloudability.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Datadog',
			slug: 'datadog',
			level: 'Diamond',
			link: 'https://www.datadoghq.com/',
			link_text: 'datadoghq.com',
			desc: '<p class="last">Datadog is a monitoring service for Dev and Ops teams that run applications at scale.</p>',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-data-dog.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Intel',
			slug: 'intel',
			level: 'Diamond',
			link: 'http://www.intel.com/',
			link_text: 'intel.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-intel.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'New Relic',
			slug: 'new-relic',
			level: 'Diamond',
			link: 'https://newrelic.com/',
			link_text: 'newrelic.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-new-relic.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Tableau',
			slug: 'tableau',
			level: 'Diamond',
			link: 'http://get.tableau.com/',
			link_text: 'get.tableau.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-tableau.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Trend Micro',
			slug: 'trend-micro',
			level: 'Diamond',
			link: 'http://www.trendmicro.com/',
			link_text: 'trendmicro.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-trend-micro.png',
				alt: '',
				width: '180'
			}
		}
	]
}];


