module.exports.sponsorship_process = [{
	meta: [{
		title: "AWS re:Invent SPONSORSHIP",
		slug: "sponsorship",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/sponsorship",
		desc: "As a AWS re:Invent sponsor, you will have the opportunity to share your space with leading cloud-technology providers and consultants, over 24,000 attendees.",
		wave: '2',
	}],
	header: [{
		headline: 'AWS <span class="reinvent-case">re:Invent</span> Sponsorship',
		bump_r: '<span class="reinvent-case">re:Invent</span> Central',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Sponsorship Opportunities</h2> \
			<p class="last">AWS re:Invent Central was designed to facilitate connections between sponsors and attendees. As a sponsor, you will have the opportunity to share your space with leading cloud-technology providers and consultants, over 24,000 attendees and expert Amazon Web Services engineers and product leaders. Prospects include influential developers, engineers, architects, IT managers, and executives who can assist with your sales and marketing goals.</p>',
		content_2: '<h2 class="headline-s3">Become A Sponsor</h2> \
			<p class="last">Interested in sponsorship opportunities at AWS re:Invent 2016? Reach out to us <a target="_blank" href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS">here</a>.</p>',
	}],
	sections: [
		{
			slug: 'intro',
			name: 'become a sponsor',
			subhead: '<span class="reinvent-case">re:Invent</span> Central Includes:',
			subsections: [
				// {
				// 	columns: [
				// 		{
				// 			content: '<p>As a sponsor, you will have the opportunity to share your space with leading cloud-technology providers and consultants, over 24,000 attendees and expert Amazon Web Services engineers and product leaders. Prospects include influential developers, engineers, architects, IT managers, and executives who can assist with your sales and marketing goals. You can also use this time to gain technical education and increase your knowledge of the AWS Cloud.</p>',
				// 		},
				// 		{
				// 			content: '<p>re:Invent conference includes 3 days of keynote announcements, 300-plus sessions and 13 tracks, technical workshops, hackathons, Bootcamps, developer activities, networking events and parties*, and more.</p> \
				// 				<p>*Full conference only</p>',
				// 		}
				// 	]
				// },
				{
					columns: [
						{
							content: '<h3 class="headline-s4">7 Sponsorship Levels:</h3> \
							<p>Diamond, Platinum, Gold Premium, Gold, Silver, Bronze, and Startup.</p> \
							<p class="last">For more information, please click <a href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS" target="_blank">here</a>.</p>',
						},
						{
							content: '<h3 class="headline-s4">Activity Pavilions</h3> \
								<p class="last">Enhance attendee engagement, networking, and education with the Partner Theater Sessions.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<h3 class="headline-s4">Updated Floorplan</h3> \
								<p class="last">Five separate villages, each with engaging cafes and activity pavilions – Floorplan will be available in June.</p>',
						},
					]
				}
			]	
		},
		{
			slug: 'sponsors',
			name: 're:Invent sponsors',
			subsections: [
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s2"><span class="reinvent-case">AWS re:Invent</span> Sponsors</h2> \
								<a class="button" href="/sponsors"><span>view sponsors</span></a>'
						}
					]
				}
			]
		},
		
		
		{
			slug: 'sponsorship-contract',
			name: 'sponsorship contract process',
			headline: 'Sponsorship Contract Process',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p class="number-entry"><span class="number">1</span><span class="number-text"> Sign Up <br>Contact</span></p> \
								<p class="last">Please <a href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS" target="_blank">click here</a> if you&rsquo;re ready to sign up, or contact us at <a href="mailto:reinvent-sponsorship@amazon.com">reinvent-sponsorship@amazon.com</a> with additional questions</p>',
						},
						{
							content: '<p class="number-entry"><span class="number">2</span><span class="number-text"> Contract <br>Review</span></p>\
								<p class="last">A contract will be emailed to you and your authorized signer to review and sign by hand or via DocuSign or EchoSign. All fields must be complete to be accepted.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p class="number-entry"><span class="number">3</span><span class="number-text"> Sponsorship <br>Agreement</span></p> \
								<p class="last">Send  all pages of the signed Sponsorship Agreement back to AWS at <a href="mailto:reinvent-sponsorship@amazon.com">reinvent-sponsorship@amazon.com</a>. The Sponsorship Agreement will be effective only if it is executed and submitted to AWS in accordance with these instructions. Any deletions or revisions to the Sponsorship Agreement will void the Agreement.</p>',
						},
						{
							content: '<p class="number-entry"><span class="number">4</span><span class="number-text"> Exhibitor Resource <br>Center</span></p> \
								<p class="last">Your company&rsquo;s main contact will be added to the Exhibitor Resource Center (ERC) and will receive a welcome email with log in credentials and next steps. Your welcome email will include instructions for selecting your <a class="hash-link" href="#booth-selection">booth space</a>.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p class="number-entry"><span class="number">5</span><span class="number-text"> Invoice <br>Paid / Received</span></p> \
								<p class="last">An invoice will be automatically emailed to your company&rsquo;s main contact. Your invoice <strong>MUST BE PAID / RECEIVED</strong> in full by AWS before <a class="hash-link" href="#booth-selection">booth selection</a>.</p>',
						},
						{
							content: '<p class="number-entry"><span class="number">6</span><span class="number-text"> Complete Sponsorship <br>Deliverables</span></p> \
								<p class="last">Pay your invoice and complete sponsorship deliverables via the ERC.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p class="number-entry"><span class="number">7</span><span class="number-text"> Start Planning <br>For Re:invent</span></p> \
								<p class="last">Start planning for re:Invent and remember, we&rsquo;re always here to help.</p>',
						}
					]
				}
			]
		},
		
		
		{
			slug: 'booth-selection',
			name: 'booth selection process',
			rule: 'true',
			headline: 'Booth Selection Process',
			header_text: '<p>Your space in the queue for booth selection is contingent upon the following dates:</p>',
			subsections: [
				{
					columns: [
						{
							content: '<ul class="number-list last"> \
								<li><p class="number-entry"><span class="number">1</span><span class="number-text"> Date The Contract <br>Was Requested</span></p></li> \
								<li><p class="number-entry"><span class="number">2</span><span class="number-text"> Date The Signed Contract <br>Was Delivered Back To AWS</span></p></li> \
								<li><p class="number-entry"><span class="number">3</span><span class="number-text"> Date The Invoice Was <br>Paid / Received By AWS</span></p></li> \
								</ul>',
						},
						{
							content: '<p>AWS will reach out when it&rsquo;s your turn to select your booth. In the meantime, you can check the Booth Queue site to see where you stand.</p> \
								<p class="last">Once you have made your selection, AWS will email you to confirm your booth number.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'floorplan',
			name: 'floorplan',
			headline: 'Floorplan',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p class="last">This floorplan is for informational purposes only and is not an indication of available spaces. Please refer to the <a class="hash-link" href="#booth-selection">Booth Selection Process</a> above for more information.</p>',
						}
					]
				}
			]
		},
		
		{
			slug: 'faq',
			name: 'FAQ',
			headline: 'FAQ',
			subsections: [
				{
					columns: [
						{
							content: '<p class="last">Download the PDF <a href="https://s3-us-west-2.amazonaws.com/2016reinvent/2016+reInvent+FAQ.pdf" target="_blank">here</a>.</p>'
						}
					]
				}
			]
		},
		
	]
}];
