module.exports.terms = [{
	meta: [{
		title: "Terms",
		slug: "terms",
		template: 'pale',
		url: "https://reinvent.awsevents.com/resources/press",
		desc: "Terms and Conditions for AWS re:Invent 2016 registration.",
	}],
	header: [{
		headline: '<span class="reinvent-case">AWS re:Invent</span> 2016',
		bump_r: 'Registration Terms and Conditions',
	}],
	sections: [
		{
			subsections: [
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">Registration Terms And Conditions</h2> \
								<p class="last">These AWS re:Invent 2016 Registration Terms and Conditions (these &ldquo;Terms&rdquo;) contain the terms and conditions that govern your registration for AWS re:Invent 2016 to be held November 28 through December 2, 2016 in Las Vegas, Nevada, at the Venetian Casino Resort Sands Expo &amp; Convention Center, the Mirage, and Wynn/Encore (the &ldquo;Event&rdquo;). These Terms are an agreement between Amazon Web Services, Inc. (&ldquo;AWS,&rdquo; &ldquo;we,&rdquo; &ldquo;us,&rdquo; or &ldquo;our&rdquo;) and you or the entity you represent (&ldquo;you&rdquo;).  By clicking &ldquo;Complete Registration&rdquo; on the AWS re:Invent 2016 registration page, you confirm that you have read, understand and agree to these Terms.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">1. Registration</h2> \
								<p class="last">To register for the Event, you must complete the Event registration process and pay all required registration fees no later than November 28, 2016. Event registration may close earlier than November 28, 2016, as we may determine in our sole discretion.  Event registrations are subject to availability.  You must be 21 years of age or older to register for the Event.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">2. Payment</h2> \
								<p class="last">Payment for registration must be made via credit card or with your Amazon Payment account at the time you register for the Event.  Confirmation of payment will be sent via email.  To request an invoice for your Event registration, contact us at <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>.  AWS reserves the right to cancel your registration without notice for failure to pay in accordance with these Terms.  AWS is not responsible for any damages, direct or indirect, resulting from such cancellation. </p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">3. Attendee Cancellation And Changes</h2> \
								<p class="last">You may cancel your Event registration by sending written notice to AWS by email to <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>. If AWS receives your cancellation notice by 12:00 noon (PT), September 1, 2016, AWS will issue you a full refund of registration fees, minus a cancellation fee, via the original payment method. The cancellation fee for a full conference pass is $100, and the cancellation fee for Certifications or Bootcamps is $50. If AWS receives your cancellation notice after 12:00 noon (PT), September 1, 2016 and on or before 12:00 noon (PT), November 1, 2016, AWS will issue you a 50% refund of registration fees, via the original payment method. If AWS receives your cancellation notice after 12:00 noon (PT), November 1, 2016, you will not be eligible for a refund. Event registrations may be transferred to another participant upon approval by AWS in its sole discretion. To request a transfer of your Event registrations, contact us at <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">4. Event Program And AWS Cancellation</h2> \
								<p class="last">The Event program is subject to change.  AWS may cancel the Event at any time and may deny, limit or cancel a registration for the Event (including confirmed registrations) at any time, for any or no reason.  AWS is not responsible for any damages, direct or indirect, resulting from such cancellation.  If AWS cancels the Event or your registration, so long as you are in compliance with these Terms, AWS will issue you a full refund of your Event registration fee.  </p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">5. Personal Information</h2> \
								<p class="last">Please note that your contact details and other information we collect (including credit card information) are subject to the <a href="http://aws.amazon.com/privacy/" target="_blank">AWS Privacy Notice</a>. You consent to our collection, use and disclosure of the information you enter when registering for the Event in accordance with the AWS Privacy Notice. Your contact information will be used to send details and announcements to you related to the Event and other AWS marketing communications. We may also provide your contact information to third-party Event sponsors if (a) you elect to attend any breakout sessions or other activities at the Event hosted by Event sponsors (in which case we would provide your contact information to only the Event sponsor(s) acting as host), or (b) you opt-in during registration to receive communications from our third-party Event sponsors.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">6. License To Use Items</h2> \
								<p class="last">In consideration of the opportunity to participate in the Event, you grant to AWS and its affiliates, agents, employees and assigns an irrevocable, nonexclusive, royalty-free right and license throughout the world and in perpetuity to reproduce, edit, publish, distribute or translate, for advertising, publicity and promotional purposes or for any other purpose relating to AWS&rsquo;s business, all or any part of the following items (&ldquo;Items(s)&rdquo;): (a) all still photographs and all audio and video recordings that AWS or its independent contractors make of you or your voice or likeness in connection with the Event, including the right to use your name, likeness and biographical information, and (b) all materials (electronic or hard copy) submitted or presented by you in connection with the Event. You consent to the use of the Items pursuant to the foregoing in perpetuity without compensation (unless prohibited by law) or additional consents from you.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">7. Assumption Of Risk</h2> \
								<p class="last">You acknowledge and agree that your attendance and participation in the Event is voluntary.  You agree to assume the risks associated with attending and participating in the Event to the fullest extent permitted under applicable law.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">8. Release Of Claims</h2> \
								<p class="last">You (for yourself, your heirs, personal representatives, assigns, and anyone else who might make a claim on your behalf) hereby release AWS and its affiliates, and their respective directors, officers, employees, contractors, representatives, agents, successors and assigns, from any and all claims, demands, causes of action, suits, damages, losses, debts, liabilities, costs and expenses (including without limitation reasonable attorneys&rsquo; fees and costs) that you may have now or in the future associated in any way with the Event or the Items.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">9. Indemnification</h2> \
								<p class="last">You will defend, indemnify and hold harmless AWS and its affiliates, and their respective directors, officers, employees, contractors, representatives, agents, successors and assigns, from and against any loss, damage, judgment, settlement, expense, interest, costs and expenses (including without limitation reasonable attorneys&rsquo; fees and costs), and any other liability related to or arising out of your attendance, participation or conduct at the Event.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">10. Limitation Of Liability</h2> \
								<p class="last">IN NO EVENT WILL (a) AWS BE LIABLE FOR ANY LOSS OF DATA, LOSS OF PROFITS, COST OF COVER OR OTHER SPECIAL, INCIDENTAL, CONSEQUENTIAL, INDIRECT, PUNITIVE, EXEMPLARY OR RELIANCE DAMAGES OR (b) THE LIABILITY OF AWS FOR DIRECT DAMAGES UNDER THESE TERMS EXCEED $100.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">11. Choice Of Law And Venue</h2> \
								<p class="last">These Terms will be deemed made in and will be construed in accordance with and governed by the laws of the State of Washington.  For any dispute arising out of these Terms, you irrevocably submit to venue and exclusive personal jurisdiction in the federal and state courts in Seattle, King County, Washington, USA, and waive all objections to jurisdiction and venue of such courts.</p>'
						}
					]
				}
			]

		}
	]
}];