module.exports.training = [{
	meta: [{
		title: "Training",
		slug: "training",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/training",
		desc: "Our in-person training Bootcamps are your chance to get exclusive knowledge directly from AWS experts.",
		wave: '1',
	}],
	header: [{
		headline: 'Training Bootcamps<br class="desktop-break"> &amp;<br class="desktop-break"> Hands-on Labs',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Bootcamps</h2> \
			<p class="last">Our in-person training Bootcamps are your chance to get exclusive knowledge directly from AWS experts. This year, we&rsquo;re offering Technical Bootcamps, APN Partner Accreditation Bootcamps, and Certification Exam Readiness Workshops.</p>',
		content_2: '<h2 class="headline-s3">Hands-on Labs</h2> \
			<p class="last">Stop by our Hands-on Labs throughout the week and choose from more than 90 training lab topics. Learn at your own pace as you walk through step-by-step scenarios in a live practice environment. Labs take 60 minutes to complete depending on your level of experience. Walk-ups are welcome. Sign-up is not necessary.</p>',
	}],
	sections: [
		{
			slug: 'bootcamps',
			name: 'overview',
			headline: 'Bootcamps',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p class="last">Bootcamps are an opportunity to dive deep into existing skills and learn new ways of working with AWS. This year, we&rsquo;re offering Technical Bootcamps, APN Partner Accreditation Bootcamps, and Certification Exam Readiness Workshops. Bootcamps are offered on Monday, Tuesday, and Wednesday, and run either half a day (8:00 AM - 12:00 PM or 1:00 PM - 5:00 PM) or a full day (9:00 AM - 5:00 PM). You can choose to take one or more Bootcamps based on your schedule.</p>',

						},
						{
							content: '<p class="last">All students taking a Bootcamp must bring their own laptop (no tablets). Laptops must have a dual-core processor with 4GB of RAM. We also recommend having the current version of Chrome or Firefox installed.</p>',

						}
					]
				},
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Technical Bootcamps</h3> \
								<p class="last">Technical Bootcamps are for end users responsible for designing, developing, and implementing cloud-based solutions on AWS. These sessions give you the chance to learn from experienced AWS Instructors and Solutions Architects who bring their extensive technical skills and real-world experience to each class. Each full-day class includes a mix of instructor-led presentations and hands-on lab exercises.</p>',

						},

						{
							content: '<h3 class="headline-s3">Partner Bootcamps</h3> \
								<p class="last">Partner Bootcamps are offered exclusively to members of the AWS Partner Network (APN). These sessions help APN Partners gain a greater understanding of how AWS solutions address customer business requirements. APN Partner Accreditations, which will help your team meet APN training requirements, are awarded upon successful competition of a Partner Bootcamp.</p>',

						}
					]
				},
				{

					columns: [
						{
							content: '<h3 class="headline-s3">Certification Exam Readiness Workshops</h3> \
								<p class="last">Certification Exam Readiness Workshops are open to all customers and partners preparing for an AWS Certification exam. These workshops will go over the structure of an exam and help you interpret the concepts being tested so you can better eliminate incorrect responses.</p>',

						}
					]
				}
			]
		},
		{
			slug: 'introductory',
			name: 'introductory',
			headline: 'Introductory',
			bump_l: 'Bootcamps',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							slug: 'aws-business-essentials',
							modal: 'aws-business-essentials',
							content: '<h3 class="headline-s3">AWS Business Essentials</h3> \
								<p>This is a one-day, introductory-level bootcamp that helps you as an IT business decision maker understand the benefits of cloud computing and how a cloud strategy can help you meet your business objectives. This course discusses the advantages of cloud computing for your business and the fundamentals of AWS, including financial benefits. This course also introduces you to successful cloud adoption frameworks to help you consider the AWS platform within your cloud computing strategy.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						},
						{
							slug: 'aws-technical-essentials',
							modal: 'aws-technical-essentials',
							content: '<h3 class="headline-s3">AWS Technical Essentials</h3> \
								<p>This is a one-day, introductory-level bootcamp that introduces you to AWS products, services, and common solutions. It provides you with fundamentals to become more proficient in identifying AWS services so that you can make informed decisions about IT solutions based on your business requirements and get started working on AWS.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				}
			]
		},
		{
			slug: 'advanced',
			name: 'advanced',
			headline: 'Advanced',
			bump_l: 'Bootcamps',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							slug: 'aws-well-architected-framework',
							modal: 'aws-well-architected-framework',
							content: '<h3 class="headline-s3">AWS Well-architected Framework</h3> \
								<p>This half-day, advanced-level bootcamp describes the benefits of the AWS Well-Architected Framework, which enables customers to assess and improve their cloud architectures and better understand the business impact of their design decisions. It addresses general design principles, best practices, and guidance in four pillars of the Well-Architected Framework.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						},
						{
							slug: 'building-a-serverless-data-lake',
							modal: 'building-a-serverless-data-lake',
							content: '<h3 class="headline-s3">Building A Serverless Data Lake</h3> \
								<p>Building a Serverless Data Lake is a one-day, advanced-level bootcamp designed to teach you how to design, build, and operate a serverless data lake solution with AWS services. The bootcamp will include topics such as ingesting data from any data source at large scale, storing the data securely and durably, enabling the capability to use the right tool to process large volumes of data, and understanding the options available for analyzing the data in near-real time.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
				{
					columns: [
						{
							slug: 'building-and-analyzing-alexa-skills',
							modal: 'building-and-analyzing-alexa-skills',
							content: '<h3 class="headline-s3">Building And Analyzing Alexa Skills</h3> \
								<p>&ldquo;Alexa, build analytics for my skill.&rdquo; Wouldn&rsquo;t it be great if creating new applications was as easy as simply speaking that command? Building and Analyzing Alexa Skills is a one-day, advanced-level bootcamp that guides you through creating an Alexa Skill (interactive voice application) running on serverless AWS services (Amazon DynamoDB and AWS Lambda). You will learn how to capture usage metrics (via Amazon DynamoDB Streams) and how to store them in a data warehouse (Amazon Redshift) where you can see how users are interacting with your skill. You will be able to keep the working, practical skill you&rsquo;ve built and use the analytics to track how your skill is being used.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						},
						{
							slug: 'building-serverless-solutions-on-aws',
							modal: 'building-serverless-solutions-on-aws',
							content: '<h3 class="headline-s3">Building Serverless Solutions On AWS</h3> \
								<p>Building Serverless Solutions on AWS is a one-day, advanced-level bootcamp that demonstrates how to create applications using AWS Lambda, Amazon DynamoDB, Amazon API Gateway, and other serverless services. You will get hands-on experience using established patterns and best practices to design and build dynamic web applications, stream processors, and batch data processing systems without servers. This bootcamp will cover design and implementation considerations for building scalable and highly available systems and techniques for integrating these solutions with conventional server-based applications.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
				{
					columns: [
						{
							slug: 'processing-data-using-serverless-architectures',
							modal: 'processing-data-using-serverless-architectures',
							content: '<h3 class="headline-s3">Processing Data Using Serverless Architectures</h3> \
								<p>Processing Data Using Serverless Architectures is a one-day, advanced-level bootcamp that provides in-depth knowledge about the design, development, and implementation of a complete end to end AWS solution that leverages serverless architectures. You will use a broad set of AWS technologies, including AWS IoT, Amazon Kinesis, AWS Lambda, Amazon API Gateway, Amazon Simple Storage Service (S3), Amazon Cognito, Amazon Redshift, Amazon Aurora, and Amazon DynamoDB, as building blocks of the solution. Additionally, you will be exposed to a number of AWS solutions and design patterns and gain hands-on experience integrating these services with IoT devices to deliver a complete solution.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
			]
		},
		{
			slug: 'expert',
			name: 'expert',
			headline: 'Expert',
			bump_l: 'Bootcamps',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							slug: 'automating-cloud-scale-security',
							modal: 'automating-cloud-scale-security',
							content: '<h3 class="headline-s3">Automating Cloud Scale Security</h3> \
								<p>This is a one-day, expert-level bootcamp designed to teach solutions architects, operations professionals, DevOps engineers, and hands-on security teams how to implement security automation in their code, applications, and infrastructure lifecycle and how to integrate their systems with core AWS services like AWS Identity and Access Management (IAM) and AWS Key Management Service (KMS). This includes topics such as securing and validating your code and infrastructure deployments, understanding how to integrate with services like KMS for simple encryption of sensitive information, and securing your EC2 instances at run-time in an elastic workload.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						},
						{
							slug: 'running-container-enabled-microservices-on-aws',
							modal: 'running-container-enabled-microservices-on-aws',
							content: '<h3 class="headline-s3">Running Container-enabled Microservices On AWS</h3> \
								<p>This is a one-day, expert-level bootcamp that provides an in-depth, hands-on introduction to managing and scaling container-enabled applications. This full-day bootcamp provides an overview of container and microservice architectures. You will learn how to containerize an example application and architect it according to microservices best practices. Hands-on labs that feature the AWS container-focused services show you how to schedule long-running applications and services, set up a software delivery pipeline for your microservices application, and implement elastic scaling of the application based on customer load.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
				{
					columns: [
						{
							slug: 'building-a-recommendation-engine-on-aws',
							modal: 'building-a-recommendation-engine-on-aws',
							content: '<h3 class="headline-s3">Building A Recommendation Engine On AWS</h3> \
								<p>This is a one-day, expert-level bootcamp that teaches you how to build a fully featured, location-aware, search-enabled recommendation engine using AWS Lambda, Amazon DynamoDB, Amazon Machine Learning (ML), and the popular serverless framework. You will learn how to code, test, and deploy a microservices-based architecture using the serverless framework and Node.js. You will also learn best practices for SDLC of microservices-based architectures that use AWS Lambda and Amazon API Gateway. The bootcamp focuses on code maintainability and testing, continuous integration and deployment, and logging and monitoring. At the conclusion of the bootcamp, you will have the skills to begin building scalable and production-ready applications using AWS services and the serverless framework.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
			]
		},
		
		{
			slug: 'certification-readiness',
			name: 'certification',
			headline: 'Certification Readiness',
			bump_l: 'Bootcamps',
			rule: 'true',
			subsections: [
				
				{
					columns: [
						{
							slug: false,
							modal: false,
							content: '<p class="last">AWS Certification Exam Readiness Workshops are open to all customers and partners who are working to prepare for an AWS Certification exam. These workshops are designed to walk you through the structure of an exam and help interpret the concepts being tested so that you can better eliminate incorrect responses.</p>'
						},
					]
				},
				
				
				{
					columns: [
						{
							slug: 'aws-certified-solutions-architect-associate',
							modal: 'aws-certified-solutions-architect-associate',
							content: '<h3 class="headline-s3">AWS Certified Solutions Architect – Associate Workshop</h3> \
								<p>Designed to complement the AWS course Architecting on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Associate exam. In this workshop, we review what to expect at the testing center and while taking the exam. We walk you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. We also teach you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will have the chance to apply knowledge and test concepts through a series of practice exam questions.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						},
						{
							slug: 'aws-certified-solutions-architect-professional',
							modal: 'aws-certified-solutions-architect-professional',
							content: '<h3 class="headline-s3">AWS Certified Solutions Architect – Professional Workshop</h3> \
								<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Professional exam. This workshop dives deep into the content domains and concepts behind them. Hands-on labs explore advanced use cases spanning multiple content domains. The workshop walks through the exam structure, including analysis and explanations of example questions. You will apply your knowledge and test your understanding of key architectural concepts through a series of practice exam questions.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						}
					]
				},
				
				{
					columns: [
						{
							slug: 'aws-certified-devops-engineer-professional',
							modal: 'aws-certified-devops-engineer-professional',
							content: '<h3 class="headline-s3">AWS Certified DevOps Engineer – Professional Workshop</h3> \
								<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified DevOps Engineer – Professional exam. The AWS Certified DevOps Engineer – Professional exam validates technical expertise in provisioning, operating, and managing distributed application systems on the AWS platform. This workshop walks you through how the exam is structured, including question formats, content domains, and a breakdown of the domains. It also teaches you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test DevOps concepts through a series of practice exam questions and a lab. This workshop is designed to complement the DevOps Engineering on AWS course.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						},
						{
							slug: 'aws-certified-developer',
							modal: 'aws-certified-developer',
							content: '<h3 class="headline-s3">AWS Certified Developer – Associate Workshop</h3> \
								<p>Designed to complement the course Developing on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Developer – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You’ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						}
					]
				},
				
				{
					columns: [
						{
							slug: 'aws-certified-sysops-administrator',
							modal: 'aws-certified-sysops-administrator',
							content: '<h3 class="headline-s3">AWS Certified SysOps Administrator – Associate Workshop</h3> \
								<p>Designed to complement the course Developing on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Developer – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You’ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						}
					]
				},

			]
		},
		
		{
			slug: 'agenda',
			name: 'agenda',
			subhead: 'Training &amp; Certification Schedule',
			schedule: [
				{
					slug: 'monday',
					number: 'Pre-Day',
					day: 'Monday',
					date: 'November 28',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 7:30pm',
							type: 'session',
						},
						{
							name: 'Bootcamps',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
					]
				},
				{
					slug: 'tuesday',
					number: 'Day 1',
					day: 'Tuesday',
					date: 'November 29',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 7:30pm',
							type: 'session',
						},
						{
							name: 'Hands-on Labs',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
						{
							name: 'Bootcamps',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
					]
				},
				{
					slug: 'wednesday',
					number: 'Day 2',
					day: 'Wednesday',
					date: 'November 30',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 10:00pm',
							type: 'session',
						},
						{
							name: 'Hands-on Labs',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
						{
							name: 'Bootcamps',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
						{
							name: 'Late Night Hands-on Labs',
							time: '7:00pm — 12:00am',
							type: 'session',
						}
					]
				},
				{
					slug: 'thursday',
					number: 'Day 3',
					day: 'Thursday',
					date: 'December 1',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 6:30pm',
							type: 'session',
						},
						{
							name: 'Hands-on Labs',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
					]
				},
				{
					slug: 'friday',
					number: 'Day 4',
					day: 'Friday',
					date: 'December 2',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 2:30pm',
							type: 'session',
						},
						{
							name: 'Hands-on Labs',
							time: '9:00am — 12:00pm',
							type: 'session',
						}
					]
				},
			]
		},
	],
	
	modals: [
		{
			headline: 'AWS Business Essentials',
			bump_r: 'Bootcamp',
			slug: 'aws-business-essentials',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/30',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>AWS Business Essentials is a one-day, introductory-level bootcamp that helps you as an IT business decision maker understand the benefits of cloud computing and how a cloud strategy can help you meet your business objectives. This course discusses the advantages of cloud computing for your business and the fundamentals of AWS, including financial benefits. This course also introduces you to successful cloud adoption frameworks to help you consider the AWS platform within your cloud computing strategy.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>IT business decision-makers</li> \
								<li>Individuals who are new to working with AWS</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Working knowledge of IT infrastructure concepts</li> \
								<li>Familiarity with basic finance concepts</li> \
								<li>Familiarity with basic IT security concepts</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Identify the value and benefits of the AWS cloud.</li> \
								<li>Recognize the valuable ways that the AWS platform can be used.</li> \
								<li>Understand the robust security capabilities, controls, and assurances in place to maintain security and data protection.</li> \
								<li>Articulate the financial impact the AWS cloud can have on an organization&rsquo;s procurement cycle, cost management, and contracts, while minimizing risks associated with consumption-based pricing models.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Benefits of Cloud Computing and Defining Your Cloud Strategy</li> \
								<li>Introduction to the AWS Cloud</li> \
								<li>Security and Compliance</li> \
								<li>Cloud Financials</li> \
								<li>Migrating to the Cloud: Next Steps</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Technical Essentials',
			bump_r: 'Bootcamp',
			slug: 'aws-technical-essentials',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29, 11/30',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>AWS Technical Essentials is a one-day, introductory-level bootcamp that introduces you to AWS products, services, and common solutions. It provides you with fundamentals to become more proficient in identifying AWS services so that you can make informed decisions about IT solutions based on your business requirements and get started working on AWS.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals responsible for articulating the technical benefits of AWS services to customers</li> \
								<li>Individuals interested in learning how to get started with using AWS</li> \
								<li>SysOps administrators, solutions architects, and developers interested in using AWS services</li> \
							</ul> \
							<h3 class="headline-s3">Hands-On Activity</h3> \
							<p>This course allows you to test new skills and apply knowledge to your working environment through a variety of practical exercises. Please bring a laptop to complete lab exercises – tablets are not appropriate.</p> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand basic data center design concepts.</li> \
								<li>Recognize terminology and concepts as they relate to the AWS platform and navigate the AWS Management Console.</li> \
								<li>Understand the foundational infrastructure services, including Amazon Virtual Private Cloud (VPC), Amazon Elastic Compute Cloud (EC2), Amazon Elastic Block Store (EBS), Amazon Simple Storage Service (S3), Auto Scaling, and Elastic Load Balancing (ELB).</li> \
								<li>Understand the security measures AWS provides and key concepts of AWS Identity and Access Management (IAM).</li> \
								<li>Understand AWS database services, including Amazon DynamoDB and Amazon Relational Database Service (RDS).</li> \
								<li>Understand AWS management tools, including Amazon CloudWatch and AWS Trusted Advisor.</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction and History of AWS</li> \
								<li>AWS Infrastructure: Compute, Storage, and Networking</li> \
								<li>AWS Security, Identity, and Access Management</li> \
								<li>AWS Databases</li> \
								<li>AWS Management Tools</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Secrets to Successful Cloud Transformations',
			bump_r: 'Bootcamp',
			slug: 'secrets-to-successful-cloud-transformations-intro',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Secrets to Successful Cloud Transformations is a one-day, introductory-level bootcamp that teaches you how to select the right strategy, people, migration plan, and financial management methodology needed when moving your workloads to the cloud. This bootcamp provides guidance on how to build a holistic cloud adoption plan and how to hire people who will execute that plan. You will learn best practices for choosing workloads to migrate from your on-premises environment to AWS. In addition, you will also learn best practices for managing your AWS expenses and dealing with internal chargebacks.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>IT/Senior managers</li> \
								<li>Solutions architects/Enterprise architects</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">This is an introductory level bootcamp; no experience is required.</p>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Build your cloud strategy.</li> \
								<li>Develop the hiring plan for your cloud team.</li> \
								<li>Choose and prioritize which applications to move to AWS.</li> \
								<li>Build a migration plan for moving workloads to AWS.</li> \
								<li>Manage your AWS expenditures and internal chargebacks.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Activities</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Building Your Cloud Strategy</li> \
								<li>Hiring Your Cloud Team</li> \
								<li>Migration Planning</li> \
								<li>Cloud Expenditure Management</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Well Architected Framework',
			bump_r: 'Bootcamp',
			slug: 'aws-well-architected-framework',
			modal_meta: [{
				price: '$450',
				date: '11/28, 11/29, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This half-day, advanced-level bootcamp describes the benefits of the AWS Well-Architected Framework, which enables customers to assess and improve their cloud architectures and better understand the business impact of their design decisions. It addresses general design principles, best practices, and guidance in four pillars of the Well-Architected Framework.  </p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Solutions architects</li> \
								<li>IT management</li> \
								<li>Operations staff</li> \
								<li>Risk &amp; Compliance engineers</li> \
								<li>Development staff</li> \
								<li>Process owners</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Strong working knowledge of AWS core services and features</li> \
								<li>Previous architectural experience</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the AWS Well-Architected Framework.</li> \
								<li>Understand general design principles.</li> \
								<li>Understand AWS best practices.</li> \
								<li>Assess, improve, and sustain your cloud architectures.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Activities</li> \
							</ul> \
							<h3 class="headline-s3">Hands-On Activity</h3> \
							<p>This course allows you to test new skills and apply knowledge to your working environment through a variety of practical architectural review exercises.</p> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction to the Well-Architected Framework</li> \
								<li>Walk through architectural examples</li> \
								<li>Learn about the four pillars of the Well-Architected Framework</li> \
								<li>Hands-on application of the framework on a sample architecture</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Building a Serverless Data Lake',
			bump_r: 'Bootcamp',
			slug: 'building-a-serverless-data-lake',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Building a Serverless Data Lake is a one-day, advanced-level bootcamp designed to teach you how to design, build, and operate a serverless data lake solution with AWS services. The bootcamp will include topics such as ingesting data from any data source at large scale, storing the data securely and durably, enabling the capability to use the right tool to process large volumes of data, and understanding the options available for analyzing the data in near-real time.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Solutions architects </li> \
								<li>Big Data developers</li> \
								<li>Data architects and analysts</li> \
								<li>Other hands-on data analysis practitioners</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Good working knowledge of AWS core services, including Amazon Elastic Compute Cloud (EC2) and Amazon Simple Storage Service (S3)</li> \
								<li>Some experience working with a programming or scripting language</li> \
								<li>Familiarity with the Linux operating system and command line interface</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Collect large amounts of data using services such as Kinesis Streams and Firehose and store the data durably and securely in Amazon Simple Storage Service.</li> \
								<li>Create a metadata index of your data lake that uses Amazon DynamoDB for search capabilities.</li> \
								<li>Choose the best tools for ingesting, storing, processing, and analyzing your data in the lake.</li> \
								<li>Apply the knowledge to hands-on labs that provide practical experience with building an end-to-end solution.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Activities</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Key services that help enable a serverless data lake architecture</li> \
								<li>A data analytics solution that follows the ingest, store, process, and analyze workflow</li> \
								<li>Repeatable template deployment for implementing a data lake solution</li> \
								<li>Building a metadata index and enabling search capability</li> \
								<li>Setup of a large scale data ingestion pipeline from multiple data sources</li> \
								<li>Transformation of data with simple functions that are event-triggered</li> \
								<li>Data processing by choosing the best tools and services for the use case</li> \
								<li>Options available to better analyze the processed data</li> \
								<li>Best practices for deployment and operations</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Building Serverless Solutions on AWS',
			bump_r: 'Bootcamp',
			slug: 'building-serverless-solutions-on-aws',
			modal_meta: [{
				price: '$600',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Building Serverless Solutions on AWS is a one-day, advanced-level bootcamp that demonstrates how to create applications using AWS Lambda, Amazon DynamoDB, Amazon API Gateway, and other serverless services. You will get hands-on experience using established patterns and best practices to design and build dynamic web applications, stream processors, and batch data processing systems without servers. This bootcamp will cover design and implementation considerations for building scalable and highly available systems and techniques for integrating these solutions with conventional server-based applications.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
								<li>Solutions architects</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Certification as an AWS Developer – Associate, AWS SysOps Administrator – Associate, or AWS Solutions Architect – Associate</li> \
								<li>Basic understanding of JavaScript</li> \
								<li>Requires a laptop to complete lab exercises – tables are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Use AWS Lambda and API Gateway to build serverless dynamic web applications and services.</li> \
								<li>Process and analyze Amazon Kinesis or Amazon DynamoDB streams without servers.</li> \
								<li>Integrate serverless components with existing resources deployed in an Amazon VPC.</li> \
								<li>Build serverless scheduled and event-based batch processing systems.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Activities</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction to Serverless Solutions</li> \
								<li>Dynamic Web Applications and Microservices</li> \
								<li>Serverless Stream Processing</li> \
								<li>Scheduled Functions and Batch Processing</li> \
								<li>VPC Integration and Hybrid Architectures</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Building and Analyzing Alexa Skills',
			bump_r: 'Bootcamp',
			slug: 'building-and-analyzing-alexa-skills',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>&ldquo;Alexa, build analytics for my skill.&rdquo; Wouldn&rsquo;t it be great if creating new applications was as easy as simply speaking that command? Building and Analyzing Alexa Skills is a one-day, advanced-level bootcamp that guides you through creating an Alexa Skill (interactive voice application) running on serverless AWS services (Amazon DynamoDB and AWS Lambda). You will learn how to capture usage metrics (via Amazon DynamoDB Streams) and how to store them in a data warehouse (Amazon Redshift) where you can see how users are interacting with your skill. You will be able to keep the working, practical skill you&rsquo;ve built and use the analytics to track how your skill is being used.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
								<li>Solutions architects</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Basic working knowledge of AWS Lambda and Amazon DynamoDB</li> \
								<li>Familiarity with at least one programming language</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Create a basic Alexa Skill.</li> \
								<li>Use Lambda and DynamoDB to create a serverless, scalable service behind the skill.</li> \
								<li>Use DynamoDB Streams, Lambda, and Redshift to collect, process, and analyze streaming data.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction/Architecture</li> \
								<li>Alexa Skill Setup (Alexa Skills Kit, AWS Lambda, Amazon DynamoDB)</li> \
								<li>Capturing and Storing Usage Data (Amazon DynamoDB Streams, Amazon Redshift)</li> \
								<li>Transferring/Saving Your Work</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Processing Data Using Serverless Architectures',
			bump_r: 'Bootcamp',
			slug: 'processing-data-using-serverless-architectures',
			modal_meta: [{
				price: '$600',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Processing Data Using Serverless Architectures is a one-day, advanced-level bootcamp that provides in-depth knowledge about the design, development, and implementation of a complete end to end AWS solution that leverages serverless architectures. You will use a broad set of AWS technologies, including AWS IoT, Amazon Kinesis, AWS Lambda, Amazon API Gateway, Amazon Simple Storage Service (S3), Amazon Cognito, Amazon Redshift, Amazon Aurora, and Amazon DynamoDB, as building blocks of the solution. Additionally, you will be exposed to a number of AWS solutions and design patterns and gain hands-on experience integrating these services with IoT devices to deliver a complete solution.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
								<li>Solution Architects</li> \
								<li>Systems Engineers</li> \
								<li>Other hands on IoT, systems and platform owners</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Working knowledge of core AWS services and features including Identity Access and Management (IAM), Amazon Simple Storage Service (S3), Amazon Elastic Compute Cloud (EC2) and general compute.</li> \
								<li>Good understanding of the AWS security model, including shared responsibility, compliance, reports and security best practices.</li> \
								<li>Basic understanding of IoT compute modules (such as Intel Edison, Raspberry Pi etc) and associated development frameworks and languages (node.js, Python, Bash etc)</li> \
								<li>Fundamental understanding of serverless architectures, AWS APIs and SDKs</li> \
								<li>Understanding of basic Unix and system administration activities such as identity and access management, configuration managements, remote administration and automation frameworks such as AWS Cloudformation.</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Design, develop, and deploy serverless architectures for a remote sensing and monitoring solution using IoT, Kinesis, Lambda, API Gateway, S3, Cognito, Redshift and DynamoDB.</li> \
								<li>Leverage the flexibility and power of the AWS service APIs and SDKs to deliver a complete end to end solution</li> \
								<li>Understand the complexities, design patterns and intricacies of deploying IoT solutions across a range of embedded devices, AWS services, and physical interfaces.</li> \
								<li>Implement an end to end solution for the acquisition, processing and analysis of data from multiple environmental sensors</li> \
								<li>Interface IoT compute modules with sensor data streams</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Acquisition of multi-sensor data using physical IoT compute module, AWS IoT and MQTT</li> \
								<li>Processing of raw sensor data using API Gateway, Lambda, Kinesis and Cognito</li> \
								<li>Analysis and visualization of processed data using Redshift, DynamoDB, Aurora, visualization libraries and AWS SDKs.</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Automating Cloud Scale Security',
			bump_r: 'Bootcamp',
			slug: 'automating-cloud-scale-security',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Automating Cloud Scale Security is a one-day, expert-level bootcamp designed to teach solutions architects, operations professionals, DevOps engineers, and hands-on security teams how to implement security automation in their code, applications, and infrastructure lifecycle and how to integrate their systems with core AWS services like AWS Identity and Access Management (IAM) and AWS Key Management Service (KMS). This includes topics such as securing and validating your code and infrastructure deployments, understanding how to integrate with services like KMS for simple encryption of sensitive information, and securing your EC2 instances at run-time in an elastic workload.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Security engineers</li> \
								<li>DevOps engineers</li> \
								<li>Solutions architects</li> \
								<li>Other hands-on security practitioners</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Good understanding of information security techniques such as defining and implementing security controls, maintaining roles and responsibilities, generating artifacts, and performing audits</li> \
								<li>Good understanding of the AWS security model, including shared responsibility, compliance reports, and security best practices</li> \
								<li>Working knowledge of core AWS services and features, including Amazon Elastic Compute Cloud (EC2), Auto Scaling, Amazon Virtual Private Cloud (VPC), Amazon Elastic Block Store (EBS), and Amazon Simple Storage Service (S3)</li> \
								<li>Fundamental understanding of software development paradigms such as encryption, logging, version control systems, workflow engines, pub/sub notifications, and making AWS API calls</li> \
								<li>Basic understanding of system administration activities such as identity and access management, configuration management, remote administration, and automation frameworks</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Validate your application and infrastructure by using a validation pipeline.</li> \
								<li>Integrate with IAM and KMS.</li> \
								<li>Implement an Automatic Incident Response Remediation framework.</li> \
								<li>Detect, track, and report your application and infrastructure lifecycle for future improvements on security.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Deep Dive on Security Automation</li> \
								<li>Integration of Code, Applications, and Systems with IAM and KMS</li> \
								<li>Validation of Code, Applications, and Infrastructure using a Secure Pipeline</li> \
								<li>Implementation of Security and Validation for Elastic EC2 Deployments</li> \
								<li>Implementation of Automated Incident Response Remediation Processes and Framework</li> \
								<li>Logging, Tracking, and Reporting on the Infrastructure Lifecycle of your Application</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Building a Recommendation Engine on AWS',
			bump_r: 'Bootcamp',
			slug: 'building-a-recommendation-engine-on-aws',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Building a Recommendation Engine on AWS is a one-day, expert-level bootcamp that teaches you how to build a fully featured, location-aware, search-enabled recommendation engine using AWS Lambda, Amazon DynamoDB, Amazon Machine Learning (ML), and the popular serverless framework. You will learn how to code, test, and deploy a microservices-based architecture using the serverless framework and Node.js. You will also learn best practices for SDLC of microservices-based architectures that use AWS Lambda and Amazon API Gateway. The bootcamp focuses on code maintainability and testing, continuous integration and deployment, and logging and monitoring. At the conclusion of the bootcamp, you will have the skills to begin building scalable and production-ready applications using AWS services and the serverless framework.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Strong working knowledge of AWS core services and features</li> \
								<li>Some experience with a programming language</li> \
								<li>Familiarity with the Linux operating system</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Program, test, deploy, and monitor microservice endpoints using AWS services with the serverless framework and Node.js.</li> \
								<li>Use AWS services like Amazon DynamoDB, Amazon DynamoDB Streams, and Amazon Elasticsearch Service to add full text and geospatial searching to your application.</li> \
								<li>Train a predictive model to generate real-time recommendations for your application using Amazon ML.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Serverless Application Development on AWS</li> \
								<li>Strategies for Testing Serverless Microservice Endpoints</li> \
								<li>Operationalizing Serverless Microservice Architectures</li> \
								<li>Generating Real-Time Predictions With Machine Learning</li> \
								<li>Putting it all Together: A Location-Aware, Search-Enabled Recommendation Engine</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Running Container-Enabled Microservices on AWS',
			bump_r: 'Bootcamp',
			slug: 'running-container-enabled-microservices-on-aws',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Running Container-Enabled Microservices on AWS is a one-day, expert-level bootcamp that provides an in-depth, hands-on introduction to managing and scaling container-enabled applications. This full-day bootcamp provides an overview of container and microservice architectures. You will learn how to containerize an example application and architect it according to microservices best practices. Hands-on labs that feature the AWS container-focused services show you how to schedule long-running applications and services, set up a software delivery pipeline for your microservices application, and implement elastic scaling of the application based on customer load.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
								<li>Operations professionals</li> \
								<li>Solutions architects</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Fundamental knowledge of core AWS services and features</li> \
								<li>Basic knowledge of Docker</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Design and deploy a microservices-based architecture using containers.</li> \
								<li>Use Amazon EC2 Container Service to run a scalable microservices based application.</li> \
								<li>Use EC2 Container Registry to store the application container images.</li> \
								<li>Integrate Amazon EC2 Container Service with other AWS services. </li> \
								<li>Use AWS services to build a continuous delivery pipeline for your application.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Containerize Your First Application</li> \
								<li>From Monolith to Microservice: Break up Your Monolithic Application into Smaller Microservices</li> \
								<li>From Dev to Prod: Creating Continuous Delivery Pipelines for your Microservices Application</li> \
								<li>Scaling Your Container-Based Application</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified Solutions Architect',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-solutions-architect-associate',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/29, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Designed to complement the AWS course Architecting on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Associate exam. In this workshop, we review what to expect at the testing center and while taking the exam. We walk you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. We also teach you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will have the chance to apply knowledge and test concepts through a series of practice exam questions. </p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified Solutions Architect – Associate exam</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Architecting on AWS</strong></li> \
								<li>One or more years of hands-on experience designing and deploying scalable, highly available, and fault-tolerant systems on AWS </li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Navigate the logistics of the examination process.</li> \
								<li>Understand the exam structure and question types.</li> \
								<li>Identify how questions are written to test AWS architectural concepts.</li> \
								<li>Interpret the concepts being tested by an exam question.</li> \
								<li>Allocate your time in studying for the AWS Certified Solutions Architect – Associate exam.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing Center Information and Expectations</li> \
								<li>Exam Overview and Structure</li> \
								<li>Content Domains and Question Breakdown</li> \
								<li>Topics and Concepts with Content Domains</li> \
								<li>Question Structure and Interpretation Techniques</li> \
								<li>Practice Exam Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified SysOps Administrator',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-sysops-administrator',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This half-day workshop is intended for individuals who are preparing for the AWS Certified SysOps Administrator – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You&rsquo;ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions. At the end of the workshop you&rsquo;ll also receive a voucher to take an additional, online practice exam at no cost.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified SysOps Administrator – Associate exam</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Systems Operations on AWS</strong> (or have equivalent knowledge)</li> \
								<li>One or more years of hands-on experience configuring, deploying, and supporting networks and systems on the AWS platform.</li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Navigate the logistics of the examination process.</li> \
								<li>Understand the exam structure and question types.</li> \
								<li>Identify how questions are written to test AWS system operations concepts.</li> \
								<li>Interpret the concepts being tested by an exam question.</li> \
								<li>Allocate your time in studying for the AWS Certified SysOps Administrator – Associate exam.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing Center Information and Expectations</li> \
								<li>Exam Overview and Structure</li> \
								<li>Content Domains and Question Breakdown</li> \
								<li>Topics and Concepts with Content Domains</li> \
								<li>Question Structure and Interpretation Techniques</li> \
								<li>Practice Exam Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
			
		{
			headline: 'AWS Certified Developer',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-developer',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Designed to complement the course Developing on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Developer – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You&rsquo;ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified Developer – Associate exam</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Developing on AWS</strong> (or have equivalent knowledge)</li> \
								<li>In depth knowledge or training in at least one high-level programming language</li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
						<p class="last">This course teaches you how to:</p> \
						<ul> \
							<li>Navigate the logistics of the examination process.</li> \
							<li>Understand the exam structure and question types.</li> \
							<li>Interpret the concepts being tested by an exam question.</li> \
							<li>Allocate your time in studying for the AWS Certified Developer – Associate exam.</li> \
						</ul> \
						<h3 class="headline-s3">Delivery Method</h3> \
						<p class="last">This course is delivered through a mix of:</p> \
						<ul> \
							<li>Instructor-Led Training (ILT)</li> \
							<li>Group Discussion</li> \
							<li>Sample Exercise Questions</li> \
						</ul> \
						<h3 class="headline-s3">Course Outline</h3> \
						<p class="last">This course covers the following concepts:</p> \
						<ul> \
							<li>Exam Overview and Structure</li> \
							<li>Content Domains and Question Breakdown</li> \
							<li>Topics and Concepts with Content Domains</li> \
							<li>Question Structure and Interpretation Techniques</li> \
							<li>Practice Exam Questions</li> \
						</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified Solutions Architect',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-solutions-architect-professional',
			modal_meta: [{
				price: '$450',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Professional exam. This workshop dives deep into the content domains and concepts behind them. Hands-on labs explore advanced use cases spanning multiple content domains. The workshop walks through the exam structure, including analysis and explanations of example questions. You will apply your knowledge and test your understanding of key architectural concepts through a series of practice exam questions.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Solutions architects</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Advanced Architecting on AWS </strong> (or have equivalent knowledge)</li> \
								<li>Two or more years of hands-on experience designing and deploying cloud architecture on AWS </li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the requirements of the AWS Solutions Architect – Professional exam.</li> \
								<li>Learn the content and learn where your gaps are.</li> \
								<li>Identify the content and knowledge needed to fill those gaps.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-on Labs</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction to content domains and exam structure </li> \
								<li>Deployment Management, Data Storage, High Availability, and Business Continuity</li> \
								<li>Costing</li> \
								<li>Security, Network Design</li> \
								<li>Cloud Migration and Hybrid Architecture, Scalability, and Elasticity</li> \
								<li>Practice Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified DevOps Engineer',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-devops-engineer-professional',
			modal_meta: [{
				price: '$450',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified DevOps Engineer – Professional exam. The AWS Certified DevOps Engineer – Professional exam validates technical expertise in provisioning, operating, and managing distributed application systems on the AWS platform. This workshop walks you through how the exam is structured, including question formats, content domains, and a breakdown of the domains. It also teaches you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test DevOps concepts through a series of practice exam questions and a lab. This workshop is designed to complement the DevOps Engineering on AWS course.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified DevOps Engineer – Professional exam</li> \
								<li>Solutions architects</li> \
								<li>Developers</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>DevOps Engineering on AWS</strong> (or have equivalent knowledge)</li> \
								<li>Two or more years of hands-on experience with production AWS systems</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the structure of the AWS Certified DevOps Engineer – Professional exam.</li> \
								<li> \
									Understand the DevOps-specific domain content to prepare for the exam, including: \
									<ul> \
										<li>Implementing and managing continuous delivery systems and methodologies on AWS.</li> \
										<li>Designing, managing, and maintaining tools to automate operational processes.</li> \
										<li>Defining and deploying monitoring, metrics, and logging systems on AWS.</li> \
										<li>Understanding, implementing, and automating security controls, governance processes, and compliance validation.</li> \
										<li> Implementing systems that are highly available, scalable, and self-healing on the AWS platform.</li> \
										<li>Using AWS services for DevOps in a cost-effective manner.</li> \
									</ul> \
								</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing center information and expectations</li> \
								<li>Exam overview and structure</li> \
								<li>Content domains and question breakdown</li> \
								<li>Topics and concepts with content domains</li> \
								<li>Question structure and interpretation techniques</li> \
								<li>Practice exam questions</li> \
							</ul>'
						}
					]
				}
			]
		}
		
	]
}];