<?php
	$site_name = 'What if?';
	$base_url = 'https://news.microsoft.com/the-motor-that-drives-machine-learning/';
	$og_title = 'What if? The motor that drives machine learning.';
	$og_desc = 'See how this simple, two-word question is fueling intelligence like never before. Helping shape the future and empowering billions of people around the globe.';
	$tweet = 'What if questions fueled more than answers? See how machine intelligence is shaping the future.';
?>
<!DOCTYPE html>
<html class="no-js" lang="en">
	<head>
		<title><?php echo $title; ?></title>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1 user-scalable=no">

		<link rel="shortcut icon" href="//www.microsoft.com/favicon.ico?v2" />
	
		<link href="<?php echo $base_url; ?>" rel="canonical">

	  	<meta name="description" content="At Microsoft, 'What if' fuels everything we do. It's the launchpad for ideas, and ultimately products, that change the world. Shaping the future. And empowering billions of people around the globe." />
		<meta name="keywords" content="Machine Learning, Microsoft, Search, Bing, Innovation, bots, POTUS, artificial intelligence, career opportunities" />

		<meta property="fb:app_id" 			content="1580701635591023" />
		<meta property="fb:admins" 			content="tether.manage" />
		<meta property="og:site_name" 		content="<?php echo $site_name; ?>" />
		<meta property="og:description" 	content="<?php echo $og_desc; ?>" />
		<meta property="og:url" 			content="<?php echo $base_url; ?>" />
		<meta property="og:title" 			content="<?php echo $og_title; ?>" />
		<meta property="og:type" 			content="website" />
		<meta property="og:image" 			content="<?php echo $base_url; ?>_media/img/branding/microsoft-whatif-og-facebook.jpg" />

		<meta name="twitter:card" 			content="summary_large_image" />
		<meta name="twitter:site" 			content="@MSFTnews" />
		<meta name="twitter:creator" 		content="@MSFTnews" />
		<meta name="twitter:title" 			content="<?php echo $og_title; ?>" />
		<meta name="twitter:description" 	content="<?php echo $og_desc; ?>" />
		<meta name="twitter:url" 			content="<?php echo $base_url; ?>" />
		<meta name="twitter:image" 			content="<?php echo $base_url; ?>_media/img/branding/microsoft-whatif-og-twitter.jpg" />
		
		<link rel="stylesheet" href="_media/css/style.css?v=1.0.3" type="text/css" media="all">
		
		<!--[if lte IE 8]><!-->
		<script type="text/javascript" src="_media/vendor/js/respond.js"></script>
		<!--<![endif]-->
		<script type="text/javascript" src="_media/vendor/js/modernizr-custom.js"></script>
		
	</head>
	<body class="loading <?php echo $body_class; ?>">

		<!--Begin Default Campaign Tracking Pixel-->		
		<script type='text/javascript'>
			var ebRand = Math.random()+'';
			ebRand = ebRand * 1000000;
			//<![CDATA[ 
			document.write('<scr'+'ipt src="HTTPS://bs.serving-sys.com/Serving/ActivityServer.bs?cn=as&amp;ActivityID=787662&amp;rnd=' + ebRand + '"></scr' + 'ipt>');
			//]]>
		</script>
		<noscript>
			<img width="1" height="1" style="border:0" src="HTTPS://bs.serving-sys.com/Serving/ActivityServer.bs?cn=as&amp;ActivityID=787662&amp;ns=1"/>
		</noscript>
		<!--End Default Campaign Tracking Pixel-->	

<?php if (isset($trac_pix) && $trac_pix !== null) :?>
		<!-- Begin Page Tracking Pixel -->
		<script type='text/javascript'>
			var ebRand = Math.random()+'';
			ebRand = ebRand * 1000000;
			//<![CDATA[ 
			document.write('<scr'+'ipt src="HTTPS://bs.serving-sys.com/Serving/ActivityServer.bs?cn=as&amp;ActivityID=<?php echo $trac_pix; ?>&amp;rnd=' + ebRand + '"></scr' + 'ipt>');
			//]]>
		</script>
		<noscript>
			<img width="1" height="1" style="border:0" src="HTTPS://bs.serving-sys.com/Serving/ActivityServer.bs?cn=as&amp;ActivityID=<?php echo $trac_pix; ?>&amp;ns=1"/>
		</noscript>
		<!-- End Page Tracking Pixel -->
<?php endif; ?>

		<script type=text/javascript>
			function kVoid() { return; }
			function kenshoo_conv(type,value,orderId,promoCode,valueCurrency) {
			var hostProtocol = (("https:" == document.location.protocol) ? "https" : "http");
			var url = hostProtocol+"://1179.xg4ken.com/media/redir.php?track=1&id=abc6582f-e7da-4d38-bf67-c4764602b5de&type="
			+ type + "&val=" + value + "&orderId=" + orderId + "&valueCurrency=" + valueCurrency + "&promoCode=" + promoCode + "&ref=" + document.referrer;
			var a = new Image(1,1);
			a.src = url;
			a.onload = function() { kVoid(); }}
		</script>

		<div class="site-wrapper">
			<header class="site-header">
				<section class="microsoft-global-header"><?php include '_partials/navigation/uhf.php'; ?></section>
				<section class="tet-header"><?php include '_partials/navigation/main-nav.php'; ?></section>	
			</header>
			<div class="site-content">

			