jQuery.extend(jQuery.easing, {
	easeOutQuint: function (x, t, b, c, d) {
		return c*((t=t/d-1)*t*t*t*t + 1) + b;
	},
	easeOutCubic: function (x, t, b, c, d) {
		return c*((t=t/d-1)*t*t + 1) + b;
	},
	easeOutQuart: function (x, t, b, c, d) {
		return -c * ((t=t/d-1)*t*t*t - 1) + b;
	},
	easeInOutExpo: function (x, t, b, c, d) {
		if (t==0) return b;
		if (t==d) return b+c;
		if ((t/=d/2) < 1) return c/2 * Math.pow(2, 10 * (t - 1)) + b;
		return c/2 * (-Math.pow(2, -10 * --t) + 2) + b;
	}
});



var settings = {
	elem: {
		body: $('body'),
		win: $(window),
		doc: $(document),
		siteHeader: $('.site-header'),
		sharingMenu: $('.site-header ul.social-sharing li'),
		sharingIcon: $('.site-header li.sharing a'),
		mobileSharingMenu: $('.social-sharing-mobile'),
		closeBtn: $('.close'),
		homeMasthead: $('.home-masthead'),
		cards: $('.card'),
		cardBlock: $('.card.block:even').find('.central-column'),
		grayTab: $('.intro-gray-tab'),
		footer: $('.site-footer')
	},
	mq: {
		'mobileUp': 'screen and (min-width: 0px)',
		'mobileOnly': 'screen and (max-width: 898px)',
		'tabletUp': 'screen and (min-width: 899px)',
		'desktopUp': 'screen and (min-width: 1600px)'
	},
	pad: 5,
	headerScrollY: 120
};

var method = {
	
	
	/**
	 *  fireFooterTracker 
	 *  Loads the Tracking Pixels for the footer link
	 *
	 */
	 
		
	fireFooterTracker: function() {
		settings.elem.footer.find('a').on('click', function(e) {
			e.preventDefault();
			kenshoo_conv('whatifbutton','','','','USD');

			var url = $(this).attr('href'),
					ebRand = Math.random() + '',
					id = 'footerPostClickLink',
					scriptUrl;
					
			ebRand = ebRand * 1000000;
			scriptUrl = 'HTTPS://bs.serving-sys.com/Serving/ActivityServer.bs?cn=as&ActivityID=794445&rnd=' + ebRand;
			$.getScript(scriptUrl);

			setTimeout( function(){
				window.location.href = url;
			}, 200);
		});
	},
		
		
	/**
	 *  grayTabResizer
	 *  Adjusts the width of the gray tab when over 1600px
	 */
	
	grayTabResizer: function() {
		var marginSize = parseInt($('.article-body .central-column').css('marginLeft'), 10);
		settings.elem.grayTab.css({
			'max-width': 'none',
			'min-width': settings.pad * 2,
			'width': marginSize - 20
		});
	},
	
	
	/**
	 *  adjustCardBlockMargins
	 *  Adjusts the margins of the left-most `.card.block` elements to force into the container. Home page only.
	 */
	
	adjustCardBlockMargins: function() {
		var m = parseInt($('.central-column').css('marginLeft'), 10);
		settings.elem.cardBlock.css('marginLeft', m);
	},
	
	
	/**
	 *  footerSlideUp
	 *  Fires the footer animation on the desktop view.
	 */
	
	footerSlideUp: function() {
		var delay = 5000; 
		if (settings.elem.body.hasClass('article')) {
			delay = delay / 2;
		}
		setTimeout(function() { 
			settings.elem.footer.addClass('loaded');
		}, delay);
	},
	
	
	/**
	 *  headerScrollAnimation
	 *  When scrolled to the provided Y coordinate, animate the header bar.
	 */
	 headerScrollAnimation: function() {
			settings.elem.doc.on('scroll', function() {
				var st = $(this).scrollTop();
				if (st >= settings.headerScrollY) {
					settings.elem.siteHeader.addClass('scrolled');
				} else {
					settings.elem.siteHeader.removeClass('scrolled');
				}
			});
	 },

	
	 
	/**
	 *  footerSlideUp
	 *  Fires the footer animation on the desktop view.
	 */
	
	loaded: function() {
		setTimeout(function() { 
			$('body').removeClass('loading');
		}, 1000);
	},

	modals: {
		 modal_controls: function(){
		 	$('.modal-trigger').on('click tap touch', function(e){
				e.preventDefault();
				var modal = $(this).data('modal');
				method.modals.open_modal(modal);
			});

			$('.close-modal,.modal-ground').on('click tap touch', function(e){
				e.preventDefault();
				method.modals.close_modals();
			});

			//Esc close modal
			$(document).on('keydown', function(e){
		        if(e.keyCode === 27){
		            e.preventDefault();
					method.modals.close_modals();
		        }
		    });
		},
		open_modal: function(modal){
			var $target = $('#modal-' + modal ),
				$video = $target.find('iframe');

			$('.modal').removeClass('active');
			$target.addClass('active');
			$('body').addClass('view-modals scroll-disabled');
			method.modals.play_video($video);
		},
		close_modals: function(){
			//pause video
			$('body').removeClass('view-modals scroll-disabled');
			$('.modal').each( function(){
				if ( $(this).hasClass('active') ){
					var $video = $(this).find('.yt-video');
					method.modals.reset_video($video);
					$(this).removeClass('active');

				}
			});
		},
		play_video: function($video){
			var src = $video.attr('src'),
				nw_src = src.replace('autoplay=0', 'autoplay=1');

			$video.attr('src', nw_src);

		},
		reset_video: function($video){
			var src = $video.attr('src'),
				nw_src = src.replace('autoplay=1', 'autoplay=0');

			$video.attr('src', nw_src);
		},
		modal_resize: function(){
			var vw = $(window).width(),
				vh = $(window).height(),
				vid_w = Math.min(vw - 40, 1024),
				vid_h = vid_w *0.5625,
				vid_mt,vid_ml;

			if ( vid_h > vh - 180 ){
				vid_h = vh - 180;
				vid_w = vid_h/0.5625;
			}
			vid_mt = vid_h/-2;
			vid_ml = vid_w/-2;

			$('.modal-content').css({
				height: vid_h,
				width: vid_w,
				marginTop: vid_mt,
				marginLeft: vid_ml,
			});

		},
	},
	/**
	 *  socialNav
	 *  Namespace methods for functions pertaining to the Social Sharing Navigation.
	 */
	 
	 socialNav: {
			
			/**
			 *  hoverOn 
			 *  Turn on event listeners for hover on Social Sharing Navigation.
			 *
			 */			
			 
			hoverOn: function() {
				settings.elem.sharingMenu.not('li.home').on({
					mouseenter: function() {
						$('.site-header ul.social-sharing').addClass('sharing-hover');
					},
					mouseleave: function() {
						$('.site-header ul.social-sharing').removeClass('sharing-hover');
					}
				});
				
				settings.elem.sharingIcon.on('click', function(e) {
					e.preventDefault();
				});
				
				
			},
			
			
			/**
			 *  hoverOff 
			 *  Turn off event listeners for hover on Social Sharing Navigation.
			 *
			 */	
			
			hoverOff: function() {
				settings.elem.sharingMenu.off();
			},
			
			
			/**
			 *  menuOpen
			 *  Open the mobile version of the Social Sharing Navigation.
			 *
			 */	
			
			menuOpen: function() {
				settings.elem.mobileSharingMenu.show({
					duration: 50,
					complete: function() {
						$(this).css({
							'height': $(document).outerHeight(true) + 'px',
							'z-index': 999
						}).addClass('active');		
						settings.elem.sharingMenu.filter('li.twitter, li.facebook, li.linkedin').fadeOut(250, function() {
							settings.elem.sharingMenu.filter('li.sharing').addClass('close');	
						});
					}
				});
			},
			
			
			/**
			 *  menuClose
			 *  Close the mobile version of the Social Sharing Navigation.
			 *
			 */
			 
			menuClose: function() {
				settings.elem.sharingMenu.filter('li.sharing').removeClass('close');
			//	settings.elem.sharingMenu.filter('li.twitter, li.facebook, li.linkedin').fadeIn(250);
				settings.elem.mobileSharingMenu.removeClass('active');
				setTimeout(function() { 
					settings.elem.mobileSharingMenu.hide().css('z-index', 999);
				}, 1000);
			},
			
			
			/**
			 *  listeners 
			 *  Fire initial event listeners for the Social Sharing Navigation
			 *
			 */

			listeners: function() {
				
				settings.elem.sharingIcon.on('click', function(e) {
					e.preventDefault();
					if ($(this).parent().hasClass('mobile')) {
						method.socialNav.menuOpen();
					} 
					if ($(this).parent().hasClass('close')) {
						method.socialNav.menuClose();
					} 
				});
			
				settings.elem.doc.keyup(function(e) {
					if (e.keyCode == 27) method.socialNav.menuClose();
				});
			}
	 },
	
	/**
	 *  deepLinking 
	 *  Namespace methods for functions pertaining to deep-linking the articles.
	 *
	 */
	
	deepLinking: {
		
		/**
		 *  getHashTag 
		 *  Checks the URL for a hash tag. If as hash tag exists, it gets returned
		 *  without the '#'. If it does not exist, the function returns `false`.  
		 *
		 */
		 
		getHashTag: function() {
			if (window.location.hash) {
				return window.location.hash.replace('#', '');
			} else {
				return false;
			}
		},
		
		/**
		 *  getScrollTopValue 
		 *  Uses the hash tag to find the requested card. Returns an object containing
		 *  the requested card and the distance needed to scroll, which is the distance
		 *  from the top of the page minus the height of the header and the height of
		 *  the card margin.
		 *
		 */
		
		getScrollTopValue: function(id) {
			var $card = $('.card[data-link="'+ id +'"]');
			if ($card.length >= 1) {
				var offsets = {
					headerX: $('.tet-header').height(),
					cardX: parseInt($card.css('marginTop')) * 2 - 1
				};
				return {
					elem: $card,
					distance: $card.offset().top - (offsets.headerX + offsets.cardX)
				};
			} else { 
				return false;
			}
		},
		
		
		/**
		 *  animatePage 
		 *  Scrolls the page to the appropriate article.
		 *
		 */
		
		animatePage: function(obj) {
			var opts = {
				easing: 'easeInOutExpo',
				duration: obj.distance,
			};
			
			$('html, body').animate({
				scrollTop: obj.distance + 'px'
			}, opts);
		},
		
		
		/**
		 *  init 
		 *  Runs the deepLinking namespace function.
		 *
		 */
		
		init: function() {			
			var self = this,
					hash = this.getHashTag();
			if (hash) {
				var ani = self.getScrollTopValue(hash);
				if (ani) {
					setTimeout(function() { 
						self.animatePage(ani);
					}, 500);	
				}
			}
		}	
	},
	
	/**
	 *  init
	 *  Fires the proper scripts.
	 */
	 
	init: function() {
		
		var el = settings.elem,
				mq = settings.mq;
		
		
		/** --- Polyfill -------------------- */
		if (!Modernizr.csspointerevents) {
			PointerEventsPolyfill.initialize({});
		}
		
		/** --- Global Init Calls -------------------- */
		method.headerScrollAnimation();
		method.socialNav.listeners();
		method.socialNav.hoverOn();
		method.deepLinking.init();
		method.loaded();
		method.fireFooterTracker();
		method.modals.modal_controls();
		method.modals.modal_resize();

		el.win.resize(method.modals.modal_resize);

		/** --- RWD: Mobile Only -------------------- */
		enquire.register(mq.mobileOnly, {
			match: function() {
				method.socialNav.hoverOff();
				el.sharingIcon.parent().addClass('mobile');
				el.footer.css('bottom', 0);
				
				el.sharingMenu.filter('.twitter,.facebook,.linkedin').hide();
				
				
				/** Article Page */
				if (el.body.hasClass('article')) {
					el.grayTab.css({
						'max-width': settings.pad / 2,
						'min-width': settings.pad / 2, 
						'width': settings.pad / 2
					});
				}
			},
		
			unmatch: function() {
				method.socialNav.hoverOn();
				method.socialNav.menuClose();
				el.sharingIcon.parent().removeClass('mobile');
				el.sharingMenu.filter('.twitter,.facebook,.linkedin').show();
			}
		});
		
		
		enquire.register(mq.tabletUp, {
			match: function() {
				el.sharingIcon.parent().removeClass('mobile');
				
				
				if (el.body.hasClass('article')) {
					el.grayTab.css({
						'max-width': settings.pad * 5,
						'min-width': settings.pad, 
						'width': '100%'
					});
				}
			},
			setup: function() {
				method.footerSlideUp();
			}
		});
		
		enquire.register(mq.desktopUp, {
			match: function() {
				/** Home Page */
				if (el.body.hasClass('home')) {
					method.adjustCardBlockMargins();
					el.win.resize(method.adjustCardBlockMargins);
				}
				
				/** Article Page */
				if (el.body.hasClass('article')) {
					method.grayTabResizer();
					el.win.resize(method.grayTabResizer);
				}
			},
		
			unmatch: function() {
				el.win.off('resize');
				/** Home Page */
				if (el.body.hasClass('home')) {
					el.cardBlock.css('marginLeft', 'auto');
				}
				
				/** Article Page */
				if (el.body.hasClass('article')) {
					el.grayTab.css({
						'max-width': settings.pad * 5,
						'min-width': settings.pad, 
						'width': '100%'
					});	
				}
			}
		});
	}
};

method.init();