<?php 
		$body_class = 'article';
		include '_partials/chrome/html-header.php'; 
?>

<article class="article-<?php echo $hash; ?> article-single">

	<section class="article-masthead">
		<div class="central-column">
			<h1>
				<span class="icon icon-mobile whatif-icon-mobile"></span>
				<span class="icon icon-desktop whatif-icon"></span>
				<span class="offscreen">What if</span> 
				<?php echo $article_title; ?>
			</h1>
		</div>
		<img src="_media/img/cards/<?php echo $img; ?>" alt="What If <?php echo $article_title; ?>">
	</section>
	
	
	<section class="article-intro">
		<div class="intro-gray-tab"></div>
		<div class="central-column">
			<section class="subheader">
				<span class="question icon icon-mobile icon-question-white-mobile"></span>
				<span class="question icon icon-desktop icon-question-white"></span>
				<h2><?php echo $subhead; ?></h2>
			</section>
			<section class="byline">
				<div>
					<time><?php echo $post_date; ?></time>
					<p class="author"><strong>By</strong> <?php echo $author; ?></p>
					<?php if ($orig_publication_title !== null) :?>
					<p class="source">Originally published on 
					
					<?php if ($hash == 'impact' || $hash == 'query' || $hash == 'ai') :?>
					<em>
					<?php endif; ?>
					
					
						<a target="_blank" href="<?php echo $orig_publication_url; ?>"><?php echo $orig_publication_title; ?></a>
					
					<?php if ($hash == 'impact' || $hash == 'query' || $hash == 'ai') :?>
					</em>
					<?php endif; ?>
					
					</p>

					<?php endif; ?>
				</div>
			</section>
		</div>
	</section>	
	
	<section class="article-body">
		<div class="central-column">
			<section>
				
				<?php echo $content; ?>
				<?php if ($orig_publication_title !== null) :?>
				
					<p>
					
						<a target="_blank" href="<?php echo $orig_publication_url; ?>">
							Read the full article on 
						
						<?php if ($hash == 'impact' || $hash == 'query' || $hash == 'ai') :?>
						<span style="font-style: normal;">
						<?php endif; ?>	
						
							<?php echo $orig_publication_title; ?>
						
						<?php if ($hash == 'impact' || $hash == 'query' || $hash == 'ai') :?>
						</span>
						<?php endif; ?>	
						
						</a>
					</p>
				
				
				<?php endif; ?>
			</section>
			<aside>
				<h3>Further Reading</h3>
				
				<?php foreach ($further_reading as $article) :?>
				<article>
					<?php echo $article; ?>
				</article>
				<?php endforeach; ?>
			</aside>
			<div style="clear:both"></div>
		</div>
		<div style="clear:both"></div>
	</section>
	
</article>

<section>
	<?php include '_partials/articles/card.php'; ?>
</section>

<?php if(isset($modal)) :?>
	<?php foreach($modal as $modal_id => $youtube_id): ?>
		<div id="modal-<?php echo $modal_id; ?>" class="modal" data-modal-id="<?php echo $modal_id; ?>">
			<div class="modal-ground"></div>
			<div class="modal-content">
				<a class="close-modal" href="#close-modal"><span class="offscreen">Close Modal</span></a>
				<div class="video-wrapper">
					<iframe class="yt-video" width="560" height="315" src="https://www.youtube.com/embed/<?php echo $youtube_id; ?>?modestbranding=1&amp;rel=0&amp;showinfo=0&amp;wmode=opaque&amp;autoplay=0" frameborder="0" allowfullscreen></iframe>
				</div>
			</div>
		</div>
	<?php endforeach; ?>
<?php endif; ?>

<?php include '_partials/chrome/html-footer.php'; ?>