<?php
	$hash = 'fact';
	$title = 'What If? The motor that drives machine learning';
	$article_title = 'machines could separate fact from fiction?';
	$subhead = 'From unlocking hidden human truths to financial forecasting for Wall Street, read how Jennifer Marsman and Jocelyn Barker are reimagining the limits of machine learning.';
	$img = 'factfiction.png';
	$author = 'Tracy Ith';
	$post_date = 'March 24, 2016';
	$orig_publication_title = 'Microsoft JobsBlog';
	$orig_publication_url = 'http://blogs.microsoft.com/jobs/why-a-machine-learning-job-at-microsoft-means-the-chance-to-try-amazing-things/';
	$content = '<a class="modal-trigger" href="#open-video-modal" data-modal="marsman">
		<img src="_media/img/video-posters/marsman.jpg" alt="" />
		<span class="offscreen">Open Modal</span>
		<span class="play-button"></span>
	</a>
	<p>Jennifer Marsman can use technology to figure out when her husband is lying &mdash; or she&rsquo;s working on it, anyway. Not long ago, she put her brainwave-sensing headset on him and asked a series of simple questions. Are you married? Do you have five kids? Do you have red hair?</p>
<p>She had him answer truthfully at first: Yes, no, no. Then she had him lie. Seeing his brain activity in each instance was the beginning of her efforts to use electroencephalography (EEG) data and what she calls &ldquo;crazy, beautiful math&rdquo; to build a lie detector &mdash; and all as part of her job as a principal developer evangelist for machine learning at Microsoft.</p>
<p>The unconventional project is a fun way to show what machine learning can do at a company brimming with career opportunities for those looking to create something extraordinary with the power of data.</p>
<p>Jocelyn Barker joined Microsoft as a data scientist in January and has been working on something a bit unexpected for someone with a doctorate in biophysics from Stanford: She builds various data science models for Microsoft&rsquo;s finance team, which uses machine learning for financial forecasts in its reports to Wall Street.</p>
<p>&ldquo;I&rsquo;m having fun, and the problems are new and different,&rdquo; she says. &ldquo;I feel like there&rsquo;s a lot of room for me to learn and grow and become a better data scientist.&rdquo;</p>
<p>In her role in the Information Management and Machine Learning Group, Barker has found many people with genuine interest in what they do and the diverse expertise that means when she gets stuck on something, she says, she can &ldquo;ask a question and find some new and interesting way of doing it.&rdquo;</p>';
	
	$further_reading = [
		'<h4 class="i">Bloomberg Business:</h4><p>&ldquo;Inside the New Microsoft, Where Lie Detection Is a Killer App&rdquo; <a target="_blank" href="http://www.bloomberg.com/news/articles/2016-02-22/inside-the-new-microsoft-where-lie-detection-is-a-killer-app">Read article</a></p>',
		'<h4>White paper:</h4><p>&ldquo;Pinocchio: Nearly Practical Verifiable Computation&rdquo; <a target="_blank" href="http://research.microsoft.com/apps/pubs/default.aspx?id=180286">Read white paper</a></p>',
		'<h4>White paper:</h4><p>&ldquo;Cinderella: Turning Shabby X.509 Certificates into Elegant Anonymous Credentials with the Magic of Verifiable Computation&rdquo; <a target="_blank" href="http://research.microsoft.com/apps/pubs/default.aspx?id=263819">Read white paper</a></p>',
		'<h4 class="i">MIT Technology Review:</h4><p>&ldquo;Microsoft and IBM Researchers Develop a Lie Detector for the Cloud&rdquo; <a target="_blank" href="https://www.technologyreview.com/s/515081/microsoft-and-ibm-researchers-develop-a-lie-detector-for-the-cloud/">Read article</a></p>'
	];

	$modal = array(
		'marsman' => 'Iu8OvGeLL5c'
	);
	
	$trac_pix = '794443';
	
	include '_partials/articles/article-template.php';
?>


