<?php
	$hash = 'understood';
	$title = 'What If? The motor that drives machine learning';
	$article_title = 'people and machines really understood each other?';
	$subhead = 'Read how advancements in deep learning are helping people interact with technology the same way we interact with each other.';
	$img = 'understood.png';
	$author = 'Larry Carroll';
	$post_date = 'June 07, 2016';
	$orig_publication_title = 'Microsoft JobsBlog';
	$orig_publication_url = 'https://blogs.microsoft.com/jobs/impact-will-career-make/';
	$content = '<p>The phrase &ldquo;life&rsquo;s work&rdquo; is one that seems to be fading into obscurity with each passing year. The ideal of seeing a finish line and giving your all to get across it sometimes seems romanticized &mdash; until you meet someone like Fil Alleva.</p>
		<p>&ldquo;I started working in the speech area in 1977,&rdquo; explains the affable Partner Group Engineering Manager. &ldquo;I&rsquo;m coming up on 40 years now working on this.&rdquo;</p>
		<p>Alleva was planning to be a chemical engineer in his undergraduate years at Carnegie Mellon University in the late &lsquo;70s when he befriended Professor Raj Reddy in an introductory programming class. Soon after, he found himself taking a $2-an-hour job programming computers, if only because it was a better gig than working in the school cafeteria.</p>
		<p>&ldquo;Raj was a pioneer in AI and speech recognition,&rdquo; Alleva says of his mentor, Reddy, who won the Turing Award in 1994. &ldquo;He taught me everything he knew; we worked together for seventeen years.&rdquo;</p>
		<p>Alleva began dreaming of a day when people would interact with technology the same way they primarily interact with each other: verbally. Since bringing his efforts to Microsoft in 1993, he&rsquo;s applied his life&rsquo;s work in countless applications that were inconceivable when that dream began &mdash; and he works for a company that puts him in the position to impact the lives of countless people all over the world.</p>
		<p>&ldquo;Cortana is what we consider to be the killer application for speech. It&rsquo;s the agent that ultimately is going to be one of the key ways you interact with communications and computing capabilities &mdash; services, applications, data analysis and more,&rdquo; he explains. &ldquo;Doing machine learning and speech processing for Cortana, it is clear that we are one of the few companies that has an opportunity to build a product and then put it in the hands of hundreds of millions of users who really need it to do productive work on a day-to-day basis.&rdquo;</p>';	
	$further_reading = [
		'<h4>Microsoft News</h4><p>&ldquo;Speak, Hear, Talk: The Long Quest for Technology That Understands Speech as Well as a Human&rdquo;<a target="_blank" href="http://news.microsoft.com/features/speak-hear-talk-the-long-quest-for-technology-that-understands-speech-as-well-as-a-human/#sm.0001c7izo7xxyeftz222biwynsjpo">Read article</a></p>',
		'<h4 class="i">GitHub</h4><p>&ldquo;Microsoft Releases Its Deep-Learning Computational Network Toolkit (CNTK) for Both Windows and Linux&rdquo;<a target="_blank" href="https://github.com/Microsoft/CNTK/releases">Read article</a></p>',
		'<h4 class="i">Wired</h4><p>&ldquo;25 Geniuses Who Are Creating the Future of Business: Xuedong Huang, Microsoft Chief Speech Scientist&rdquo;<a target="_blank" href="http://www.wired.com/2016/04/wired-nextlist-2016/#xuedong-huang">Read article</a></p>',
		'<h4 class="i">Bloomberg News</h4><p>&ldquo;How Microsoft Plans to Beat Google and Facebook to the Next Tech Breakthrough&rdquo;<a target="_blank" href="http://www.bloomberg.com/features/2016-microsoft-research/">Read article</a></p>'
	];

	
	$trac_pix = null;

	
	
	
	include '_partials/articles/article-template.php';
?>