<?php
	
	$hash = 'iceberg';
	$title = 'What If? The motor that drives machine learning';
	$article_title = 'search were just the tip <br class="desktop">of the iceberg?';
	$subhead = 'From making bots more human to making the future less cloudy, read how Rangan Majumder and his Bing colleagues are driving intelligence on a whole new scale.';
	$img = 'search.png';
	$author = 'Larry Carroll';
	$post_date = 'March 29, 2016';
	$orig_publication_title = null;
	$orig_publication_url = '#';
	$content = '<p>When Rangan Majumder graduated from college and began looking to build his career, he knew that he wanted to be part of a special team. He knew he wanted to have an impact on millions — even billions — of lives. Majumder also knew that he wanted a job that would challenge him every single day.</p>
<p>&ldquo;Microsoft has always been one of the best places to work if you want to be a software engineer,&rdquo; explains the Carnegie Mellon alumnus. &ldquo;They know how important their people are to building great products.&rdquo;</p>
<p>Nowadays, the affable Majumder is one of a select group in this world: He loves his job, and wakes up every morning looking forward to another day at work. </p>
<p>&ldquo;My team&rsquo;s mission is to make the world smarter and more productive,&rdquo; says the Bing team&rsquo;s Partner Group Program Manager with a smile. &ldquo;Our customers want to be better informed and get things done faster; our work is helping them do that in a natural way.&rdquo;</p>
<p>Through the efforts of Majumder and his team, people are becoming friendlier with their devices. What was once a monologue is now a dialogue, as typing and mouse-clicking is increasingly replaced by predictive behavior and voice commands that empower tablets, smartphones and computers to engage us in the ways we&rsquo;d expect from other humans as we work together to complete a task.</p>
<p>&ldquo;Bing and Cortana are constantly improving their ability to answer any question you have when you want it,&rdquo; explains Majumder. &ldquo;We are building new ways for our customers to find that Office document or email they really need, the instant they want it. Through Cortana and Outlook, we are anticipating our customer&rsquo;s needs by extracting the important items in your emails and organizing them on your behalf. We are also helping customers stay one step beyond staying informed by predicting the future of what will happen on their favorite TV shows, sporting events, or important events around you like the upcoming elections.&rdquo;</p>
<p>Majumder says that the core value propositions of Microsoft are a big part of what makes the company so special. Each employee is given the reach, inspiration and freedom to drive impact at the company. The result, he says, is a satisfaction in the workplace that is downright contagious.</p>
<p>&ldquo;The best part of my job, easily, is the people I get to work with,&rdquo; he marvels. &ldquo;The engineers and PMs you work with are just as incredible. Yet, when you work with them you all feel like an equal part of the team.&rdquo;</p>
<p>You also get to meet some celebrities. &ldquo;At Microsoft you&rsquo;ll regularly run into world famous people with incredible achievements, like Turing award winners. I remember a few years back, I was working closely with Paul Viola and I thought &lsquo;I remember studying your object detection algorithm when I studied computer vision in school!&rsquo;&rdquo;</p>
<p>He also takes great pride in working alongside Chris Burges in Microsoft Research. &ldquo;When I first met him I couldn&rsquo;t stop thinking &lsquo;Wow, this is the guy who adapted SVMs for regression!&rdquo; he grins. &ldquo;I feel like I&rsquo;m constantly getting smarter working with these great folks, solving incredibly difficult problems together.&rdquo; </p>
<p>If you&rsquo;re a machine learning engineer, Majumder says there&rsquo;s no better place to ply your craft. &ldquo;If you want to do anything with machine learning, Microsoft is one of the best places to be,&rdquo; he insists.  &ldquo;Machine learning needs data and computers, and we have tons of both. We also have billions of users who are using our products, so you can use this technology to make a real impact.&rdquo;</p>
<p>Microsoft also has no shortage of exciting, cutting-edge challenges that are just waiting to be conquered. &ldquo;We are solving problems nobody has solved before,&rdquo; says Majumder, who likes to scuba dive and travel with his wife in his spare time. &ldquo;Let&rsquo;s take what we&rsquo;re doing in the artificial intelligence space. You and I can read a book and easily reflect on what we read and answer questions about it. But how we get machines to do that seems like an impossibly hard problem. Yet, that is what we need to be able to do to achieve our vision — we want to augment your brain with all the knowledge on the Web.&rdquo;</p>
<p>If you&rsquo;re the type of person who embraces a challenge, Majumder says you&rsquo;d fit in perfectly. &ldquo;We need to solve these near-impossible problems at very large scale and low latency,&rdquo; he explains of another exciting obstacle to overcome.  &ldquo;Let&rsquo;s just take the search engine problem for example: Given a query which has an average of three words — out of trillions of documents on the Internet — we need to find you the document you&rsquo;re looking for in less than a fraction of a second. That is super hard.&rdquo;</p>
<p>But along with such challenges come empowerment, and the ability to blaze your own path. &ldquo;At Microsoft we have a good balance between freedom and hitting our business objectives,&rdquo; says the Program Manager. &ldquo;Teams are given freedom in terms of what approaches they should use to hit those objectives. Depending on the maturity of the space, we&rsquo;re also given some freedom in defining those objectives as well. This autonomy lets us feel like we&rsquo;re our own boss.&rdquo;</p>
<p>But at the end of each day, as Majumder&rsquo;s head hits his pillow and he looks forward to tomorrow at the office, he often reflects on the goals he had while building his career — and how Microsoft, the only job he&rsquo;s called home since college, continues to meet them. </p>
<p>&ldquo;The company is going through a major renewal, and we have incredible potential,&rdquo; he says with pride. &ldquo;We have a billion people using Windows, we have a billion people using Office, and our Cloud is growing faster than anyone. The machine learning technology our team develops is being used in all three of these product lines.&rdquo;</p>
<p>&ldquo;There are tons of opportunities to make all the products work better and smarter for our customers,&rdquo; he adds. &ldquo;And that is incredibly exciting.&rdquo;</p>';
	
	$further_reading = [
		'<h4 class="i">ZDNet:</h4><p>&ldquo;Inside One of Microsoft&rsquo;s Biggest and Most Mysterious Teams, the Applications and Services Group&rdquo; <a target="_blank" href="http://www.zdnet.com/article/inside-one-of-microsofts-biggest-and-most-mysterious-teams-the-applications-and-services-group/">Read article</a></p>',
		'<h4 class="i">Gigaom:</h4><p>&ldquo;Bing, Xbox and the Results of Machine Learning at Microsoft&rdquo; <a target="_blank" href="https://gigaom.com/2014/03/20/bing-xbox-and-the-results-of-machine-learning-at-microsoft/">Read article</a></p>'
	];
	
	$trac_pix = '794440';
	
	include '_partials/articles/article-template.php';
?>





