<?php
	$hash = 'potus';
	$title = 'What If? The motor that drives machine learning';
	$article_title = 'we already knew the <br>next POTUS?';
	$subhead = 'Walter Sun sees the future in machine learning. Read how his passion project, Bing Predicts, is forecasting everything from sports to political outcomes.';
	$img = 'potus.png';
	$author = 'Tracy Ith';
	$post_date = 'March 21, 2016';
	$orig_publication_title = 'Microsoft JobsBlog';
	$orig_publication_url = 'https://blogs.microsoft.com/jobs/how-machine-learning-forecasts-the-future-for-careers-at-bing/';
	$content = '<a class="modal-trigger" href="#open-video-modal" data-modal="sun">
		<img src="_media/img/video-posters/sun.jpg" alt="" />
		<span class="offscreen">Open Modal</span>
		<span class="play-button"></span>
	</a>
	<p>At first, it sounded like a disaster. Walter Sun, whose job was to make sure Bing gave users the most up-to-the-minute information about current events, was seeing a big spike in the number of people searching for facts about some type of plane incident on the Hudson River.</p>
<p>People who saw the jetliner come down began tweeting details almost immediately. Others who&rsquo;d been aboard a passing ferry started sharing online photos of a rescue effort. It quickly became clear that instead of tragedy, a heroic pilot&rsquo;s emergency landing had saved the lives of everyone on board.</p>
<p>Sun says the incredible speed with which the story emerged showed &ldquo;the power of what&rsquo;s on the Web in real time&rdquo; and, along with similar Internet buzz he noticed about school closures during snowstorms, helped him come up with the idea for Bing Predicts. The innovative feature now regularly makes headlines for its ability to analyze massive amounts of Web activity to forecast the outcomes of elections, voting-based reality TV shows, sports matchups and more.</p>
<p>&ldquo;Our leadership allows us to come up with new ideas and run with them,&rdquo; says Sun, now a partner data scientist and development manager for Bing. &ldquo;It&rsquo;s one of the benefits of working for a big company like Microsoft.&rdquo;</p>
<p>Sun started Bing Predicts as an &ldquo;incubation project,&rdquo; a new idea that leaders see strong potential in and agree to support as they move forward. Such projects essentially give employees the chance to forge their own path, doing something creative in an area they find the most fascinating.</p>
<p>&ldquo;It&rsquo;s about innovation and new ideas. The way we make progress is by developing new concepts, new features for a project, new algorithms, etcetera,&rdquo; says Jan Pedersen, Bing&rsquo;s chief scientist and distinguished engineer. &ldquo;For the employees, getting an opportunity to follow where their passions go is also very important.&rdquo;</p>';
	
	
	$further_reading = [
		'<h4 class="i">GeekWire:</h4><p>&ldquo;Microsoft Adds Super Tuesday Election Predictions to Bing&rsquo;s Fortune Telling Capabilities&rdquo; <a target="_blank" href="http://www.geekwire.com/2016/microsoft-continues-to-predict-the-future-with-new-bing-election-tool/">Read article</a></p>',
		'<h4 class="i">Business Insider:</h4><p>&ldquo;How Microsoft Got So Good at Predicting Who Will Win NFL Games&rdquo; <a target="_blank" href="http://www.businessinsider.com/how-microsoft-got-so-good-at-predicting-who-will-win-nfl-games-2015-10">Read article</a></p>',
		'<h4 class="i">Tech Insider:</h4><p>&ldquo;Microsoft&rsquo;s Impressively Accurate Prediction Tool Says Trump Will Crush the Primary Elections&rdquo; <a target="_blank" href="http://www.techinsider.io/microsoft-predicts-the-outcome-of-2016-presidential-primaries-2016-1">Read article</a></p>',
		'<h4>Bing Predicts:</h4><p>&ldquo;Election 2016&rdquo; <a target="_blank" href="http://www.bing.com/search?q=Election+2016+Primaries&p1=%5BFUI+els%3D%22Primaries%22%5D&FORM=MA1322&OCID=MA1322&wt.mc_id=MA1322">See predictions</a></p>'
	];

	$modal = array(
		'sun' => 'soQMGbxx0aY'
	);
	
	$trac_pix = '794442';
	
	include '_partials/articles/article-template.php';
	

?>