if (tether === null || typeof(tether) !== "object") { var tether = new Object(); }

tether.Main = (function() {
	var _instance;


	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/
			initialize: function(options) {
				var self = this;
				// attach event handlers
				jQuery(document).ready(function() {
					self.set_vars();
					self.event_handlers();
					self.modal_resize()
					self.background_position();
					self.resize_functions();
					self.rotators_init();
					self.parallax_scenes();
					self.audio_player();
				});
			},

			set_vars: function(){
				var self = this;

				self.window_width = $(window).width();
				self.window_height = $(window).height();

				self.team = 'blue';
			},
			resize_functions: function(){
				var self = this;
				$(window).smartresize(function(){
	            	self.set_vars();
					self.modal_resize();
					self.background_position();
	            });
			},

			event_handlers: function() {
				var self = this;
				$('.open-modal').on('click tap touch', function(e){
					e.preventDefault();
					target = $(this).attr('href');
					$('body').addClass('scroll-disabled');
					$('.site-header').addClass('retracted');
					$(target).addClass('active').fadeIn( 500, function(){
						if( $(this).hasClass('modal-video') ){
							player.playVideo();
						}
					})
				})
				$('.close-modal, .modal-bg').on('click tap touch', function(e){
					e.preventDefault();
					$('body').removeClass('scroll-disabled');
					$('.site-header').removeClass('retracted');

					$(this).closest('.modal').removeClass('active').fadeOut();
					if( $(this).closest('.modal').hasClass('modal-video') ){
						player.pauseVideo();
					}
				})
				$('.social-share a').on('click tap touch', function(e){
					e.preventDefault();
					if( $(this).hasClass('active') ){
						$(this).removeClass('active');
						$(this).closest('.navigation-social').removeClass('active')
					}else{
						$(this).addClass('active');
						$(this).closest('.navigation-social').addClass('active')
					}
				})
				$('.mobile-nav-toggle').on('click tap touch', function(e){
					e.preventDefault();
					if( $(this).hasClass('active') ){
						$(this).removeClass('active')
						$('.mobile-social-tools').stop().fadeOut(500, function(){
							$('body').removeClass('scroll-disabled');
						})
					}else{
						$(this).addClass('active')
						$('.mobile-social-tools').stop().fadeIn(500, function(){
							$('body').addClass('scroll-disabled');
						})
					}
				})
				$('.mobile-social-tools').on('click tap touch', function(e){
					$('.mobile-nav-toggle').removeClass('active')
					$('.mobile-social-tools').stop().fadeOut(500, function(){
						$('body').removeClass('scroll-disabled');
					})
				})
				jQuery(document).on('keydown', function(e){
                    if(e.keyCode === 27){
                        e.preventDefault();

						$('body').removeClass('scroll-disabled');
						$('.site-header').removeClass('retracted');

						if( $('.modal.active').hasClass('modal-video') ){
							player.pauseVideo();
						}
						$('.modal.active').removeClass('active').fadeOut();
                    }
                });
			},
			modal_resize: function(){
				var self = this;
				modal_width = ( self.window_width > 1226)? 1226: self.window_width;
				modal_height = modal_width*.5625 + 28 + 50 + 12;
				if( modal_height > self.window_height ){
					modal_width = (self.window_height - (28 + 50 + 12 ))/.5625;
				}
				$('.modal-content').width( modal_width );
			},
			background_position: function(){
				var self = this;
				central_column = $('.central-column').eq(0).width();
				if( self.window_width < central_column + 810 ){
					new_position_right = ( self.window_width - central_column )/2 + central_column;
					$('.hex-pattern-right').css({
						backgroundPosition: new_position_right + 'px top',
					})
					new_position_left = ( self.window_width - central_column )/2 - 405;
					$('.hex-pattern-left').css({
						backgroundPosition: new_position_left + 'px top',
					})
				}else{
					$('.hex-pattern').attr('style', '');
				}
			},

			rotators_init: function() {
				jQuery('.basic-slider-break .owl-carousel').each(function(e){
					$elem = jQuery(this);

					$elem.owlCarousel({
						loop: false,
						margin: 0,
						nav: true,
						items: 1,
						responsive: {
							0: {
								touchDrag: true,
							},
							700: {
								touchDrag: false,
							}
						}
					}).on( 'translate.owl.carousel', function(e){
						slide = e.item.index;
						new_caption = $(e.target).find('.owl-item').eq(slide).find('.image-caption').html();
						$(e.target).closest('.basic-slider-break').find('.caption p').fadeOut( 400, function(){
							$(this).html( new_caption ).fadeIn(400);
						})
					})
				});
				jQuery('.split-slider-break .owl-carousel').each(function(e){
					$elem = jQuery(this);

					$elem.owlCarousel({
						loop: false,
						margin: 0,
						nav: true,
						items: 1,
						dots: true,
						responsive: {
							0: {
								autoHeight: true,
								touchDrag: true,
							},
							700: {
								touchDrag: false,
							},
							1100: {
								autoHeight: false,
								touchDrag: false,
							}
						}
					});
				});
				jQuery('.characters .owl-carousel').each(function(e){
					var self = this;

					$elem = jQuery(this);

					$elem.owlCarousel({
						loop: false,
						nav: true,
						responsive: {
							0: {
								items: 1,
								slideBy: 1,
							},
							600: {
								items: 2,
								slideBy: 1,
								margin: 10,
								touchDrag: false,
							},
							825: {
								items: 3,
								slideBy: 1,
								margin: 10,
								touchDrag: false,
							},
							1100: {
								items: 4,
								slideBy: 4,
								margin: 20,
								touchDrag: false,
							}
						}
					}).on( 'translate.owl.carousel', function(e){
						slide = e.item.index;
						console.log( self.team );

						if( $(e.target).find('.owl-item').eq(slide).find('.item').hasClass('team-osiris') && tetherMain.team == 'blue'){
							tetherMain.team = 'osiris';
							$(e.target).closest('.characters').find('.caption p').fadeOut( 400, function(){
								$(this).html( 'Fireteam Osiris' ).fadeIn(400);
							})
						}else if( !$(e.target).find('.owl-item').eq(slide).find('.item').hasClass('team-osiris') && tetherMain.team == 'osiris' ){
							tetherMain.team = 'blue';
							$(e.target).closest('.characters').find('.caption p').fadeOut( 400, function(){
								$(this).html( 'Blue Team' ).fadeIn(400);
							})
						}
					})
				})
			},
			parallax_scenes: function(){
				if(typeof requestAnimationFrame === 'undefined' || $(window).width() <= 1024 ) return;
				$('#page-header').parallax();
				$('#section-header-1').parallax();
				$('#section-header-2').parallax();
				$('#section-header-3').parallax();
				$('#sign-off').parallax();
			},
			audio_player: function(){
				var player = videojs( "lockes-theme", { 
					customControlsOnMobile: true,
					nativeControlsForTouch: false,
					bigPlayButton: false,
					controlBar:{
						playToggle: true, 
						fullscreenToggle: false, 
						currentTimeDisplay: false, 
						timeDivider: false, 
						durationDisplay: false, 
						remainingTimeDisplay: false,
						progressControl: {
							seekBar: {
								loadProgressBar: false,
								playProgressBar: true, 
								seekHandle: false,
							}
						},
						volumeControl: false, 
						muteToggle: false 
					}
				});
			}
		};
	};


	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
tetherMain = tether.Main.getInstance();
// Run initialize method
tetherMain.initialize();

