const ip = require('ip');

class BrowserSyncOptions {
	constructor(config) {
		this.options = {
			cors: true,
			files: [
				`${config.dist.html}/**/*.twig`,
				`${config.dist.css}/**/*.css`,
				`${config.dist.css}/fonts/**/*`,
				`${config.dist.js}/**/*.{js,vue}`
			],
			host: ip.address(),
			https: {
				cert: `${config.src.config}/certs/${config.slugRaw}.test.crt`,
				key: `${config.src.config}/certs/${config.slugRaw}.test.key`
			},
			injectChanges: true,
			logLevel: 'warn',
			logPrefix: `[ ${config.slug} ]`,
			notify: false,
			open: false,
			port: 3000,
			proxy: config.url,
			reloadOnRestart: false,
			watchEvents: [
				'add',
				'change',
				'unlink'
			]
		};
		return this.options;
	}
}

module.exports = BrowserSyncOptions;
