const pro = process;
const moment = require('moment');
require('dotenv-expand')(require('dotenv').config({path: `${pro.cwd()}/dist/.env`}));
require('dotenv-expand')(require('dotenv').config({path: `${pro.cwd()}/dist/.env-srvrs`}));


class Env {
	constructor() {
		this.env = pro.env;
		this.envOptions = this.buildEnvOptions();
		this.helpers = this.buildHelpers();
		return {
			...this.envOptions,
			...this.helpers
		};
	}

	buildEnvOptions() {
		return {
			dist: {
				assets: this.env.DIST_ASSETS,
				audio: this.env.DIST_AUD,
				config: this.env.DIST_CONFIG,
				css: this.env.DIST_CSS,
				html: this.env.DIST_HTML,
				img: this.env.DIST_IMG,
				js: this.env.DIST_JS,
				video: this.env.DIST_VID
			},
			env: this.env.NODE_ENV,
			hasUnicode: this.env.npm_config_unicode,
			slug: this.env.PRJ_SLUG,
			slugRaw: this.env.PRJ_SLUG.replace(/-/g, ''),
			src: {
				assets: this.env.SRC_ASSETS,
				audio: this.env.SRC_AUD,
				config: this.env.SRC_CONFIG,
				css: this.env.SRC_CSS,
				html: this.env.SRC_HTML,
				img: this.env.SRC_IMG,
				js: this.env.SRC_JS,
				video: this.env.SRC_VID
			},
			url: this.env.DEFAULT_SITE_URL
		};
	}

	buildHelpers() {
		return {
			utils: {
				datetime: {
					dayInMs: 86400000,
					today: {
						day: moment().format('DD'),
						hour: moment().format('HH'),
						iso: moment().format('YYYY-MM-DD_HHmm'),
						minute: moment().format('mm'),
						month: moment().format('MM'),
						second: moment().format('ss'),
						unix: moment().format('x'),
						week: moment().format('WW'),
						year: moment().format('YYYY-MM-DD')
					}
				}
			}
		};
	}
}

module.exports = new Env();
