class Nano {
	constructor(config) {
		this.config = {};
		this.globals = {
			autoprefixer: true,
			calc: true,
			colormin: true,
			convertValues: false,
			discardComments: false,
			discardDuplicates: false,
			discardEmpty: true,
			mergeIdents: false,
			mergeLonghand: true,
			mergeRules: true,
			minifyFontValues: true,
			minifyGradients: true,
			normalizeCharset: true,
			normalizeDisplayValues: true,
			normalizePositions: true,
			normalizeRepeatStyle: true,
			normalizeString: true,
			normalizeTimingFunctions: true,
			normalizeUnicode: true,
			normalizeUrl: true,
			orderedValues: true,
			reduceIdents: false,
			reduceInitial: true,
			reduceTransforms: true,
			svgo: true,
			uniqueSelectors: true,
			zindex: true
		};
		this.config.development = this.optionsDevelopment(this.globals);
		this.config.production = this.optionsProduction(this.globals);
		return this.config[config.env];
	}

	optionsDevelopment() {
		return {
			...this.globals,
			discardComments: false,
			discardOverridden: false,
			discardUnused: false,
			minifyParams: false,
			minifySelectors: false,
			normalizeWhitespace: false
		};
	}

	optionsProduction() {
		return {
			...this.globals,
			discardComments: true,
			discardOverridden: true,
			discardUnused: true,
			minifyParams: true,
			minifySelectors: true,
			normalizeWhitespace: true
		};
	}
}

module.exports = Nano;
