const $tabTriggers = document.querySelectorAll('.tabs ul li a');
const $filters = document.querySelectorAll('.survey-results-filters .button');

function removeActiveClass(elem) {
	elem.forEach((el) => {
		if (el.classList.contains('is-active')) {
			el.classList.remove('is-active');
		}
	});
}

function addActiveClass(elem) {
	elem.classList.add('is-active');
}

function index(element) {
	const sib = element.parentNode.childNodes;
	let n = 0;
	for (let i = 0; i < sib.length; i++) {
		if (sib[i] == element) { return n; }
		if (sib[i].nodeType == 1) { n++; }
	}
	return -1;
}

function eq(index) {
	if (index >= 0 && index < this.length) { return this[index]; }
	return -1;
}

function initTabs() {
	$tabTriggers.forEach((el, i, arr) => {
		el.addEventListener('click', (event) => {
			event.preventDefault();
			const $surveyResults = el.parentElement.parentElement.parentElement.parentElement.parentElement;
			const	$allFilters = $surveyResults.querySelectorAll('.filter .button');
			const $initFilters = $surveyResults.querySelectorAll('.filter .is-filter-all');
			const $selectedListItems = el.parentElement.parentElement;
			const selectedListItem = el.parentElement;
			const selectedListemItemNum = index(selectedListItem);
			const newDrawer = eq.call($surveyResults.querySelectorAll('.tab-drawer'), selectedListemItemNum);

			removeActiveClass($selectedListItems.querySelectorAll('li'));
			removeActiveClass($surveyResults.querySelectorAll('.tab-drawer'));
			addActiveClass(selectedListItem);
			addActiveClass(newDrawer);


			$allFilters.forEach((el) => {
				el.classList.remove('is-active');
			});

			$initFilters.forEach((el) => {
				simulateClick(el);
			});
		});
	});
}


function initFilters() {
	$filters.forEach((el) => {
		el.addEventListener('click', (event) => {
			event.preventDefault();
			const allFilters = el.closest('.survey-results-filters-container');
			const tabDrawer = el.closest('.tab-drawer');
			const surveyResponses = tabDrawer.querySelector('.survey-responses .responses');
			const dynamicImage = tabDrawer.querySelector('.survey-results-image');
			const newImg = el.getAttribute('data-survey-image');
			const newNum = el.getAttribute('data-survey-responses');
			removeActiveClass(allFilters.querySelectorAll('.button'));
			surveyResponses.textContent = newNum;
			el.classList.add('is-active');
			dynamicImage.style.backgroundImage = `url(${newImg})`;
		});
	});
}


function triggerTabClick($container, i) {
	const tab = eq.call($container.querySelectorAll('.tabs ul li a'), i);
	simulateClick(tab);
}


function simulateClick(elem) {
	// Create our event (with options)
	const evt = new MouseEvent('click', {
		bubbles: true,
		cancelable: true,
		view: window
	});
	// If cancelled, don't dispatch our event
	const canceled = !elem.dispatchEvent(evt);
}


function initNext() {
	document.querySelectorAll('.survey-results-next').forEach((el) => {
		el.addEventListener('click', (event) => {
			// event.preventDefault();
			const nextTabIndex = el.getAttribute('data-next');
			const $surveyResults = el.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement;
			// console.log($surveyResults.querySelector('.tabs'));


			triggerTabClick($surveyResults.querySelector('.tabs'), nextTabIndex);
		});
	});
}


export function init() {
	initTabs();
	initFilters();
	initNext();

	document.querySelector('.survey-results-next-activity').addEventListener('click', (event) => {
		const activityNextButton = document.querySelector('.survey-results-next-activity');
		triggerTabClick(activityNextButton.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement, 0);
	});
}
