/**
 *   Mobile Menu
 */

/*
 *    Globals
 * -------------------------------------------------
 */
const $triggers = document.querySelectorAll('.main-header-mobile .trigger');
const hamburger = document.querySelector('.main-header-mobile .icon-hamburger');
const close = document.querySelector('.main-header-mobile .icon-close');
const body = document.querySelector('body');

/*
 *    Private Methods
 * --------------------------------------------------
 */

function toggleTriggers(state) {
	$triggers.forEach((el) => {
		if (state) {
			el.addEventListener('click', (event) => {
				event.preventDefault();
			});
			return;
		}
		el.removeEventListener('click');
	});
}

function setHamburgerTrigger() {
	hamburger.addEventListener('click', () => {
		body.classList.add('mobile-menu-open');
	});
}

function setCloseTrigger() {
	close.addEventListener('click', () => {
		body.classList.remove('mobile-menu-open');
	});
}



/*
 *   Public  Methods
 * --------------------------------------------------
 */
export function init() {
	toggleTriggers(true);
	setHamburgerTrigger();
	setCloseTrigger();
}

export function remove() {
	toggleTriggers(false);
	body.classList.remove('mobile-menu-open');
}
