<?php

// Register Custom Post Type
function custom_post_type_partners() {

	$labels = array(
		'name'                  => 'Partners',
		'singular_name'         => 'Partner',
		'menu_name'             => 'Partners',
		'name_admin_bar'        => 'Partner',
		'archives'              => 'Partner archives',
		'attributes'            => 'Partner attributes',
		'parent_item_colon'     => 'Parent Item:',
		'all_items'             => 'All partners',
		'add_new_item'          => 'Add new partner',
		'add_new'               => 'Add new partner',
		'new_item'              => 'New partner',
		'edit_item'             => 'Edit partner',
		'update_item'           => 'Update partner',
		'view_item'             => 'View partner',
		'view_items'            => 'View partners',
		'search_items'          => 'Search partner',
		'not_found'             => 'Not found',
		'not_found_in_trash'    => 'Not found in Trash',
		'featured_image'        => 'Featured Image',
		'set_featured_image'    => 'Set featured image',
		'remove_featured_image' => 'Remove featured image',
		'use_featured_image'    => 'Use as featured image',
		'insert_into_item'      => 'Insert into item',
		'uploaded_to_this_item' => 'Uploaded to this item',
		'items_list'            => 'Items list',
		'items_list_navigation' => 'Items list navigation',
		'filter_items_list'     => 'Filter items list',
	);
	$args = array(
		'label'                 => 'Partner',
		'description'           => 'A post that displays information about partners.',
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'custom-fields' ),
		'taxonomies'            => array( 'category', 'post_tag' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 10,
		'menu_icon'             => 'dashicons-heart',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => 'partners',
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
		'show_in_rest'          => true,
	);
	register_post_type( 'partners', $args );

}
add_action( 'init', 'custom_post_type_partners', 0 );
