<?php
	function luvo_career_scripts() {
	    wp_enqueue_style( 'career_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_career_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<div class="page-content central-column styled-text">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>

	<div class="inner-column">
		<header class="page-header">
			<h1>Careers</h1>
			<img src="<?php echo get_template_directory_uri() ?>/assets/img/careers/ingredients-for-rewarding-careers-at-luvo.jpg" alt="Career Opportunities at Luvo"/>
			<h2>Are You&hellip;</h2>
			<p>&hellip; A food industry revolutionary who wants to help transform the way America eats?</p>
			<p>&hellip; An entrepreneur committed to creating a pioneering, progressive company?</p>
			<p>&hellip; A grocery business veteran whose definition of success includes purpose as well as profit?</p>
			<br/>
			<h2>We Want You In Our Kitchen.</h2>
			<p>Luvo is not your standard food company. We&rsquo;re on a mission to change the way people eat and transform the food industry for the better. It&rsquo;s going to take a lot of hard work, passion and persistence. So far we&rsquo;re still young and relatively small&mdash;but we&rsquo;re moving fast and growing like crazy. Be ready for change. Even better, be ready to change the industry.</p>
			<p>Our team needs experienced people who want to challenge the traditional way of doing things. Success to us means much more than just profits. We&rsquo;re offering a chance to build from scratch and make a lasting impact on the world.</p>
			<p>Does this sound like the place for you? Drop us a line at: <br/><a href="mailto:careers@luvoinc.com">careers@luvoinc.com</a></p>
			<p>Don&rsquo;t see a job that makes you jump out of bed screaming &ldquo;I LOVE MY LIFE&rdquo;? Don’t let that stop you from applying!</p>
			<p>E-mail us at <a href="mailto:dreamjob@luvoinc.com">dreamjob@luvoinc.com</a> or tweet us <strong>@LuvoInc</strong> with the hashtag <a href="https://twitter.com/search?q=%23dreamjob&src=typd" target="_blank">#dreamjob</a> with your super cool proposal. Tell us in any way that gets your idea across and gets us excited—write a letter, draw a cartoon, make a video. Be creative!</p>
			<p class="social-cta">And connect with us via social media:</p>
			<?php get_template_part('parts/snippets/social-list'); ?>
		</header>
		<div class="open-positions">
			<h2>Open Positions</h2>
			<div class="column-labels">
				<h3 class="title">Job Title</h3>
				<h3 class="location">Location</h3>
			</div>
			<ul class="position-list">
				<?php 
					$i = 1;
					query_posts($query_string . '&posts_per_page=100&orderby=title&order=ASC'); if (have_posts()): while (have_posts()): the_post(); 
				?>
				<li class="clearfix <?php if ($i % 2 == 0){ echo 'even'; } ?>">
					<h3><?php the_title(); ?></h3>
					<h4><?php echo get_post_meta($post->ID, 'wpcf-city_state', true); ?></h4>
					<div class="link">
						<a href="<?php the_permalink(); ?>" title="Apply for: <?php the_title_attribute(); ?>" class="button">Learn More</a>
					</div>
				</li>
				<?php $i++; endwhile; endif; ?>
			</ul>
		</div>
	</div><!--inner-column-->
</div><!-- page-content -->

<?php get_template_part('parts/chrome/footer'); ?>








