<?php
	function luvo_about_scripts() {
	    wp_enqueue_style( 'about_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_about_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<?php if ( have_posts() ): ?>
<div class="page-content central-column styled-text">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>

	<div class="inner-column">
		<header class="page-header">
			<h1>Frequently Asked Questions</h1>
		</header>
		<?php 
			$categories = get_terms( 'faq-category' );
			foreach( $categories as $category ){
		?>
			<section>
				<h2><?php echo $category->name; ?></h2>
				<ul class="question-list" >
					<?php $loop = new WP_Query( array('post_type' => 'faqs', 'posts_per_page' => 100, 'orderby' => 'menu_order', 'order' => 'ASC', 'faq-category' => $category->name ) ); ?>
					<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
					<li>
						<h3><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="sprite-before before arrow-faq question"><span><?php the_title(); ?></span></a></h3>
						<div class="answer">
							<?php the_content(); ?>
						</div>
					</li>
					<?php endwhile; wp_reset_query(); ?>
				</ul>
			</section>
		<?php } ?>
	</div><!--inner-column-->
</div><!-- page-content -->
<?php endif; ?>

<?php get_template_part('parts/chrome/footer'); ?>


