<?php
	function luvo_media_scripts() {
	    wp_enqueue_style( 'media_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_media_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<div class="page-content central-column">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>

	<div class="inner-column">
		<header class="page-header styled-text">
			<h1><?php post_type_archive_title(); ?></h1>
			<p>We love telling our story. If you don&rsquo;t find what you need on this page, please get in touch.</p>
		</header>
		<aside class="contact-information">
			<?php if ( dynamic_sidebar('Media Press Kit Contact Info') ) : else : endif; ?>
		</aside>

		<?php //Company Info ?>
		<?php $loop = new WP_Query( array('post_type' => 'media-press-kit', 'posts_per_page' => 100, 'orderby' => 'menu_order', 'order' => 'ASC', 'press-kit-category' => 'company-info') ); ?>
		<?php if($loop->have_posts()){ ?>
		<section>
			<h2>Company Info</h2>
			<ul>
				<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
				<?php get_template_part('parts/singles/press-kit-entry'); ?>
				<?php endwhile; ?>
			</ul>
		</section>
		<?php }; wp_reset_query(); ?>

		<?php //Product Fact Sheets ?>
		<?php $loop = new WP_Query( array('post_type' => 'media-press-kit', 'posts_per_page' => 100, 'orderby' => 'menu_order', 'order' => 'ASC', 'press-kit-category' => 'product-fact-sheets') ); ?>
		<?php if($loop->have_posts()){ ?>
		<section>
			<h2>Product Fact Sheet</h2>
			<ul>
				<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
				<?php get_template_part('parts/singles/press-kit-entry'); ?>
				<?php endwhile; ?>
			</ul>
		</section>
		<?php }; wp_reset_query(); ?>

		<?php //Press Releases ?>
		<?php $loop = new WP_Query( array('post_type' => 'media-press-kit', 'posts_per_page' => 100, 'press-kit-category' => 'press-releases') ); ?>
		<?php if($loop->have_posts()){ ?>
		<section>
			<h2 class="press-releases">Press Releases</h2>
			<ul>
				<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
				<li class="clearfix">
					<h3><a href="<?php the_permalink(); ?>" title="Read: <?php the_title_attribute(); ?>"><strong><?php echo get_the_date(); ?></strong> - <?php the_title(); ?></a></h3>
					<?php $args = array( 'post_mime_type' => 'application/pdf', 'post_type' => 'attachment', 'numberposts' => -1, 'post_status' => null, 'post_parent' => $post->ID ); $attachments = get_posts($args); if ($attachments){ ?>
					<a href="<?php echo wp_get_attachment_url( $attachments[0]->ID ); ?>" target="_blank" title="Download: <?php the_title_attribute(); ?>" class="sprite-after after pdf"><span>Download</span></a><?php } ?>
				</li>
				<?php endwhile; ?>
			</ul>
		</section>
		<?php }; wp_reset_query(); ?>

		<?php //Leadership Bios ?>
		<?php $loop = new WP_Query( array('post_type' => 'media-press-kit', 'posts_per_page' => 100, 'press-kit-category' => 'leadership-bios') ); ?>
		<?php if($loop->have_posts()){ ?>
		<section>
			<h2>Leadership Bios</h2>
			<ul>
				<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
				<?php get_template_part('parts/singles/press-kit-entry'); ?>
				<?php endwhile; ?>
			</ul>
		</section>
		<?php }; wp_reset_query(); ?>

	</div><!--inner-column-->
</div><!-- page-content -->

<?php get_template_part('parts/chrome/footer'); ?>




















