<?php
	function luvo_media_scripts() {
	    wp_enqueue_style( 'media_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_media_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<div class="page-content video-content central-column styled-text">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>

	<div class="inner-column">
		<header class="page-header">
			<h1>Videos</h1>
			<?php query_posts($query_string . '&orderby=menu_order&order=ASC&posts_per_page=1'); if (have_posts()): while (have_posts()): the_post(); ?>
			<div class="video">
				<?php if( get_post_meta($post->ID, 'wpcf-youtube_id', true) ){ ?>
					<iframe width="1280" height="720" src="//www.youtube.com/embed/<?php echo get_post_meta($post->ID, 'wpcf-youtube_id', true); ?>?rel=0" frameborder="0" allowfullscreen ></iframe>
				<?php }elseif( get_post_meta($post->ID, 'wpcf-vimeo_id', true) ) { ?>
					<iframe width="1280" height="720" src="//player.vimeo.com/video/<?php echo get_post_meta($post->ID, 'wpcf-vimeo_id', true); ?>?title=0&byline=0&portrait=0" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen ></iframe>
				<?php } ?>
			</div>
			<div class="text">
				<?php the_content(); ?>
			</div>
			<?php endwhile; endif; ?>
		</header>
		<nav>
			<ul>
				<?php $i = 1; ?>
				<?php query_posts($query_string . '&orderby=menu_order&order=ASC&posts_per_page=100'); if (have_posts()): while (have_posts()): the_post(); ?>
				<li>
					<a 	href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="<?php if( $i == 1 ){ echo 'active'; }?>" >
						<?php $img = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'video-sm' ); ?>
						<span class="sprite-before before" style="background:url(<?php echo $img[0]; ?>) 50% no-repeat"></span>
						<h2><?php the_title(); ?></h2>
					</a>
				</li>
				<?php $i++; endwhile; endif; ?>
			</ul>
		</nav>
	</div><!--inner-column-->
</div><!-- page-content -->

<?php get_template_part('parts/chrome/footer'); ?>