if (luvo === null || typeof(luvo) !== "object") { var luvo = new Object(); }

luvo.Blog = (function() {
	var _instance;
	
	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/
			initialize: function(options) {
				var self = this;
				// attach event handlers
				jQuery(document).ready(function() {
					self.eventHandlers();
					
				});
			},
			/* Event handlers
			*/
			eventHandlers: function() {
				var self = this;
				//self.setVars();
				self.gallery_thumbnail_rotator();
				self.gallery_primary_rotator();
				self.listWidgetReduce();
				self.listWidgetReveal();
				self.listWidgetHide();
				self.debug_blog_subscription();
				self.blog_cookies();
				self.blog_newsletter_modal_submit();
				self.blog_email_share();
			},
			setVars: function(){
				
			},
			gallery_thumbnail_rotator: function(){
				jQuery( '.gallery-thumbnails' ).flexslider({
					animation: "slide",
					controlNav: false,
					animationLoop: false,
					slideshow: false,
					itemWidth: 265,
					minItems: 3,
					maxItems: 5,
    				itemMargin: 7,
					asNavFor: ' .gallery '
				})
			},
			gallery_primary_rotator: function(){
				jQuery('.gallery').flexslider({
					animation: "slide",
					controlNav: false,
					animationLoop: false,
					slideshow: false,
					sync: ".gallery-thumbnails",
					smoothHeight: true, 
					start: function(slider){
						jQuery('body').removeClass('loading');
					},
				});
			},
			listWidgetReduce: function(){
				//This is only for browsers that dont respect the css rules that are also applied
				jQuery('.widget_tether_luvo_categories li').each(function(index, element){
					if(index > 3){
						jQuery(element).hide();
					}
				});
				jQuery('.widget_tether_luvo_archives li').each(function(index, element){
					if(index > 3){
						jQuery(element).hide();
					}
				})
				currentHeight = jQuery('.widget_tether_luvo_categories ul').height() + 10;
				jQuery('.widget_tether_luvo_categories .wrapper').height(currentHeight).data('base-height', currentHeight);
				currentHeight = jQuery('.widget_tether_luvo_archives ul').height() + 10;
				jQuery('.widget_tether_luvo_archives .wrapper').height(currentHeight).data('base-height', currentHeight);
			},
			listWidgetReveal: function(){
				jQuery(document).on('click','.widget_tether_luvo_categories .read-more:not(.open), .widget_tether_luvo_archives .read-more:not(.open)', function(event){
					event.preventDefault();
					target = jQuery(this).prev('.wrapper');
					target.find('li:hidden').fadeIn();
					newHeight = target.find('ul').height() + 10;
					target.animate({
						'height' : newHeight,
					});
					jQuery(this).html('Less').addClass('open');
				})
			},
			listWidgetHide: function(){
				jQuery(document).on('click', '.widget_tether_luvo_categories .read-more.open, .widget_tether_luvo_archives .read-more.open', function(event){
					event.preventDefault();
					target = jQuery(this).prev('.wrapper');
					target.find('li:gt(3)').fadeOut();
					newHeight = target.data('base-height');
					target.animate({
						'height' : newHeight,
					});
					jQuery(this).html('See More').removeClass('open');
				})
			},
			facebook_share_click: function(el){
				image = jQuery( el ).attr( 'data-image' );
				title = jQuery( el ).attr( 'data-title' );
				link = jQuery( el ).attr( 'data-link' );
				description = jQuery( el ).attr( 'data-description' ),
				FB.ui({
					method: 'feed',
					name: title,
					link: link, 
					picture: image,
					description: description,
				}, function(response){});
			},
			debug_blog_subscription: function(){
				jQuery('.jetpack_subscription_widget #subscribe-field').val('');
			},
			getParameterByName: function(name) { //Get parameter from query string
			    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
			    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
			        results = regex.exec(location.search);
			    return results === null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
			},
			blog_cookies: function(){
				var self = this;
				visited = jQuery.cookie('fresh_blog');
				prompted = jQuery.cookie('fresh_blog_prompt');
				mailchimp = self.getParameterByName('utm_source')? true: false;

				if( visited == undefined ){
					//first visit
					jQuery.cookie('fresh_blog', { expires: 365, path: '/' });
				}else{
					if( prompted == undefined && !mailchimp ){
						//repeat visit but not prompted yet this week
						jQuery('body').addClass('scroll-disabled');
						jQuery('.tet-modal-newsletter-bug').fadeIn(400);
						jQuery.cookie('fresh_blog_prompt', { expires: 7, path: '/' });
					}
					// else{
					// 	jQuery.removeCookie('fresh_blog_prompt');
					// }
				}
			},
			blog_newsletter_modal_submit: function(){
				jQuery(".tet-modal-newsletter-bug form").validate();

				jQuery('.tet-modal-newsletter-bug form').on('submit', function(e){
					e.preventDefault();
					form = jQuery(this);
					data = form.serialize();
					if( !jQuery(this).valid() ){ return; };
					form.find('.submit').attr('disabled', 'disabled').addClass('disabled');

					jQuery.ajax({
						type: "POST",
						url: form.attr("action"),
						data: data,
						success: function(response){
							response = JSON.parse(response);
							form.find('.submit').prop("disabled", false).removeClass('disabled');
							console.log(response)
							if( response.hasOwnProperty('id') ){
								form.find('.message-error').fadeOut(400);
								form.find('.field-wrapper').fadeOut(400, function(){
									form.find('.response').html('<p>Thanks for subscribing!</p>').fadeIn(400);
								});
								setTimeout( function(){
									form.closest('.tet-modal').fadeOut(400);
								}, 5000);
							}else if( response.hasOwnProperty('status') && response['status'] == 400 ){
								form.find('.message-error').html('<p>Looks like you&rsquo;ve already subscribed.</p>').fadeIn(400);
							}else{
								form.find('.message-error').html('<p>There was an issue, please try again!</p>').fadeIn(400);
							};
						}
					});
				})
			},
			blog_email_share: function(){
				jQuery('.page-share .email').on('click tap touch', function(e){
					e.preventDefault();
					jQuery('body').addClass('scroll-disabled');
					jQuery('.tet-modal-post-share').fadeIn(600);
				})
				jQuery('.tet-modal-post-share .newsletter-optin input').on('change', function(){
					if( jQuery(this).is(":checked") ){
						jQuery(this).closest('.newsletter-optin').addClass('checked')
					}else{
						jQuery(this).closest('.newsletter-optin').removeClass('checked')
					}
				})

				jQuery(".tet-modal-post-share form").validate();

				jQuery('.tet-modal-post-share form').on('submit', function(e){
					e.preventDefault();
					form = jQuery(this);
					data = form.serialize();
					if( !jQuery(this).valid() ){ return; };
					form.find('.submit').attr('disabled', 'disabled').addClass('disabled');

					jQuery.ajax({
						type: "POST",
						url: form.attr("action"),
						data: data,
						success: function(response){
							response = JSON.parse(response);


							if( response[0]['status'] == 'sent'){
								form.find('.error').fadeOut(400).html('');
								form.find('.submit').fadeOut(400, function(){
									form.find('.response').html('<p>Thanks for sharing!</p>').fadeIn(400);
								});
								setTimeout( function(){
									jQuery('body').removeClass('scroll-disabled');
									form.closest('.tet-modal').fadeOut(400, function(){
										form.find('.friend_email').val('');
										form.find('.user_email').val('');
										form.find('.submit').prop("disabled", false).removeClass('disabled');
										form.find('.submit').show();
										form.find('.response').html('').hide();
									});
								}, 3000);
							}else{
								form.find('.message-error').html('<p>There was an issue with your submission, please try again.</p>').fadeIn(400);
							};
						}
					});
				})
			}

		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
luvoBlog = luvo.Blog.getInstance();
// Run initialize method
luvoBlog.initialize();