if (luvo === null || typeof(luvo) !== "object") { var luvo = new Object(); }

luvo.Contact = (function() {
	var _instance;
	
	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/
			initialize: function(options) {
				var self = this;
				// attach event handlers
				jQuery(document).ready(function() {
					self.validate();
					self.contact_form_submit();
					self.topic_change();
				});
			},
			validate: function(){
				jQuery("#contact-luvo-form").validate({
					rules: {
						'message': {
							required: true,
							minlength: 20
						}
					},
					errorPlacement: function(error, element) {
						if ( element.attr('name') == 'subject' ) {
							error.insertAfter('.select-wrapper');
						} else {
							error.insertAfter(element);
						}
					}
				});
			},
			contact_form_submit: function(){
				var self = this;
				jQuery('#contact-luvo-form').submit( function(e){
					e.preventDefault();
					if(!jQuery(this).valid()){
						return;
					};
					var data = jQuery(this).serialize(),
						topic = jQuery(this).find('.topic').val();

					jQuery("span[class='alert']", jQuery(this)).hide();
					jQuery('input[type=submit]', jQuery(this)).val("Sending email, please wait...");
					jQuery("#contact-luvo-form :input").attr("disabled", true);

					jQuery.ajax({
						type: "POST",
						url: jQuery(this).attr("action"),
						data: data,
						dataType: 'text',
						success: function(data){
							jQuery("#ajax-success").fadeIn(1000);
							jQuery('#head').addClass('hidden-form');
							jQuery('#contact-luvo-form').addClass('hidden-form');
							window._tfa = window._tfa || [];

							if( topic == 'Submit a Luv Note' ){
								ga('send', 'event', 'button', 'form_submit', 'luv_note');
 								_tfa.push({notify:"action", name: 'luv_note'});
							}else{
								ga('send', 'event', 'button', 'form_submit', 'contact_us');
 								_tfa.push({notify:"action", name: 'contact_us'});
							}
							self.contactGAConversion( 973722632, 'G6YQCLCJyQgQiKin0AM');
							self.contactBingConversion( 2766499, 228996 );

							luvoMain.outbrain_tracking_pixel();
						}
					});

					//backup
					object = {};
					object['data'] = data;
					object['action'] = 'contact_submission_backup';
					jQuery.post( ajaxurl, object);
				})
			},
			topic_change: function(){
				var self = this;
				jQuery(document).on('change', '#contact-luvo-form .topic', function(){
					if( jQuery(this).val() == 'Submit a Luv Note' || jQuery(this).val() == 'Product Feedback'){
						jQuery(this).closest('form').find('.location-fields').show();
					}else{
						jQuery(this).closest('form').find('.location-fields').hide();
					}
				})
			},
			//Analytics
			contactGAConversion: function( google_conversion_id, google_conversion_label ){
				var image = new Image(1,1); 
				image.src = "http://www.googleadservices.com/pagead/conversion/" + google_conversion_id + "/?label="+ google_conversion_label;
			},
			contactBingConversion: function( bing_domain_id, bing_action_id ){
				newSource = "//flex.msn.com/mstag/tag/f084a806-1e79-41ee-bf23-b01062e4f13b/analytics.html?dedup=1&domainId=" + bing_domain_id + "&type=1&actionid="+ bing_action_id;
				jQuery('#bing-conversion').attr('src', newSource);
			},
			
			
		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
luvoContact = luvo.Contact.getInstance();
// Run initialize method
luvoContact.initialize();






















