if (luvo === null || typeof(luvo) !== "object") { var luvo = new Object(); }

luvo.GetFresh = (function() {
	var _instance;
	
	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/
			initialize: function(options) {
				var self = this;
				// attach event handlers
				jQuery(document).ready(function() {
					self.eventHandlers();
				});
			},
			/* Event handlers
			*/
			eventHandlers: function() {
				var self = this;
				self.hero_rotator();
				self.zipForm();
				self.newsletter_submit();
				self.coupon_click();
			},

			/**
			 *  zip_form
			 *  Validates the data entered in #freshZIP and then submits to /where-to-buy
			 *
			 *  @method
			 *  @public
			 */
			zipForm: function() {
				jQuery.validator.addMethod("zip", function(value, element) {
					return this.optional(element) || /^\d{5}(?:-\d{4})?$/.test(value);
				}, "Please provide a valid zipcode.");

				jQuery('#freshZIP').validate({
					rules: {
						zipcode: {
							required: true,
							zip: true,
						}
					}
				});

				jQuery('#freshZIP').submit(function(e) {
					e.preventDefault();

					if(!jQuery(this).valid()){
						return;
					};

					var q = jQuery('#q').val();
					processZIP(q);
				});



				/**
				 * processZIP
				 * Validates the data entered in #freshZIP
				 * 
				 * @method
				 * @private
				 * @param {number} q - a validated, 5 digit ZIP code
				 * 
				 */
				function processZIP(q) {
					var url = window.location.origin + '/where-to-buy/?q=' + q;
					location.href = url;
				}

			},

			hero_rotator: function(){
				var self = this;
				jQuery('.hero-rotator').flexslider({
					animation: "slide",
					animationSpeed: 700,
					controlNav: false,
					directionNav: false,
					touch: false,
					// animationLoop: false, 
					start: function(slider){
						jQuery('body').removeClass('loading');
					},
				});

			},
			newsletter_submit: function(){
				jQuery("#freshNewsletter").validate();

				jQuery('#freshNewsletter').on( 'submit', function(e){
					e.preventDefault();

					if(!jQuery(this).valid()){
						return;
					};
					form = jQuery(this);
					var data = jQuery(this).serialize();
					jQuery.ajax({
						type: "POST",
						url: jQuery(this).attr("action"),
						data: data,
						success: function(json){
							jQuery(".email").val('');
							form.find(".newsletter-message").html('<br>Success! Thanks for subscribing.').fadeIn(1000);
						}
					});
				})
			},
			coupon_click: function(){
				jQuery('.coupon-link').on('click', function(e){
					e.preventDefault();
					
					jQuery('.panel-coupon').slideDown(500, function(){
						new_top = jQuery('.panel-coupon').offset().top - 70;
						jQuery('html, body').animate({
							scrollTop: new_top
						}, 500);
					});
					
				})
			}

		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
luvoGetFresh = luvo.GetFresh.getInstance();
// Run initialize method
luvoGetFresh.initialize();





