if (luvo === null || typeof(luvo) !== "object") { var luvo = new Object(); }

luvo.Home = (function() {
	var _instance;
	
	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/
			initialize: function(options) {
				var self = this;
				// attach event handlers
				jQuery(document).ready(function() {
					self.eventHandlers();
				});
			},
			/* Event handlers
			*/
			eventHandlers: function() {
				var self = this;
				self.set_variables();
				self.resize_functions();
				self.slide_font_size();
				self.hero_rotator();
				//self.slide_alignment();
				//self.image_alignment();
				self.wall_grid( self.wall_cascade );

				self.twitter_ajax();

				self.instagram_ajax();
			},
			set_variables: function(){
				var self = this;

				self.doc_width = jQuery(document).width();

				if( self.doc_width > 1224 ){
					self.breakpoint = 'desktop';
				}else if( self.doc_width < 1224 && self.doc_width > 982 ){
					self.breakpoint = 'tablet-landscape';
				}else{
					self.breakpoint = 'tablet-portrait';
				}
			},
			resize_functions: function(){
				var self = this;
				jQuery(window).resize(function(){
					self.set_variables();
					if( jQuery(document).width() > 750 ){
						//jQuery('.hero-rotator .slide .text').fadeOut( 200 );
						clearTimeout( jQuery.data(this, 'home_resize_timer'));
						jQuery.data(this, 'home_resize_timer', setTimeout(function() {
							self.slide_font_size();
							// self.slide_alignment();
							// self.image_alignment();
							//jQuery('.hero-rotator .slide .text').fadeIn();
						},  200 ));
					}
				})
			},
			hero_rotator: function(){
				var self = this;

				jQuery('.hero-rotator').flexslider({
					animation: "fade",
					animationSpeed: 1200,
					smoothHeight: true,
					start: function(slider){
						//self.image_alignment();
						jQuery('body').removeClass('loading');
						self.cascade(slider);
					},
					before: function(slider){
						jQuery('.hero-rotator .triggered').removeClass('triggered');
						self.cascade(slider);
					},
					after: function(slider){
						self.cascade(slider);
					}
				});
			},
			cascade: function(slider){
				delay = 300;
				slide = slider.slides.eq(slider.animatingTo);
				jQuery(slide).find('.css-transition-in').each(function(i, single){
					setTimeout(function(){
						jQuery(single).addClass('triggered');
					}, 500 + delay * i );
				});
			},
			slide_font_size: function(){
				var self = this;
				switch( self.breakpoint ){
					case 'tablet-landscape':
						factor = 0.66;
						break;
					case 'tablet-portrait':
						factor = 0.5;
						break;
					default:
					factor = 1;
				};
				jQuery('.hero-rotator .slide').each(function(){
					fontSize = jQuery(this).data('font-size');
					if( typeof fontSize != 'undefined' && fontSize != '' ){
						fontSize = fontSize * factor;
						jQuery(this).find('h2').css({
							'font-size': fontSize,
						})
					}
				});
			},
			// slide_alignment: function(){

			// 	jQuery('.hero-rotator .slide').each(function(){
			// 		slideHeight = jQuery(this).height();
			// 		//Vertically align text wrapper with slide
			// 		textHeight = jQuery(this).find('.text').height();
			// 		textMargin = ( slideHeight - textHeight ) * 0.5 + 14;
			// 		jQuery(this).find('.text').animate({
			// 			'margin-top': textMargin
			// 		}, 500);
			// 	})
			// },
			// image_alignment: function(){
			// 	jQuery('.hero-rotator .slide').each(function(){
			// 		slideHeight = jQuery(this).height();
			// 		//Repeat for image
			// 		imageHeight = jQuery(this).find('aside').height();
			// 		imageMargin = ( slideHeight - imageHeight ) * 0.5;
			// 		jQuery(this).find('aside').animate({
			// 			'margin-top': imageMargin
			// 		}, 500)
			// 	})
			// },

			wall_grid: function( callback ){
				var self = this;

				var container = jQuery('.wall-grid');

				jQuery('.wall-grid').imagesLoaded( function() {
					if( jQuery(document).width() > 750 ){
						container.packery({
						  itemSelector: '.tile-home',
						  gutter: 14,
						  transitionDuration: '0.7s',
						});
					}
					callback();
				})

			},
			wall_cascade: function(){
				delay = 0;
				jQuery('.home .page-content .tile-home').each(function(i, single){
					setTimeout(function(){
						jQuery(single).addClass('triggered');
					}, 500 + delay * i );
				});
			},
			twitter_ajax: function(){
				var self = this;
				ajax_object = {
					'action':'twitter_ajax_request',
				};
				jQuery.post( ajaxurl, ajax_object, function(response) {
					self.twitter_response = JSON.parse(response);

					jQuery.each( self.twitter_response, function(i, val){
						//Determine time from post
						current_time = new Date();
						post_time = new Date( val['created_at'] );
						ago = Math.abs( current_time.getTime() - post_time.getTime() );
						ago = Math.ceil( ago / (1000 * 3600) );

						//Create links
						text = val['text'];
						text = text.replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig, '<a href="$1">$1</a>');
						text = text.replace(/\#(\S*)/g, '<a href="http://twitter.com/search?q=%23$1">#$1</a>');
						text = text.replace(/\@(\S*)/g, '<a href="http://twitter.com/$1">@$1</a>');

						slide = '<li><p>';
						slide += text;
						slide += ' &nbsp;<span class="tweet-time">About ';
						slide += ago;
						slide += ' hours ago</span></p></li>';

						jQuery('.twitter-rotator .slides').append(slide);
					});

					self.tweet_rotator();
				});
			},
			tweet_rotator: function(){
				jQuery('.twitter-rotator').flexslider({
					animation: 'slide',
					directionNav: false,
					controlNav: false,
					animationSpeed: 800,
					direction: "vertical",
					useCSS: false,
					slideshowSpeed: 7000,  
				});
			},
			instagram_ajax: function(){
				var self = this;
				ajax_object = {
					'action':'instagram_ajax_request',
				};
				jQuery.post( ajaxurl, ajax_object, function(response) {
					self.instagram_response = JSON.parse( response );
					self.instagram_response = self.instagram_response['data'];

					jQuery.each( self.instagram_response, function(i, val){
						link = '<a class="tile-link" href="' + val['link'] + '" target="_blank" title="Luvo Offers Great Tasting, Healthy and Nutritious Frozen Meals"><div class="non-square-panel" style="background-image:url(' + val['images']['standard_resolution']['url'] + ');"><img src="' + val['images']['standard_resolution']['url'] + '" alt="Healthy and Delicious Frozen Meals"  nopin="nopin" /></div><header class="tile-header"><h3>Social</h3><h2>Luvo Instagram</h2></header></a>';
						jQuery('.tile-instagram').html(link);

					} )

				});
			},
		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
luvoHome = luvo.Home.getInstance();
// Run initialize method
luvoHome.initialize();











