if (luvo === null || typeof(luvo) !== "object") { var luvo = new Object(); }

luvo.Main = (function() {
	var _instance;

	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/
			initialize: function(options) {
				var self = this;
				// attach event handlers
				jQuery(document).ready(function() {
					self.eventHandlers();

				});
			},
			/* Event handlers
			*/
			eventHandlers: function() {
				var self = this;
				self.set_variables();
				self.resize_functions();

				self.container_resize();
				self.disable_empty_click();
				self.print_page();
				self.even_heights();

				self.nav_columns();
				self.nav_check();
				self.scroll_trigger();
				self.search_click();
				self.search_focus();
				self.nav_hover();
				self.touch_nav_blog();

				self.validate();
				self.newsletter_submit();
				self.meals_newsletter_submit();
				self.plate_submit();
				self.check_file_size();

				self.meal_reveal();
				self.search_results();
				self.faq_click();

				self.video_set_baseline();
				self.video_resize();
				self.meal_request();

				self.newsletter_toolbar_click();
				self.newsletter_close_click();
				self.submit_newsletter_panel();
				self.newsletter_cookie();
				self.submit_mobile_newsletter();

				self.modal_close();

				//Mobile functions
				self.mobile_navigation_click();
				self.close_navigation();
				self.footer_accordions();
			},
			set_variables: function(){
				var self = this;

				self.page_height = jQuery(window).height();

				self.fixed = false;
				self.visible = false;
			},
			resize_functions: function(){
				var self = this;
				jQuery(window).resize(function(){
					clearTimeout(jQuery.data(this, 'resizeTimer'));
					jQuery.data(this, 'resizeTimer', setTimeout(function() {
						self.set_variables();
						self.container_resize();
						self.nav_columns();
						self.video_resize();
					}, 200));
				})
			},
			container_resize: function(){
				var self = this;
				jQuery('.container').stop().animate({
					'min-height': self.page_height
				}, 1000)
			},
			disable_empty_click: function(){
				jQuery('a[href=#]').on('click', function(e){
					e.preventDefault();
				})
			},
			print_page: function(){
				jQuery("a[href=#print]").on("click", function (event) {
					event.preventDefault();
					window.print();
				})
			},
			even_heights: function(){
				if( jQuery( '.equalize' ).length > 0 ){
					jQuery( ".equalize>*" ).css( 'height','auto' );
					jQuery( ".equalize" ).each(function(){
						jQuery(this).find(">*").equalHeights()
					})
				}
			},

			//Site Header
			nav_columns: function(){
				jQuery('.site-navigation .sub-menu').show();
				jQuery('.site-navigation .normalize').height('');

				maxHeight = 1;
				jQuery('.site-navigation .our-story .normalize').each(function(){
					thisHeight = jQuery(this).height();
					maxHeight = maxHeight > thisHeight ? maxHeight : thisHeight;
				});
				jQuery('.site-navigation .our-story .normalize').height( maxHeight + 18 );
				jQuery('.site-navigation .our-story .post-list.normalize').height( maxHeight );

				jQuery('.site-navigation .sub-menu').hide();
			},
			nav_check: function(){
				var self = this;
				scroll_position = jQuery(window).scrollTop();

				if( scroll_position > 200 && !self.fixed ){
					jQuery( '.fixed-wrapper' ).addClass( 'fixed' );
					jQuery( '.site-header' ).outerHeight( 70 );
					self.fixed = true;
				}else if( scroll_position <= 200 ){
					jQuery( '.fixed-wrapper' ).removeClass( 'fixed' );
					jQuery( '.site-header' ).outerHeight( 112 );
					self.fixed = false;
				}
				if( scroll_position > 800 && !self.visible ){
					jQuery( '.fixed-wrapper' ).addClass( 'visible' );
					self.visible = true;
				}else if( scroll_position <= 800 ){
					jQuery( '.fixed-wrapper' ).removeClass( 'visible' );
					self.visible = false;
				};
			},
			scroll_trigger: function(){
				var self = this;
				jQuery(window).on( 'scroll', function(){
					scroll_position = jQuery(this).scrollTop();

					if( scroll_position > 200 && !self.fixed ){
						jQuery( '.fixed-wrapper' ).addClass( 'fixed' );
						jQuery( '.site-header' ).outerHeight( 70 );
						self.fixed = true;
					}else if( scroll_position <= 200 ){
						jQuery( '.fixed-wrapper' ).removeClass( 'fixed' );
						jQuery( '.site-header' ).outerHeight( 112 );
						self.fixed = false;
					}
					if( scroll_position > 800 && !self.visible ){
						jQuery( '.fixed-wrapper' ).addClass( 'visible' );
						self.visible = true;
					}else if( scroll_position <= 800 ){
						jQuery( '.fixed-wrapper' ).removeClass( 'visible' );
						self.visible = false;
					};
				})
			},
			search_click: function(){
				jQuery('.site-toolbar .search').click(function(){
					jQuery(this).addClass('expanded');
				});
			},
			search_focus: function(){
				jQuery('.toolbar-search-wrapper .query').focus(function(){
					jQuery(this).closest('li').addClass('expanded');
				});
				jQuery('.toolbar-search-wrapper .query').blur(function(){
					jQuery(this).closest('li').removeClass('expanded');
				})
			},
			nav_hover: function(){
				var self = this;
				jQuery('.site-navigation .nav-item').hoverIntent( {
					over: function(){

						target = jQuery(this);

						if( jQuery('.fixed-wrapper').hasClass('fixed') ){
							baseHeight = 70;
						}else{
							baseHeight = 112;
						}
						height = baseHeight + jQuery(this).find('.sub-menu').outerHeight();

						jQuery('.site-header').addClass('active').animate({
							'height': height,
						}, 300 );
						target.find('.sub-menu').fadeIn(500);

					},
					out: function(){
						jQuery('.sub-menu').fadeOut(500);
					},
					interval: 200,
					timeout: 100,
				})
				jQuery('.site-navigation').hoverIntent( {
					out: function(){
						if( jQuery('.fixed-wrapper').hasClass('fixed') ){
							baseHeight = 70;
						}else{
							baseHeight = 112;
						}
						jQuery('.site-header').removeClass('active').animate({
							'height': baseHeight,
						}, 1000, 'easeOutExpo' );

						jQuery('.sub-menu').fadeOut(700);
					},
					timeout: 300,
				})
			},
			touch_nav_blog: function(){
				jQuery('.touch .site-navigation .fresh-blog .top-level').click(function(e){
					e.preventDefault();
				})
			},

			//Forms
			validate: function(){
				jQuery("#newsletter-signup").validate();
				jQuery(".meal-archive-footer form").validate();

				jQuery(".newsletter-panel .form-wrapper form").validate();
				jQuery(".newsletter-panel .form-wrapper form .newsletter-email").on('keyup blur change click', function () {
			        if ( jQuery('.newsletter-panel .form-wrapper form').valid() ) {
			            jQuery('.newsletter-panel .form-wrapper form .newsletter-submit').attr('disabled', false ).removeClass('disabled');
			        } else {
			            jQuery('.newsletter-panel .form-wrapper form .newsletter-submit').attr('disabled', 'disabled').addClass('disabled');
			        }
			    });
				jQuery(".mobile-social-navigation .newsletter-form").validate();

				jQuery("#career-application-form").validate({
					rules: {
						'message': {
							required: true,
							minlength: 20
						}
					}
				});
				//Add Zip Validation
				jQuery.validator.addMethod( "zipcode", function(value, element) {
					return this.optional(element) || /\d{5}-\d{4}$|^\d{5}$|^[a-zA-Z][0-9][a-zA-Z](| )?[0-9][a-zA-Z][0-9]$/.test(value);
				}, "Please provide a valid zipcode." );

				jQuery('form[name=product-request]').validate({
					rules: {
						'location': {
							zipcode: true,
						}
					}
				});
			},
			check_file_size: function(){
				var self = this;
				jQuery('#file-upload').change(function(){
					file = this.files[0];
					if (file.size > 2097152){
						jQuery(this).val("");
						jQuery(".size-error").fadeIn(1000);
						return;
					}else{
						jQuery(".size-error").fadeOut(1000);
					}
				})
			},
			newsletter_submit: function(){
				var self = this;
				jQuery('.newsletter-form').submit(function(e){
					e.preventDefault();
					if(!jQuery(this).valid()){
						return;
					};
					form = jQuery(this);
					var data = jQuery(this).serialize();
					jQuery.ajax({
						type: "POST",
						url: jQuery(this).attr("action"),
						data: data,
						success: function(json){
							jQuery(".name").val('');
							jQuery(".email").val('');
							form.find(".newsletter-message").html('Success! Thanks for subscribing.').fadeIn(1000);
						}
					});
				});
			},
			meals_newsletter_submit: function(){
				var self = this;
				jQuery('.meals-newsletter').submit(function(e){
					e.preventDefault();
					if(!jQuery(this).valid()){
						return;
					};

					form = jQuery(this);
					form.find('.submit').attr('disabled', 'disabled').addClass('disabled');

					var data = jQuery(this).serialize();
					jQuery.ajax({
						type: "POST",
						url: jQuery(this).attr("action"),
						data: data,
						success: function(json){
							jQuery(".name").val('');
							jQuery(".email").val('');
							//Meal Newsletter
							form.parent('.form-wrapper').hide();
							form.parent('.form-wrapper').next('.newsletter-message').fadeIn(1000);
						}
					});
				});
			},
			plate_submit: function(){
				var self = this;
				jQuery('.meal-archive-footer form').submit(function(e){
					e.preventDefault();
					if(!jQuery(this).valid()){
						return;
					};
					target = jQuery(this);
					var data = jQuery(this).serialize();
					jQuery.ajax({
						type: "POST",
						url: jQuery(this).attr("action"),
						data: data,
						success: function(json){
							target.parent('.form-wrapper').hide();
							target.parent('.form-wrapper').next('.newsletter-message').fadeIn(1000);
						}
					});
				});
			},
			meal_request: function(){
				var self = this;

				jQuery('form[name=product-request]').submit(function(e){
					e.preventDefault();
					if(!jQuery(this).valid()){
						return;
					};
					form = jQuery(this);
					data = jQuery(this).serializeArray();
					object = {};
					//convert form data to object
					jQuery.each( data, function() {
						if (object[this.name] !== undefined) {
							if (!object[this.name].push) {
								object[this.name] = [object[this.name]];
							}
							object[this.name].push(this.value || '');
						} else {
							object[this.name] = this.value || '';
						}
					});
					object['action'] = 'submit_product_request';
					jQuery.post( ajaxurl, object, function(response) {
						form.closest(".product-request").find('.prompt').fadeOut(400, function(){
							form.closest(".product-request").find('.confirmation').fadeIn(700);
						});
					});
				});
			},

			//Misc
			meal_reveal: function(){
				jQuery('.meal-reveal').on('click', function(event) {
					event.preventDefault();
					jQuery(this).toggleClass('active');
					jQuery(this).next('.wrapper').slideToggle(300);
				})
			},
			search_results: function (){
				results = jQuery('ul#results');
				if( results.length == 1 ) {
					results.highlight( results.data('s') );
				}
			},
			faq_click: function(){
				jQuery(".post-type-archive-faqs .question, .page-learning-library .question").on( "click", function (e){
					e.preventDefault();
					parent_li = jQuery(this).parents("li");
					parent_li.find(".answer").slideToggle(100);
					parent_li.toggleClass("active");
				})
			},

			//Video
			video_set_baseline: function(){
				var self = this;
				jQuery('.post-type-archive-videos .video iframe, .single-videos .video iframe, .page-nourishamerica .video iframe').each(function(){
					videoWidth = jQuery(this).attr('width');
					videoHeight = jQuery(this).attr('height');
					dataRatio = videoWidth / videoHeight;
					jQuery(this).data('ratio', dataRatio);
				});
			},
			video_resize: function(){
				jQuery('.post-type-archive-videos .video iframe, .single-videos .video iframe, .page-nourishamerica .video iframe').each(function(){
					dataRatio = jQuery(this).data('ratio');
					newWidth = jQuery(this).parent().width();
					newHeight = newWidth / dataRatio;
					jQuery(this).animate({
						'width': newWidth,
						'height': newHeight,
					}, 700);
				})
			},


			//Newsletter Panel
			newsletter_toolbar_click: function(){
				var self = this;
				jQuery('.site-header .site-toolbar .newsletter a').on('click', function(e){
					e.preventDefault();
					if( jQuery('.newsletter-panel').hasClass('visible') ){
						self.hide_newsletter_panel();
					}else{
						self.reveal_newsletter_panel();
					}
				})
			},
			newsletter_close_click: function(){
				var self = this;
				jQuery('.newsletter-panel .close-icon').on('click', function(e){
					e.preventDefault();

					self.hide_newsletter_panel();
				})
			},
			reveal_newsletter_panel: function(){
				new_height = jQuery('.newsletter-panel .form-wrapper').outerHeight();
				jQuery('.newsletter-panel').addClass('visible').css({
					'height': new_height,
				});
				jQuery('.newsletter-panel .inner').css({
					'height': new_height,
				});
			},
			hide_newsletter_panel: function(){
				jQuery('.newsletter-panel').removeClass('success visible').attr('style', '');
			},
			submit_newsletter_panel: function(){
				var self = this;

				jQuery('.newsletter-panel form').on( 'submit', function(e){
					e.preventDefault();

					if(!jQuery(this).valid()){
						return;
					};


					form = jQuery(this);
					var data = jQuery(this).serialize();

					console.log('neil');
			        form.find('.newsletter-submit').attr('disabled', 'disabled').addClass('disabled');

					jQuery.ajax({
						type: "POST",
						url: jQuery(this).attr("action"),
						data: data,
						success: function(json){

			        		form.find('.newsletter-submit').attr('disabled', false).removeClass('disabled');
							form.closest('.newsletter-panel').addClass('success');
							form.find('.newsletter-email').val('');

							//ga('send', 'event', 'button', 'form_submit', 'newsletter', 1);

							window._tfa = window._tfa || [];
 							_tfa.push({notify:"action", name: 'newsletter'});

							setTimeout(function(){
								self.hide_newsletter_panel();
							}, 5000 );
						}
					});
				})
			},
			newsletter_cookie: function(){
				var self = this;

				cookied = jQuery.cookie('newsletter_panel');

				if( cookied == undefined ){
					jQuery.cookie('newsletter_panel', 'seen', { expires: 1, path: '/' });
					self.reveal_newsletter_panel();
					setTimeout(function(){
						if( !jQuery('.newsletter-panel .form-wrapper .newsletter-email').is(':focus') ){
							self.hide_newsletter_panel();
						}
					}, 5000 );
				}
			},
			submit_mobile_newsletter: function(){
				var self = this;

				jQuery('.mobile-social-navigation .newsletter-form').on( 'submit', function(e){
					e.preventDefault();

					if(!jQuery(this).valid()){
						return;
					};

					form = jQuery(this);
					var data = jQuery(this).serialize();

					jQuery.ajax({
						type: "POST",
						url: jQuery(this).attr("action"),
						data: data,
						success: function(json){
							form.find('.fields').fadeOut(700, function(){
								form.find('.newsletter-email').val('');
								form.find('.success-message').delay(200).fadeIn(1000);
							})
						}
					});
				})
			},
			outbrain_tracking_pixel: function(){
				(new Image()).src = "http://traffic.outbrain.com/network/trackpxl?advid=28158&action=view";
			},
			mobile_navigation_click: function(){
				jQuery('.page-content, .mobile-navigation li a, .mobile-site-header ').on('click', function(){
					jQuery('.mobile-navigation').removeClass('visible');
				});
				jQuery('.menu-link').on('click', function(e){
					e.stopPropagation();
					e.preventDefault();

					jQuery('.mobile-navigation').removeClass('visible');

					target = jQuery(this).attr('href');
					target = target.split('#');
					target = '.' + target[1];
					setTimeout(function(){
						jQuery(target).addClass('visible');
					}, 50)
				});
			},
			close_navigation: function(){
				jQuery('.mobile-navigation .close-menu').on('click', function(e){
					e.preventDefault();
					jQuery('.mobile-navigation').removeClass('visible');
				})
			},
			footer_accordions: function(){
				var all_triggers = jQuery('.mobile-site-footer .accordion > a');
				var all_panels = jQuery('.mobile-site-footer .sub-menu').hide();

				jQuery('.mobile-site-footer .accordion > a').on('click', function(e){
					e.preventDefault();

					target =  jQuery(this).next('.sub-menu');

					if(!target.hasClass('active')){
						all_triggers.removeClass('active');
						all_panels.removeClass('active').slideUp(400);
						jQuery(this).addClass('active');
						target.addClass('active').slideDown(400);
					}else{
						all_triggers.removeClass('active');
						all_panels.removeClass('active').slideUp(400);
					}
				});
			},
			modal_close: function(){
				jQuery('.close-modal, .modal-underlay').on('click tap touch', function(e){
					e.preventDefault();

					jQuery('body').removeClass('scroll-disabled');
					jQuery(this).closest('.tet-modal').fadeOut(400);
				})
			}
		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
luvoMain = luvo.Main.getInstance();
// Run initialize method
luvoMain.initialize();













