if (luvo === null || typeof(luvo) !== "object") { var luvo = new Object(); }

luvo.Mobile = (function() {
	var _instance;
	
	function kickoff() {
		return {
			/* Run initialization procedures
			* @param object options options that can be passed into the initialize method
			*/
			initialize: function(options) {
				var self = this;
				// attach event handlers
				jQuery(document).ready(function() {
					self.eventHandlers();
				});
			},
			/* Event handlers
			*/
			eventHandlers: function() {
				var self = this;
				self.mobile_navigation_click();
				self.close_navigation();
				self.footer_accordions();

			},
			mobile_navigation_click: function(){
				jQuery('.page-content, .mobile-navigation li a, .mobile-site-header ').on('click', function(){
					jQuery('.mobile-navigation').removeClass('visible');
				});
				jQuery('.menu-link').on('click', function(e){
					e.stopPropagation();
					e.preventDefault();

					jQuery('.mobile-navigation').removeClass('visible');

					target = jQuery(this).attr('href');
					target = target.split('#');
					target = '.' + target[1];
					setTimeout(function(){
						jQuery(target).addClass('visible');
					}, 50)
				});
			},
			close_navigation: function(){
				jQuery('.mobile-navigation .close-menu').on('click', function(e){
					e.preventDefault();
					jQuery('.mobile-navigation').removeClass('visible');
				})
			},
			footer_accordions: function(){
				var all_triggers = jQuery('.mobile-site-footer .accordion > a');
				var all_panels = jQuery('.mobile-site-footer .sub-menu').hide();

				jQuery('.mobile-site-footer .accordion > a').on('click', function(e){
					e.preventDefault();

					target =  jQuery(this).next('.sub-menu');

					if(!target.hasClass('active')){
						all_triggers.removeClass('active');
						all_panels.removeClass('active').slideUp(400);
						jQuery(this).addClass('active');
						target.addClass('active').slideDown(400);
					}else{
						all_triggers.removeClass('active');
						all_panels.removeClass('active').slideUp(400);
					}
				});
			},

		};
	};
	return {
	/* Get an instance of this singleton
	* @return object
	*/
		getInstance: function() {
			if (!_instance)
			_instance = kickoff();
			return _instance;
		}
	};
})();

// Instantiate the class
luvoMobile = luvo.Mobile.getInstance();
// Run initialize method
luvoMobile.initialize();


