<?php
require_once('Mandrill.php');
class SendEmail {
	private $apiKey = "VzZ159AwhBibKt-4wsp-eQ";
	public function auth(){
		return Mandrill::setKey($this->apiKey);
	}
	public function getApiMethods(){
		return Mandrill::getApiCalls();
	}
	public function send($data){
		$options = array(
			'type'	=>	'messages',
			'call'	=>	'send-template'
		);
		$options = array_merge_recursive($options, $data);
		return Mandrill::call($options);
	}
}
$first_name		= ( isset($_REQUEST['first_name']) )? $_REQUEST['first_name']: "";
$last_name		= ( isset($_REQUEST['last_name']) )? $_REQUEST['last_name']: "";
$email			= ( isset($_REQUEST['email']) )? $_REQUEST['email']: "";
$subject		= ( isset($_REQUEST['subject']) )? $_REQUEST['subject']: "";
$message		= ( isset($_REQUEST['message']) )? $_REQUEST['message']: "";
$city			= ( isset($_REQUEST['city']) )? $_REQUEST['city']: "";
$state			= ( isset($_REQUEST['state']) )? $_REQUEST['state']: "";

$submit_error = false;

// are there any blank fields?
if (empty($first_name)	||
	empty($last_name)	||
	empty($email)		||
	empty($subject)		||
	empty($message)
	) {
	$submit_error = true;
}

if ($submit_error == false) {

	//User Confirmation Email
	$userMailData = array(
		'template_name'     => 'Luvo Contact Submission Confirmation',
		'template_content'  => array(),
		'message'           => array(
			'subject'               =>  'Contact Submission Received',
			'from_email'            =>  'info@luvoinc.com',
			'from_name'             =>  'Luvo',
			'to'                    =>  array(
				array(
					'email'     => $email,
					'name'      => $first_name
				)
			),
			'track_opens'           => true,
			'track_clicks'          => true,
			'auto_text'             => true,
			'preserve_recipients'   => false,
			'global_merge_vars'     => array(
				array(
					'name'      =>  'current_year',
					'content'   =>  date('Y')
				)
			),
			'merge_vars'    => array(
				array(
					'rcpt'      =>  $email,
					'vars'      =>  array(
						array(
							'name'    =>  'FNAME',
							'content' =>  $first_name,
						),
						array(
							'name'    =>  'LNAME',
							'content' =>  $last_name,
						),
						array(
							'name'    =>  'EMAIL',
							'content' =>  $email,
						),
						array(
							'name'    =>  'SUBJECT',
							'content' =>  $subject,
						),
						array(
							'name'    =>  'CNTNT3',
							'content' =>  $message,
						)
					)
				)
			)
		)
	);
	// instantiate custom Mandrill class
	$UserMail = new SendEmail;

	// authenticate with Mandrill
	$UserMail->auth();

	// send confirmation email
	$UserResponse = $UserMail->send($userMailData);


	$adminSubject	= $subject. ' submission from '. $first_name;

	//Admin Notification
	$adminMailData = array(
		'template_name'     => 'Luvo Contact Submission Admin Notification',
		'template_content'  => array(),
		'message'           => array(
			'subject'               =>  $adminSubject,
			'from_email'            =>  'info@luvoinc.com',
			'from_name'             =>  'Luvo',
			'to'                    =>  array(),
			'track_opens'           => true,
			'track_clicks'          => true,
			'auto_text'             => true,
			'preserve_recipients'   => false,
			'global_merge_vars'     => array(
				array(
					'name'      =>  'current_year',
					'content'   =>  date('Y')
				)
			),
			'merge_vars'    => array(
				array(
					'rcpt'      =>  '',
					'vars'      =>  array(
						array(
							'name'    =>  'FNAME',
							'content' =>  $first_name,
						),
						array(
							'name'    =>  'LNAME',
							'content' =>  $last_name,
						),
						array(
							'name'    =>  'CNTNT3',
							'content' =>  $message,
						),
						array(
							'name'    =>  'EMAIL',
							'content' =>  $email,
						),
						array(
							'name'    =>  'SUBJECT',
							'content' =>  $subject,
						),
						array(
							'name'   =>  'CITY',
							'content'=>  $city,
						),
						array(
							'name'   =>  'STATE',
							'content'=>  $state,
						)
					)
				)
			)
		)
	);

	// instantiate custom Mandrill class
	$AdminMail = new SendEmail;

	// authenticate with Mandrill
	$AdminMail->auth();

	//Determine recipient
	$adminemail;
	switch ( $subject ) {
		case 'Product Feedback':
			$adminemail = 'feedback@luvoinc.com';
			break;
		case 'Investing':
			$adminemail = 'investors@luvoinc.com';
			break;
		case 'Submit a Luv Note':
			$adminemail = array('hmagee@luvoinc.com', 'knelson@luvoinc.com');
			break;
		case 'Media Brand and Corporate':
			$adminemail = 'ahoehn@luvoinc.com';
			break;
		default:
			$adminemail = 'info@luvoinc.com';
	}

	$adminResponse;
	if( is_array( $adminemail ) ){
		foreach( $adminemail as $adminemailaddress ){
			$adminMailData['message']['to'][0] = array(
				'email'     => $adminemailaddress,
				'name'      => 'Luvo Administrator'
			);
			$adminMailData['message']['merge_vars'][0]['rcpt'] = $adminemailaddress;
			// send confirmation email
			$adminResponse = $AdminMail->send($adminMailData);
		}
	}else{
		$adminMailData['message']['to'][] = array(
			'email'     => $adminemail,
			'name'      => 'Luvo Administrator'
		);
		$adminMailData['message']['merge_vars'][0]['rcpt'] = $adminemail;
		// send confirmation email
		$adminResponse = $AdminMail->send($adminMailData);
	};

} //Submit Error
?>






