<?php
    // Image Sizes
    add_theme_support('post-thumbnails');
    add_image_size('ambassador-lg', 800, 600, false);
    add_image_size('in-the-news-lg', 483, 500, false);
    add_image_size('video-sm', 188, 106, true);
    add_image_size('blog-related-posts', 210, 210, true);
    add_image_size('blog-thumb', 280, 122, true); //used in header navigation
    add_image_size('blog', 1300, 600, true);
    add_image_size('wall_square', 468, 468, true); //used in blog gallery and on home blog tile
    add_image_size('luv_note_avatar', 200, 200, true);
    add_image_size('recipe-header', 1200, 540, true);
    add_image_size('recipe-tile', 532, 250, true);

    //Register Scripts
    add_action( 'wp_enqueue_scripts', 'starkers_script_enqueuer' );
    function starkers_script_enqueuer() {
        //register plugin stylesheets
        wp_register_style( 'flexslider_css', get_stylesheet_directory_uri().'/assets/css/flexslider.css', '', '2.2.2', 'screen' );
		wp_register_style( 'jqueryui_css', 'https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.11.4/jquery-ui.structure.min.css', '', '2.2.2', 'screen' );

        //register custom stylesheets
        wp_register_style( 'about_css', get_stylesheet_directory_uri().'/assets/css/about-us.css', array('main'), '1.6', 'all' );
        wp_register_style( 'blog-css', get_stylesheet_directory_uri().'/assets/css/blog.css', array('main'), '1.5.1', 'screen' );
        wp_register_style( 'buy_online_css', get_stylesheet_directory_uri().'/assets/css/buy-online.css', array('main'), '1.0', 'all' );
        wp_register_style( 'career_css', get_stylesheet_directory_uri().'/assets/css/careers.css', array('main'), '1.0', 'all' );
        wp_register_style( 'getfresh_css', get_stylesheet_directory_uri().'/assets/css/getfresh.css', array('main'), '1.4', 'all' );
        wp_register_style( 'home_css', get_stylesheet_directory_uri().'/assets/css/home.css', array('main'), '3.1', 'all' );
        wp_register_style( 'luv-notes', get_stylesheet_directory_uri().'/assets/css/luv-notes.css', array('main'), '1.0', 'screen' );
        wp_register_style( 'meal_css', get_stylesheet_directory_uri().'/assets/css/meals.css', array('main'), '1.0.1', 'all' );
        wp_register_style( 'media_css', get_stylesheet_directory_uri().'/assets/css/media.css', array('main'), '1.0', 'all' );
        wp_register_style( 'newsletter-css', get_stylesheet_directory_uri().'/assets/css/newsletter.css', array('main'), '1.0', 'screen' );
        wp_register_style( 'our_story_css', get_stylesheet_directory_uri().'/assets/css/our-story.css', array('main'), '1.1', 'all' );
        wp_register_style( 'partners_css', get_stylesheet_directory_uri().'/assets/css/partners.css', array('main'), '1.0', 'all' );
        wp_register_style( 'recipes_css', get_stylesheet_directory_uri().'/assets/css/recipes.css', array('main'), '1.0', 'screen' );
        wp_register_style( 'search_css', get_stylesheet_directory_uri().'/assets/css/search.css', array('main'), '1.0', 'all' );
        wp_register_style( 'sharetheluv_css', get_stylesheet_directory_uri().'/assets/css/style-sharetheluv.css', array('main'), '1.3.1' );
        wp_register_style( 'site_map_css', get_stylesheet_directory_uri().'/assets/css/site-map.css', array('main'), '1.2', 'all' );
        wp_register_style( 'six_minutes_css', get_stylesheet_directory_uri().'/assets/css/six-minutes.css', array('main'), '1.0', 'all' );
        wp_register_style( 'share-tiles-css', get_stylesheet_directory_uri().'/assets/css/style-share-tiles.css', array('main'), '1.2', 'screen' );
        wp_register_style( 'calendar-css', get_stylesheet_directory_uri().'/assets/css/events-calendar.css', array('main'), '1.1', 'all' );
        wp_register_style( 'diptych_css', get_stylesheet_directory_uri().'/assets/css/diptych.css', array('main'), '1.1', 'all' );
        wp_register_style( 'worldofflavor_css', get_stylesheet_directory_uri().'/assets/css/style-worldofflavor.css', '', '1.0.4' );
        wp_register_style( 'nutrition_css', get_stylesheet_directory_uri().'/assets/css/style-nutrition.css', '', '1.0.3' );


        //register plugin scripts
        wp_register_script( 'images_loaded', get_template_directory_uri().'/assets/js/vendor/imagesloaded.pkgd.min.js', array( 'jquery' ), true );
        wp_register_script( 'flexslider_js', get_template_directory_uri().'/assets/js/vendor/jquery.flexslider-min.js', array( 'jquery' ), '2.2.2', true );
        wp_register_script( 'packery', get_template_directory_uri().'/assets/js/vendor/packery.pkgd.min.js', array( 'jquery' ), true );
        wp_register_script( 'isotope', get_template_directory_uri().'/assets/js/vendor/isotope.pkgd.min.js', array( 'jquery' ), true );
        wp_register_script( 'packery-mode', get_template_directory_uri().'/assets/js/vendor/packery-mode.pkgd.js', array( 'jquery', 'isotope' ), true );
        wp_register_script( 'validate', get_template_directory_uri().'/assets/js/vendor/jquery.validate.js', array( 'jquery' ), '', true );
        wp_register_script( 'additional-validation', get_template_directory_uri().'/assets/js/vendor/additional-methods.min.js', array( 'jquery' ), '', true );
        wp_register_script( 'sharetheluv_js', get_template_directory_uri().'/assets/js/luvo.sharetheluv.js', array( 'jquery' ), '1.2', true );
				wp_register_script( 'jqueryui_js', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js', array( 'jquery' ), '1.0', true );


        //register events plugins... blech
        wp_register_script( 'filesaver', get_template_directory_uri().'/assets/js/vendor/FileSaver.js', array( 'jquery' ), '', true );
        wp_register_script( 'blob', get_template_directory_uri().'/assets/js/vendor/Blob.js', array( 'jquery' ), '', true );
        wp_register_script( 'ics', get_template_directory_uri().'/assets/js/vendor/ics.js', array( 'jquery' ), '', true );
        wp_register_script( 'bbq', get_template_directory_uri().'/assets/js/vendor/jquery.ba-bbq.min.js', array( 'jquery' ), '', true );
        wp_register_script( 'resize', get_template_directory_uri().'/assets/js/vendor/jquery.ba-resize.min.js', array( 'jquery' ), '', true );

        //register custom scripts
        wp_register_script( 'blog', get_template_directory_uri().'/assets/js/luvo.blog.js', array( 'jquery', 'flexslider_js' ), '1.4', true );
        wp_register_script( 'six_minutes_js', get_template_directory_uri().'/assets/js/luvo.six-minutes.js', array( 'jquery' ), '1.0', true );
        wp_register_script( 'contact_js', get_template_directory_uri().'/assets/js/luvo.contact.js', array( 'jquery' ), '1.3', true );
        wp_register_script( 'getfresh_js', get_template_directory_uri().'/assets/js/luvo.getfresh.js', array( 'jquery' ), '1.4', true );
        wp_register_script( 'recipes-js', get_template_directory_uri().'/assets/js/luvo.recipes.js', array( 'jquery', 'isotope' ), '1.0', true );
        wp_register_script( 'home', get_template_directory_uri().'/assets/js/luvo.home.js', array( 'jquery', 'images_loaded', 'packery' ), '1.6', true );
        wp_register_script( 'luv-notes-js', get_template_directory_uri().'/assets/js/tether.luv-notes.js', array( 'jquery' ), '1.0', true );
        wp_register_script( 'newsletter-js', get_template_directory_uri().'/assets/js/luvo.newsletter.js', array( 'jquery' ), '1.0', true );
        wp_register_script( 'calendar', get_template_directory_uri().'/assets/js/luvo.calendar.js', array( 'jquery' ), '1.0', true );
        wp_register_script( 'sitemap_js', get_template_directory_uri().'/assets/js/luvo.sitemap.js', array( 'jquery', 'jqueryui_js' ), '1.1', true );
        wp_register_script( 'worldofflavor_js', get_template_directory_uri().'/assets/js/luvo.worldofflavor.js', array( 'jquery', 'packery' ), '1.3', true );

        //register and enqueue sitewide styles and scripts
        wp_register_style( 'main', get_stylesheet_directory_uri().'/assets/css/style.css', '', '3.8', 'all' );
        wp_register_script( 'taboola', '//cdn.taboola.com/libtrc/pleycom-sc/tfa.js', '', '1.0', true );
        wp_register_script( 'plugins', get_template_directory_uri().'/assets/js/plugins.js', array( 'jquery' ), '1.5' );
        wp_register_script( 'tether', get_template_directory_uri().'/assets/js/tether.main.js', array( 'jquery' ), '3.8.2', true );

        wp_enqueue_style( 'main' );
        wp_enqueue_script(  'taboola' );
        wp_enqueue_script(  'plugins' );
        wp_enqueue_script(  'tether' );
        wp_enqueue_script(  'placeholder_js' );
    }

    //Widgets configuration and declaration
    require_once('parts/widgets/register-sidebars.php');
    require_once('parts/widgets/widget-recipes.php');
    require_once('parts/widgets/widget-instagram.php');
    require_once('parts/widgets/widget-blog-search.php');
    require_once('parts/widgets/widget-luvo-categories.php');
    require_once('parts/widgets/widget-archive-mod.php');
    require_once('parts/widgets/widget-luvo-archives.php');
    require_once('parts/widgets/unregister-widgets.php');

    //API
    require_once('parts/api/bitly.php');

    //Ajax Functions
    require_once('parts/ajax/ajax-create-ics.php');
    require_once('parts/ajax/ajax-events-query.php');
    require_once('parts/ajax/ajax-twitter-request.php');
    require_once('parts/ajax/ajax-instagram-request.php');
    require_once('parts/ajax/ajax-product-request.php');

    //Shortcodes
    require_once('parts/shortcodes/gallery.php');

    //Functions
    require_once('parts/functions/core-updates.php');
    require_once('parts/functions/contact-backup.php');

    //Fields
    require_once('parts/fields/customize-fields.php');









