<?php
    function luvo_six_minutes_scripts() {
        wp_enqueue_style( 'six_minutes_css' );
		wp_enqueue_script( 'six_minutes_js' );
    }
    add_action( 'wp_enqueue_scripts', 'luvo_six_minutes_scripts' );
    
    get_template_part('parts/chrome/header');

	$og_title = WPSEO_Meta::get_value('opengraph-title');
	$og_description_long = WPSEO_Meta::get_value('opengraph-description');
	$og_description_short = get_post_meta($post->ID, 'wpcf-tweet-text', true);
	$og_link = get_the_permalink();
	$bitlink = new BitlyAPICall;
	$bitlink = $bitlink->get_bitlink( $og_link );
?>
<?php if ( have_posts() ): ?>
<div class="page-content central-column">
	<header class="page-header">
		<?php the_post_thumbnail(); ?>
		<?php the_content(); ?>
	</header>
	<section class="directions">
		<h2>Here&rsquo;s How:</h2>
		<ul>
			<li>
				<div class="inner clearfix">
					<p class="number">1</p>
					<div class="icon">
						<img src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/icons/luvo-6-minutes-to-better-photo-icon.png" />
					</div>
					<div class="text">
						<p>Take a picture of what you are doing to commit 6 minutes to yourself or your challenge card from one of our community events.</p>
					</div>
				</div>
			</li>
			<li>
				<div class="inner clearfix">
					<p class="number">2</p>
					<div class="icon">
						<img src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/icons/luvo-6-minutes-to-better-social-icon.png" />
					</div>
					<div class="text">
						<p>Share your photo on Twitter or Instagram using the hashtag <strong>#6MinutesToBetter</strong>.</p>
					</div>
				</div>
			</li>
			<li>
				<div class="inner clearfix">
					<p class="number">3</p>
					<div class="icon">
						<img src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/icons/luvo-6-minutes-to-better-luck-icon.png" />
					</div>
					<div class="text">
						<p>You are instantly entered to win a month’s worth of Luvo meals! </p>
					</div>
				</div>
			</li>
		</ul>
		<p class="disclaimer">Please click <a href="/6minutestobetter-contest-rules-regulations/">here</a> for our rules and regulations. Open to all residents of the United States and Canada (excluding residents of Quebec).</p>
	</section>
	<section class="commitment-cards">
		<h2>Commitment Cards</h2>
		<p>Share a Luvo commitment card and challenge your friends, family and social networks to commit to their own 6 minutes to better.</p>
		<ul class="grid">
			<li>
				<div class="inner">
					<img class="card" src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/cards/luvo-6-minutes-to-better-green.jpg" />
					<div class="overlay">
						<?php 
							$og_image = get_template_directory_uri(). '/assets/img/6-minutes-to-better/og/luvo-6-minutes-to-better-green.jpg'; 
							include('parts/snippets/social-six-minutes.php');
						?>
					</div>
				</div>
			</li>
			<li>
				<div class="inner">
					<img class="card" src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/cards/luvo-6-minutes-to-better-break.jpg" />
					<div class="overlay">
						<?php 
							$og_image = get_template_directory_uri(). '/assets/img/6-minutes-to-better/og/luvo-6-minutes-to-better-break.jpg'; 
							include('parts/snippets/social-six-minutes.php');
						?>
					</div>
				</div>
			</li>
			<li>
				<div class="inner">
					<img class="card" src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/cards/luvo-6-minutes-to-better-stretch.jpg" />
					<div class="overlay">
						<?php 
							$og_image = get_template_directory_uri(). '/assets/img/6-minutes-to-better/og/luvo-6-minutes-to-better-stretch.jpg'; 
							include('parts/snippets/social-six-minutes.php');
						?>
					</div>
				</div>
			</li>
			<li>
				<div class="inner">
					<img class="card" src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/cards/luvo-6-minutes-to-better-stairs.jpg" />
					<div class="overlay">
						<?php 
							$og_image = get_template_directory_uri(). '/assets/img/6-minutes-to-better/og/luvo-6-minutes-to-better-stairs.jpg'; 
							include('parts/snippets/social-six-minutes.php');
						?>
					</div>
				</div>
			</li>
			<li>
				<div class="inner">
					<img class="card" src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/cards/luvo-6-minutes-to-better-exercise.jpg" />
					<div class="overlay">
						<?php 
							$og_image = get_template_directory_uri(). '/assets/img/6-minutes-to-better/og/luvo-6-minutes-to-better-exercise.jpg'; 
							include('parts/snippets/social-six-minutes.php');
						?>
					</div>
				</div>
			</li>
			<li>
				<div class="inner">
					<img class="card" src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/cards/luvo-6-minutes-to-better-pack.jpg" />
					<div class="overlay">
						<?php 
							$og_image = get_template_directory_uri(). '/assets/img/6-minutes-to-better/og/luvo-6-minutes-to-better-pack.jpg'; 
							include('parts/snippets/social-six-minutes.php');
						?>
					</div>
				</div>
			</li>
			<li>
				<div class="inner">
					<img class="card" src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/cards/luvo-6-minutes-to-better-grass.jpg" />
					<div class="overlay">
						<?php 
							$og_image = get_template_directory_uri(). '/assets/img/6-minutes-to-better/og/luvo-6-minutes-to-better-grass.jpg'; 
							include('parts/snippets/social-six-minutes.php');
						?>
					</div>
				</div>
			</li>
			<li>
				<div class="inner">
					<img class="card" src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/cards/luvo-6-minutes-to-better-walk.jpg" />
					<div class="overlay">
						<?php 
							$og_image = get_template_directory_uri(). '/assets/img/6-minutes-to-better/og/luvo-6-minutes-to-better-walk.jpg'; 
							include('parts/snippets/social-six-minutes.php');
						?>
					</div>
				</div>
			</li>
			<li>
				<div class="inner">
					<img class="card" src="<?php echo get_template_directory_uri(); ?>/assets/img/6-minutes-to-better/cards/luvo-6-minutes-to-better-friend.jpg" />
					<div class="overlay">
						<?php 
							$og_image = get_template_directory_uri(). '/assets/img/6-minutes-to-better/og/luvo-6-minutes-to-better-friend.jpg'; 
							include('parts/snippets/social-six-minutes.php');
						?>
					</div>
				</div>
			</li>
		</ul>
	</section>
	<section class="newsletter clearfix">
		<h2>Another chance to win</h2>
		<div class="text">
			<p>Sign up for our newsletter and automatically be entered in to win a month&rsquo;s worth of Luvo meals for you and a friend!</p>
		</div>
		<form class="six-minutes-newsletter" action="<?php echo get_template_directory_uri(); ?>/assets/lib/newsletter-six-minutes.php" >
			<div class="input-wrapper">
				<input class="email" type="email" name="email" placeholder="Enter your email address" required/>
				<p class="newsletter-message"></p>
			</div>
			<input class="submit" type="submit" />
		</form>
	</section>
	<section class="tradable-bits">
		<h2>#6MINUTESTOBETTER</h2>
		<p>Here&rsquo;s what you have committed to so far&hellip;</p>
		<iframe style="border:0;width:1178px;height:500px;" src="https://tradablebits.com/streams/6minutestobetter/stream_widget?render_mode=tiled&min_cell=1&max_cell=3&text=yes&rate=5&single=true" ></iframe>
	</section>
</div><!-- page-content -->
<?php endif; ?>

<!--Facebook SDK -->
<script>
	window.fbAsyncInit = function() {
		FB.init({
			appId      : '744794088881734',
			xfbml      : true,
			version    : 'v2.1'
		});
	};
	(function(d, s, id){
		var js, fjs = d.getElementsByTagName(s)[0];
		if (d.getElementById(id)) {return;}
			js = d.createElement(s); js.id = id;
			js.src = "//connect.facebook.net/en_US/sdk.js";
			fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));
</script>

<?php get_template_part('parts/chrome/footer'); ?>











