<?php
	function luvo_blog_scripts() {
		wp_enqueue_style( 'blog-css' );
		wp_enqueue_script('flexslider_js');
		wp_enqueue_script( 'blog' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_blog_scripts' );
	get_template_part('parts/chrome/header');
?>
<div class="central-column page-content blog-content blog-search clearfix">
	<div class="inner-column">
		<?php require('parts/blog/blog-header.php') ?>
		<div class="blog-body">
			<section class="left-column">
				<?php
					$terms_raw = (isset($_POST['terms']))?$_POST['terms']:"";
					$terms = str_replace(' ', '+', $terms_raw);
					$args = array(
						'post_type' => 'post',
						's' => $terms,
						'posts_per_page' => 50,
					);
					$the_query = new WP_Query( $args );
				?>
				<header class="archive-header">
					<h2><?php echo $the_query->post_count; ?> results for &ldquo;<?php echo $terms_raw; ?>&rdquo;</h2>
				</header>

				<?php if ( $the_query->have_posts() ): while ( $the_query->have_posts() ): $the_query->the_post(); ?>

				<article id="post-<?php echo $post->post_name; ?>" <?php post_class(); ?>>
					<header class="entry-header">
						<h2 class="entry-title">
                            <a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
						</h2>
					</header>
					<div class="entry-content">
						<?php the_excerpt(); ?>
					</div><!-- .entry-content -->
				</article><!-- #post -->


				<?php endwhile; endif; ?>
			</section>
			<?php require('parts/blog/blog-sidebar.php') ?>
		</div>
	</div>
</div>

<?php require('parts/blog/blog-modals.php'); ?>
<?php get_template_part('parts/chrome/footer'); ?>






