<?php
	function luvo_our_story_scripts() {
	    wp_enqueue_style( 'our_story_css' );
	    wp_enqueue_script('contact_js');
	}
	add_action( 'wp_enqueue_scripts', 'luvo_our_story_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<?php if ( have_posts() ): ?>
<div class="page-content central-column styled-text">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>

	<div class="inner-column">
		<header class="page-header">
			<h1>Feed Us Some Feedback</h1>
			<h2>Questions? Complaints? Suggestions? Just want to say hi?</h2>
			<?php the_content(); ?>
		</header>
		<iframe id="bing-conversion" src="" style="display:none"></iframe>

		<form class="clearfix" id="contact-luvo-form" name="contact-form" action="<?php echo get_template_directory_uri(); ?>/assets/lib/contact-form-submit.php" method="post">
			<fieldset class="first">
				<label class="input-label">First Name *</label>
				<input type="text" name="first_name" required/>
				<span id="namemsg" class="alert">Please enter your first name</span>
				<label class="input-label">Last Name *</label>
				<input type="text" name="last_name" required/>
				<span id="surnamemsg" class="alert">Please enter your last name</span>
				<label class="input-label">Contact Email *</label>
				<input type="email" name="email" required/>
				<span id="emailmsg" class="alert">Please enter a valid email address</span>
				<div class="location-fields">
					<label class="input-label">City *</label>
					<input type="text" name="city" required/>
					<label class="input-label">State *</label>
					<input type="text" name="state" required/>
				</div>
			</fieldset>
			<fieldset class="second clearfix">
				<div class="select-wrapper">
					<select class="topic" name="subject" required>
						<option selected value="">- Please select a topic -</option>
						<option value="General Inquiry" >General Inquiry</option>
						<option value="Product Feedback" >Product Feedback</option>
						<option value="Investing" >Investing</option>
						<option value="Where to Buy" >Where to Buy</option>
						<option value="Submit a Luv Note" >Submit a Luv Note</option>
						<option value="Media Brand and Corporate" >Media, Brand &amp; Corporate</option>
					</select>
				</div>
				<div class="message-wrapper">
					<textarea name="message" placeholder="Please select a topic to talk about and some comments" required></textarea>
				</div>
				<span id="bodymsg" class="alert"></span>
				<input type="submit" value="Submit" class="button align-right"/>
				<p class="asterix">*Indicates a required field.</p>
			</fieldset>
		</form>
		
		<div id="ajax-success" class="dialog">
			<h2>Thank You!</h2>
			<p>We have received your submission. <br>Someone at Luvo will be in touch with you shortly.</p>
		</div>
		<div id="ajax-fail" class="dialog">
			<h2>Oh Dear!</h2>
			<p>There was a problem with your request. <br>Please try again later or use the contact information below.</p>
		</div>
	</div><!--inner-column-->
</div><!-- page-content -->
<?php endif; ?>

<?php get_template_part('parts/chrome/footer'); ?>






