<?php
	function luvo_our_story_scripts() {
	    wp_enqueue_style( 'our_story_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_our_story_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<?php if ( have_posts() ): ?>
<div class="page-content central-column styled-text">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>

	<div class="inner-column">
		<header class="page-header">
			<h1>Healthier choices, en route to more destinations.</h1>
			<?php the_content(); ?>
			<div class="image">
				<img src="<?php echo get_template_directory_uri(); ?>/assets/img/delta/luvo-delta-transcontinental-map.jpg" alt="Luvo and Delta Partnership map"/>
				<p class="disclaimer">Luvo is available on select flights based on product availability.</p>
			</div>
		</header>
		<section class="clearfix transcontinental third">
			<div class="text">
				<h3>Coast-to-coast, Hawaiian &amp; <br />International Service</h3>
				<p>Delta is now offering fresh wraps, salads and snacks on the following flights:</p>
				<ul class="bulleted-list">
					<li>Transcontinental flights to and from JFK, LAX, and SFO</li>
					<li>Flights between Hawaii and Atlanta</li>
					<li>Select flights to the Caribbean and Latin America</li>
				</ul>
			</div>
			<img src="<?php echo get_template_directory_uri(); ?>/assets/img/delta/luvo-coast-to-coast-turkey-havarti-wrap.jpg" alt="Luvo's Egg and Quinoa Breakfast Wrap" class="breakfast-wrap" />
		</section>
		<section class="clearfix first-class third left">
			<img src="<?php echo get_template_directory_uri(); ?>/assets/img/delta/first-class-luvo-meals-quinoa-crunch-bowl.jpg" alt="Luvo's First Class Meals on Delta" />
			<div class="text">
				<h3>First Class Service</h3>
				<p>Traveling first class? Now you can enjoy complimentary Luvo fresh wraps, salads and snacks on round trip flights from LAX, SFO, SJC, SAN to SEA and from SEA to LAX, SFO, SJC, SAN.</p>
			</div>
		</section>
		<section class="clearfix california third">
			<div class="text">
				<h3>Shuttle Service</h3>
				<p>Traveling between LA and San Francisco? Take advantage of Delta&rsquo;s hourly shuttle and you&rsquo;ll get treated to fresh and tasty snacks from Luvo. Delta is offering one morning and one afternoon snack from a rotating menu on each of its 13 daily flights.</p>
			</div>
			<img src="<?php echo get_template_directory_uri(); ?>/assets/img/delta/luvo-delta-am-shuttle-snack-honey-oat-bites.jpg" alt="Luvo and Delta Morning Shuttle Snack" class="morning-snack" />
		</section>
		<div class="sign-off">
			<p>With plans to expand the program, you should be seeing Luvo on more routes soon. Be sure to check our <a href="/blog/">blog</a> for the latest updates.</p>
		</div>
		<footer class="page-footer">
			<h3>in partnership with <span class="offscreen">Delta</span></h3>
			<img width="157" height="21" src="<?php echo get_template_directory_uri(); ?>/assets/img/delta/delta-air-lines-logo-retina.png" alt="Delta Logo"/>
		</footer>
	</div><!--inner-column-->
</div><!-- page-content -->
<?php endif; ?>

<?php get_template_part('parts/chrome/footer'); ?>






