<?php
	header('X-Frame-Options: GOFORIT'); 
	function luvo_getfresh_scripts() {
		wp_enqueue_style( 'flexslider_css' );
		wp_enqueue_script('flexslider_js');
	  	wp_enqueue_style( 'getfresh_css' );
		wp_enqueue_script('getfresh_js');
	}
	add_action( 'wp_enqueue_scripts', 'luvo_getfresh_scripts' );

	get_template_part('parts/chrome/header'); 

	function img($file) {
		echo bloginfo('template_directory') . "/assets/img/get-fresh/" . $file;
	}
?>
<?php if ( have_posts() ): ?>

	<article id="getFresh" class="clearfix">

		<div id="callToAction" class="hero-rotator-wrapper">
			<img class="hero-ice hero-ice-left" src="<?php img('slide_bg-ice.png') ?>" alt="Ice Texture">
			<img class="hero-ice hero-ice-right" src="<?php img('slide_bg-ice.png') ?>" alt="Ice Texture">
			<img class="hero-headline-mobile" src="<?php img('get-fresh-in-the-freezer-aisle-headline.png') ?>" alt="Get Fresh in the Freezer Aisle">
			<article class="hero-rotator">

				<ul class="slides">

					<li class="slide">
						<div class="central-column clearfix">
							<img class="product-img" src="<?php img('luvo-chicken-chile-verde-box.png') ?>?v=1.0" alt="Luvo's Chicken Chile Verde">
							<img class="hero-copy" src="<?php img('slide_bg-slide-two.png') ?>" alt="Pick up a friend with benefits, nutritional benefits">
						</div>
					</li>

					<li class="slide">
						<div class="central-column clearfix">
							<img class="product-img" src="<?php img('luvo-orange-mango-chicken-box.png') ?>?v=1.0" alt="Luvo's Orange Mango Chicken">
							<img class="hero-copy" src="<?php img('slide_bg-slide-three.png') ?>" alt="Make me hot and I\'ll make you happy">
						</div>
					</li>

					<li class="slide">
						<div class="central-column clearfix">
							<img class="product-img" src="<?php img('luvo-kale-ricotta-ravioli-box.png') ?>?v=1.0" alt="Luvo's Kale Ricotta Ravioli">
							<img class="hero-copy" src="<?php img('slide_bg-slide-four.png') ?>" alt="Talk wholesome to me">
						</div>
					</li>
					
					<li class="slide">
						<div class="central-column clearfix">
							<img class="hero-headline" src="<?php img('get-fresh-in-the-freezer-aisle-headline.png') ?>?v=1.0" alt="Get Fresh in the Freezer Aisle">
						</div>
					</li>

				</ul>
			</article>

		</div>

		<section id="subBanner">
			<div id="sbIceLeft">&nbsp;</div>
			<div id="sbIceRight">&nbsp;</div>
			<div class="central-column">
				<?php the_content(); ?>
			</div>
		</section>

		<section id="threePane">
			<div class="ice clearfix">
				<div id="pane1" class="panel">
					<div class="inner">
						<header class="pane-subhead">
							<h3>Introduce Me to <br>Your Friends</h3>
							<p>Try us out and get your friends to try us too. <br>I don&rsquo;t mind being passed around.</p>
						</header>
						<a href="#coupon" class="coupon-link">
							<img src="<?php img('luvo-coupon-cta-png') ?>" alt="Luvo USA Map">
						</a>
						<a href="#coupon" class="coupon-link-styled coupon-link">Unlock and Download Coupon</a>
					</div>
				</div>

				<div id="pane2" class="panel">
					<div class="inner">
						<header class="pane-subhead">
							<h3>Let&rsquo;s Stay in Touch</h3>
							<p>You&rsquo;ll be glad we did. Get recipes, tips for eating well <br>on the go, maybe even win a T-shirt.</p>
						</header>			
						<img src="<?php img('static_pane-two-shirts.png') ?>" alt="Luvo Promo TShirts">

						<form id="freshNewsletter" action="<?php echo get_template_directory_uri(); ?>/assets/lib/newsletter-getfresh.php">
							<div class="input-wrapper">
								<input type="email" name="email" placeholder="Enter your email address" required>
							</div>
							<input type="submit" value="Submit" class="submit">
							<p class="newsletter-message"></p>
						</form>
					</div>
				</div>

				<div id="pane3" class="panel">
					<div class="inner">
						<header class="pane-subhead">
							<h3>Come Here Often?</h3>
							<p>Enter your zipcode below to <br>find a store near you and meet your soulmate.</p>
						</header>
						<form id="freshZIP">
							<img src="<?php img('static_pane-three-usa.png') ?>" alt="Luvo USA Map">
							<div class="fields">
								<div class="input-wrapper">
									<input type="text" name="zipcode" id="q" placeholder="Enter a ZIP code to find your dream dish" required>
								</div>
								<input type="submit" value="Submit" class="submit">
							</div>
						</form>
					</div>
				</div>
			</div>
		</section>
		<section class="panel-coupon panel">
			<div class="inner">
				<iframe src="https://www.hopster.com/affiliates/partner/399" height="500" width="1200"></iframe>
			</div>
		</section>

		<section id="talkWholesome" class="panel">
			<div class="central-column">
				<div class="panel-content">
					<h2>Talk Wholesome To Me</h2>
					<p>Nutrient-dense. Appropriate levels of sodium and sugar. High in fiber. Whole grains. Meats raised without antibiotics. That&rsquo;s the kind of talk that gets us excited. We know our meals taste like temptation, but they&rsquo;re also made with ingredients you&rsquo;d be proud to introduce to your parents.</p>
				</div>
				<ul class="clearfix">

					<li class="wholesome-icons" id="icon2">
						<p>Non-GMO Soy,<span class="offscreen"> </span><br>Corn &amp; Canola</p>
					</li>

					<li class="wholesome-icons" id="icon3">
						<p>Less than 500mg<span class="offscreen"> </span><br>of sodium</p>
					</li>

					<li class="wholesome-icons" id="icon8">
						<p>Organic ingredients<span class="offscreen"> </span><br>whenever possible</p>
					</li>

					<li class="wholesome-icons" id="icon4">
						<p>Less than<span class="offscreen"> </span><br>500 calories</p>
					</li>

					<li class="wholesome-icons" id="icon5">
						<p>Protein, fiber and<span class="offscreen"> </span><br>nutrients from real food</p>
					</li>

					<li class="wholesome-icons" id="icon6">
						<p>Responsible<span class="offscreen"> </span><br>with sugar</p>
					</li>
					<li class="wholesome-icons" id="icon1">
						<p>Meat and Poultry<span class="offscreen"> </span><br>raised without<span class="offscreen"> </span><br>hormones or antibiotics<sup>*</sup>
							<small><sup>*</sup>Federal regulations prohibit the use of<span class="offscreen"> </span><br>hormones in poultry</small>
						</p>
					</li>

					<li class="wholesome-icons" id="icon7">
						<span></span>
						<p>RBST-Free dairy</p>
					</li>
				</ul>
			</div>
		</section>

		<section id="getFreshSocial" class="panel">
			<div class="ice">
				<div class="padding">
					<div class="central-column panel-content">
						<h2>#GetFresh</h2>
						<p>Share how you #GetFresh on Twitter and Instagram and mention @luvoinc and you could win Luvo meals!</p>
					</div>
					<iframe style="border:0;height:500px;width:1px;*width:100%;min-width:100%" src="http://getfresh.tbits.me" scrolling="no" ></iframe>
					<!-- <iframe src="https://tradablebits.com/streams/6minutestobetter/stream_widget?render_mode=tiled&min_cell=1&max_cell=3&text=yes&rate=5&single=true" ></iframe> -->
				</div>
			</div>
		</section>

	</article>

<?php endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>




