<?php
	//Prevent Resubmission
	$show_success_modal = false;
	$first_submission = false;
	if( $_SERVER['REQUEST_METHOD'] == 'POST'){
		if(	!isset($_COOKIE['recipe_submitted']) ) {
			setcookie( 'recipe_submitted', 'submitted', time()+3600 );
			$first_submission = true;
		}else{
			unset($_COOKIE['recipe_submitted']);
			setcookie('recipe_submitted', '', time() - 3600);
			header('Location: '.$_SERVER['PHP_SELF'].'/healthy-recipes/');
		};
	};

	if( $_SERVER['REQUEST_METHOD'] == 'POST' ){
		if ( 
		    ! isset( $_POST['recipe_nonce'] ) 
		    || ! wp_verify_nonce( $_POST['recipe_nonce'], 'recipe_submission' ) 
		) { 
			//Nonce expired or not present.
		}else{
			if( $first_submission == true ) {
				include('parts/api/recipe-submit.php');
				$show_success_modal = true;
			}else{
				unset($_POST);
			}//cookie
		}//Nonce check
	}//if post

	function luvo_recipe_scripts() {
		wp_enqueue_style( 'recipes_css' );
		wp_enqueue_script('images_loaded');
		wp_enqueue_script('isotope');
		wp_enqueue_script('packery-mode');
		wp_enqueue_script('recipes-js');
	}
	add_action( 'wp_enqueue_scripts', 'luvo_recipe_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<?php if ( have_posts() ): while ( have_posts() ): the_post(); ?>
<div class="page-content central-column">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>

	<?php 
		$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
	?>
	<header class="page-header" style="background-image: url(<?php echo $thumbnail[0]; ?>);">
		<div class="text">
			<h1><?php the_title(); ?></h1>
			<?php the_content(); ?>
		</div>
		<!-- <div class="social">
			<?php
				$ogUrl = get_the_permalink();
				$bitlink = new BitlyAPICall;
				$bitlink = $bitlink->get_bitlink( $ogUrl );
				$excerpt = get_the_excerpt();

				if ( get_post_meta($post->ID, 'wpcf-tweet-text', true) ){
					$tweet_text = get_post_meta($post->ID, 'wpcf-tweet-text', true);
				}else{
					$tweet_text = new WPSEO_OpenGraph;
					$tweet_text = $tweet_text->description(false);
					$tweet_text = substr( $tweet_text, 0, 137 );
					$tweet_text = preg_replace('/ [^ ]*$/', '...', $tweet_text);
				}
			?>
			<a class="twitter before" href="https://twitter.com/intent/tweet?url=<?php echo $bitlink; ?>&hashtags=luvoinc&text=<?php echo urlencode( $tweet_text ); ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;" ><span class="offscreen">Tweet</span></a>
			<a class="facebook before" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo $ogUrl; ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;"><span class="offscreen">Share on Facebook</span></a>
			<span class="pinterest before" ><a href="//www.pinterest.com/pin/create/button/" data-pin-do="buttonBookmark" ><img src="//assets.pinterest.com/images/pidgets/pinit_fg_en_rect_gray_20.png" /><span class="offscreen">Pin to Pinterest</span></a></span>
			<a class="google-plus before" href="https://plus.google.com/share?url=<?php echo $ogUrl ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;"><span class="offscreen">Share on Google Plus</span></a>
		</div> -->
	</header>
	<div class="filters">
		<div class="inner-column">
			<nav class="recipe-intent-filter">
				<a class="recipe-intent-toggle" href="#toggle-recipe-intents">I want to make&hellip;</a>
				<ul class="recipe-intents">
				<?php 
					$recipe_intents = get_terms( 'recipe-intents' );
					foreach( $recipe_intents as $recipe_intent ){
						echo '<li><a href="#'. $recipe_intent->slug. '" data-filter="'. $recipe_intent->slug. '">'. $recipe_intent->name. '</a></li>';
					}
				?>
				</ul>
			</nav>
			<nav class="recipe-tag-filter">

			</nav>
		</div>
	</div>
	<div class="recipe-list <?php if( $show_success_modal == true ) echo 'modal-open'; ?>">
		<div class="inner-column">
			<div class="grid-wrapper">
				<div class="grid clearfix">
					<a class="cta-tile tile-third tile" href="#add-recipe">
						<div class="inner">
							<header>
								<img class="icon" width="120" height="120" nopin="nopin" src="<?php echo get_template_directory_uri(); ?>/assets/img/luv-notes/add-a-luv-note.png" />
								<h3>Add a <br>Recipe</h3>
							</header>
							<p>If your recipe is chosen, Luvo's chefs will whip it up in our professional test kitchen. Check back soon to see your recipe featured alongside our other healthy and delicious dishes.</p>
						</div>
					</a>

<?php 
	$args = array(
		'post_status' => 'publish',
		'post_type' => 'healthy-recipes',
		'posts_per_page' => 100,
	);

	$the_query = new WP_Query( $args ); 
	$i = 1;
	if ( $the_query->have_posts() ): while ( $the_query->have_posts() ): $the_query->the_post();
		$i++;
		if( ($i+1)%5 == 0 || $i%5 == 0 ){ $tile_classes = 'tile-half'; }else{ $tile_classes = 'tile-third'; }
		$recipe_intents = wp_get_post_terms( $post->ID, 'recipe-intents' );
		foreach( $recipe_intents as $recipe_intent ){ $tile_classes.= ' tile-'. $recipe_intent->slug; };
		$recipe_tags = wp_get_post_tags( $post->ID );
		foreach( $recipe_tags as $recipe_tag ){ 
			$clean_slug = $recipe_tag->name;
			$clean_slug = strtolower( str_replace(' ', '-', $clean_slug) );
			$tile_classes.= ' tile-'. $clean_slug; 
		};
?>
				<div class="recipe-tile tile <?php echo $tile_classes. ' '. $i; ?>">
					<div class="inner">
						<a href="<?php the_permalink(); ?>">
							<?php the_post_thumbnail('recipe-tile'); ?>
							<header class="tile-header">
								<h3><?php echo types_render_field( 'recipe-subhead', array('id'=>$post->ID)); ?></h3>
								<h2><?php the_title(); ?></h2>
							</header>
						</a>
					</div>
				</div>

<?php  endwhile; endif; ?>

			</div><!--grid-->
			<div class="recipe-form-modal recipe-modal modal">
				<div class="modal-background"></div>
				<form class="recipe-form clearfix" method="post" action="" enctype="multipart/form-data">
					<a class="close-icon" href="#close-modal"><span class="offscreen">Close</span></a>
					<header>
						<h3>Add your own <strong>Recipe</strong></h3>
						<!-- <p>Lorem Ipsum</p> -->
					</header>
					<input name="user_name" type="text" placeholder="Enter Name" required />
					<input name="email" type="email" placeholder="Enter Email" required />
					<input name="location" type="text" placeholder="Enter City and State" required />
					<div class="break"></div>
					<input name="recipe_name" type="text" placeholder="Recipe Name" required />
					<textarea class="recipe-ingredients" name="recipe_ingredients" rows="10" cols="50" placeholder="List all ingredients and exact amounts" required></textarea>
					<textarea class="recipe-instructions" name="recipe_instructions" rows="10" cols="50" placeholder="List all instructions, step by step" required></textarea>
					<textarea class="recipe-notes" name="recipe_notes" rows="10" cols="50" placeholder="List additional notes"></textarea>
					<div class="checkbox-wrapper">
						<input type="checkbox" name="recipe_conditions" title="Please agree to our conditions." id="recipe_conditions" aria-required="true" />
						<label class="disclaimer" for="recipe_conditions"><span>Yes, I understand that by clicking this button, I hereby give my permission to Luvo Inc. to use my recipe and name in advertising and for commercial purposes. I understand my recipe may be viewed, tested, edited, and shared by Luvo for their own purposes, and without limit.</span></label>
					</div>
					<?php wp_nonce_field('recipe_submission','recipe_nonce'); ?>
					<input type="submit" class="submit disabled" value="Submit" />
				</form>
			</div>

			<?php if( $show_success_modal == true ){ ?>
			<div class="recipe-success-modal recipe-modal modal active">
				<div class="modal-background"></div>
				<div class="success-message">
					<!-- <div class="social-banner cta">
						<p>Share the Luv <span class="arrow"></span> and be automically entered to win Luvo meals!</p>
					</div> -->
					<div class="text">
						<a class="close-icon" href="#close-modal"><span class="offscreen">Close</span></a>
						<h3>Thank <img height="51" width="40" src="<?php echo get_template_directory_uri(); ?>/assets/img/luv-notes/thank-u.png" alt="u" /></h3>
						<p>Thank you for sharing your recipe! <br>Check back soon to see if we chose yours to feature!</p>
					</div>
				</div><!--success-message-->
			</div><!--modal-->
			<?php }//show_success_modal ?>

			</div><!--grid-wrapper-->
		</div><!--inner-column-->
	</div><!--recipe-list-->
</div><!-- page-content -->
<?php endwhile; endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>




