<?php
	function luvo_home_scripts() {
		wp_dequeue_script('embedly-platform');
		wp_enqueue_style( 'flexslider_css' );
	    wp_enqueue_style( 'home_css' );
		wp_enqueue_style( 'flexslider' );
		wp_enqueue_script('flexslider_js');
		wp_enqueue_script('images_loaded');
		wp_enqueue_script('packery');
	    wp_enqueue_script('home');
	}
	add_action( 'wp_enqueue_scripts', 'luvo_home_scripts' );
	
	get_template_part('parts/chrome/header'); 
	get_template_part('parts/chrome/hero-rotator');
?>
<?php 
	$args = array(
		'post_type' => 'wall-modules',
		'posts_per_page' => 99,
	);
	$the_query = new WP_Query( $args );
	if ( $the_query->have_posts() ) :
?>
<div class="wall-grid page-content central-column">
	<?php
		while ( $the_query->have_posts() ):
			$the_query->the_post();

		switch ( $post->post_name ) {
			case 'fresh-blog-recent-post': 
	?>
				<?php 
					$args = array( 
						'posts_per_page' => 1, 
						'meta_query' => array(array('key' => '_thumbnail_id')) 
					);
					$blog_query = new WP_Query($args);
					while ( $blog_query->have_posts() ): $blog_query->the_post();
						if(has_post_thumbnail()):
				?>
				<article class="size2x2 tile-home">
					<a class="tile-link" href="<?php the_permalink(); ?>">
						<?php 
							if( get_post_meta($post->ID, 'wpcf-blog-wall-image', true ) ){ 
								echo types_render_field('blog-wall-image', array( 'id' => $post->ID, 'size' => 'wall_square' ) ); 
							}else{ 
								the_post_thumbnail('wall_square');
							} 
						?>
						<header class="tile-header">
							<h3>Fresh Blog</h3>
							<h2><?php if( get_post_meta($post->ID, 'wpcf-blog-wall-title', true ) ){ echo get_post_meta($post->ID, 'wpcf-blog-wall-title', true ); }else{ the_title(); } ?></h2>
						</header>
					</a>
				</article>
				<?php endif; endwhile; ?>
	<?php
				break;
			case 'twitter-rotator': 
	?>
				<article class="size3x1 tile-home tile-twitter">
					<header class="twitter-header">
						<h4>
							<a href="https://twitter.com/luvoinc" target="_blank" title="Follow Luvo On Twitter" class="sprite-before before"><span>@luvoinc</span></a>
						</h4>
					</header>
					<div class="twitter-rotator" >
						<ul class="slides">
						</ul>
					</div>
				</article>
	<?php
				break;
			case 'instagram-recent-post': 
	?>
		    	<article class="size2x2 tile-home tile-instagram">
				</article>
	<?php 
				break;
			default: 
				$class_array = array();
				$class_array[] = types_render_field('wall-module-size', array( 'id' => $post->ID ));
				if( in_array ( 'Transparent title bar', explode( ',', types_render_field( "wall-module-additional-options", array( "separator" => "," ) ) ) ) ){ $class_array[] = 'tile-transparent-header'; }; 
				if( types_render_field("wall-module-image-treatment", array()) == 'Zoom' ){ $class_array[] = 'tile-zoom'; }; 
				if( types_render_field("wall-module-image-treatment", array()) == 'Cross Fade' ){ $class_array[] = 'tile-cross-fade'; }; 
				if( types_render_field("wall-module-image-treatment", array()) == 'Text Overlay' ){ $class_array[] = 'tile-text-overlay'; }; 
	?>
				<article class="size<?php echo implode(' ', $class_array); ?> tile-home">
					<a id="tile-home-<?php echo $post->ID; ?>-<?php echo $post->post_name; ?>" class="tile-link" href="<?php echo types_render_field( "wall-module-link", array()); ?>" <?php if( types_render_field("wall-module-target-blank", array()) ) echo 'target="_blank"'; ?> <?php if( types_render_field("wall-module-outbound-link", array()) ) echo 'onclick="trackOutboundLink(this.href); return false;"'; ?> title="<?php echo types_render_field( "wall-module-link-title", array()); ?>">
						<?php 
							if( types_render_field("wall-module-image-treatment", array()) == 'Cross Fade' ){ 
								echo types_render_field("wall-module-secondary-image", array( 'class'=>'rear' )); 
							}; 
						?>
						<?php the_post_thumbnail(); ?>
						<?php if( types_render_field("wall-module-image-treatment", array()) == 'Text Overlay' ){ ?>
							<div class="overlay">
								<?php echo types_render_field("wall-module-cross-fade-text", array()); ?>
							</div>
						<?php }; ?>
						<header class="tile-header">
							<h3><?php echo types_render_field( "wall-module-subhead", array()); ?></h3>
							<h2><?php echo types_render_field( "wall-module-headline", array()); ?></h2>
						</header>
					</a>
					<?php 
						if( in_array ( 'Include share bar', explode( ',', types_render_field( "wall-module-additional-options", array( "separator" => ", " ) ) ) ) ){
							$url = types_render_field( "wall-module-link", array());
							include('parts/snippets/wall-share.php');
						} 
					?>
				</article>
	<?php }; //slug case ?>
<?php endwhile; ?>

</div><!-- page-content -->
<?php endif; ?>

<?php get_template_part('parts/chrome/footer'); ?>

