<?php
	function luvo_our_story_scripts() {
	    wp_enqueue_style( 'our_story_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_our_story_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<?php if ( have_posts() ): ?>
<div class="page-content central-column styled-text">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>

	<div class="inner-column">
		<header class="page-header">
			<h1><?php the_title(); ?></h1>
			<h2>Packaging Engineered To Make Luvo Greener</h2>
			<?php the_content(); ?>
			<img src="<?php echo get_template_directory_uri(); ?>/assets/img/sustainable-packaging/green-eco-friendly-packaging-052615.jpg" alt="Environmentally Friendly Green Packaging" />
		</header>
		<section class="standards">
			<h3>One way we do this is with our packaging standards:</h3>
			<ul class="equalize">
				<li>
					<div class="inner before sprite-before box-recyc">
						<h3>100% RECYCLED PAPERBOARD WITH MINIMUM 50% POST-CONSUMER WASTE</h3>
						<p>Recycled paper saves trees, energy, water, and landfill space. Post-consumer recycled paper takes it one step further by capturing and reusing material that regular folks toss in their recycling bins every day.</p>
					</div>
				</li>
				<li>
					<div class="inner before sprite-before box-pouch">
						<h3>Pouch contains unbleached paper made from 20% pre-consumer waste</h3>
						<p>Unbleached paper leaves out the chlorine or chlorine derivatives normally used to bleach paper white. It&rsquo;s a move that reduces the amount of toxic and carcinogenic chemicals in our environment.</p>
					</div>
				</li>
				<li>
					<div class="inner before sprite-before box-print">
						<h3>Printed with soy or waterless inks</h3>
						<p>Traditional printing methods use an enormous amount of energy, water and chemicals. The waterless and soy-based inks we use cut down on resources and reduce pollution.</p>
					</div>
				</li>
			</ul>
		</section>
	</div><!--inner-column-->
</div><!-- page-content -->
<?php endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>