<?php
	//Prevent Resubmission, also prevents multiple form submits without page reload :(
	$first_submission = false;
	if( $_SERVER['REQUEST_METHOD'] == 'POST'){
		if(	!isset($_COOKIE['luv_note_submitted']) ) {
			setcookie( 'luv_note_submitted', 'submitted', time()+3600 );
			$first_submission = true;
		}else{
			unset($_COOKIE['luv_note_submitted']);
			setcookie('luv_note_submitted', '', time() - 3600);
			header('Location: '.$_SERVER['PHP_SELF'].'/luv-notes/');
		}
	}else{
		unset($_COOKIE['luv_note_submitted']);
		setcookie('luv_note_submitted', '', time() - 3600);
	};

	function luvo_luv_note_scripts() {
    	wp_dequeue_script( 'validate' );
		wp_enqueue_style( 'luv-notes' );
		wp_enqueue_script('packery');
	    wp_enqueue_script('validate');
		wp_enqueue_script('additional-validation');
		wp_enqueue_script('luv-notes-js');
	}
	add_action( 'wp_enqueue_scripts', 'luvo_luv_note_scripts' );

	get_template_part('parts/chrome/header');
?>
<?php if ( have_posts() ): ?>
<div class="page-content central-column">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>
	<header class="page-header styled-text">
		<div class="banner">
			<?php if( has_post_thumbnail() ) the_post_thumbnail(); ?>
			<div class="lockup">
				<img class="headline" width="360" height="53" nopin="nopin" src="<?php echo get_template_directory_uri(); ?>/assets/img/luv-notes/luv-notes-lockup.png" />
			</div>
		</div>
		<div class="social">
			<?php
				$ogUrl = get_the_permalink();
				$bitlink = new BitlyAPICall;
				$bitlink = $bitlink->get_bitlink( $ogUrl );
				$excerpt = get_the_excerpt();

				if ( get_post_meta($post->ID, 'wpcf-tweet-text', true) ){
					$tweet_text = get_post_meta($post->ID, 'wpcf-tweet-text', true);
				}else{
					$tweet_text = new WPSEO_OpenGraph;
					$tweet_text = $tweet_text->description(false);
					$tweet_text = substr( $tweet_text, 0, 137 );
					$tweet_text = preg_replace('/ [^ ]*$/', '...', $tweet_text);
				}
			?>
			<a class="twitter before" href="https://twitter.com/intent/tweet?url=<?php echo $bitlink; ?>&hashtags=luvoinc&text=<?php echo urlencode( $tweet_text ); ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;" ><span class="offscreen">Tweet</span></a>
			<a class="facebook before" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo $ogUrl; ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;"><span class="offscreen">Share on Facebook</span></a>
			<span class="pinterest before" ><a href="//www.pinterest.com/pin/create/button/" data-pin-do="buttonBookmark" ><img src="//assets.pinterest.com/images/pidgets/pinit_fg_en_rect_gray_20.png" /><span class="offscreen">Pin to Pinterest</span></a></span>
			<a class="google-plus before" href="https://plus.google.com/share?url=<?php echo $ogUrl ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;"><span class="offscreen">Share on Google Plus</span></a>
		</div>
		<div class="text">
			<h1 class="offscreen"><?php the_title(); ?></h1>
			<?php the_content(); ?>
		</div>
	</header>
	<div class="inner-column">
		<div class="grid-wrapper">
			<div class="grid">
				<a class="cta-tile tile" href="#add-luv-note">
					<div class="inner">
						<div class="icon">
							<img width="120" height="120" nopin="nopin" src="<?php echo get_template_directory_uri(); ?>/assets/img/luv-notes/add-a-luv-note.png" />
						</div>
						<div class="text">
							<h3>Add a <strong>Luv <span>note</span></strong></h3>
							<p>Tell us who you are, where you&rsquo;re from and why you luv Luvo and we&rsquo;ll feature your quote on our Luv Notes page.</p>
						</div>
					</div>
				</a>

				<?php 
					$args = array(
						'post_status' => 'publish',
						'post_type' => 'testimonials',
						'posts_per_page' => 100,
					);

					$the_query = new WP_Query( $args ); 
					if ( $the_query->have_posts() ): while ( $the_query->have_posts() ): $the_query->the_post();
				?>
				<div class="<?php if( get_post_meta( $post->ID, 'wpcf-luv-notes-featured') ){ echo 'note-tile-featured'; }else{ echo 'note-tile-standard'; }; ?> note-tile tile">
					<div class="inner">
						<div class="customer">
							<div class="avatar">
								<?php 
									if( has_post_thumbnail() ){ 
										the_post_thumbnail( 'luv_note_avatar' ); 
									}else{
										echo '<img src="'. get_template_directory_uri(). '/assets/img/luv-notes/luv-note-default-avatar-'. get_post_meta( $post->ID, 'wpcf-default-avatar', true). '.jpg" />';
									}
								?>
							</div>
							<div class="text">
								<p class="name"><?php echo get_post_meta( $post->ID, 'wpcf-luv-notes-first-name', true); ?> <span class="last-name"><?php echo get_post_meta( $post->ID, 'wpcf-luv-notes-last-name', true); ?></span></p>
								<p class="location"><?php echo get_post_meta( $post->ID, 'wpcf-luv-notes-location', true); ?></p>
							</div>
						</div>
						<div class="testimonial-body">
							<?php echo types_render_field( 'luv-notes-revised-text', array( 'id'=> $post->ID )); ?>
						</div>
					</div>
				</div>
				<?php endwhile; endif; ?>
			</div><!--grid-->
			<div class="form-modal-wrapper modal-wrapper">
				<div class="luv-note-modal modal">
					<div class="modal-background"></div>
					<form class="luv-note-form clearfix" method="post" action="" enctype="multipart/form-data">
						<a class="close-icon" href="#close-modal"><span class="offscreen">Close</span></a>
						<header>
							<h3>Add your own <span>Luv</span> note</h3>
							<p>Tell us who you are, where you&rsquo;re from and why you luv Luvo and we’ll feature your quote on our Luv Notes page. Don’t forget to add your photo – head and shoulders only, similar to what you’d use as your Facebook profile picture.</p>
						</header>
						<input name="user_name" type="text" placeholder="Enter Name" required />
						<input name="email" type="email" placeholder="Enter Email" required />
						<input name="location" type="text" placeholder="Enter City and State" required />
						<textarea name="luv_note" rows="10" cols="50" placeholder="Enter LuvNote" required></textarea>
						<div class="file-wrapper">
							<div class="placeholder">
								<p><span>Add a profile photo</span></p>
							</div>
							<input type="file" name="user_avatar" />
							<label class="file-name"></label>
						</div>
						<div class="checkbox-wrapper">
							<input type="checkbox" name="luv_conditions" title="Please agree to our conditions." id="luv_conditions" aria-required="true" />
							<label class="disclaimer" for="luv_conditions"><span>Yes, I understand that by clicking this button, I hereby give my permission to Luvo Inc. to use my testimonial and image in advertising and for commercial purposes.</span></label>
						</div>
						<?php wp_nonce_field('luv_note_submission','luv_note_nonce'); ?>
						<input type="submit" class="submit" value="Submit" />
					</form>
				</div>
			</div>
			<?php if( $_SERVER['REQUEST_METHOD'] == 'POST' ){
			if ( 
			    ! isset( $_POST['luv_note_nonce'] ) 
			    || ! wp_verify_nonce( $_POST['luv_note_nonce'], 'luv_note_submission' ) 
			) { 
				//Nonce expired or not present.
			}else{
				if( $first_submission == true ) {
					include('parts/api/luv-note-submit.php');

			?>
			<div class="success-modal-wrapper modal-wrapper active">
				<div class="luv-note-modal modal">
					<div class="modal-background"></div>
					<div class="success-message">
						<div class="social-banner cta">
							<p>Share the Luv <span class="arrow"></span> and be automically entered to win Luvo meals!</p>
						</div>
						<div class="text">
							<a class="close-icon" href="#close-modal"><span class="offscreen">Close</span></a>
							<h3>Thank <img height="51" width="40" src="<?php echo get_template_directory_uri(); ?>/assets/img/luv-notes/thank-u.png" alt="u" /></h3>
							<p>Thank you for spreading your luv of Luvo! <br>Check back soon as all Luv Notes are published within one business day.</p>
						</div>
					</div><!--success-message-->
				</div><!--modal-->
			</div><!--modal-wrapper-->
			<?php 
					}else{
						unset($_POST);
					}//cookie
				}//Nonce check
			}//if post
			?>
		</div><!--grid-wrapper-->
	</div><!--inner-column-->
</div><!-- page-content -->
<?php endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>











