<?php
	function luvo_nutrition_scripts() {
		wp_enqueue_style( 'nutrition_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_nutrition_scripts' );
?>
<?php get_template_part('parts/chrome/header'); ?>

	<header class="page-header">
		<img class="mobile-bg" src="<?php echo get_template_directory_uri(); ?>/assets/img/nutrition/mobile/luvo-healthy-meals-ingredients-mobile.jpg" />
		<?php the_post_thumbnail(); ?>
		<div class="text">
			<h1><?php the_title(); ?></h1>
			<?php the_content(); ?>
			<span class="mobile-scroll-prompt">
				<img src="<?php echo get_template_directory_uri(); ?>/assets/img/nutrition/scroll-prompt.png" />
			</span>
		</div>
	</header>
	<section class="nutrition-pillars">
		<header class="section-header">
				<h2>Talk Wholesome to Me</h2>
				<p>A full serving of fruits and veggies. Appropriate levels of sodium and sugar. High in fiber. Whole grains. Meats raised without antibiotics. That’s the kind of talk that gets us excited. Meals made with ingredients your body needs and flavors your taste buds will marvel over.</p>
		</header>

		<ul>
<?php
	if( have_rows('nutrition_pillars') ):
	    while ( have_rows('nutrition_pillars') ) : the_row();
	        $icon = get_sub_field('pillar_icon');
?>
			<li>
				<figure>
					<div class="image">
						<img src="<?php echo $icon['url']; ?>" alt="<?php echo $icon['alt'] ?>" />
					</div>
					<figcaption>
						<p><?php the_sub_field('pillar_description'); ?></p>
					</figcaption>
				</figure>
			</li>
<?php endwhile; endif; ?>
		</ul>
	</section>
	<div class="top-ingredients">
		<header class="section-nutrition-header section-nutrition">
			<img class="background" src="<?php echo get_template_directory_uri(); ?>/assets/img/nutrition/backgrounds/luvo-healthy-meals-marble-background.jpg" />
			<img class="background-mobile" src="<?php echo get_template_directory_uri(); ?>/assets/img/nutrition/mobile/luvo-healthy-meals-marble-background-mobile.jpg" />
			<div class="text">
				<img class="headline" src="<?php echo get_template_directory_uri(); ?>/assets/img/nutrition/headlines/luvo-healthy-meals-top-ten-ingredients-headline.png" />
				<h2><span class="offscreen">Top 10 Ingredients</span></h2>
				<p>When you start with wholesome ingredients, food just comes out better—better tasting and better for you. Here are some of our star, go-to ingredients that we use in many of our meals.</p>
			</div>
		</header>

<?php
	if( have_rows('nutrition_ingredients') ):
    
    while ( have_rows('nutrition_ingredients') ) : the_row();

        
        $slug = strtolower(trim(preg_replace('/[^A-Za-z0-9-]+/', '-', get_sub_field('ingredient_name') )));
        $bg = get_sub_field('ingredient_background');
        $bg_mobile = get_sub_field('ingredient_background_mobile');
        $bg_color = get_sub_field('ingredient_background_color');
        $headline = get_sub_field('ingredient_headline');
        $text_color = get_sub_field('ingredient_text_color');
        $text_top = get_sub_field('ingredient_text_offset_top');
        $text_left = get_sub_field('ingredient_text_offset_left');
        $text_width = get_sub_field('ingredient_text_wrapper_width');
        $headline_width = $headline['width'] / 14.25;

 ?>
        <section class="section-ingredient-<?php echo $slug; ?> section-nutrition">

			<style>
				.section-ingredient-<?php echo $slug; ?> {
					background-color: <?php echo $bg_color ?>;
					color: <?php echo $text_color; ?>;
				}
				.section-ingredient-<?php echo $slug; ?> .text {
					top: <?php echo $text_top; ?>%;
					left: <?php echo $text_left; ?>%;
					width: <?php echo $text_width; ?>%;
				}
				.section-ingredient-<?php echo $slug; ?> .headline {
					width: <?php echo $headline_width; ?>vw;
				}
			</style>
			<img class="background" src="<?php echo $bg['url']; ?>" alt="<?php echo $bg['alt'] ?>" />
			<img class="background-mobile" src="<?php echo $bg_mobile['url']; ?>" alt="<?php echo $bg_mobile['alt'] ?>" />

			<div class="text">
				<img class="headline" src="<?php echo $headline['url']; ?>" alt="<?php echo $headline['alt'] ?>" />
				<h3 class="offscreen"><?php the_sub_field('ingredient_name'); ?></h3>
				<?php the_sub_field('ingredient_description'); ?>
			</div>
		</section>
<?php endwhile; endif; ?>
	</div>
<?php get_template_part('parts/chrome/footer'); ?>