<?php
	function luvo_sharetheluv_scripts() {
	  	wp_enqueue_style( 'sharetheluv_css' );
		wp_enqueue_script('sharetheluv_js');
	}
	add_action( 'wp_enqueue_scripts', 'luvo_sharetheluv_scripts' );
?>
<?php get_template_part('parts/chrome/header'); ?>
<?php if ( have_posts() ): ?>
<div class="page-content">
	<header class="page-header">
		<?php if( has_post_thumbnail() ) the_post_thumbnail(); ?>
		<div class="text">
			<h1><?php the_title(); ?></h1>
			<?php the_content(); ?>
		</div>
	</header>
	<div class="entry-content">
		<section class="section-intro">
			<div class="central-column-sharetheluv">
				<h2><?php echo get_post_meta( $post->ID, 'stl_subhead', true ); ?></h2>
				<div class="columns clearfix">
					<div class="column-left column">
						<?php echo apply_filters('the_content', get_post_meta( $post->ID, 'stl_pitch_copy', true ) ); ?>
						<?php echo wp_get_attachment_image( get_post_meta( $post->ID, 'stl_box_shots', true ), 'full' ); ?>
					</div>
					<div class="column-right column">
						<form class="form-referral clearfix" action="<?php echo get_template_directory_uri(); ?>/parts/ajax/ajax-submit-referral.php" >
							<div class="field-groups">
								<div class="referrer field-group">
									<div class="inner">
										<div class="input-wrapper"><label for="referrer_name" >Your name</label>
										<input type="text" name="referrer_name" required /></div>
										<div class="input-wrapper"><label for="referrer_email">Your email</label>
										<input type="email" name="referrer_email" required /></div>
										<div class="input-wrapper"><label for="message">Write a message</label>
										<textarea name="message"></textarea></div>
									</div>
								</div>
								<div class="friends field-group">
									<div class="inner">
										<label for="friends">Your friends&rsquo; emails</label>
										<div class="input-wrapper"><input type="email" name="friends[0]" required/></div>
										<div class="input-wrapper"><input type="email" name="friends[1]" /></div>
										<div class="input-wrapper"><input type="email" name="friends[2]" /></div>
										<div class="input-wrapper"><input type="email" name="friends[3]" /></div>
										<div class="input-wrapper"><input type="email" name="friends[4]" /></div>
									</div>
								</div>
							</div>
							<p class="disclaimer">*Hey! This probably goes without saying, but fake email addresses don’t count. Thanks!</p>
							<input class="submit" type="submit" value="Submit" />
						</form>
					</div>
				</div>
			</div>
		</section>
		<section class="section-nutrition">
			<div class="central-column-sharetheluv">
				<div class="nutritional-bullets">
					<h3>Good friends share good stuff</h3>
					<ul>
						<li class="wholesome-icons" id="icon1">
							<p>Meat and Poultry<span class="offscreen"> </span><br>raised without<span class="offscreen"> </span><br>hormones or antibiotics<sup>*</sup>
								<small><sup>*</sup>Federal regulations prohibit the use of<span class="offscreen"> </span><br>hormones in poultry</small>
							</p>
						</li>
						<li class="wholesome-icons" id="icon2">
							<p>Non-GMO Soy,<span class="offscreen"> </span><br>Corn &amp; Canola</p>
						</li>
						<li class="wholesome-icons" id="icon3">
							<p>Less than 500mg<span class="offscreen"> </span><br>of sodium</p>
						</li>
						<li class="wholesome-icons" id="icon4">
							<p>Less than<span class="offscreen"> </span><br>500 calories</p>
						</li>
						<li class="wholesome-icons" id="icon5">
							<p>Emphasis on<span class="offscreen"> </span><br>whole grains</p>
						</li>
						<li class="wholesome-icons" id="icon6">
							<p>Responsible<span class="offscreen"> </span><br>with added sugar</p>
						</li>
						<li class="wholesome-icons" id="icon7">
							<span></span>
							<p>RBST-Free dairy</p>
						</li>
						<li class="wholesome-icons" id="icon8">
							<p>Full serving of produce<span class="offscreen"> </span><br>in every meal</p>
						</li>

						<li class="wholesome-icons" id="icon9">
							<p>No artificial colors, flavors, or sweeteners</p>
						</li>

						<li class="wholesome-icons" id="icon10">
							<p>Vegetarian &amp;<span class="offscreen"> </span><br>gluten free options</p>
						</li>

					</ul>
				</div>
			</div>
		</section>
		<section class="section-social">
			<div class="central-column-sharetheluv">
				<div class="social">
					<div class="text">
						<h3>#ShareTheLuv</h3>
						<a class="facebook" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;"><span class="offscreen">Share Luvo on Facebook</span></a>
						<?php
							$bitlink = new BitlyAPICall;
							$bitlink = $bitlink->get_bitlink( get_the_permalink() );
							$tweet_text = get_post_meta($post->ID, 'wpcf-tweet-text', true)? get_post_meta($post->ID, 'wpcf-tweet-text', true): 'Share Luvo with your friends and get a chance to win a $150 gift card!';
						?>
						<a class="twitter" href="https://twitter.com/intent/tweet?url=<?php echo $bitlink; ?>&text=<?php echo urlencode( $tweet_text ); ?>&via=Luvoinc " onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;"><span class="offscreen">Share Luvo on Twitter</span></a>
					</div>
				</div>
			</div>
		</section>
	</div>
</div><!-- page-content -->
<div class="modal-wrapper-referral-success modal-wrapper-referral">
	<div class="text">
		<h6>Success</h6>
		<p>Thanks so much for the introduction! Your friends will receive the coupon by email any minute.</p>
	</div>
</div>
<div class="modal-wrapper-referral-failure modal-wrapper-referral">
	<div class="text">
		<h6>Uh oh!</h6>
		<p>There was a problem with your submission. Please confirm that you entered your information correctly.</p>
	</div>
</div>
<?php endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>











