<?php
	function luvo_newsletter_scripts() {
		wp_enqueue_script('images_loaded');
		wp_enqueue_script('flexslider_js');
		wp_enqueue_style( 'flexslider_css' );
		wp_enqueue_script( 'newsletter-js' );
		wp_enqueue_style( 'newsletter-css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_newsletter_scripts' );
	get_template_part('parts/chrome/header');
?>

<?php if ( have_posts() ): ?>
<div class="page-content central-column">
	<div class="rotator">

		<ul class="slides">
<?php
	if( have_rows('gallery_images') ): while( have_rows('gallery_images') ): the_row();
		$image = get_sub_field('gallery_image');
		echo '<li><img src="'. $image['url']. '" alt="'. $image['alt']. '" /></li>';
	endwhile; else:
?>
			<li><img src="<?php echo get_template_directory_uri(); ?>/assets/img/page-newsletter/luvo-tandoori-chicken-ingredients.jpg" /></li>
<?php endif; ?>
		</ul>
	</div>
	<div class="text">
		<form id="form-newsletter-subscribe-signup" class="page-newsletter-form" action="<?php echo get_template_directory_uri(); ?>/assets/lib/newsletter.php">
			<?php the_content(); ?>
			<div class="input-wrapper">
				<input class="email" type="email" name="email" placeholder="Enter your email address" required/>
			</div>
			<input class="submit" type="submit" value="Subscribe" />
		</form>
		<div class="success">
			<p class="thanks">Thank you For Subscribing</p>
			<p class="share">Share this with a friend</p>
			<ul class="social-tools">
<?php
	$ogUrl = home_url(). '/'. $post->post_name;
	$bitlink = new BitlyAPICall;
	$bitlink = $bitlink->get_bitlink( $ogUrl );
	$excerpt = get_the_excerpt();

	if ( get_post_meta($post->ID, 'wpcf-tweet-text', true) ){
		$tweet_text = get_post_meta($post->ID, 'wpcf-tweet-text', true);
	}else{
		$tweet_text = new WPSEO_OpenGraph;
		$tweet_text = $tweet_text->description(false);
		$tweet_text = substr( $tweet_text, 0, 137 );
		$tweet_text = preg_replace('/ [^ ]*$/', '...', $tweet_text);
	}
?>
				<li><a class="twitter newsletter-share-link" href="https://twitter.com/intent/tweet?url=<?php echo $bitlink; ?>&hashtags=luvoinc&text=<?php echo urlencode( $tweet_text ); ?>" target="_blank"><span class="offscreen">Tweet</span></a></li>
				<li><a class="facebook newsletter-share-link" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo $ogUrl; ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;" target="_blank"><span class="offscreen">Share on Facebook</span></a></li>
				<li><a class="email newsletter-share-link" href="mailto:?subject=<?php echo str_replace($chars, '%20', get_the_title()); ?>&body=<?php echo $ogUrl; ?>"><span class="offscreen">Share on Facebook</span></a></li>
				<!-- <li><a class="google-plus" href="https://plus.google.com/share?url=<?php echo $ogUrl ?>" target="_blank"><span class="offscreen">Share on Google Plus</span></a></li> -->
			</ul>
		</div>
	</div>
</div><!-- page-content -->
<?php endif; ?>


<script src="//platform.twitter.com/oct.js" type="text/javascript"></script>
<script type="text/javascript">twttr.conversion.trackPid('nti4o', { tw_sale_amount: 0, tw_order_quantity: 0 });</script>
<noscript>
<img height="1" width="1" style="display:none;" alt="" src="https://analytics.twitter.com/i/adsct?txn_id=nti4o&p_id=Twitter&tw_…" />
<img height="1" width="1" style="display:none;" alt="" src="//t.co/i/adsct?txn_id=nti4o&p_id=Twitter&tw_sale_amount=0&tw_order_quantity=0" />
</noscript>

<?php get_template_part('parts/chrome/footer'); ?>
