<?php
	function luvo_site_map_scripts() {
		wp_enqueue_script('jqueryui_js');
		wp_enqueue_script('sitemap_js');
		wp_enqueue_style('jqueryui_css');
		wp_enqueue_style('site_map_css');
	}
	add_action( 'wp_enqueue_scripts', 'luvo_site_map_scripts' );
	get_template_part('parts/chrome/header');
?>

<?php if ( have_posts() ): ?>
	<div class="page-content central-column">
		<?php get_template_part('parts/snippets/nav-to-main'); ?>
		<div class="inner-column">

			<header class="page-header">
				<h1><?php the_title(); ?></h1>
				<?php the_content(); ?>
			</header>


			<div class="row clearfix">
				<div class="column">
					<h2>Our Story</h2>
					<ul>
						<li><a href="<?php echo home_url(); ?>/our-story/our-philosophy/">Our Philosophy</a></li>
						<li><a href="<?php echo home_url(); ?>/our-story/practices/sourcing-and-ingredients/">Sourcing &amp; Ingredients Standards</a></li>
						<li><a href="<?php echo home_url(); ?>/our-story/practices/innovative-packaging/">Innovative Packaging</a></li>
						<li><a href="<?php echo home_url(); ?>/our-story/practices/NourishAmerica/">Giving Back</a></li>
						<li><a href="<?php echo home_url(); ?>/luv-notes/">Luv Notes</a></li>
						<li>
							<div class="accordion">
								<h3>Ambassadors</h3>
								<div>
									<ul>
										<?php $args = array('post_type' => 'partners','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
									</ul>
								</div>
							</div>
						</li>

						<li>
							<div class="accordion">
								<h3>Partnerships</h3>
								<div>
									<ul>
										<?php $args = array('post_type' => 'page','post_parent' => 1079,'posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
									</ul>
								</div>
							</div>
						</li>
						<li><a href="<?php echo home_url(); ?>/our-story/leadership/">Leadership</a></li>
						<li><a href="<?php echo home_url(); ?>/board-of-directors/">Board of Directors</a></li>
						<li><a href="<?php echo home_url(); ?>/events-calendar/">Events Calendar</a></li>
						<li>
							<div class="accordion">
								<h3>Careers</h3>
								<div>
									<ul>
										<?php $args = array('post_type' => 'careers','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
									</ul>
								</div>
							</div>
						</li>
						<li><a href="<?php echo home_url(); ?>/our-story/contact-us/">Contact Us</a></li>
						<li><a href="<?php echo home_url(); ?>/our-story/where-to-buy/">Where to Buy</a></li>
					</ul>
				</div>

				<div class="column">
					<h2>Our Food</h2>
					<ul>
						<li>
							<div class="accordion">
								<h3>Breakfasts</h3>
								<div>
									<ul>
										<li><a href="<?php echo home_url(); ?>/our-food/healthy-frozen-breakfasts/">Breakfasts Home</a></li>
										<?php $args = array('post_type' => 'frozen-breakfasts','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
									</ul>
								</div>
							</div>
						</li>

						<li>
							<div class="accordion">
								<h3>Entr&eacute;es</h3>
								<div>
									<ul>
										<li><a href="<?php echo home_url(); ?>/our-food/healthy-frozen-meals/">Entr&eacute;es Home</a></li>
										<?php $args = array('post_type' => 'healthy-frozen-meals','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
									</ul>
								</div>
							</div>
						</li>

						<li>
							<div class="accordion">
								<h3>Burritos</h3>
								<div>
									<ul>
										<li><a href="<?php echo home_url(); ?>/our-food/healthy-frozen-burritos/">Burritos Home</a></li>
										<?php $args = array('post_type' => 'burritos','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
									</ul>
								</div>
							</div>
						</li>
					</ul>
				</div>

				<div class="column">
					<h2>Fresh Blog</h2>
					<ul>
						<li>
							<div class="accordion">
								<h3>Recent Posts</h3>
								<div>
									<ul>
										<?php $args = array('post_type' => 'in-the-news','posts_per_page' => 10,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
									</ul>
								</div>
							</div>
						</li>
						<li>
							<div class="accordion">
								<h3>Categories</h3>
								<div>
									<ul>
										<?php
											$args = array(
												'orderby' => 'name',
												'order' => 'ASC'
											);
											$categories = get_categories($args);
											foreach($categories as $category) {
												echo '<li><a href="'. get_category_link( $category->term_id ) .'">' . $category->name . ' (' . $category->count . ')</a></li>';
											}
										?>
									</ul>
								</div>
							</div>
						</li>
						<li>
							<div class="accordion">
								<h3>Archive</h3>
								<div>
									<ul>
										<?php wp_get_archives('type=monthly&show_post_count=1&format=html'); ?>
									</ul>
								</div>
							</div>
						</li>
					</ul>
				</div>
			</div>

			<div class="row clearfix">
				<div class="column">
					<h2>Media</h2>
					<ul>
						<li>
							<div class="accordion">
								<h3>In the News</h3>
								<div>
									<ul>
										<?php $args = array('post_type' => 'in-the-news','posts_per_page' => 10,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
									</ul>
								</div>
							</div>
						</li>
						<li><a href="<?php echo home_url(); ?>/media/videos/">Videos</a></li>
						<li><a href="<?php echo home_url(); ?>/media/media-press-kit/">Media Press Kit</a></li>
						<li><a href="<?php echo home_url(); ?>/signup/">Newsletter Signup</a></li>
					</ul>
				</div>

				<div class="column">
					<h2>More Good Stuff</h2>
					<ul>
						<li>
							<div class="accordion">
								<h3>Recipes</h3>
								<div>
									<ul class="clearfix">
										<li><a href="<?php echo home_url(); ?>/healthy-recipes/">Recipes Home</a></li>
										<?php $args = array('post_type' => 'healthy-recipes','posts_per_page' => 10,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
									</ul>
								</div>
							</div>
						</li>
						<li><a href="<?php echo home_url(); ?>/about-us/faqs/">Learning Library</a></li>
						<li><a href="<?php echo home_url(); ?>/our-food/guide-to-spices/">Guide to Spices</a></li>

						<li><a href="<?php echo home_url(); ?>/about-us/faqs/">FAQs</a></li>
						<li><a href="<?php echo home_url(); ?>/search/search-results/?s=breakfast">Search Results</a></li>
						<li><a href="<?php echo home_url(); ?>/terms-of-use/">Terms of Use</a></li>
						<li><a href="<?php echo home_url(); ?>/privacy-policy/">Privacy Policy</a></li>
					</ul>
				</div>
			</div>

		</div><!--inner-column-->
	</div><!-- page-content -->
<?php endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>