<?php
	function luvo_worldofflavor_scripts() {
		wp_enqueue_style( 'worldofflavor_css' );
		wp_enqueue_script('packery');
		wp_enqueue_script('worldofflavor_js');
	}
	add_action( 'wp_enqueue_scripts', 'luvo_worldofflavor_scripts' );
?>

<?php get_template_part('parts/chrome/header'); ?>

<div class="central-column clearfix">
<?php
	if ( have_posts() ):
		$header = get_field('wof_page_header');
		echo "<img class='page-header-image' src='{$header}' alt='Luvo World of Flavor'>";

		echo "<div id='packGrid' class='central-column'>";
		if( have_rows('wof_image_nodes') ):
			$wof_count = 0;
			$wof_params = array();
			while ( have_rows('wof_image_nodes') ) : the_row();

				if( get_row_layout() == 'wof_image_node' ):

					$wof_img = get_sub_field('wof_image_node_image');
					$wof_params[$wof_count]['order'] = $wof_count + 1;
					$wof_params[$wof_count]['size'] = get_sub_field('wof_image_node_size');
					$wof_params[$wof_count]['image']['url'] = $wof_img['url'];
					$wof_params[$wof_count]['image']['alt'] = $wof_img['alt'];

					/* DEV NOTE: Beginning of `Node Content` Flexible Content Field */
					while ( have_rows('wof_image_node_content') ) : the_row();

						if( get_row_layout() == 'node_with_content' ):

							$wof_params[$wof_count]['cta']['alignmentX'] = get_sub_field('cta_alignment_x');
							$wof_params[$wof_count]['cta']['alignmentY'] = get_sub_field('cta_alignment_y');
							$wof_params[$wof_count]['cta']['padding'] = get_sub_field('cta_padding');

							if( have_rows('cta_btns') ):
								$btn_count = 0;
								while( have_rows('cta_btns') ): the_row();
									$wof_params[$wof_count]['cta']['btns'][$btn_count]['text'] = get_sub_field('cta_text');
									$wof_params[$wof_count]['cta']['btns'][$btn_count]['link'] = get_sub_field('cta_link');
									$wof_params[$wof_count]['cta']['btns'][$btn_count]['border'] = get_sub_field('cta_frame_color');
									$wof_params[$wof_count]['cta']['btns'][$btn_count]['color'] = get_sub_field('cta_hover_color');
									$btn_count++;
								endwhile;
							endif;
						endif;

						if( get_row_layout() == 'node_without_content' ):
							$wof_params[$wof_count]['cta']['link'] = get_sub_field('node_link');
						endif;
					endwhile;
					/* DEV NOTE: End of `Node Content` Flexible Content Field */
				endif;
				$wof_count++;
			endwhile;
		endif;
	endif;
?>

	<?php
		foreach($wof_params as $node):
			$order = $node['order'];
			$size = $node['size'];
			$image_url = $node['image']['url'];
			$image_alt = $node['image']['alt'];
			$alignmentX = $node['cta']['alignmentX'];
			$alignmentY = $node['cta']['alignmentY'];
			$no_content = $node['cta']['link'];
			$btns = $node['cta']['btns'];
			$padding = $node['cta']['padding'];
	?>

		

		<div id="wof-<?php echo $order; ?>" class="wof-node <?php echo $size; ?>" data-count="<?php echo $order; ?>">
			<?php if (!$no_content): ?>
				<style type="text/css">

					#wof-<?php echo $order; ?> .wof-btn {
						border-color: <?php echo $btns[0]['border']; ?>;
						color: <?php echo $btns[0]['border']; ?>;
					}

					#wof-<?php echo $order; ?> .wof-btn:hover {
						background-color: <?php echo $btns[0]['border']; ?>;
						border-color: <?php echo $btns[0]['border']; ?>;
						color: <?php echo $btns[0]['color'] ;?>;
					}

				</style>
			<?php endif; ?>

			<?php if ($no_content): ?>
				<a class="wof-block-link" href="<?php echo $no_content; ?>">
			<?php endif; ?>

				<img src="<?php echo $image_url; ?>" <?php if ($image_alt) { echo 'alt="'. $image_alt .'"'; } ?>>

			<?php if (!$no_content): ?>
				<div class="wof-content <?php echo $alignmentX . ' ' . $alignmentY; ?>" style="padding: <?php echo $padding; ?>;">
					<?php foreach ($btns as $btn): ?>
						<a href="<?php echo $btn['link']; ?>" class="wof-btn">
							<?php echo $btn['text']; ?>
							<span class="arrow">&rsaquo;</span>
						</a>
					<?php endforeach; ?>
				</div>
			<?php endif;?>

			<?php if ($no_content): ?>
				</a>
			<?php endif; ?>
		</div>
	<?php endforeach; ?>

	</div>
</div>
<?php get_template_part('parts/chrome/footer'); ?>