<?php 
    //Instagram Ajax Request
    add_action( 'wp_ajax_instagram_ajax_request', 'instagram_ajax_request_callback' );
    add_action( 'wp_ajax_nopriv_instagram_ajax_request', 'instagram_ajax_request_callback' );

    function instagram_ajax_request_callback() {
        global $wpdb;

        $request_time = date('U');
        $last_data = $wpdb->get_row("SELECT * FROM wp_social_data WHERE social_property = 'instagram' ORDER BY id DESC LIMIT 1");

        //Query instagram every 2 hours
        if( $last_data && $request_time < $last_data->date + 3600 * 2 ){
            $instagrams = $last_data->data;
            $instagram_json = $instagrams;
        }else{
            require( get_template_directory(). '/parts/api/instagram.class.php');

            $InstagramAPIClass = new InstagramAPIClass();
            $instagrams = $InstagramAPIClass -> renderInstagrams(1);
            $instagram_json = json_encode($instagrams);
            //If query is successful
            if( $instagrams->meta->code == 200 ){
                //assemble data to send to wordpress database
                $insert_array = array( 
                    'social_property'   => 'instagram', 
                    'data'              => $instagram_json,
                    'date'              => $request_time,
                );

                $wpdb->insert( 'wp_social_data', $insert_array );
            }
        }

        print_r( $instagram_json );

        die(); // this is required to return a proper result
    }