<?php 
    add_action( 'wp_ajax_submit_product_request', 'submit_product_request_callback' );
    add_action( 'wp_ajax_nopriv_submit_product_request', 'submit_product_request_callback' );

    function submit_product_request_callback() {
        global $wpdb;

        $api_key = 'AIzaSyDuImEIdX2Xm6YD3gr1w-k-vHDdeUbjsyA';

        //parse form input
        $product        = (isset($_POST['product']))?$_POST['product']:"";
        $sku            = (isset($_POST['sku']))?$_POST['sku']:"";
        $input_location = (isset($_POST['location']))?$_POST['location']:"";

        //request and process data from google
        $response   = file_get_contents('https://maps.google.com/maps/api/geocode/json?address='. urlencode( $input_location ). '&sensor=false&key='. $api_key);
        $response   = json_decode( $response );

        foreach ($response->results[0]->address_components as $address_component => $value) {
            if( in_array( 'postal_code', $value->types ) ){
                $postal_code = $value->long_name;
            }
            if( in_array( 'locality', $value->types ) ){
                $city = $value->long_name;
            }elseif( in_array( 'sublocality', $value->types ) ){
                $city = $value->long_name;
            }
            if( in_array( 'administrative_area_level_1', $value->types ) ){
                $state = $value->short_name;
            }
            if( in_array( 'country', $value->types ) ){
                $country = $value->short_name;
            }
        };

        //assemble data to send to wordpress database
        $insert_array = array( 
            'product'           => $product, 
            'product_sku'       => $sku, 
            'request_location'  => $input_location,
            'postal_code'       => $postal_code,
            'city'              => $city,
            'state'             => $state,
            'country'           => $country,
            'date'              => date('m/d/y')
        );

        $wpdb->insert( 'wp_product_requests', $insert_array );

        die(); // this is required to return a proper result
    }