<?php 
    //Twitter Ajax Request
    add_action( 'wp_ajax_twitter_ajax_request', 'twitter_ajax_request_callback' );
    add_action( 'wp_ajax_nopriv_twitter_ajax_request', 'twitter_ajax_request_callback' );

    function twitter_ajax_request_callback() {
        global $wpdb;

        $request_time = date('U');
        $last_data_entry = $wpdb->get_row("SELECT * FROM wp_social_data WHERE social_property = 'twitter' ORDER BY id DESC LIMIT 1");
        $last_data = $last_data_entry? json_decode($last_data_entry->data): false;
        
        //If stored data is valid and the last query was less than 2 hours ago
        if( $last_data && count($last_data) > 0 && $request_time < $last_data_entry->date + 3600 * 2 ){
            $twitter_json = $last_data_entry->data;
        }else{
            require( get_template_directory(). '/parts/api/twitter.class.php');
            $Twitter_API_Class = new Twitter_API_Class();
            $twitter_json = $Twitter_API_Class->retrieve_tweets();
            $tweets = json_decode($twitter_json);

            //If the query is successful
            if( !array_key_exists( 'errors', $tweets ) ){
                //assemble data to send to wordpress database
                $insert_array = array( 
                    'social_property'   => 'twitter', 
                    'data'              => $twitter_json,
                    'date'              => $request_time,
                );

                $wpdb->insert( 'wp_social_data', $insert_array );
            }
        }
        print_r( $twitter_json );

        die();
    }