<?php

    //Define Variables
    $name           = (isset($_REQUEST['user_name']))?$_REQUEST['user_name']:"";
    $location       = (isset($_REQUEST['location']))?$_REQUEST['location']:"";
    $luv_note       = (isset($_REQUEST['luv_note']))?$_REQUEST['luv_note']:"";
    $email          = (isset($_REQUEST['email']))?$_REQUEST['email']:"";
    $conditions     = (isset($_REQUEST['luv_conditions']))?$_REQUEST['luv_conditions']:"";

    // are there any blank fields?
    $submit_error = false;

    if( empty( $name )      ||
        empty( $email )     ||
        empty( $location )  ||
        empty( $luv_note )  ||
        empty( $conditions )
    ){
        $submit_error = true;
    }

    if ($submit_error == false) {
        //Create post
        $new_post = array(
            'post_title' => $name,
            'post_content' => '',
            'post_status' => 'private',
            'post_author' => 2,
            'post_date' => date('Y-m-d H:i:s'),
            'post_type' => 'testimonials',
        );
        $post_id = wp_insert_post($new_post);

        //Update Meta Values
        add_post_meta($post_id, 'wpcf-luv-notes-name', $name );
        add_post_meta($post_id, 'wpcf-luv-notes-email', $email );
        add_post_meta($post_id, 'wpcf-luv-notes-location', $location );
        add_post_meta($post_id, 'wpcf-luv-notes-original-text', $luv_note );


        $photo = $_FILES["user_avatar"];

        if( $_FILES["user_avatar"]['size'] != 0 && !empty( $_FILES['user_avatar']['name']) ){

            require_once( ABSPATH . 'wp-admin/includes/image.php' );
            require_once( ABSPATH . 'wp-admin/includes/file.php' );
            require_once( ABSPATH . 'wp-admin/includes/media.php' );

            $attachment_id = media_handle_upload( 'user_avatar', $post_id );
            add_post_meta( $post_id, '_thumbnail_id', $attachment_id, true );
        }

        require_once( get_template_directory().'/assets/lib/Mandrill.php');

        class SendEmail {
            private $apiKey = "VzZ159AwhBibKt-4wsp-eQ";
            public function auth(){
                return Mandrill::setKey($this->apiKey);
            }
            public function getApiMethods(){
                return Mandrill::getApiCalls();
            }
            public function send($data){
                $options = array(
                    'type'  =>  'messages',
                    'call'  =>  'send-template'
                );
                $options = array_merge_recursive($options, $data);
                return Mandrill::call($options);
            }
        }
        $admins = array( 'HMagee@luvoinc.com', 'knelson@luvoinc.com' );
        //User Confirmation Email
        $adminMailData = array(
            'template_name'     => 'Luv Note Received Notification',
            'template_content'  => array(),
            'message'           => array(
                'subject'               =>  'Luv Note Received',
                'from_email'            =>  'info@luvoinc.com',
                'from_name'             =>  'Luvo',
                'to'                    =>  array(),
                'track_opens'           => true,
                'track_clicks'          => true,
                'auto_text'             => true,
                'preserve_recipients'   => false,
                'global_merge_vars'     => array(
                    array(
                        'name'      =>  'current_year',
                        'content'   =>  date('Y')
                    )
                ),
                'merge_vars'    => array(
                    array(
                        'rcpt'      =>  '',
                        'vars'      =>  array(
                            array(
                                'name'    =>  'NAME',
                                'content' =>  $name,
                            ),
                            array(
                                'name'    =>  'EMAIL',
                                'content' =>  $email,
                            ),
                            array(
                                'name'    =>  'LOCATION',
                                'content' =>  $location,
                            ),
                            array(
                                'name'    =>  'NOTE',
                                'content' =>  $luv_note,
                            )
                        )
                    )
                )
            )
        );
        //instantiate custom Mandrill class
        $adminMail = new SendEmail;

        //authenticate with Mandrill
        $adminMail->auth();

        //send confirmation email
        foreach( $admins as $admin ){
            $adminMailData['message']['to'][0] = array(
                'email'     => $admin,
                'name'      => 'Luvo Administrator'
            );
            $adminMailData['message']['merge_vars'][0]['rcpt'] = $admin; 
            $adminResponse = $adminMail->send($adminMailData);
        }

    } //Submit Error

?>





