<?php

    //Define Variables
    $name               = (isset($_REQUEST['user_name']))?$_REQUEST['user_name']:"";
    $email              = (isset($_REQUEST['email']))?$_REQUEST['email']:"";
    $location           = (isset($_REQUEST['location']))?$_REQUEST['location']:"";
    $recipe_name        = (isset($_REQUEST['recipe_name']))?$_REQUEST['recipe_name']:"";
    $recipe_ingredients = (isset($_REQUEST['recipe_ingredients']))?$_REQUEST['recipe_ingredients']:"";
    $recipe_instructions = (isset($_REQUEST['recipe_instructions']))?$_REQUEST['recipe_instructions']:"";
    $recipe_notes       = (isset($_REQUEST['recipe_notes']))?$_REQUEST['recipe_notes']:"";
    $conditions         = (isset($_REQUEST['recipe_conditions']))?$_REQUEST['recipe_conditions']:"";

    //check for links in submitted text strings
    $linking = false;
    if( !empty( $recipe_ingredients && $linking == false ) ){
        preg_match_all('#(https?:\/\/[^ ]+)#', $recipe_ingredients, $links);
        $linking = (count($links[1])>0);
    };
    if( !empty( $recipe_instructions && $linking == false ) ){
        preg_match_all('#(https?:\/\/[^ ]+)#', $recipe_instructions, $links);
        $linking = (count($links[1])>0);
    };
    if( !empty( $recipe_notes ) && $linking == false ){
        preg_match_all('#(https?:\/\/[^ ]+)#', $recipe_notes, $links);
        $linking = (count($links[1])>0);
    };

    //abort if there are any blank fields or links
    $submit_error = false;

    if( empty( $name )                  ||
        empty( $email )                 ||
        empty( $location )              ||
        empty( $recipe_name )           ||
        empty( $recipe_ingredients )    ||
        empty( $recipe_instructions )   ||
        empty( $recipe_notes )          ||
        empty( $conditions )            ||
        ( $linking == true )
    ){
        $submit_error = true;
    }

    if ($submit_error == false) {
        //Create post
        $new_post = array(
            'post_title' => $recipe_name,
            'post_content' => '',
            'post_status' => 'private',
            'post_author' => 2,
            'post_date' => date('Y-m-d H:i:s'),
            'post_type' => 'healthy-recipes',
        );
        $post_id = wp_insert_post($new_post);

        //Update Meta Values
        add_post_meta( $post_id, 'wpcf-recipe-author', $name );
        add_post_meta( $post_id, 'wpcf-recipe-author-email', $email );
        add_post_meta( $post_id, 'wpcf-recipe-author-location', $location );
        add_post_meta( $post_id, 'wpcf-recipe-ingredients', $recipe_ingredients );
        add_post_meta( $post_id, 'wpcf-recipe-instructions', $recipe_instructions );
        add_post_meta( $post_id, 'wpcf-recipe-notes', $recipe_notes );

        require_once( get_template_directory().'/assets/lib/Mandrill.php');

        class SendEmail {
            private $apiKey = "VzZ159AwhBibKt-4wsp-eQ";
            public function auth(){
                return Mandrill::setKey($this->apiKey);
            }
            public function getApiMethods(){
                return Mandrill::getApiCalls();
            }
            public function send($data){
                $options = array(
                    'type'  =>  'messages',
                    'call'  =>  'send-template'
                );
                $options = array_merge_recursive($options, $data);
                return Mandrill::call($options);
            }
        }

        //User Confirmation Email
        $userMailData = array(
            'template_name'     => 'Recipe Received Notification',
            'template_content'  => array(),
            'message'           => array(
                'subject'               =>  'New Recipe Submission Received',
                'from_email'            =>  'info@luvoinc.com',
                'from_name'             =>  'Luvo',
                'to'                    =>  array(
                    array(
                        'email'     => 'HMagee@luvoinc.com',
                    )
                ),
                'track_opens'           => true,
                'track_clicks'          => true,
                'auto_text'             => true,
                'preserve_recipients'   => false,
                'global_merge_vars'     => array(
                    array(
                        'name'      =>  'current_year',
                        'content'   =>  date('Y')
                    )
                ),
                'merge_vars'    => array(
                    array(
                        'rcpt'      =>  'HMagee@luvoinc.com',
                        'vars'      =>  array(
                            array(
                                'name'    =>  'NAME',
                                'content' =>  $name,
                            ),
                            array(
                                'name'    =>  'EMAIL',
                                'content' =>  $email,
                            ),
                            array(
                                'name'    =>  'LOCATION',
                                'content' =>  $location,
                            ),
                            array(
                                'name'    =>  'RTITLE',
                                'content' =>  $recipe_name,
                            ),
                            array(
                                'name'    =>  'INGRED',
                                'content' =>  $recipe_ingredients,
                            ),
                            array(
                                'name'    =>  'INSTR',
                                'content' =>  $recipe_instructions,
                            ),
                            array(
                                'name'    =>  'NOTES',
                                'content' =>  $recipe_notes,
                            )
                        )
                    )
                )
            )
        );
        //instantiate custom Mandrill class
        $UserMail = new SendEmail;

        //authenticate with Mandrill
        $UserMail->auth();

        //send confirmation email
        $UserResponse = $UserMail->send($userMailData);

    } //Submit Error

?>

















