<?php
	//Remove admin bar by default
	add_filter('show_admin_bar', '__return_false');


	//Make ajaxurl available on front end
	add_action('wp_head','pluginname_ajaxurl');
	function pluginname_ajaxurl() {
	?>
	<script type="text/javascript">
	    var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';
	</script>

	<?php
	}

	//Improve specificity on page-centric styles
	add_filter( 'body_class', 'add_slug_to_body_class' );
	function add_slug_to_body_class( $classes ) {
	    global $post;

	    if( is_page() || is_singular() ) {
	        $classes[] = sanitize_html_class( $post->post_name );
	        $classes[] = 'page-'. $post->post_name;
	    }

	    return $classes;
	};


	// Filter get_avatar to include nopin attribute
	add_filter( 'get_avatar' , 'nopin_avatar' );
	function nopin_avatar( $avatar ) {
	    $avatar = substr_replace( $avatar, ' nopin=nopin ', -1, -1);

	    return $avatar;
	}

	// make "Link To" always be "none" by default
	add_filter( 'pre_option_image_default_link_type', 'always_return_none' );
	function always_return_none() {
	    return 'none';
	}

	//Prevent 404s from previous recipes section
	function custom_rewrite_recipes() {
	    add_rewrite_rule('^healthy-recipes\/?$', 'index.php?page_id=4245', 'top');
	}
	add_action('init', 'custom_rewrite_recipes');

	// Replaces the content "more" link
	function new_more($more) {
	    global $post;
	    return '&hellip; <a class="more-link" href="'. get_permalink($post->ID) . '"><span>Read more </span><span class="gt">»</span></a>';
	}
	add_filter('the_content_more_link', 'new_more');

	//Add jetpack stats link for each row in post list
	add_filter('manage_posts_columns', 'custom_column_heads');
	add_action( 'manage_posts_custom_column' , 'custom_columns', 10, 2 );
	function custom_columns( $column, $post_id ) {
	    switch ( $column ) {
	    case 'stats' :
	        echo '<a href="/wp-admin/admin.php?page=stats&view=post&post='. $post_id. '"><img src="http://dashboard.wordpress.com/i/stats-icon.png" alt="More stats"></a>'; 
	        break;
	    }
	}
	function custom_column_heads($defaults) {
	    $defaults['stats'] = 'Stats';
	    return $defaults;
	}