<?php
class Tether_Blog_Search extends WP_Widget {

	function __construct() {
		parent::__construct(
			'tether_blog_search', 
			__('Blog Search', 'text_domain'), 
			array( 'description' => __( 'Display a Search Form for Blog Posts', 'text_domain' ), ) // Args
		);
	}
	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $args['before_widget'];
		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
?>
<form method="post" action="<?php echo home_url(); ?>/blog-search/" name="blog-search">
	<input type="text" name="terms" value="<?php echo get_search_query(); ?>" placeholder="Blog Search" />
	<input type="submit" value="Search" />
</form>
<?php 
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) { $title = $instance[ 'title' ]; } else { $title = __( '', 'text_domain' ); };
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>

		<?php 
	}
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		return $instance;
	}

} // LocationCTA
register_widget('Tether_Blog_Search');
?>
