<?php
class Luvo_Archives_List extends WP_Widget {

	function __construct() {
		parent::__construct(
			'tether_luvo_archives', 
			__('Luvo Archives', 'text_domain'), 
			array( 'description' => __( 'Display a List of Archives', 'text_domain' ), ) // Args
		);
	}
	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $args['before_widget'];
		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
?>
<div class="wrapper">
<ul>
<?php $arguments = array(
	'show_post_count' => true,
);
?>
<?php wp_get_archives( $arguments ); ?> 
</ul>
</div>
<a href="#see-more" class="read-more before sprite-before">See More</a>
<?php
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) { $title = $instance[ 'title' ]; } else { $title = __( '', 'text_domain' ); };
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>

		<?php 
	}
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		return $instance;
	}

} // LocationCTA
register_widget('Luvo_Archives_List');
?>
