<?php
class Tether_Recipe_List extends WP_Widget {

	function __construct() {
		parent::__construct(
			'tether_recipe_list', 
			__('Recipe List', 'text_domain'), 
			array( 'description' => __( 'Display a List of Recent Recipes', 'text_domain' ), ) // Args
		);
	}
	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $args['before_widget'];
		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
?>
<?php //$mod_options = get_option('mod_options'); ?>
<?php 
	$arguments = array(
		'post_type' => 'healthy-recipes',
		'posts_per_page' => 4,
		'post_status' => 'publish',
	);
	$the_query = new WP_Query( $arguments ); 
	if ( $the_query->have_posts() ) {
?>
<ul>
<?php
		while ( $the_query->have_posts() ) {
			$the_query->the_post();
?>
		<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
<?php }//while; ?>
</ul>
<?php }//if; ?>
<?php wp_reset_query(); ?>
		<a href="/healthy-recipes/" class="read-more before sprite-before">All Recipes</a>

<?php 
		echo $args['after_widget'];
	}
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) { $title = $instance[ 'title' ]; } else { $title = __( '', 'text_domain' ); };
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>

		<?php 
	}
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		return $instance;
	}

} // LocationCTA
register_widget('Tether_Recipe_List');
?>