<?php
	function luvo_search_scripts() {
	    wp_enqueue_style( 'search_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_search_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<div class="page-content central-column styled-text">
	<?php get_template_part('parts/snippets/nav-to-main'); ?>

	<div class="inner-column">
		<header class="page-header">
			<h1>Search Results</h1>
			<form method="get" action="<?php echo home_url(); ?>/search/search-results/" name="site-search">
				<input type="text" name="s" value="<?php echo get_search_query(); ?>"/>
				<input type="submit" value="Search" />
			</form>
		</header>
		<?php query_posts($query_string . '&posts_per_page=100'); if (have_posts()): ?>
		<h2><strong><?php echo count($posts); ?> results</strong> found.</h2>
		<ul class="results" data-s="<?php echo get_search_query(); ?>">
			<?php while (have_posts()): the_post(); ?>
			<li>
				<h4><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<p class="link"><?php echo get_permalink(); ?></p>
				<div class="excerpt"><?php the_excerpt(); ?></div>
			</li>
			<?php endwhile; ?>
		</ul>
		<?php else: ?>
		<h2>Your search - <strong><?php echo get_search_query(); ?></strong> - did not match any documents.</h2>
		<h3>Suggestions &hellip;</h3>

		<section class="no-results">
			<div class="row clearfix">
				<div class="column">
					<h4>Products</h4>
					<ul>
						<li>
							<a href="<?php echo home_url(); ?>/products/healthy-breakfasts/">Breakfasts</a>
							<ol>
								<?php $args = array('post_type' => 'healthy-breakfasts','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
							</ol>
						</li>
						<li>
							<a href="<?php echo home_url(); ?>/products/healthy-frozen-meals/">Entr&eacute;es</a>
							<ol>
								<?php $args = array('post_type' => 'healthy-frozen-meals','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
							</ol>
						</li>
						<li>
							<a href="<?php echo home_url(); ?>/products/healthy-frozen-soups/">Soups</a>
							<ol>
								<?php $args = array('post_type' => 'healthy-frozen-soups','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
							</ol>
						</li>
						<li>
							<a href="<?php echo home_url(); ?>/products/healthy-recipes/">Recipes</a>
							<ol>
								<?php $args = array('post_type' => 'healthy-recipes','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
							</ol>
						</li>
						<li><a href="<?php echo home_url(); ?>/products/guide-to-spices/">Guide to Spices</a></li>
					</ul>
				</div>
				<div class="column">
					<h4>About Us</h4>
					<ul>
						<li>
							<a href="<?php echo home_url(); ?>/about-us/careers/">Careers</a>
							<ol>
								<?php $args = array('post_type' => 'careers','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
							</ol>
						</li>
						<li><a href="<?php echo home_url(); ?>/about-us/contact-us/">Contact Us</a></li>
						<li><a href="<?php echo home_url(); ?>/about-us/faqs/">FAQs</a></li>
						<li><a href="<?php echo home_url(); ?>/about-us/our-story/">Our Story</a></li>
						<li><a href="<?php echo home_url(); ?>/about-us/where-to-buy/">Where to Buy</a></li>
					</ul>
				</div>
				<div class="column">
					<h4>Media</h4>
					<ul>
						<li><a href="<?php echo home_url(); ?>/media/videos/">Videos</a></li>
						<li><a href="<?php echo home_url(); ?>/media/media-press-kit/">Media Press Kit</a></li>
						<li>
							<a href="<?php echo home_url(); ?>/media/in-the-news/">In the News</a>
							<ol>
								<?php $args = array('post_type' => 'in-the-news','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
							</ol>
						</li>
					</ul>
				</div>
			</div>
			<div class="row clearfix">
				<div class="column">
					<h4>People</h4>
					<ul>
						<li><a href="<?php echo home_url(); ?>/people/troys-tips/">Troy&rsquo;s Tips</a></li>
					</ul>
				</div>
				<div class="column">
					<h4>Partners</h4>
					<ul>
						<?php $args = array('post_type' => 'partners','posts_per_page' => 100,'orderby' => 'menu_order','order' => 'ASC'); $loop = new WP_Query($args); while ($loop->have_posts()): $loop->the_post(); ?><li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li><?php endwhile; wp_reset_query(); ?>
					</ul>
				</div>
				<div class="column">
					<h4>Other</h4>
					<ul>
						<li><a href="<?php echo home_url(); ?>/search/search-results/?s=breakfast">Search Results</a></li>
						<li><a href="<?php echo home_url(); ?>/terms-of-use/">Terms of Use</a></li>
						<li><a href="<?php echo home_url(); ?>/privacy-policy/">Privacy Policy</a></li>
						<li><a href="<?php echo home_url(); ?>/error-404/">Error 404</a></li>
					</ul>
				</div>
			</div>
			<div class="row clearfix">
				<div class="column">
					<h4>Practices</h4>
					<ul>
						<li><a href="<?php echo home_url(); ?>/NourishAmerica/">Luvo Nourishes America</a></li>
						<li><a href="<?php echo home_url(); ?>/practices/green-packaging/">Green Packaging</a></li>
						<li><a href="<?php echo home_url(); ?>/practices/sourcing-and-ingredients/">Sourcing/Ingredients Standards</a></li>
					</ul>
				</div>
			</div>
		</section>

		<?php endif; ?>
	</div><!--inner-column-->
</div><!-- page-content -->

<?php get_template_part('parts/chrome/footer'); ?>