<?php
	function luvo_career_scripts() {
	    wp_enqueue_style( 'career_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_career_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<?php if (have_posts()): ?>
<div class="page-content central-column">

<?php $is_submitted = ( isset($_POST['first_name']) )?$_POST['first_name']: false; ?>

<?php if( $is_submitted ){ ?>

<?php require_once('assets/lib/job-application-form-submit.php'); ?>

<?php if( $submit_error == false ){ ?>
	<div id="ajax-success" class="dialog">
		<h2>Thank You!</h2>
		<p>We have received your application. <br>Someone at Luvo will contact you if your application is selected.</p>
	</div>
<?php }else{ ?>
	<div id="ajax-fail" class="dialog">
		<h2>Oh Dear!</h2>
		<p>There was a problem with your request. <br>Please try again later or use the contact information below.</p>
	</div>
<?php } ?>
</div>

<?php }else{ ?>
	
	<ul class="content-nav-top clearfix">
		<?php if (function_exists('previous_post_link_plus')): ?>
		<li class="left">
			<?php
			previous_post_link_plus(array(
				'link' => 'Previous Job',
				'format' => '%link',
				'order_by' => 'post_title'
			));
			?>&nbsp;
		</li>
		<li class="right">
			<?php
			next_post_link_plus(array(
				'link' => 'Next Job',
				'format' => '%link',
				'order_by' => 'post_title'
			));
			?>&nbsp;
		</li>
		<?php endif; ?>
	</ul>
	<div class="inner-column">
		<header class="page-header styled-text">
			<h1>Apply Now</h1>
			<h2><?php the_title(); ?></h2>
			<p><?php echo get_post_meta($post->ID, 'wpcf-city_state', true); ?></p>
		</header>
		<section class="left-column styled-text">
			<?php the_content(); ?>
		</section>
		<aside class="right-column">
			<div class="career-application">
				<h3>Apply For This Job</h3>
				<form id="career-application-form" name="job-application" action="" method="post" enctype="multipart/form-data" >
					<label class="input-label">First Name *</label>
					<input type="text" name="first_name" required />
					<label class="input-label">Last Name *</label>
					<input type="text" name="last_name" required />
					<label class="input-label">Contact Email *</label>
					<input type="text" name="email" value="" required />
					<label class="input-label">Upload your Resume *</label>
					<p class="instruction">2MB maximum .doc, .docx, .pdf</p>
					<input id="file-upload" type="file" accept="application/pdf, .doc, .docx" name="attachment" required>
					<div id="files" class="files"></div>
					<label for="attachment" class="error size-error">File is larger than 2MB, please try again.</label>
					<label class="input-label">Comments</label>
					<textarea name="comments" required ></textarea>
					<input id="jobsubmit" type="submit" value="Submit" class="button align-center"/>
					<input type='hidden' name="position" value='<?php echo the_title(); ?>'/>
				</form>
			</div>
			<em>*Indicates a required field.</em>
		</aside>
	</div><!--inner-column-->
	<?php } ?>
</div><!-- page-content -->
<?php endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>




