<?php
	function luvo_recipe_scripts() {
		wp_enqueue_style( 'recipes_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_recipe_scripts' );
?>
<?php get_template_part('parts/chrome/header'); ?>

<?php if (have_posts()): while ( have_posts() ) : the_post(); ?>
<div class="page-content central-column">
	<?php get_template_part('parts/snippets/nav-to-sibling'); ?>

		<?php 
			$thumb_id = get_post_thumbnail_id();
			$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'full', true);
			$thumb_url = $thumb_url_array[0];
		?>
		<div class="pinable-recipe" itemscope itemtype="http://schema.org/Recipe" >
			<header class="page-header" style="background-image: url(<?php echo $thumb_url; ?>);">
				<?php the_post_thumbnail('recipe-header'); ?>
				<div class="text">
					<h1 itemprop="name"><?php the_title(); ?></h1>
				</div>
    			<meta itemprop="url" content="<?php the_permalink(); ?>" />

				<div class="social">
					<?php
						$ogUrl = get_the_permalink();
						$bitlink = new BitlyAPICall;
						$bitlink = $bitlink->get_bitlink( $ogUrl );
						$excerpt = get_the_excerpt();

						if ( get_post_meta($post->ID, 'wpcf-tweet-text', true) ){
							$tweet_text = get_post_meta($post->ID, 'wpcf-tweet-text', true);
						}else{
							$tweet_text = new WPSEO_OpenGraph;
							$tweet_text = $tweet_text->description(false);
							$tweet_text = substr( $tweet_text, 0, 137 );
							$tweet_text = preg_replace('/ [^ ]*$/', '...', $tweet_text);
						}
						if( types_render_field('custom-pinterest-image', array()) ){
							$pinterest_url = types_render_field('custom-pinterest-image', array( 'output'=>'raw'));
						}else{
							$thumb_id = get_post_thumbnail_id();
							$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'full', true);
							$pinterest_url = $thumb_url_array[0];
						}
					?>
					<a class="facebook" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo $ogUrl; ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;">
						<span class="offscreen">Share on Facebook</span>
						<img src="<?php echo get_template_directory_uri(); ?>/assets/img/hero/social-facebook-icon.png" height="54" width="54">
						<!-- <img nopin="nopin" src='<?php echo get_template_directory_uri(); ?>/assets/img/recipes/social-sprite.svg#svgView(viewBox(75 0 64.422 64.422))' alt="Facebook Icon"/> -->
					</a>
					<a class="twitter" href="https://twitter.com/intent/tweet?url=<?php echo $bitlink; ?>&hashtags=luvoinc&text=<?php echo urlencode( $tweet_text ); ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;" >
						<span class="offscreen">Tweet</span>
						<img src="<?php echo get_template_directory_uri(); ?>/assets/img/hero/social-twitter-icon.png" height="54" width="54">
						<!-- <img nopin="nopin" src='<?php echo get_template_directory_uri(); ?>/assets/img/recipes/social-sprite.svg#svgView(viewBox(0 0 64.422 64.422))' alt="Twitter Icon"/> -->
					</a>					
					<span class="pinterest" >
						<a href="//www.pinterest.com/pin/create/button/?url=<?php echo $ogUrl; ?>&media=<?php echo $pinterest_url; ?>&description=<?php echo urlencode( get_the_content() ); ?>" 
					        data-pin-do="buttonPin" >
        					<img src="//assets.pinterest.com/images/pidgets/pinit_fg_en_rect_gray_20.png" />
							<span class="offscreen">Pin to Pinterest</span>
						</a>
						<img src="<?php echo get_template_directory_uri(); ?>/assets/img/hero/social-pinterest-icon.png" height="54" width="54">
						<!-- <img nopin="nopin" src='<?php echo get_template_directory_uri(); ?>/assets/img/recipes/social-sprite.svg#svgView(viewBox(150 0 64.422 64.422))' alt="Pinterest Icon"/> -->
					</span>
					<!-- <a class="google-plus before" href="https://plus.google.com/share?url=<?php echo $ogUrl ?>" onclick="window.open(this.href,'targetWindow','width=600, height=400');return false;"><span class="offscreen">Share on Google Plus</span></a> -->
				</div>
			</header>
			<section class="recipe-description recipe-section" itemprop="description">
				<?php the_content(); ?>
			</section>
			<section class="recipe-pairings recipe-section">
				<h3>Goes great with</h3>
				<?php $post_objects = get_field('recipe-meal-pairings'); ?>
				<?php $i = 0; foreach( $post_objects as $post ): setup_postdata($post); $i++; if( $i<=3 ): ?>
					<a href="<?php the_permalink(); ?>">
						<div class="image">
							<?php the_post_thumbnail('plate-med'); ?>
						</div>
						<p><?php the_title(); ?></p>
					</a>
				<?php endif; endforeach; wp_reset_postdata(); ?>
			</section>
			<section class="recipe-ingredients recipe-section">
				<h3>Ingredients</h3>
				<?php 
					$ingredients = apply_filters( 'the_content', get_post_meta($post->ID, 'wpcf-recipe-ingredients', true) ); 
					$ingredients = str_replace( '<li>', '<li itemprop="ingredients" >', $ingredients );
					echo $ingredients;
				?>
			</section>
			<section class="recipe-instructions recipe-section" itemprop="recipeInstructions">
				<h3>Instructions</h3>
				<?php echo apply_filters( 'the_content', get_post_meta($post->ID, 'wpcf-recipe-instructions', true) ); ?>
			</section>
	<?php if( get_post_meta($post->ID, 'wpcf-recipe-notes', true) ){ ?>
			<section class="recipe-notes recipe-section">
				<h3>Notes</h3>
				<?php echo apply_filters( 'the_content', get_post_meta($post->ID, 'wpcf-recipe-notes', true) ); ?>
			</section>
	<?php } ?>
			<section class="recipe-tags recipe-section">
				<?php 
					$recipe_tags = wp_get_post_tags( $post->ID );
					foreach( $recipe_tags as $recipe_tag ){
						$clean_slug = $recipe_tag->name;
						$clean_slug = strtolower( str_replace(' ', '-', $clean_slug) );
						echo '<a href="'. get_site_url(). '/healthy-recipes/#'. $clean_slug. '">'. $recipe_tag->name. '</a>';
					};
				?>
			</section>
			<div class="recipe-comments recipe-section">
				<?php if( have_comments() ): ?>
					<h3>Comments</h3>
				<?php endif; ?>
				<?php
					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					};
				?>
			</div>
		</div>
</div><!-- page-content -->
<?php endwhile; endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>





