<?php
	function luvo_media_scripts() {
	    wp_enqueue_style( 'media_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_media_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<?php if (have_posts()): ?>
<div class="page-content central-column">
	
	<nav class="content-nav-top clearfix">
		<a href="/media/in-the-news/">Back to News</a>
	</nav>

	<div class="inner-column">
		<header class="page-header">
			<h1><?php the_title(); ?></h1>
			<section class="content-meta">
				<?php if( get_post_meta($post->ID, 'wpcf-author_name', true) ): ?>
				<h2>By <?php echo get_post_meta($post->ID, 'wpcf-author_name', true); ?></h2>
				<?php endif; ?>
				<time><?php echo get_the_date(); ?></time>
				<?php if( get_post_meta($post->ID, 'wpcf-copyright', true) ): ?>
				<cite>&copy;<?php echo get_post_meta($post->ID, 'wpcf-copyright', true); ?></cite>
				<?php endif; ?>
			</section>
		</header>

		<aside class="right-column clearfix">
			<div class="image">
				<?php the_post_thumbnail('in-the-news-lg'); ?>
			</div>
			<?php 
				$thumbnail_id    = get_post_thumbnail_id($post->ID);
				if( $thumbnail_id && $thumbnail_id != ''){
					$thumbnail_image = get_posts(array('p' => $thumbnail_id, 'post_type' => 'attachment'));

					if ($thumbnail_image && isset($thumbnail_image[0])) {
						echo '<p class="right">'.$thumbnail_image[0]->post_excerpt.'</p>';
					}
				};
			?>
		</aside>

		<section class="left-column">
			<?php get_template_part('parts/snippets/toolbar-share'); ?>
			<div class="styled-text">
			<?php the_content(); ?>
			</div>
			
			<?php if (get_post_meta($post->ID, 'wpcf-external_article_url', true)){ ?>
			<footer>
				<a href="<?php echo get_post_meta($post->ID, 'wpcf-external_article_url', true); ?>" target="_blank" class="button align-center after sprite-after read-more">
					<span>
						<?php if (get_post_meta($post->ID, 'wpcf-alternate_cta', true)){ 
							echo get_post_meta($post->ID, 'wpcf-alternate_cta', true);
						}else{
							echo 'Read More';
						}; ?>
					</span>
				</a>
			</footer>
			<?php } ?>
		</section>

	</div><!--inner-column-->
</div><!-- page-content -->
<?php endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>

