<?php
	function luvo_media_scripts() {
	    wp_enqueue_style( 'media_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_media_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<?php if (have_posts()): ?>
<div class="page-content central-column">
	<?php get_template_part('parts/snippets/nav-to-sibling'); ?>

	<div class="inner-column">
		<header class="page-header">
			<h1><?php if (get_post_meta($post->ID, 'wpcf-media_long_h1', true)) { echo get_post_meta($post->ID, 'wpcf-media_long_h1', true); } else { the_title(); } ; ?></h1>
			<h2><?php echo get_post_meta($post->ID, 'wpcf-media_h2', true); ?></h2>
		</header>

		<aside class="toolbar right-column clearfix">
			<div class="sidebar contacts">
				<h4>Contacts:</h4>
				<?php echo apply_filters('the_content', get_post_meta($post->ID, 'wpcf-media_contacts_sidebar', true) ); ?>
			</div>
			<div class="download sidebar">
				<?php $args = array( 'post_mime_type' => 'application/pdf', 'post_type' => 'attachment', 'numberposts' => -1, 'post_status' => null, 'post_parent' => $post->ID ); $attachments = get_posts($args); if ($attachments){ ?><h4><a href="<?php echo wp_get_attachment_url( $attachments[0]->ID ); ?>" target="_blank" title="Download: <?php the_title_attribute(); ?>" class="before sprite-before"><span>Download this Press Release</span></a></h4><?php } ?>
			</div>
			<div class="mail-and-print sidebar">
				<a href="mailto:?subject=<?php echo urlencode(the_title()); ?>&body=<?php echo urlencode((get_permalink())); ?>" title="E-mail" class="mail before sprite-before"><span>Email</span></a>
				<a href="#print" class="print before sprite-before"><span>Print</span></a>
			</div>
			<div class="facebook-twitter sidebar clearfix">
				<div class="facebook-wrapper">
					<div class="fb-share-button" data-href="<?php echo get_permalink($post->ID); ?>" data-type="button"></div>
				</div>
				<div class="twitter-wrapper">
					<a href="https://twitter.com/share" class="twitter-share-button" data-lang="en" data-size="small" data-count="none"><span class="offscreen">Tweet</span></a>
				</div>
			</div>
		</aside>

		<section class="left-column styled-text">
			<?php the_content(); ?>
		</section>

	</div><!--inner-column-->
</div><!-- page-content -->
<?php endif; ?>
<?php get_template_part('parts/chrome/footer'); ?>





