<?php
	function luvo_media_scripts() {
	    wp_enqueue_style( 'media_css' );
	}
	add_action( 'wp_enqueue_scripts', 'luvo_media_scripts' );
	
	get_template_part('parts/chrome/header');
?>
<div class="page-content video-content central-column styled-text">
	<?php get_template_part('parts/snippets/nav-to-sibling'); ?>

		<div class="inner-column">

		<header class="page-header">
			<h1>Videos</h1>
			<div class="video">
				<?php if( get_post_meta($post->ID, 'wpcf-youtube_id', true) ){ ?>
					<iframe width="1280" height="720" src="//www.youtube.com/embed/<?php echo get_post_meta($post->ID, 'wpcf-youtube_id', true); ?>?rel=0&autoplay=1" frameborder="0" allowfullscreen ></iframe>
				<?php }elseif( get_post_meta($post->ID, 'wpcf-vimeo_id', true) ) { ?>
					<iframe width="1280" height="720" src="//player.vimeo.com/video/<?php echo get_post_meta($post->ID, 'wpcf-vimeo_id', true); ?>?title=0&byline=0&portrait=0&autoplay=1" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen ></iframe>
				<?php } ?>
			</div>
			<div class="text">
				<?php the_content(); ?>
			</div>
		</header>
		<nav>
			<ul>
				<?php 
				$page_title = $post->post_name;
				$args = array(
					'post_type' => 'videos',
					'orderby' => 'menu_order',
					'order' => 'ASC',
					'posts_per_page' => 99,
				);
				$the_query = new WP_Query( $args ); 
				if ( $the_query->have_posts() ): while ( $the_query->have_posts() ): $the_query->the_post();
				$item_title = $post->post_name; 
				?>
				<li>
					<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="<?php if( $page_title == $item_title ){ echo 'active'; }?>" >
						<?php $img = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'video-sm' ); ?>
						<span class="before sprite" style="background:url(<?php echo $img[0]; ?>) 50% no-repeat"></span>
						<h2><?php the_title(); ?></h2>
					</a>
				</li>
				<?php endwhile; endif; ?>
			</ul>
		</nav>
	</div>
</div>

<?php get_template_part('parts/chrome/footer'); ?>
