var gulp = require('gulp'),
		config = require(process.cwd() + '/__gulp/config/config.js'),
		s = config.paths.src,
		b = config.paths.dist,
		methods = config.methods,
		settings = config.settings,
		header = require('gulp-header'),
		plumber = require('gulp-plumber'),
		cleanCss = require('gulp-clean-css'),
		rename = require('gulp-rename'),
		sass = require('gulp-sass'),
		sassGlob = require('gulp-sass-glob'),
		banner = methods.fileBanner,
		pkg = require(process.cwd() + '/package.json');

gulp.task('processStyles', function() {
	return gulp.src([s.css + 'style.scss'])
		.pipe(plumber({
			errorHandler: function(err) {
				console.log(err);
				this.emit('end');
			}
		}))
		.pipe(sassGlob())
		.pipe(sass({
			noCache: true,
			outputStyle: 'expanded',
			includePaths: [
				'./bower_components/'
			]
		}).on('error', sass.logError))
		//.pipe(cleanCss(settings.cleanCss))
		.pipe(header(banner, { pkg: pkg }))
		.pipe(rename('stay-alfred.css'))
		.pipe(gulp.dest(b.css))
		.on('end', function() {
			console.log('--- Styles processed ------');
		});
});
