var gulp = require('gulp'),
		config = require(process.cwd() + '/__gulp/config/config.js'),
		s = config.paths.src,
		b = config.paths.dist,
		methods = config.methods,
		settings = config.settings,
		plumber = require('gulp-plumber'),
		browserSync = require('browser-sync').create();


gulp.task('watch', function() {
	browserSync.init({
		proxy: {
			target: 'http://stayalfred.dev',
			ws: true
		},
		port: 3000,
		open: config.firstLaunch,
		ghostMode: false
  });
	gulp.watch([s.plugins + '**/*'], ['processPlugins']);
	gulp.watch([s.css + '**/*.scss'], ['processStyles']);
	gulp.watch([s.html + '**/*'], ['processTemplates']);
	gulp.watch([s.media + '**/*.{jpg,jpeg,gif,png,svg}'], ['processImages']);
	gulp.watch([b.html + '**/*.php']).on('change', browserSync.reload);
	gulp.watch([
		b.css + '**/*.css',
		b.js + '**/*.js']).on('change', function(event) {
		return gulp.src(event.path).pipe(browserSync.stream());
	});
});
