<?php

/**
 *  Creates a preformatted dump of data.
 *  @param  [Mixed] $exp  The data to display.
 *  @return [String]      The formatted data.
 */
function dump($exp, $die = false) {
	echo '<pre>';
	var_dump($exp);
	echo '</pre>';
	if ($die) {
		die();
	}
}


/**
 *  Deletes a cookie.
 *  @param  [String] $name The name of the cookie;
 */
function kill_cookie($name) {
	unset($_COOKIE[$name]);
}





/**
 *  Calls the Streamline API to return data.
 *  @param  [String] $method The Streamline method to call.
 *  @param  [Array]  $args   Any additional argurments besides the company code.
 *  @return [Object]         The returned data.
 */
function streamline_api($method, $args) {

	set_time_limit(300);

	$endpoint = 'https://web.streamlinevrs.com/api/json';
	$company_code = 'af641c59d485a2e3d2ccb0e3413d65f';

	$strm_params = array_merge(
		array(
			'company_code' => $company_code
		),
		$args
	);

	$request_json = json_encode(
		array(
			'methodName' => $method,
			'params' => $strm_params
		 )
	 );

	 $response = wp_remote_post($endpoint, array(
 		'headers' => array(
 			'Content-Type: application/json',
 			'Content-Length: ' . strlen( $request_json )
 		),
 		'body'    => $request_json
 		)
 	);

  //
	// if (is_wp_error( $response)) {
	// 	dump($response, true);
	// } else {
	// 	return $response['body'];
	// }

	if ( is_wp_error( $response ) ) {
		streamlinecore_error( sprintf( __( 'Error querying API - %s', 'streamline-core' ), $response->get_error_message() ) );
		return false;
	}

	$response = wp_remote_retrieve_body( $response );

	if ( empty( $response ) ) {
		streamlinecore_error( __( 'No body in API response.', 'streamline-core' ) );
		return false;
	}

	return $response;


}
