<?php
add_action( 'wp_nav_menu_items', 'stayalfred_bootstrap_navigation', 10, 2 );
function stayalfred_bootstrap_navigation( $items, $args ) {
  // check theme locations
  if ( $args->theme_location == 'bootstrap-navigation' ) {
    // get city navigation
    $city_menu = wp_nav_menu(
      array(
        'theme_location'    => 'city-navigation',
        'container'         => false,
        'menu_class'        => 'dropdown-menu',
        'fallback_cb'       => NULL,
        'echo'              => false,
        'depth'             => 1
      )
    );

    // prepend city menu
//    $items = '<li class="hidden-xs dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown">Cities&nbsp;<i class="fa fa-caret-down dark-grey"></i></a>' . $city_menu . '</li>' . $items;

    // add phone number to end of menu items
    $items .= '<li class="phone"><a href="tel:' . apply_filters( 'streamlinecore_sales_number', '866.232.3864' ) . '"><i class="fa fa-phone"></i> ' . apply_filters( 'streamlinecore_sales_number', '866.232.3864' ) . '</a></li>';
  }

  if ( $args->theme_location == 'city-navigation' && $args->container === FALSE ) {
    $items .= '<li class="divider"></li><li><a href="/search-results/">View all rentals</a></li>';
  }

  return $items;
}

add_action( 'nav_menu_css_class', 'stayalfred_city_navigation', 10, 4 );
function stayalfred_city_navigation( $classes, $item, $args, $depth ) {
  if ( $args->theme_location == 'city-navigation' && $args->container ) {
    $classes[] = 'col-sm-6';
  }

  return $classes;
}
