<?php
add_action( 'widgets_init', 'stayalfred_widgets' );
function stayalfred_widgets() {
  // home featured widget area
  register_sidebar( array(
    'name'          => __( 'StreamlineCore Side Property Area', 'stayalfred-theme' ),
    'id'            => 'property-widgets',
    'description'   => __( 'Add widgets here to appear on the right hand side of StreamlineCore single property listing pages.', 'stayalfred-theme' ),
    'before_widget' => '<div id="%1$s" class="widget widget-icon-list %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<div class="widget-header"><h3>',
    'after_title'   => '</h3></div>'
  ) );

  // home hero widget area
  register_sidebar( array(
    'name'          => __( 'Home Hero Area', 'stayalfred-theme' ),
    'id'            => 'home-hero-widgets',
    'before_widget'	=> '',
    'after_widget'  => '',
    'description'   => __( 'Add a ResortPro search to appear over the Hero Slider on the home page.', 'stayalfred-theme' )
  ) );

  // home featured widget area
  register_sidebar( array(
    'name'          => __( 'Home Featured Area', 'stayalfred-theme' ),
    'id'            => 'home-featured-widgets',
    'description'   => __( 'Add featured categories/locations/properties here to appear horizontally in your home page.', 'stayalfred-theme' ),
    'before_widget' => '<div id="%1$s" class="col-md-4 %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 style="display: none">',
    'after_title'   => '</h2>'
  ) );

  // home accreditations widget area
  register_sidebar( array(
    'name'          => __( 'Home Accreditations Area', 'stayalfred-theme' ),
    'id'            => 'home-accreditations-widgets',
    'description'   => __( 'Add Owl Carousel Widget here to appear on the home page under the hero area.', 'stayalfred-theme' ),
    'before_widget' => '<div id="%1$s" class="%2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 style="display: none">',
    'after_title'   => '</h2>'
  ) );

  // sidebar widget area
  register_sidebar( array(
    'name'          => __( 'Sidebar Area', 'stayalfred-theme' ),
    'id'            => 'sidebar-widgets',
    'description'   => __( 'Add widgets here to appear in the sidebar on template pages.', 'stayalfred-theme' ),
    'before_widget' => '<div id="%1$s" class="custom-content %2$s">',
    'after_widget'  => '</div>',
  	'before_title'  => '<h3>',
  	'after_title'   => '</h3>'
  ) );

  // left footer widget area
  register_sidebar( array(
    'name'          => __( 'Left Footer Area', 'stayalfred-theme' ),
    'id'            => 'left-footer-widgets',
    'description'   => __( 'Add widgets here to appear in the left side of your footer.', 'stayalfred-theme' ),
    'before_widget' => '<div id="%1$s" class="margin-bottom lg-links %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h5>',
    'after_title'   => '</h5>'
  ) );


  register_sidebar( array(
      'name'          => __( 'Center Footer Area', 'stayalfred-theme' ),
      'id'            => 'center-footer-widgets',
      'description'   => __( 'Add widgets here to appear in the center side of your footer.', 'stayalfred-theme' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => '',
      'after_title'   => ''
  ) );

  // right footer widget area
  register_sidebar( array(
      'name'          => __( 'Right Footer Area', 'stayalfred-theme' ),
      'id'            => 'right-footer-widgets',
      'description'   => __( 'Add widgets here to appear in the right side of your footer.', 'stayalfred-theme' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => '',
      'after_title'   => ''
  ) );
  register_sidebar( array(
      'name'          => __( 'Header Search', 'stayalfred-theme' ),
      'id'            => 'header-search-widgets',
      'description'   => __( 'Add widgets here to appear in the Header Search.', 'stayalfred-theme' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => '',
      'after_title'   => ''
  ) );
  register_sidebar( array(
      'name'          => 'Mobile Menu',
      'id'            => 'mobile-menu',
      'description'   => 'Add widgets here to appear in your Mobile Menu.',
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => '',
      'after_title'   => '',
  ) );
  register_sidebar( array(
      'name'          => 'Cities Area',
      'id'            => 'cities-area',
      'description'   => 'Add widgets here to appear in your Cities Area.',
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => '',
      'after_title'   => '',
  ) );
  register_sidebar( array(
      'name'          => 'Full Page Top',
      'id'            => 'full-top',
      'description'   => 'Add widgets here to appear on top of Full Page template.',
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => '',
      'after_title'   => '',
  ) );
}
