<!doctype html>
<html <?php language_attributes(); ?> class="no-js">
  <head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width">
    <?php if (function_exists('wp_site_icon')) {
    wp_site_icon();
} ?>
    <link rel="icon" type="image/png" href="<?php echo get_template_directory_uri() ?>/assets/images/fav.ico" />
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <script>(function () { document.documentElement.className = 'js'})();</script>
    <?php wp_head() ?>
		<meta name="google-site-verification" content="NW65wiFEB5nTTYw9U82-4orubx9Bfle30YkGLpvXTiM" />


		<!-- Facebook Pixel Code -->
		<script>
			!function(f,b,e,v,n,t,s)
			{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
			n.callMethod.apply(n,arguments):n.queue.push(arguments)};
			if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
			n.queue=[];t=b.createElement(e);t.async=!0;
			t.src=v;s=b.getElementsByTagName(e)[0];
			s.parentNode.insertBefore(t,s)}(window,document,'script',
			'https://connect.facebook.net/en_US/fbevents.js');
			fbq('init', '1866150700331603');
			fbq('track', 'PageView');
		</script>
		<noscript>
			<img height="1" width="1" src="https://www.facebook.com/tr?id=1866150700331603&ev=PageView&noscript=1"/>
		</noscript>
		<!-- End Facebook Pixel Code -->
		<link rel='stylesheet' id='nf-display-css' href='https://www.stayalfred.com/wp-content/plugins/ninja-forms/assets/css/display-structure.css?ver=4.7.9' type='text/css' media='all' />
		<link rel='stylesheet' id='bootstrap-css' href='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css?ver=4.7.9' type='text/css' media='all' />
		<link rel='stylesheet' id='stayalfred-theme-less-css' href='https://www.stayalfred.com/wp-content/uploads/wp-less/stayalfred/assets/src/less/style-558b50eaee.css' type='text/css' media='all' />
		<link rel='stylesheet' id='stayalfred-two-css' href='https://www.stayalfred.com/wp-content/themes/stayalfred/style.css?ver=1506552266' type='text/css' media='all' />
		<link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/assets/css/font-circular.css">
		<link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/assets/css/font-helvetica.css">
		<link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/assets/css/imn/imn.css?ver=<?php echo rand(1, 100000); ?>">
	</head>
	<body <?php body_class(); ?>>
	<article class="imn">
		<section class="masthead">
			<div class="container">
				<img class="logo" src="<?php echo get_template_directory_uri() ?>/assets/images/imn/StayAlfred_Logomark.png">
				<?php the_field('masthead'); ?>
			</div>
		</section>
		<section class="master-lease">
			<div class="container">
				<?php the_field('master_lease'); ?>
				<h3>Want to see it in action?</h3>
			</div>
		</section>

		<?php
            if (have_rows('properties')):
                while (have_rows('properties')) : the_row();
                    if (get_row_layout() == 'property'):
                        $bg_image = get_sub_field('background_image');
                        $table = get_sub_field('table');
                        $content = get_sub_field('content');

        ?>

						<section class="property">
							<div class="banner">
								<img src="<?php echo $bg_image; ?>" alt="Stay Alfred">
							</div>
							<div class="container">
								<div class="data">
									<table>
										<?php if (isset($table['phase'])) : ?>
											<tr>
												<td class="table-header">Contract Phase</td>
												<td class="table-value"><?php echo $table['phase']; ?></td>
											</tr>
										<?php endif; ?>

										<?php if (isset($table['structure'])) : ?>
											<tr>
												<td class="table-header">Structure</td>
												<td class="table-value"><?php echo $table['structure']; ?></td>
											</tr>
										<?php endif; ?>

										<?php if (isset($table['units'])) : ?>
											<tr>
												<td class="table-header">Stay Alfred Units</td>
												<td class="table-value"><?php echo $table['units']; ?></td>
											</tr>
										<?php endif; ?>

										<?php if (isset($table['location'])) : ?>
											<tr>
												<td class="table-header">Location</td>
												<td class="table-value"><?php echo $table['location']; ?></td>
											</tr>
										<?php endif; ?>
									</table>
									<div class="results">
									<h4>Results</h4>
										<ul>
											<?php
                                                if (have_rows('results')):
                                                    while (have_rows('results')) : the_row();
                                                ?>
													<li><?php the_sub_field('result'); ?></li>
													<?php endwhile; ?>
												<?php endif; ?>
										</ul>
									</div>
								</div>
								<div class="content"><?php echo $content; ?></div>
							</div>
						</section>
					<?php endif; ?>
				<?php endwhile; ?>
			<?php endif; ?>
			<section class="footer">
				<div class="container">
					<?php the_field('footer'); ?>
				</div>
			</section>
	</article>
	<?php wp_footer() ?>
</body>
</html>
