<?php
	get_header();

	// ini_set('display_errors', 'On');
	// error_reporting(E_ALL);

	$nashville_id = '5171';
	$nashville_json = get_template_directory() . "/assets/json/cma-{$nashville_id}.json";

	if (!file_exists($nashville_json)) {
		$nashville_props = json_decode(streamline_api('GetPropertyListWordPress', array('location_area_id' => $nashville_id )), true)['data']['property'];

		$fp = fopen($nashville_json, 'w');
		fwrite($fp, json_encode($nashville_props));
		fclose($fp);
	} else {
		$nashville_props = json_decode(file_get_contents($nashville_json), true);
	}

?>
	<style type="text/css">


		.props {
			padding: 0;
			width: 100%;
		}

		.props .col-md-4,
		.props .col-xs-6 { float: none; }

		.props {
			display: flex;
			flex-wrap: wrap;
			justify-content: space-between;
		}

		.prop {
			border: 1px solid #ddd;
			border-radius: 3px;
			flex: 1 0 30%;
			float: none;
			margin: 0 1.5rem 3rem;
		}

		.prop h1 {
			font-size: 18px!important;
		}

		.prop img {
			max-width: 100%;
		}
	</style>


	<div class="container">
    <?php if ( is_single() || is_page() ) : ?>
      <div class="row margin-top">
        <div class="col-md-12">
          <div class="wrap">
            <div class="col-md-12 center">
              <h2 class="title-header"><?php the_title() ?></h2>
            </div>
          </div>
        </div>
      </div>
    <?php endif; ?>

    <div class="row">
      <div class="col-md-12 props">
				<?php foreach ($nashville_props as $prop): ?>
					<?php if (gettype($prop['seo_page_name']) === 'string'): ?>

						<?php
							$p_title = str_replace('-', ' ', $prop['seo_page_name']);
							$p_location = $prop['location_name'];
							$p_price = $prop['price_str'];
							$p_img = $prop['default_image_path'];
						?>
						<article class="col-md-4 col-xs-6 prop">
							<h1><?php echo $p_title; ?></h1>
							<img src="<?php echo $p_img; ?>">
							<?php echo $p_location; ?>
							<?php echo $p_price; ?>
							<a href="https://stayalfred.com/<?php echo $prop['seo_page_name'] ?>">Link</a>
						</article>

					<?php endif; ?>
				<?php endforeach; ?>
      </div>
    </div>
  </div>
<?php get_footer() ?>
