<?php
	$gbta_path = get_template_directory_uri() . '/assets/gbta';
?>

<!doctype html>
<html class="no-js" lang="">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<title>Stay Alfred | We mean Business</title>
		<meta name="description" content="Something that is less than 160 characters.">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<link rel="manifest" href="site.webmanifest">
		<link rel="apple-touch-icon" href="icon.png">

		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/7.0.0/normalize.min.css">
		<link rel="stylesheet" href="<?php echo $gbta_path ?>/css/style.css">
	</head>

	<body>
		<main>

	<section class="masthead">
	<div class="content">
		<img src="<?php echo $gbta_path ?>/media/logo-stay-alfred.png" alt="Stay Alfred">
		<h1>See a better way to business travel.</h1>
	</div>
</section>

	<section class="tour">
	<div class="container">
		<div class="content">
			<div class="section-title">
				<h2>Take a tour</h2>
				<span class="indicator">Stay Alfred on Pine Street, Seattle</span>
			</div>
			<div class="section-body">
				<p>Say goodbye to cramped hotel rooms and vacation rentals full of other people&#39;s stuff,  and hello to <br class="break-desktop">Stay Alfred.</p>
			</div>
		</div>

		<div class="owl-carousel owl-theme">

				<div class="item room">
					<a href="<?php echo $gbta_path ?>/living-room/index.html">
						<img src="<?php echo $gbta_path ?>/media/thumb-living-room.jpg">
						<h3>
							<span>Living</span>
							Room
						</h3>
					</a>
				</div>

				<div class="item room">
					<a href="<?php echo $gbta_path ?>/kitchen/index.html">
						<img src="<?php echo $gbta_path ?>/media/thumb-kitchen.jpg">
						<h3>
							<span>Kitchen</span>

						</h3>
					</a>
				</div>

				<div class="item room">
					<a href="<?php echo $gbta_path ?>/bedroom/index.html">
						<img src="<?php echo $gbta_path ?>/media/thumb-bedroom.jpg">
						<h3>
							<span>Bed</span>
							Room
						</h3>
					</a>
				</div>

				<div class="item room">
					<a href="<?php echo $gbta_path ?>/entrance-area/index.html">
						<img src="<?php echo $gbta_path ?>/media/thumb-entrance-area.jpg">
						<h3>
							<span>Entry</span>

						</h3>
					</a>
				</div>

				<div class="item room">
					<a href="<?php echo $gbta_path ?>/gym/index.html">
						<img src="<?php echo $gbta_path ?>/media/thumb-gym.jpg">
						<h3>
							<span>Gym</span>

						</h3>
					</a>
				</div>

				<div class="item room">
					<a href="<?php echo $gbta_path ?>/common-room/index.html">
						<img src="<?php echo $gbta_path ?>/media/thumb-common-room.jpg">
						<h3>
							<span>Lounge</span>

						</h3>
					</a>
				</div>

				<div class="item room">
					<a href="<?php echo $gbta_path ?>/meeting-room/index.html">
						<img src="<?php echo $gbta_path ?>/media/thumb-meeting-room.jpg">
						<h3>
							<span>Conference</span>
							Room
						</h3>
					</a>
				</div>

				<div class="item room">
					<a href="<?php echo $gbta_path ?>/patio/index.html">
						<img src="<?php echo $gbta_path ?>/media/thumb-patio.jpg">
						<h3>
							<span>Rooftop</span>
							Deck
						</h3>
					</a>
				</div>

				<div class="item room">
					<a href="<?php echo $gbta_path ?>/exterior/index.html">
						<img src="<?php echo $gbta_path ?>/media/thumb-exterior.jpg">
						<h3>
							<span>Building</span>

						</h3>
					</a>
				</div>

		</div>
	</div>
</section>

	<section class="scan">
	<div class="scan-masthead">
			<h2>Leave it<br>to <b>win</b> it.</h2>
			<span class="indicator"><strong>Stay Alfred</strong> at Factors Row, New Orleans</span>
	</div>
	<div class="container">
		<div class="content">
			<div class="section-title">
				<aside><p>Leave your card for a chance to win a 3-night STAY.</p></aside>
			</div>
			<div class="section-body">
				<p>Take Stay Alfred for a test drive. From Chicago  to Seattle, Nashville to San Diego and more, the hardest thing about this trip will be picking where.</p>
				<small>Subject to availability. Winner will be drawn at random and notified October 18, 2017. Prize has no cash value.</small>
			</div>
		</div>
	</div>
</section>


		</main>

		<script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
		<script>window.jQuery || document.write('<script src="js/vendor/jquery-3.2.1.min.js"><\/script>')</script>
		<script src="<?php echo $gbta_path ?>/js/vendor/owl.carousel.min.js"></script>
		<script src="<?php echo $gbta_path ?>/js/main.js"></script>

		<script>
			window.ga=function(){ga.q.push(arguments)};ga.q=[];ga.l=+new Date;
			ga('create','UA-XXXXX-Y','auto');ga('send','pageview')
		</script>
		<script src="https://www.google-analytics.com/analytics.js" async defer></script>
	</body>
</html>
