<?php
// check for latitude and longitude (overwrite)
if ( isset( $_GET['latitude'] ) && is_numeric( $_GET['latitude'] ) && isset( $_GET['longitude'] ) && is_numeric( $_GET['longitude'] ) ) {
  $latitude = $_GET['latitude'];
  $longitude = $_GET['longitude'];
} elseif( isset( $_GET['area_id'] ) ) {
	$city = new WP_Query( array( 'post_type' => 'stayalfred-city', 'meta_query' => array( array( 'key' => 'staycity_area_id', 'value' => intval( $_GET['area_id'] ), 'compare' => '=' ) ) ) );

	$meta = get_post_custom( $city->post->ID );
	$latitude = $meta['staycity_gmap_latitude'][0];
	$longitude = $meta['staycity_gmap_longitude'][0];
	$zoom = str_replace ( 'z', '', $the_meta['staycity_gmap_zoom'][0] );
}

// check for ZOOM (overwrite)
if ( isset( $_GET['zoom'] ) && is_numeric( $_GET['zoom'] ) ) {
  $zoom = $_GET['zoom'];
} else {
    $zoom = 13;
    if($_GET['area_id']=='5172') $zoom = 16;
    if($_GET['area_id']=='5171') $zoom = 15;
    if($_GET['area_id']=='5173') $zoom = 14;
}
?>
<div class="map-search" ng-model="mapEnabled" style="max-width:100%; height: <?php echo $height; ?>px; position: relative;">
  <map
    style="height: 100vh;"
    center="<?php echo $latitude ?>, <?php echo $longitude ?>"
    zoom="<?php echo $zoom ?>"
    on-dragend="dragEnd(search)"
    on-zoom-changed="dragEnd(search)"
    ng-init="initializeMap(); autoZoom='<?php echo $autozoom; ?>'"
    map-type-id="<?php echo $type; ?>"
    default-style="false"
    pan-control="false"
    scrollwheel="false"
    zoom-control="true"
    map-type-control="false"
    scale-control="false"
    street-view-control="false"
    overview-map-control="false"
    styles='[{
      "featureType": "landscape.man_made",
      "elementType": "geometry",
      "stylers": [{"color": "#f7f1df"}]
    }, {
      "featureType": "landscape.natural",
      "elementType": "geometry",
      "stylers": [{"color": "#d0e3b4"}]
    }, {
      "featureType": "landscape.natural.terrain",
      "elementType": "geometry",
      "stylers": [{"visibility": "off"}]
    }, {
      "featureType": "poi",
      "elementType": "labels",
      "stylers": [{"visibility": "off"}]
    }, {
      "featureType": "poi.business",
      "elementType": "all",
      "stylers": [{"visibility": "off"}]
    }, {
      "featureType": "poi.medical",
      "elementType": "geometry",
      "stylers": [{"color": "#fbd3da"}]
    }, {
      "featureType": "poi.park",
      "elementType": "geometry",
      "stylers": [{"color": "#bde6ab"}]
    }, {
      "featureType": "road",
      "elementType": "geometry.stroke",
      "stylers": [{"visibility": "off"}]
    }, {
      "featureType": "road",
      "elementType": "labels",
      "stylers": [{"visibility": "off"}]
    }, {
      "featureType": "road.highway",
      "elementType": "geometry.fill",
      "stylers": [{"color": "#fdbc87"}]
    }, {
      "featureType": "road.highway",
      "elementType": "geometry.stroke",
      "stylers": [{"color": "#efd151"}]
    }, {
      "featureType": "road.arterial",
      "elementType": "geometry.fill",
      "stylers": [{"color": "#ffffff"}]
    }, {
      "featureType": "road.local",
      "elementType": "geometry.fill",
      "stylers": [{"color": "black"}]
    }, {
      "featureType": "transit.station.airport",
      "elementType": "geometry.fill",
      "stylers": [{"color": "#cfb2db"}]
    }, {
      "featureType": "water",
      "elementType": "geometry",
      "stylers": [{"color": "#38bcde"}]
    }]'
    class="map-canvas">
  </map>


    <div class="map-refresh-controls google">

        <div class="map-auto-refresh">
            <label class="">
                <input class="map-auto-refresh-checkbox" type="checkbox" ng-checked="mapSearchEnabled" ng-click="toggleMapSearch()" />
                <small> Search while moving map</small>
            </label>
        </div>
    </div>
</div>
