<!doctype html>
<html <?php language_attributes(); ?> class="no-js">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
            j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
            'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
        })(window,document,'script','dataLayer','GTM-NJHGCT');</script>
    <!-- End Google Tag Manager -->
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width">
    <?php if ( function_exists( 'wp_site_icon' ) ) { wp_site_icon(); } ?>
    <link rel="icon" type="image/png" href="<?php echo get_template_directory_uri() ?>/assets/images/fav.ico" />
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <script>(function () { document.documentElement.className = 'js'})();</script>
    <?php wp_head() ?>
</head>

<body <?php body_class(); ?>>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NJHGCT"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<header class="blog-header white-header">
    <div class="container-fluid">
        <div class="blog-header-logo">
            <a href="/blog/"><img src="/wp-content/uploads/2016/11/logoB.png"/></a>
        </div>


        <div class="blog-header-search">
            <?php get_search_form(); ?>
        </div>

        <div class="blog-header-btn">
            <!--<img src="/wp-content/uploads/2016/11/menu-mobileW.svg" title="" alt=""/>-->
            <img src="/wp-content/uploads/2016/11/menu-mobile-blog.svg" title="" alt="" style="display: block!important;"/>
        </div>

        <!--<div class="newsletter">
          <a href="" role="button" data-toggle="modal" data-target="#newsletter-modal">
            Newsletter
          </a>
        </div>-->

        <div class="blog-header-soc">
            <a href="/" class="back-link big-back-link">Back to main site</a>
            <!--<a href="https://www.facebook.com/StayAlfred" target="_blank" style="margin-left:5px"><i class="fa fa-facebook fb-spoontalk-social spoontalk-social hvr-pop"></i></a>
            <a href="https://www.linkedin.com/company/2856091" target="_blank" style="margin-left:5px"><i class="fa fa-linkedin linkedin-spoontalk-social spoontalk-social hvr-pop "></i></a>
            <a href="https://www.twitter.com/StayAlfred" target="_blank" style="margin-left:5px"><i class="fa fa-twitter tw-spoontalk-social spoontalk-social hvr-pop "></i></a>
            <a href="http://plus.google.com/+StayAlfred" target="_blank" style="margin-left:5px"><i class="fa fa-google-plus g-plus-spoontalk-social spoontalk-social hvr-pop "></i></a>
            <a href="https://www.rss.com" target="_blank" style="margin-left:5px"><i class="fa fa-rss rss-spoontalk-social spoontalk-social hvr-pop "></i></a>
            <a href="https://www.youtube.com/c/stayalfred" target="_blank" style="margin-left:5px"><i class="fa fa-youtube youtube-spoontalk-social spoontalk-social hvr-pop "></i></a>
            <a href="http://www.pinterest.com/StayAlfred" target="_blank" style="margin-left:5px"><i class="fa fa-pinterest pinterest-spoontalk-social spoontalk-social hvr-pop "></i></a>
            <a href="https://www.instagram.com/stayalfred" target="_blank" style="margin-left:5px"><i class="fa fa-instagram instagram-spoontalk-social spoontalk-social hvr-pop "></i></a>-->
        </div>
        <div class="mobileNavSub">
            <div class="toGo"></div>
            <img src="/wp-content/uploads/2016/10/menu-triangle.svg" alt=""/>
            <?php if (is_active_sidebar('mobile-menu')) : dynamic_sidebar('mobile-menu'); endif; ?>
        </div>
    </div>
</header>


<div class="row row-no-margin" style="margin-top: 120px;">
    <div class="col-md-12">
        <div class="wrap">
            <div class="col-md-12 center">
                <!--<h2 class="title-header"><?php echo _e( sprintf( 'Search results for "%s"', get_search_query()), 'stayalfred-theme' ) ?></h2>-->
            </div>
        </div>
    </div>
</div>

<section class="blog-main">
    <div class="container-fluid">
        <div class="row row-no-margin">
            <?php if ( have_posts() ) : ?>
            <?php while ( have_posts() ) : the_post(); ?>
                <div class="col-lg-4 col-md-4">
                    <a href="<?php echo get_permalink(); ?>">
                        <figure>
                            <div>
                                <?php
                                if(get_the_post_thumbnail($page->ID, 'post-thumbnails')){
                                    echo get_the_post_thumbnail($page->ID, 'post-thumbnails');
                                }else{
                                    echo '<img src="/wp-content/uploads/2017/03/no-image-available-3.jpg" alt="'.get_the_title().'"/>';
                                }
                                ?>
                            </div>
                            <figcaption>
                                <h2><?php the_title(); ?></h2>
                                <p><?php echo excerpt(40); ?></p>
                            </figcaption>
                        </figure>
                    </a>
                </div>
            <?php endwhile; ?>
            <br/>
            <?php the_posts_pagination( array( 'prev_text' => __( 'Previous page', 'stayaflred-theme' ), 'next_text' => __( 'Next page', 'stayaflred-theme' ), 'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'stayalfred-theme' ) . ' </span>' ) ); ?>
        </div>
    </div>
</section>

<?php else : ?>
    <?php get_template_part( 'content', 'none' ) ?>
<?php endif; ?>

<?php get_footer() ?>
<script>
    jQuery('.blog-header .newsletter a').css({'color':'#38BCDE', 'border-color':'#38BCDE' });
    jQuery('.blog-header').css({'background':'#fff'});
    jQuery('.blog-header .blog-header-btn span').css({'background':'#38BCDE'});
    jQuery('.blog-header .blog-header-soc a i').css({'background':'#38BCDE'});
    jQuery('.blog-header .blog-header-search').css({'background':'#DAEDF5'});
    jQuery('.blog-header .blog-header-search form input[type="submit"]').css({'background-color':'#DAEDF5',
        'background-image':'url(/wp-content/uploads/2016/11/search.png)' });
    jQuery('.blog-header .blog-header-search form input[type="text"]').css({'background-color':'#DAEDF5'});

    var addPad = jQuery('.blog-header').height() *1.3 ;
    jQuery('.singlePost').css('padding-top', addPad)

    jQuery(document).ready(function(){
        /*blog header js*/
        /*rotate img nav*/
        jQuery('.mobileNavSub').hover(
            function(){
                jQuery('.blog-header-btn img').addClass('active');
            },
            function(){
                jQuery('.blog-header-btn img').removeClass('active');
            }
        );

        if (window.innerWidth > '1130') {
            jQuery('.blog-header-btn').hover(
                function(){
                    jQuery('.white-header .mobileNavSub').css({'display': 'block'});
                },
                function(){
                    jQuery('.white-header .mobileNavSub').css({'display': 'none'});
                }
            );
        }else{
            jQuery('.blog-header-btn').click(function(){
                jQuery(this).parent().toggleClass('active')
            })
        }
        var posLeft = jQuery('.blog-header-btn').offset().left;
        jQuery('.white-header .mobileNavSub').css({'left': posLeft});

    });// end document ready
</script>
<style>
/*blog-header*/
.blog-header .active .mobileNavSub{
    display: block;
}
.blog-header-btn img:hover{
    transform: rotate(90deg);
}
.blog-header-btn .active, .blog-header .active .blog-header-btn img{
    transform: rotate(90deg);
}
.blog-header-btn img:last-child{
    display: none!important;
}

/*single post part*/
.single-post .blog-header-btn img:first-child{
    display: none!important;
}
.single-post .blog-header-btn img:last-child{
    display: block!important;
}
.singlePost{
    padding-top: 160px;
}
/*single post part*/ 
   
.blog-header{
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    background: transparent;
    z-index: 8;
    padding: 10px 0;
    height: auto!important;
}
.blog-header .blog-header-logo img{
    width: 160px;
}
.blog-header .blog-header-soc{
    margin-top: 13px;
}
.blog-header .blog-header-soc a i,
.mobile-blog-slider-soc a i{
    background: transparent;
}
.blog-header .newsletter a,
.mobile-newsletter a{
    display: block;
    color:#fff;
    border: 1px solid #fff;
    border-radius: 5px;
    text-align: center;
    width: 200px;
    height: 50px;
    line-height: 1.4;
    font-size: 32px;
    margin-top: 35px;
    transition: none;
}
.mobile-newsletter,
.mobile-blog-slider-soc{
    display:none;
}
.blog-header .container-fluid .blog-header-logo{
    float: left;
}
.blog-header .container-fluid > div{
    float:right;
}
.blog-header .newsletter{
    margin-left: 100px;
}
.blog-header .blog-header-btn span{
    display: block;
    background: #fff;
    height: 15px;
    width:100px;
    margin-bottom: 15px;
    border-radius: 10px;
}
.blog-header .blog-header-btn span:last-child{
    margin-bottom: 0;
}
.blog-header .blog-header-btn{
    margin-left: 45px;
    margin-top: 5px;
}
.blog-header .blog-header-btn img{
    height: 45px;
    transition: all 0.4s;
}
.blog-header .blog-header-search{
    margin-left: 35px;
    width: 320px;
    height: 50px;
    border-radius: 40px;
    background: #fff;
    overflow: hidden;
}
.blog-header .blog-header-search form{
    padding-left: 10px;
} 
.blog-header .blog-header-search form input{
    height:40px ;
    margin-top: 5px;
    border: none!important;
    float: left;
}
.blog-header .blog-header-search form input[type="text"]{
    width:250px;
    font-size: 32px;
}
.blog-header .blog-header-search form #searchsubmit{
    width: 45px;
    background-color: #fff;
    background-image: url(/wp-content/uploads/2016/11/searchB.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 80%;
}
    .back-link {
        color: #38BCDE !important;
        font-size: 14px;
        border: 1px solid #38BCDE;
        border-radius: 3px;
        height: 32px;
        display: inline-block;
        line-height: 2;
        padding: 0 7px;
    }
    .big-back-link {
        position: relative;
        top: -1px;
    }
    .row-no-margin{
        margin-left:0;
        margin-right: 0;
    }
    .blog-main > .container-fluid{
        padding: 0;
    }
    .custom-content{
        padding-left: 15px!important;
        padding-right: 15px!important;
    }
    figure div img{
        width: 100%;
        height: auto;
    }
    a, a:hover{
        color: #000;
        text-decoration: none;
    }
    figcaption{
        height: 370px!important;
    }
    figure figcaption{
        padding: 20px;
        background: #fff;
    }
    figure figcaption h2{
        font-size: 1.7em;
        line-height: 1.15;
        margin-bottom: 12px!important;
    }
</style>
