<?php
/**
 * Template Name: Page About
 */
get_header(); ?>
<?php if ( have_posts() ) : ?>
    <?php
    while ( have_posts() ) : the_post();
        $thumb = wp_get_attachment_image_src(get_post_thumbnail_id(), 'post-thumbnails');
        ?>
        <div id="main-content" class="container-fluid">
            <div class="about-banner">
                <img src="/wp-content/uploads/2016/11/bannerSAabout.jpg" alt="office"/>
                <div class="about-banner-header">
                    <h1>About Stay Alfred</h1>
                </div>
            </div><!-- /end about-banner  -->
            <div class="about-article">
                <div class="container">
                    <?php the_content();?>
                </div>
            </div><!-- /end about-article  -->
            <div class="our-work">
                <div class="container">
                    <div class="row">
                        <div class="our-work-line our-work-line-left"></div>
                        <div class="our-work-line our-work-line-right"></div>
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <img  src="/wp-content/uploads/2016/11/icon-house-about.png" alt=""/>
                            <h3>Vacation Homes</h3>
                            <p>We constantly develop new technology to
                                maintain our status as an industry leader.
                                This technology allows us to efficiently
                                communicate with our guests, buildings
                                and staff 24/7. </p>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <img  src="/wp-content/uploads/2016/11/icon-house-about-2.png" alt=""/>
                            <h3>Downtown Locations</h3>
                            <p>We work with our building owners and
                                managers to ensure that all concerns are
                                addressed. We have maintained residency in some of our buildings for over
                                three years. </p>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <img  src="/wp-content/uploads/2016/11/icon-monitor-about.png" alt=""/>
                            <h3>Consistency</h3>
                            <p>Having a clean property is mutually beneficial for the building and our guests,
                                which is why we work with professional
                                cleaners to ensure our apartments are
                                consistently cleaned to a high standard.  </p>
                        </div>
                    </div>
                </div>
            </div><!-- /end our-work -->
            <div class="our-team">
                <div class="container">
                    <h1>About Us</h1>
                    <div class="row" id="contentTeam">
                        <?php
                        $args = array(
                            'post_type' => 'sa-team-member',
                            'posts_per_page' => 9999,
                        );

                        $query = new WP_Query($args);
                        if ($query->have_posts()) :
                            while ($query->have_posts()): $query->the_post();
                                $meta = get_post_meta( get_the_ID() );
                                $img1 = wp_get_attachment_image_src( $meta['_sa-team-member_solemn_image_id'][0], 'medium', false );
                                $img2 = wp_get_attachment_image_src( $meta['_sa-team-member_goofy_image_id'][0], 'medium', false );
                                ?>

                                <div class="col-lg-3 col-md-3 col-sm-6">
                                    <div class="square">
                                        <img src="<?php echo $img1[0];?>" alt="<?php the_title(); ?>"/>
                                        <img src="<?php echo $img2[0];?>" alt="<?php the_title(); ?>"/>
                                    </div>
                                    <h2><?php the_title(); ?></h2>
                                    <h3><?php echo $meta['_sa-team-member_position'][0];?></h3>
                                </div>

                                <?php
                            endwhile;
                        endif;
                        wp_reset_postdata();
                        ?>

                    </div>
                    <div class="our-team-button">
                        <div class="team-line"><div></div></div>
                        <div class="team-button">
                            <a href="" class="team-4" id="showMoreLink"><span>See full team</span><span>Close full team</span></a>
                        </div>
                        <div class="team-line"><div></div></div>
                    </div>
                </div>
            </div><!-- /end our-team -->
            <div class="do-better">
                <div class="container">
                    <h2>We strive to <strong>Do Better</strong> every day.</h2>
                    <div class="do-better-diagram">
                        <img src="/wp-content/uploads/2016/11/scheme-21.png" alt="diagram"/>
                    </div>
                </div>
            </div><!-- /end do-better -->
            <div class="founders">
                <!--<img class="uploadingDisplayed" src="/wp-content/uploads/2016/11/banner-about-2dance.gif" alt="dancing-man"/>
                <div class="founders-banner">
                    <img src="/wp-content/uploads/2016/11/banner-about-2.png" alt="dancing-man"/>
                    <div class="founders-banner-header">
                        <h2>Founders Story,<strong>From Hostile Fire to Hospitality</strong></h2>
                    </div>
                </div>--><!-- //end founders-banner -->
                <div class="founders-article">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-12 col-md-12">
                                <div class="founders-line"></div>
                                <h3>Our Founders Story</h3>
                                <p style="margin-top: 15px;">Jordan Allen, CEO & Founder of Stay Alfred, is a decorated US Army veteran. He served two tours in Iraq and Afghanistan as a US captain and airborne ranger. Jordan received a combat action badge for outstanding leadership when his troop was struck by a roadside bomb. He is also a Bronze Star recipient</p>
                                <p>In 2011, after a fifteen-month deployment on a special forces outpost in Afghanistan, Jordan sought some traditional “R&R.” He decided to take a trip to watch the Colorado Rockies home opener with family and friends. Little did he know, this vacation would spark the idea for Stay Alfred, now respected as one of the nation’s fastest growing hospitality ventures.  </p>
                                <p>Tasked with the challenge of finding accommodations for his large party without splitting the group between multiple hotel rooms, Jordan booked a downtown Denver vacation rental. It was an elegant solution, adjacent to Coors Field and the vacation rental provided a fresh and convenient hospitality experience. Jordan liked that his father was able to have his own bedroom, there was a full kitchen for him to cook pre-game snacks in, there was a washer and dryer for him to wash his gym clothes after working out and that the building had a pool. Inspired by the vacation rental experience, Jordan did research and and found there was no nationwide vacation rental leader that consistently merged the quality of a hotel with the space and convenience of downtown apartment living. When Jordan returned to the military he had his mind set on one goal for when he came home again: to become a leader in the vacation rental industry. Jordan's goal involved providing a consistent experience in high-end apartment buildings found in the best downtown locations across the nation. </p>
                                <p>In 2011, Stay Alfred opened up some of its first vacation rentals in Seattle, Washington. Capitalizing on early success, the company invested in itself and expanded rapidly into more major metropolitan cities across the country. Fast forward to 2016, Stay Alfred has provided a consistent vacation rental experience to over 150,000 guests in twelve major metropolitan cities, and counting!</p>
                                <p><strong>More about Jordan:</strong> Jordan graduated from Portland State University in 2005 with a degree in business. He played defensive end for the Portland State Vikings and claims he knew very early in his football career that he was not going to make the draft. Jordan was also a member of the ROTC. In his free time, Jordan enjoys mountain biking and teaching his two little girls, Sofie and Stella, to be “army tough.”</p>
                            </div>
                            <!--<div class="col-lg-5 col-md-5">
                                <img src="/wp-content/uploads/2016/11/kcJSdN.jpg"  alt="soldiers"/>
                                <img src="/wp-content/uploads/2016/11/Stay-Alfred-New-Items.jpg"  alt="jordan"/>
                            </div>-->
                        </div>
                    </div>
                </div><!-- //end founders-article -->
            </div><!-- /end founders -->
        </div>
    <?php endwhile; ?>
<?php endif; ?>
<?php get_footer(); ?>
<style type="text/css">
.founders-article .founders-line{
    position: relative;
    top: 25px;
    height: 4px;
    border:1px solid #47BCD8;
    z-index: -1;
    border-left: none;
    border-right: none;
}
.founders-article h3{
    text-align: center;
    background-color: white;
    width: 330px;
    margin: 0 auto;
}
#main-content{
    padding: 0;
}
#main-content h1{
    font-family:'NexaRustSlab-Black' ;
    font-size:4em;
}
.about-banner{
    position:relative;
}
.about-banner-header{
    background: rgba(255, 255, 255, 0.6);
    position:absolute;
    left:0;
    right:0;
    top:30%;
    padding:25px 0 50px 0;
    text-align:center;
}
.about-article{
    padding: 70px 0;
}
.our-work{
    background:#4EBEDA ;
    color: #fff;
    padding:45px 0;
}
.our-work > .container > .row{
    position: relative;
}
.our-work .our-work-line{
    width:180px;
    height: 5px;
    background:#fff;
    position:absolute;
    top: 60px;
}
.our-work .our-work-line-left{
    left:290px ;
}
.our-work .our-work-line-right{
    right:290px;
}
.our-work img{
    margin:0 auto 40px auto;
    display:block;
}
.our-work h3{
    text-align:center;
    margin-bottom:25px!important;
    font-weight: bold;
    font-size:24px;
}
.our-team{
    padding:45px 0;
    text-align: center;
}
.our-team h1{
    color:#65C7E2;
    margin-bottom: 45px!important;
}
.our-team h2,
.our-team h3{
    font-size:20px;
    font-family: 'HandOfSean' ;
}
.our-team h2{
    color:#221F20;
    padding-top: 5px;
    font-size: 27px !important;
}
.our-team h3{
    color:#868478;
    min-height: 70px;
}
.our-team .square{
    overflow: hidden;
    border-radius: 100%;
    width: 85%;
    margin: 0 auto;
}
.our-team .square img:last-child{
    display: none;
}
.our-team .square:hover img:last-child{
    display: block;
}
.our-team .square:hover img:first-child{
    display:none;
}

.our-team img{
    margin-bottom:10px;
    width: 100%;
}
.our-team .our-team-button{
    margin-top:40px;
}
.our-team .our-team-button > div{
    float: left;
    height: 40px;
}
.our-team .our-team-button .team-line{
    width:40%;
    padding-top: 18px;
}
.our-team .our-team-button .team-line:first-child{
    padding-right: 15px;
}
.our-team .our-team-button .team-line:last-child{
    padding-left: 15px;
}
.our-team .our-team-button .team-line > div{
    height:4px;
    border: 1px solid #47BCD8;

}
.our-team .our-team-button .team-button{
    width:20%;
}
.our-team .our-team-button .team-button a{
    color:#47BCD8;
    border:1px solid #47BCD8;
    height: 40px;
    display: block;
    line-height: 2;
    transition: all 0.2s linear;
}
.our-team .our-team-button .team-button a:hover{
    color:#fff;
    background:#47BCD8;
}
.do-better{
    text-align: center;
    padding:40px 0;
}
.do-better h2{
    margin-bottom:40px!important;
    color:#221F20;
    font-size:3.5em;
    font-weight: 500;
}
.do-better .do-better-diagram{
    max-width: 735px;
    margin:0 auto;
}
.founders-banner{
    position: relative;
    margin-bottom:30px;
}
.about-banner img,
.founders-banner img,
.founders-article img,
.do-better .do-better-diagram img{
    width:100%;
}
.founders-banner .founders-banner-header{
    background: rgba(255, 255, 255, 0.6);
    position:absolute;
    left:0;
    top: 30px;
    padding: 35px 50px 35px 60px;
    width: 49.7%;
}
.founders-banner .founders-banner-header h2{
    font-size: 2.4em;
}
.founders-banner .founders-banner-header h2 strong{
    display:block;
}
.founders-article{
    margin-bottom:30px;
}
.founders-article p{
    margin-bottom:10px;
    line-height:1.4;
    font-size:16px;
    text-align: justify;
}
.founders-article img:first-child{
    margin-bottom:20px;
}
#contentTeam .col-lg-3:nth-child(n+5){
    display: none;
}
.active #contentTeam .col-lg-3{
    display: block!important;
}
#showMoreLink span:last-child{
    display: none;
}
.active #showMoreLink span:first-child{
    display: none;
}
.active #showMoreLink span:last-child{
    display: inline;
}
/*Responsivness *** Responsivness *** Responsivness*/
    @media(max-width:1370px){
        .founders-banner .founders-banner-header{
            padding:15px 20px;
        }
        .founders-banner .founders-banner-header h2{
            font-size:2.4em;
        }
    }
    @media(max-width:1199px){
        #main-content h1{
            font-size:3em;
        }
        .about-banner-header{
            padding: 0 0 25px 0;
        }
        .about-article{
            padding: 30px 0;
        }
        .about-article p{
            margin-bottom: 15px;
        }
        .our-work .our-work-line{
            width:130px;
        }
        .our-work .our-work-line-left{
            left: 245px;
        }
        .our-work .our-work-line-right{
            right: 245px;
        }
        .do-better{
            padding-top: 0;
        }
        .do-better h2{
            font-size:2.8em;
            margin-bottom:15px!important;
        }
        .founders-banner .founders-banner-header{
            left: 0;
            right: 0;
            bottom:0;
            top:auto;
        }
    }

    @media(max-width:991px){
        .our-work{
            padding-top:30px;
            padding-bottom:0;
        }
        .our-work .our-work-line{
            width:50px;
        }
        .our-work .our-work-line-left{
            left: 210px;
        }
        .our-work .our-work-line-right{
            right: 210px;
        }
        .our-work img{
            margin-bottom: 15px;
        }
        .our-work h3{
            font-size:18px;
            margin-bottom:10px!important;
        }
        .our-work p{
            text-align: justify;
            font-size:16px;
            line-height: 1.4;
        }
        .our-team .container > .row > div{
            margin-bottom:25px;
        }
        .our-team .our-team-button{
            margin-top: 0;
        }
    }

    @media(max-width:767px){
        #main-content h1{
            font-size:2em;
        }
        .about-banner-header{
            padding-bottom: 12px;
        }
        .our-work p{
            text-align:center;
        }
        .our-work .our-work-line,
        .our-team .our-team-button .team-line{
            display:none;
        }
        .our-team .our-team-button .team-button {
            width: 270px;
            margin: 0 auto;
            float: none;
        }
        .do-better h2{
            font-size:2.4em;
        }
        .founders-banner .founders-banner-header{
            padding: 10px;
        }
        .founders-banner .founders-banner-header h2{
            font-size:1.2em;
        }
        .founders-article h3{
            width: 250px;
        }
        .founders-article .founders-line {
            top: 20px;
        }
    }

    @media(max-width:450px){
        .founders-banner .founders-banner-header{
            padding:5px 5px 5px 15px;
        }
        .founders-banner .founders-banner-header h2{
            font-size: 1em;
        }
        .our-team{
            padding:20px 0;
        }
        .our-team h1{
            margin-bottom:25px!important;
        }
        .do-better h2{
            font-size:1.2em;
            margin-top: 10px!important;
            margin-bottom:10px!important;
        }
        .founders-article p{
            text-align: left;
        }
    }
</style>
<script type="text/javascript">
    jQuery(document).ready(function(){

    jQuery('#showMoreLink').click(function(){
        jQuery(this).parent().parent().parent().toggleClass('active')
    })
        /*Add More Button*/
        /*jQuery('#showMoreLink').click(function(){
            var catArr = jQuery(this).attr('class').split('-');
            var cat = catArr['0'];
            var lPosts = +catArr['1'];
            var lPosts2 = lPosts+4;
            var newClass = catArr['0']+'-'+lPosts2;
            jQuery(this).removeClass().addClass(newClass);
            //alert(newClass);
            jQuery.ajax({
                type: "POST",
                url: "<?php //echo get_stylesheet_directory_uri(); ?>/action.php",
                data: 'posts=4&page='+cat+'&lPosts2='+lPosts2,
                success: function(html){
                    jQuery("#contentTeam").empty().append(html);
                    var weiHei = jQuery('.our-team .square').width();
                    jQuery('.our-team .square').height(weiHei);
                }
            });
        });*/
        
        jQuery('.founders-banner').hover( 
            function(){
                jQuery(this).find('img').attr('src', '/wp-content/uploads/2016/11/banner-about-2dance.gif'); 
            },
            function(){
                jQuery(this).find('img').attr('src', '/wp-content/uploads/2016/11/banner-about-2.png');
            }
        );        
    });

    jQuery(window).load(function(){
        if(window.innerWidth < 1200){
            var heiBan = jQuery('.about-banner').height(), heiBanHead = jQuery('.about-banner-header').innerHeight();
            jQuery('.about-banner-header').css({'top': (heiBan - heiBanHead)/2});
        }

        var weiHei = jQuery('.our-team .square').width();
        jQuery('.our-team .square').height(weiHei);
    });
    jQuery(window).resize(function() {
        var weiHei = jQuery('.our-team .square').width();
        jQuery('.our-team .square').height(weiHei);
    });
</script>
