<?php
/**
 * Template Name: Blog Page
 */
get_header(); ?>


<?php if ( have_posts() ) : ?>
    <?php
    while ( have_posts() ) : the_post();
        $thumb = wp_get_attachment_image_src(get_post_thumbnail_id(), 'post-thumbnails');
        ?>

<section class="blog-slider">
    <img src="<?php if($thumb==''){echo '/wp-content/themes/stayalfred/images/Blog-Featured.png';}else {echo $thumb['0'];} ?>" alt="" style="width: 100%;"/>
    <div id="arrow-left" class="arrow">
        <i class="fa fa-angle-left" aria-hidden="true"></i>
    </div>
    <div id="arrow-right" class="arrow">
        <i class="fa fa-angle-right" aria-hidden="true"></i>
    </div>

    <div class="post-1" id="blog-slider-box">
        <?php
        $args = array(
            'post_type' => 'post',
            'posts_per_page' => 1
        );

        $query = new WP_Query($args);
        if ($query->have_posts()) :
            while ($query->have_posts()): $query->the_post();
                ?>
                    <div>
                        <span>
                            <h1 style="font-family: 'NexaRustSlab-Black';"><?php the_title(); ?></h1>
                            <h2><?php echo excerpt(10); ?></h2>
                            <a href="<?php echo get_permalink(); ?>" class="green-btn">View Article</a>
                        </span>
                        <a href="" class="red-btn">Fetch Another</a>
                    </div>
                <?php
            endwhile;
        endif;
        wp_reset_postdata();
        ?>
    </div>

    <div class="blog-slider-icons">
        <div class="container">
            <div class="row">
                <div class="blog-slider-icons-alignment">
                    <div class="blog-slider-icon-item" id="cat423" name="Guest Tips">
                        <img src="/wp-content/themes/stayalfred/images/GuestTips.svg" alt=""/>
                        <h4>Guest Tips </h4>
                    </div>
                    <div class="blog-slider-icon-item" id="cat37" name="Attractions">
                        <img src="/wp-content/themes/stayalfred/images/Attractions.svg" alt=""/>
                        <h4> Attractions </h4>
                    </div>
                    <div class="blog-slider-icon-item" id="cat421" name="Local Eats">
                        <img src="/wp-content/themes/stayalfred/images/LocalEats.svg" alt=""/>
                        <h4>Local Eats </h4>
                    </div>
                    <div class="blog-slider-icon-item" id="cat424" name="Events">
                        <img src="/wp-content/themes/stayalfred/images/Events.svg" alt=""/>
                        <h4> Events</h4>
                    </div>
                    <div class="blog-slider-icon-item" id="cat422" name="Staff Insights">
                        <img src="/wp-content/themes/stayalfred/images/Staff_Insights.svg" alt=""/>
                        <h4> Staff Insights </h4>
                    </div>
                    <div class="blog-slider-icon-item" id="cat21" name="City Guides">
                        <img src="/wp-content/themes/stayalfred/images/CityGuides.svg" alt=""/>
                        <h4>City Guides </h4>
                    </div>
                    <div class="blog-slider-icon-item" id="cat420" name="Miscellaneous">
                        <img src="/wp-content/themes/stayalfred/images/Misc.svg" alt=""/>
                        <h4>Misc.</h4>
                    </div>
                </div>
            </div>
        </div>
    </div><!-- //end blog-slider-icons -->

    <!-- in mobile version 
            <div class="mobile-newsletter">
                <a href="" role="button" data-toggle="modal" data-target="#newsletter-modal">
                    Newsletter
                </a>
            </div>
            <a href="/" class="back-link mobile-back-link hidden-mobile-back-link">Back to main site</a>

            <div class="mobile-blog-slider-soc">
                <a href="https://www.facebook.com/StayAlfred" target="_blank" style="margin-left:5px"><i class="fa fa-facebook fb-spoontalk-social spoontalk-social hvr-pop"></i></a>
    	       <a href="https://www.linkedin.com/company/2856091" target="_blank" style="margin-left:5px"><i class="fa fa-linkedin linkedin-spoontalk-social spoontalk-social hvr-pop "></i></a>
                <a href="https://www.twitter.com/StayAlfred" target="_blank" style="margin-left:5px"><i class="fa fa-twitter tw-spoontalk-social spoontalk-social hvr-pop "></i></a>
		          <a href="http://plus.google.com/+StayAlfred" target="_blank" style="margin-left:5px"><i class="fa fa-google-plus g-plus-spoontalk-social spoontalk-social hvr-pop "></i></a>
		          <a href="https://www.rss.com" target="_blank" style="margin-left:5px"><i class="fa fa-rss rss-spoontalk-social spoontalk-social hvr-pop "></i></a>
		          <a href="https://www.youtube.com/c/stayalfred" target="_blank" style="margin-left:5px"><i class="fa fa-youtube youtube-spoontalk-social spoontalk-social hvr-pop "></i></a>
     	          <a href="http://www.pinterest.com/StayAlfred" target="_blank" style="margin-left:5px"><i class="fa fa-pinterest pinterest-spoontalk-social spoontalk-social hvr-pop "></i></a>
		          <a href="https://www.instagram.com/stayalfred" target="_blank" style="margin-left:5px"><i class="fa fa-instagram instagram-spoontalk-social spoontalk-social hvr-pop "></i></a>
            </div>
    end -->


</section><!-- /end blog-slider -->

<section class="blog-filters">
    <div class="container">
        <div class="row">
            <form>
                 <div class="form-group">
                    <h1><strong>Filters:</strong></h1>
                 </div>
                <div class="form-group">
                    <ul>
                        <li id="cityNone">City <i class="fa fa-chevron-down" aria-hidden="true"></i></li>
                        <?php
                            $argsCity = array('child_of' => 426, 'hide_empty' => 0);
                            $categoriesCity = get_categories( $argsCity );
                            foreach($categoriesCity as $catCity) {
                                echo '<li id="city'.$catCity->cat_ID.'">'.$catCity->cat_name.'</li>';
                            }
                        ?>
                    </ul>
                </div>
                 <div class="form-group">
                    <ul>
                        <li id="dateNone">Date <i class="fa fa-chevron-down" aria-hidden="true"></i></li>
                        <li id="dateEL">from earlier to later</li>
                        <li id="dateLE">from later to earlier</li>
                    </ul>
                </div>
                 <div class="form-group">
                    <ul>
                        <li id="catNone">Category <i class="fa fa-chevron-down" aria-hidden="true"></i></li>
                        <?php
                            $cats = get_categories('exclude=426,427,38,39,428,40,41,45,46,47,24,25,26,27,28,31,425&hide_empty=0');
                            //$cats = get_categories();
                            foreach ($cats as $cat) {
                                echo '<li id="cat'.$cat->cat_ID.'">'.$cat->cat_name.'</li>';
                            }
                        ?>
                    </ul>
                </div>
            </form>
        </div>
    </div>
</section><!-- /end blog-filters -->

<section class="blog-main">
    <div class="container-fluid">
        <div class="row cityNone_dateNone_catNone_7">

            <?php
            $args = array(
                'post_type' => 'post',
                'posts_per_page' => 7
            );
            $i=1;

            $query = new WP_Query($args);
            if ($query->have_posts()) :
                while ($query->have_posts()): $query->the_post();
                    $thumb = wp_get_attachment_image_src(get_post_thumbnail_id(), 'post-thumbnails', NULL, 'large');
                    ?>
                    <?php if($i==1 || $i==7){?>
                        <div class="col-lg-8 col-md-8">
                            <a href="<?php echo get_permalink(); ?>">
                                <figure>
                                    <div>
                                        <?php if (MultiPostThumbnails::get_post_thumbnail_url(get_post_type(), 'big-featured-image')=='' && get_the_post_thumbnail($page->ID, 'post-thumbnails')=='') { ?>
                                            <img src="/wp-content/uploads/2017/04/QBiXeR.jpg" alt="" style="width: 100%;"/>
                                        <?php }else{ ?>
                                            <?php if(MultiPostThumbnails::get_post_thumbnail_url(get_post_type(), 'big-featured-image')==''){?>
                                                <img src="<?php echo $thumb[0]; ?>" alt="<?php the_title();?>"/>
                                            <?php }else{ ?>
                                                <img src="<?php echo MultiPostThumbnails::get_post_thumbnail_url(get_post_type(), 'big-featured-image'); ?>" alt="<?php the_title();?>"/>
                                            <?php } ?>
                                        <?php } ?>
                                    </div>
                                    <figcaption>
                                        <h2><?php the_title(); ?></h2>
                                        <p><?php echo excerpt(120); ?> <br/><span>Read More</span></p>
                                    </figcaption>
                                </figure>
                            </a>
                        </div>
                    <?php }else{?>
                        <div class="col-lg-4 col-md-4">
                            <a href="<?php echo get_permalink(); ?>">
                                <figure>
                                    <div>
                                        <?php
                                        if(get_the_post_thumbnail($page->ID, 'post-thumbnails')){
                                            echo '<img class="smallImageHome" src="'.$thumb[0].'" alt="'.get_the_title().'"/>';
                                        }else{
                                            echo '<img src="/wp-content/uploads/2016/09/no-image-available.jpg" alt="'.get_the_title().'"/>';
                                        }
                                        ?>
                                    </div>
                                    <figcaption>
                                        <h2><?php the_title(); ?></h2>
                                        <p><?php echo excerpt(30); ?>  <br/><span>Read More</span></p>
                                    </figcaption>
                                </figure>
                            </a>
                        </div>
                    <?php }?>
                    <?php
                $i++;
                endwhile;
            endif;
            wp_reset_postdata();
            ?>

        </div>
    </div>
</section><!-- /end blog-main -->



<?php endwhile; ?>
<?php endif; ?>

<style type="text/css">
.blog-main .bigImageHome{
    width: 100%!important;
}
.blog-main .smallImageHome{
    height:100%!important;
    width:auto!important;
}
</style>

<div id="newsletter-modal" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Subscribe</h4>
      </div>
      <div class="modal-body">
        <form>
           <input type="text" placeholder="Name"/>
           <input type="email" placeholder="Email"/>
           <input type="submit" value="Subscribe"/>
        </form>
      </div>
    </div>
   </div>
</div><!-- /end modal -->

<?php get_footer(); ?>

<style type="text/css">
    .page-template-page-blog h1{
        font-size: 30px !important;
    }
.back-link{
    color: #fff!important;
    font-size: 14px;
    border: 1px solid #fff;
    border-radius:3px ;
    height: 32px;
    display: inline-block;
    line-height: 2;
    padding:0 7px ;
}
.big-back-link{
    position: relative;
    top: -1px;
}
.big-back-link.blue{
    border-color: #38BCDE;
    background: #38BCDE;
}
.hidden-mobile-back-link{
    display:none;
}
.mobile-back-link{
    position: absolute;
    bottom: 10px;
    right: 120px;
    z-index: 5;
    height: 29px;
    border-radius: 6px;
}
.blog-filters ul:hover .cityNone, .cityNone{
    display: none;
}
#newsletter-modal .modal-title{
   color: #8BC540;
}
#newsletter-modal form input{
   height:50px;
}
#newsletter-modal form input[type="text"],
#newsletter-modal form input[type="email"]{
  width: 49.5%;
  margin-bottom:10px;
}
#newsletter-modal form input[type="submit"]{
   width:100%;
   border: none;
   color:#fff;
   background:#8BC540;
}
#newsletter-modal form input[type="submit"]:hover{
    background: #95BB3A;
}
/*end modal*/
.blog-main .container-fluid{
    min-height: 300px;
}

.page-template-page-blog .blog-slider{
    position: relative;
    z-index: 2;
    max-height: 850px;
    overflow: hidden;
    background: #000;
}
.page-template-page-blog .blog-slider > img{
    opacity:0.85;
}
.page-template-page-blog .blog-slider .arrow{
    position: absolute;
    top: 48%;
    z-index: 10;
    width: 64px;
    height: 130px;
    border: none !important;
    background: none;
    cursor: pointer;
}
.page-template-page-blog .blog-slider .arrow i{
    font-size: 100px;
color: rgba(255, 255, 255, 0.6) !important;
transition: all 0.3s linear;
}
.page-template-page-blog .blog-slider .arrow:hover i{
   color: #38BCDE !important;
}
.page-template-page-blog .blog-slider #arrow-left{
    left:30px;
}
.page-template-page-blog .blog-slider #arrow-right{
    right:30px;
}
.page-template-page-blog .blog-slider #blog-slider-box{
    color: #fff;
    text-align: center;
    position:absolute;
    left:0;
    right:0;
    top:30%;
    z-index: 3;
}
.page-template-page-blog .blog-slider #blog-slider-box h1{
    font-size: 35px;
    font-weight: bold;
    line-height: 1;
}
.page-template-page-blog .blog-slider #blog-slider-box h2{
    margin-bottom: 15px!important;
    font-size: 30px;
}
.page-template-page-blog .blog-slider #blog-slider-box a{
    border-radius: 7px;
    display: block;
    text-align: center;
    font-size: 37px;
    color: #fff;
    width:45%;
    height: 70px;
    line-height: 1.9;
    transition: all 0.2s linear;
}
.page-template-page-blog .blog-slider #blog-slider-box a.green-btn{
    float: left;
    background: #8BC540;
}
.page-template-page-blog .blog-slider #blog-slider-box a.red-btn{
    float: right;
    background: #EB2729;
}
.page-template-page-blog .blog-slider #blog-slider-box a.green-btn:hover{
    background: #95BB3A;
}
.page-template-page-blog .blog-slider #blog-slider-box a.red-btn:hover{
    background: #B92028;
}
.page-template-page-blog .blog-slider #blog-slider-box > div{
    width:1230px;
    margin:0 auto;
    background:rgba(255, 255, 255, 0.6);
    padding: 55px 60px;
    overflow: hidden;
}
.page-template-page-blog .blog-slider .blog-slider-icons{
    color: #fff;
    text-align: center;
    position:absolute;
    left:0;
    right:0;
    bottom: 0;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment{
   margin-bottom: 20px;
   overflow: hidden;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment .blog-slider-icon-item{
    width: 14.2857%;
    float: left;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment .blog-slider-icon-item img,
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment .blog-slider-icon-item h4{
    cursor:pointer;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment a{
    color:#fff;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment a:hover h4{
    text-decoration: underline;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment  .blog-slider-icon-item  h4{
    margin-bottom:0;
}
.page-template-page-blog .blog-filters{
    background: #3FB9DB;
    color:#fff;
    padding: 7px 0;
    max-height: 75px;
    height: 75px!important;
}
.page-template-page-blog .blog-filters .form-group{
    float: left;
    position: relative;
    width: 25%;
    padding: 0 10px;
}
.page-template-page-blog .blog-filters .form-group h1{
   font-size: 32px;
   padding-top: 5px;
   line-height: 1.5;
}
.blog-filters ul{
    padding:10px 0 0 0;
    list-style: none;
    font-size: 32px;
}
.blog-filters ul i{
    /*font-size: 32px!important;*/
    margin-left: 5px;
}
.blog-filters ul li:not(:first-child){
    display: none;
    font-size: 24px;
}
.blog-filters ul li:not(:first-child):hover{
    color: orange;
}
.blog-filters ul:hover li{
    display: block;
}
.blog-filters li{
    cursor: pointer;
    font-size:24px;
}
.page-template-page-blog .blog-filters form{
    margin: 0 auto;
}
.page-template-page-blog .blog-filters .form-group select{
    width:100%;
    height: 100%;
    -webkit-appearance:none;
    -moz-appearance:none;
    border: none;
    height: 50px;
    background:#3FB9DB;
}
.page-template-page-blog .blog-main{
    background:#DEDEDE;
    padding: 30px 0;
}
.page-template-page-blog .blog-main > .container-fluid{
    max-width: 1650px;
}
.page-template-page-blog .blog-main a{
    color: #000;
    text-decoration: none;
}
.page-template-page-blog .blog-main figure{
    margin-bottom: 30px;
}

.page-template-page-blog .blog-main figure > div{
    height: 320px;
    overflow: hidden;
}
.page-template-page-blog .blog-main figure img{
    width: 100%;
    height: 100%;
    transition: opacity 0.3s linear;
}
.page-template-page-blog .blog-main figure:hover img{
    opacity: 0.6;
}
.page-template-page-blog .blog-main figure figcaption{
    padding: 20px 20px 50px;
    background: #fff;
    position: relative;
}
.page-template-page-blog .blog-main figure figcaption h2{
    font-size: 30px;
    line-height: 1.15;
    margin-bottom: 12px!important;
}
.page-template-page-blog .blog-main figure figcaption p{
    margin-bottom: 0;
}
.page-template-page-blog .blog-main figure figcaption p span{
    display: inline-block;
    color: #3FB9DB;
    padding: 2px 15px;
    border-radius: 15px;
    position: absolute;
    right: 10px;
    bottom: 10px;
    border: 1px solid #3FB9DB;
}
.page-template-page-blog .blog-main figure figcaption p span:hover{
    background: #3FB9DB;
    color: #fff;
}
.blog-filters .disNone li:not(:first-child){
    display: none!important;
}
.blog-filters ul{
    max-height: 250px;
    position: absolute;
    background: #3FB9DB;
    top: 0px;
    width: 100%;
    z-index: 99;
    padding-left: 15px;
}
/*blog2*/
.blog-filters ul:hover{
    overflow-y:scroll;
}
/*--------------------------------------------------------
*** Responsivness *** Responsivness *** Responsivness ***
-------------------------------------------------------*/
@media(max-width:1520px){
.blog-header .newsletter{
    margin-left:20px;
}
.page-template-page-blog .blog-slider #blog-slider-box{
    top: 25%;
}
.page-template-page-blog .blog-slider #blog-slider-box > div{
    padding: 40px;
    width: 90%;
}

.page-template-page-blog .blog-slider #blog-slider-box h2{
    margin-bottom: 20px;
}
.page-template-page-blog .blog-slider .arrow{
    width:36px;
    height: 100px;
    top:calc(50% - 50px)!important;
}
.page-template-page-blog .blog-slider #arrow-left{
    left:10px;
}
.page-template-page-blog .blog-slider #arrow-right{
    right:10px;
}
}

@media(max-width:1366px){
.page-template-page-blog .blog-slider #blog-slider-box a{
    font-size:26px;
    height: 50px;
    line-height:1.8 ;
}
.page-template-page-blog .blog-slider #blog-slider-box{
    top:32%;
}
}

@media(max-width:1279px){
.page-template-page-blog .blog-slider #blog-slider-box > div{
    padding:20px;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment .blog-slider-icon-item img{
    width:37px;
    height: auto;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment .blog-slider-icon-item{
    position: relative;
    height: 70px;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment .blog-slider-icon-item h4{
    font-size: 15px;
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
}
.page-template-page-blog .blog-slider .blog-slider-icons .blog-slider-icons-alignment{
    margin-bottom: 10px;
}
}

@media(max-width:1199px){
.blog-filters ul, .blog-filters ul i,
.blog-filters ul li:not(:first-child){
    font-size: 20px!important;
}
}

@media(max-width:1130px){
.blog-header .blog-header-search form #searchsubmit{
    width:30px!important;
    height: 30px;
}
.blog-header-soc, .newsletter, .mobile-newsletter, .mobile-blog-slider-soc, .mobile-back-link{
    display: none!important;
}
.page-template-page-blog .blog-slider #blog-slider-box h1{
    font-size:28px;
}
.page-template-page-blog .blog-slider #blog-slider-box h2{
    font-size:22px;
}
.page-template-page-blog .blog-slider #blog-slider-box{
    top:33%;
}
}


@media(max-width:991px){
    .page-template-page-blog .blog-slider{
        /*padding-top:165px;*/
    }
    .page-template-page-blog .blog-slider .arrow{
        top: 50%!important;
    }
    .page-template-page-blog .blog-slider #blog-slider-box{
        top: 44%;
    }
    .page-template-page-blog .blog-slider #arrow-left{
        left: 5px;
    }
    .page-template-page-blog .blog-slider #arrow-right{
        right: 5px;
    }
.page-template-page-blog .blog-main figure > div{
    height:auto;
}
.page-template-page-blog .blog-main figure figcaption{
    height: auto!important;
}
.page-template-page-blog .blog-main figure img{
    width:100%!important;
    height:auto!important;
}
.blog-filters ul{
    padding-top: 5px;
}
.blog-filters ul, .blog-filters ul i{
    font-size: 16px!important;
}
.page-template-page-blog .blog-filters{
    height: 50px!important;
}
.page-template-page-blog .blog-filters .form-group h1{
    padding-top: 5px;
    font-size: 16px!important;
}
.blog-filters ul, .blog-filters ul i,  .page .blog-filters ul li{
     font-size: 16px!important;
}
}

@media(max-width:940px){
.page-template-page-blog .blog-slider #arrow-left{
    left:0;
}
.page-template-page-blog .blog-slider #arrow-right{
    right:0;
}
.blog-filters form .form-group:last-child ul{
    padding-left:0;
    margin-left: -10px;
}
.blog-filters form .form-group:last-child ul li:not(:first-child){
    padding-left: 5px;
}
}


@media(max-width:775px){
.page-template-page-blog .blog-slider #blog-slider-box > div{
    width:85%;
}
.page-template-page-blog .blog-slider #blog-slider-box h1{
    font-size: 26px;
}
.page-template-page-blog .blog-slider #blog-slider-box h2{
    font-size: 20px;
}
}

@media(max-width:767px){
.blog-header-soc, .newsletter, .mobile-newsletter, .mobile-blog-slider-soc{
    display: none;
}

    #newsletter-modal form input[type="text"],
    #newsletter-modal form input[type="email"]{
        width: 100%;
    }
.mobile-newsletter,
.mobile-blog-slider-soc{
    display:block;
    position: absolute;
}
.mobile-blog-slider-soc{
    left:10px;
    bottom:10px;
    z-index: 5;
}
.mobile-blog-slider-soc a i{
    font-size: 1em!important;
    width:auto!important;
}
.mobile-newsletter{
    bottom:10px;
    right:10px;
    z-index: 5;
}
.mobile-newsletter a{
    margin-top:0;
    width: 100px;
    height: 30px;
    font-size: 14px;
    line-height:1.8;
}
.page-template-page-blog .blog-slider .arrow i{
    font-size:50px;
}
.page-template-page-blog .blog-slider .arrow{
    width:18px;
    height:50px ;
    top: 45%;
}
.page-template-page-blog .blog-slider .blog-slider-icons{
    display: none;
}
.page-template-page-blog .blog-header{
    background: #fff;
}
.page-template-page-blog .blog-slider #blog-slider-box > div{
    padding: 10px;
}
}

@media(max-width:600px){
.page-template-page-blog .blog-slider > img{
   width:200%!important;
   margin-left: -30%;
}
.page-template-page-blog .blog-slider{
    /*padding-top: 110px;*/
    min-height: 400px!important;
}
#livechat-eye-catcher{
    display: none;
}
#livechat-compact-container{
    display: none;
}
#livechat-full{
    display: none;
}
}

@media(max-width:450px){
.page-template-page-blog .blog-slider .arrow{
    top:55%;
}
.page-template-page-blog .blog-slider > img{
    width:220%!important;
    margin-left: -42%;
}
    .mobile-newsletter, .mobile-blog-slider-soc{
        display: none!important;
    }
.mobile-blog-slider-soc{
    bottom:40px;
    left: auto;
    right:10px;
}
/*.mobile-back-link{
    left: 10px;
    right: auto;
}*/
 .page-template-page-blog .blog-slider #blog-slider-box a{
    font-size:15px;
    height:30px;
    font-weight:bold;
    border-radius: 12px;
 }
 .page-template-page-blog .blog-filters{
    padding: 0;
 }
.blog-filters ul, .blog-filters ul i, .page-template-page-blog .blog-filters .form-group h1{
    font-size: 16px!important;
}
.blog-filters .form-group:first-child{
    width: 100%;
    text-align: center;
    margin-bottom:0;
}
.blog-filters .form-group:not(:first-child){
    width: 33.33%;
    margin-top: -10px;
}
.page-template-page-blog .blog-filters .form-group:last-child{
    padding-left: 0;
}
.page-template-page-blog .blog-slider #blog-slider-box{
    top: 70px!important;
    bottom: 0!important;
}
.mobile-newsletter a{
    width:80px;
    line-height: 1.9;
}
    .page-template-page-blog .blog-slider #blog-slider-box{
        top:28%!important;
    }
    .blog-filters .form-group:not(:first-child){
        width: 33%;
    }
    .blog-filters .form-group:nth-child(2){
        padding-left: 10px;
        width: 30.3%;
    }
    .page-template-page-blog .blog-filters .form-group h1 {
        margin-top: -5px;
        padding-bottom: 6px;
    }
}

@media(max-width:400px){
.page-template-page-blog .blog-slider > img{
    width:270%!important;
}    
}

@media(max-width:365px){
.page-template-page-blog .blog-filters .form-group:nth-child(3) ul,
.page-template-page-blog .blog-filters .form-group:last-child ul{
    padding-left:5px;
}
.blog-filters ul, .blog-filters ul i, .page .blog-filters ul li{
    font-size: 14px!important;
}
}
    .blog-slider-icons-alignment img{
        height: 85px;
    }
</style>

<script type="text/javascript">

    /*fix images in Blog*/
    /*function imgCorection(){
        var cityImg = jQuery('figure div').height();
        jQuery('.blog-main figure').each( function(){
            var heiBL = jQuery(this).find('img').height() * 100 / cityImg;
            var widBL = jQuery(this).find('img').width() * 100 / jQuery(this).find('div').width();
            if (widBL > heiBL) {
                var cityImgWid = jQuery(this).width();
                jQuery(this).find('img').css({'width': 'auto', 'height': '100%'})
                var centrImg = -(jQuery(this).find('img').width() - cityImgWid)/2;
                jQuery(this).find('img').css({'margin-left': centrImg});
                //alert(1)
            } else {
                var centrImg = -(jQuery(this).find('img').height() - cityImg)/2;
                jQuery(this).find('img').css({'margin-top': centrImg});
                //alert(2)
            }
        })
    }*/

jQuery(window).load(function(){
        var tallestFigure = 0;
        jQuery('.blog-main figure figcaption').each(function(){
            var heiFigure = jQuery(this).height();
            if(heiFigure > tallestFigure){
               tallestFigure = heiFigure;
            }
        });
        jQuery('.blog-main figure figcaption').height(tallestFigure);

});// end window load

jQuery(window).scroll(function(){

    var heiAll = jQuery('.page-template-page-blog .blog-slider').height();
    var heiHed = jQuery('header .fixHeader').height();
    if(jQuery(window).scrollTop() > (heiAll - heiHed)){
        jQuery('.page-template-page-blog .blog-filters').css({
                        'position':'fixed',
                        'top':heiHed,
                        'right':0,
                        'left':0,
                        'z-index':5});
    }
    else if(jQuery(window).scrollTop() < heiAll){
        jQuery('.page-template-page-blog .blog-filters').css({'position':'static'  });
    }

    if  (jQuery(window).scrollTop() == jQuery(document).height() - jQuery(window).height()){
        var allClassArr2 = jQuery('.blog-main .container-fluid .row').attr('class').split(' ');
        var singleClassesArr = allClassArr2['1'].split('_');

        //take City
        var currentSelectedCityArr = singleClassesArr['0'].split('city');
        var currentSelectedCity = currentSelectedCityArr['1'];

        //take Date
        var currentSelectedDateArr = singleClassesArr['1'].split('date');
        var currentSelectedDate = currentSelectedDateArr['1'];

        //take Categories
        var currentSelectedCatArr = singleClassesArr['2'].split('cat');
        var currentSelectedCat = currentSelectedCatArr['1'];

        //count posts
        var lPosts = +singleClassesArr['3'];
        var lPosts2 = lPosts+6;

        //add new Class
        var newClass = 'row city'+currentSelectedCity+'_date'+currentSelectedDate+'_cat'+currentSelectedCat+'_'+lPosts2;
        jQuery('.blog-main .container-fluid .row').removeClass().addClass(newClass);

        jQuery.ajax({
            type: "POST",
            url: "/action.php",
            data: 'cityNone1=6&city='+currentSelectedCity+'&date='+currentSelectedDate+'&cat='+currentSelectedCat+'&lPosts1='+lPosts,
            success: function(html){
                jQuery(".blog-main .container-fluid .row").append(html);
                var tallestFigure = 0;
                jQuery('.blog-main figure figcaption').each(function(){
                    var heiFigure = jQuery(this).height();
                    if(heiFigure > tallestFigure){
                        tallestFigure = heiFigure;
                    }
                });
                jQuery('.blog-main figure figcaption').height(tallestFigure);
                //imgCorection();
            }
        });
    }

});// end window scroll

jQuery(window).resize(function(){
    if(window.innerWidth < 768){
        jQuery('.back-link').removeClass('hidden-mobile-back-link');
    }
});//end window resize


jQuery(document).ready(function(){
    //imgCorection();

    var hl = jQuery('.blog-filters').height();
    jQuery('.blog-filters').height(hl);

    /*Button Next Slider*/
    jQuery('#arrow-right').click(function(){
        var catArr = jQuery('#blog-slider-box').attr('class').split('-');
        var lPosts = +catArr['1'];
        var lPosts2 = lPosts+1;
        var newClass = 'post-'+lPosts2;
        jQuery('#blog-slider-box').removeClass().addClass(newClass);
        jQuery.ajax({
            type: "POST",
            url: "/action.php",
            data: 'postsslider=3&lPosts1='+lPosts,
            success: function(html){
                jQuery("#blog-slider-box").empty().append(html);
            }
        });
    });
    /*Button Prev Slider*/
    jQuery('#arrow-left').click(function(){
        var catArr = jQuery('#blog-slider-box').attr('class').split('-');
        var lPosts = +catArr['1'];
        var lPosts2 = lPosts-1;
        if(lPosts2<1){
            lPosts2=1;
        }
        var newClass = 'post-'+lPosts2;
        jQuery('#blog-slider-box').removeClass().addClass(newClass);
        jQuery.ajax({
            type: "POST",
            url: "/action.php",
            data: 'postsslider=3&lPosts2='+lPosts,
            success: function(html){
                jQuery("#blog-slider-box").empty().append(html);
            }
        });
    });

    /*Button Random*/
    jQuery(document).on('click', '.red-btn', function(){
        var lPosts = Math.floor((Math.random() * 100) + 1);
        //alert (lPosts);
        jQuery.ajax({
            type: "POST",
            url: "/action.php",
            data: 'random=3&rand='+lPosts,
            success: function(html){
                jQuery("#blog-slider-box div span").empty().append(html);
            }
        });
    });

    /*filters in blog*/
    jQuery('.blog-filters li').not(':first-child').click(function(){
        jQuery('#cityNone').removeClass('cityNone');
        var gar = jQuery(this).attr('id');
        if( gar == 'cityNone'){
            jQuery(this).addClass('cityNone');
        }
        var Text111 = jQuery(this).text() + '<i class="fa fa-chevron-down" aria-hidden="true"></i>';
        var selectedAttributes = jQuery(this).attr('id');
        jQuery(this).parent().find('li:first').empty().append(Text111);
        jQuery(this).parent().addClass('disNone');

        var whatAttrSelected = selectedAttributes.substring(0,2);

        var allClassArr2 = jQuery('.blog-main .container-fluid .row').attr('class').split(' ');
        var singleClassesArr = allClassArr2['1'].split('_');
        //take City
        var currentSelectedCityArr = singleClassesArr['0'].split('city');
        var currentSelectedCity = currentSelectedCityArr['1'];
        //take Date
        var currentSelectedDateArr = singleClassesArr['1'].split('date');
        var currentSelectedDate = currentSelectedDateArr['1'];
        //take Categories
        var currentSelectedCatArr = singleClassesArr['2'].split('cat');
        var currentSelectedCat = currentSelectedCatArr['1'];
        //count posts
        var lPosts = +7;


        if(whatAttrSelected=='ci'){
            var currentSelectedCityArr = selectedAttributes.split('city');
            var currentSelectedCity = currentSelectedCityArr['1'];
        }else if(whatAttrSelected=='da'){
            var currentSelectedDateArr = selectedAttributes.split('date');
            var currentSelectedDate = currentSelectedDateArr['1'];
        }else{
            var currentSelectedCatArr = selectedAttributes.split('cat');
            var currentSelectedCat = currentSelectedCatArr['1'];
        }

        //add new Class
        var newClass = 'row city'+currentSelectedCity+'_date'+currentSelectedDate+'_cat'+currentSelectedCat+'_'+lPosts;
        jQuery('.blog-main .container-fluid .row').removeClass().addClass(newClass);

        var lPosts = 0;

        //alert(currentSelectedCity);
        //alert(currentSelectedCat);

        jQuery.ajax({
            type: "POST",
            url: "/action.php",
            data: 'citySel=7&city='+currentSelectedCity+'&date='+currentSelectedDate+'&cat='+currentSelectedCat+'&lPosts1='+lPosts,
            success: function(html){
                jQuery(".blog-main .container-fluid .row").empty().append(html);
                var tallestFigure = 0;
                jQuery('.blog-main figure figcaption').each(function(){
                    var heiFigure = jQuery(this).height();
                    if(heiFigure > tallestFigure){
                        tallestFigure = heiFigure;
                    }
                });
                jQuery('.blog-main figure figcaption').height(tallestFigure);
                //imgCorection();
                jQuery('.blog-filters ul').removeClass('disNone');
            }
        });
    })


    /*filters in icons blog*/
    jQuery('.blog-slider-icons .blog-slider-icon-item').click(function(){
        var currentSelectedCatArr = jQuery(this).attr('id').split('cat');
        var currentSelectedCat = currentSelectedCatArr['1'];
        var currentSelectedCatName = jQuery(this).attr('name');
        //alert(currentSelectedCatName);

        //add new Class
        var newClass = 'row cityNone_dateNone_cat'+currentSelectedCat+'_7';
        jQuery('.blog-main .container-fluid .row').removeClass().addClass(newClass);
        jQuery('.blog-filters .form-group:nth-child(2)').find('li:first').empty().append('City <i class="fa fa-chevron-down" aria-hidden="true"></i>');
        jQuery('.blog-filters .form-group:nth-child(3)').find('li:first').empty().append('Date <i class="fa fa-chevron-down" aria-hidden="true"></i>');
        jQuery('.blog-filters .form-group:nth-child(4)').find('li:first').empty().append(currentSelectedCatName+' <i class="fa fa-chevron-down" aria-hidden="true"></i>');

        var lPosts = 0;

        jQuery.ajax({
            type: "POST",
            url: "/action.php",
            data: 'citySel=7&city=None&date=None&cat='+currentSelectedCat+'&lPosts1='+lPosts,
            success: function(html){
                jQuery(".blog-main .container-fluid .row").empty().append(html);
                var tallestFigure = 0;
                jQuery('.blog-main figure figcaption').each(function(){
                    var heiFigure = jQuery(this).height();
                    if(heiFigure > tallestFigure){
                        tallestFigure = heiFigure;
                    }
                });
                jQuery('.blog-main figure figcaption').height(tallestFigure);
                //imgCorection();
                jQuery('.blog-filters ul').removeClass('disNone');
            }
        });

    })
});// end document ready
</script>

