// // var methods = {
// //
// //
// // 	/**
// // 	 *  Checks to see if data has been stored before hitting Streamline.
// // 	 *  @param  {Number} location The city ID.
// // 	 *  @param  {String} type     Is this for a unit or a building?
// // 	 *  @param  {Object} $select  The dynamic select box.
// // 	 */
// // 	checkStorageData: function(location, type, $select) {
// // 		var m = this,
// // 				storedData = localStorage.getItem('acf_specials__' + location),
// // 				newData;
// // 		/** If we have no data in storage, hit the API. */
// // 		if (!storedData) {
// // 			m.getApiData(location, type, $select);
// // 		} else {
// //
// // 			/** If we do have data, let's make sure it's not too old. */
// // 			var data = JSON.parse(storedData),
// // 					time = data.timestamp,
// // 					props = data.props,
// // 					freshness = 14; // How many days old should the data be?
// //
// // 			if (time > (Date.now() + (freshness * 86400000))) {
// // 				/** It's too old; hit the API. */
// // 				m.getApiData(location, type, $select);
// // 			} else {
// // 				/** It's less than 2 weeks old; we're good to go. */
// // 				m.sortData(props, type, $select);
// // 			}
// // 		}
// // 	},
// //
// //
// // 	/**
// // 	 *  Hits the Streamline API.
// // 	 *  @param  {Number} location The city ID.
// // 	 *  @param  {String} type     Is this for a unit or a building?
// // 	 *  @param  {Object} $select  The dynamic select box.
// // 	 */
// // 	getApiData: function(location, type, $select) {
// // 		var m = this,
// // 				opts = {
// // 					'action': 'acf_specials_get_units',
// // 					'location': location,
// // 					'key': $select.parents('')
// // 				};
// // 		jQuery.post(ajax_object.ajax_url, opts, function(response) {
// // 			var props,
// // 					data = {};
// // 			if (response.substr(response.length - 1)) {
// // 				props = JSON.parse(response.slice(0, -1)).data.property;
// // 			} else {
// // 				props = JSON.parse(response).data.property;
// // 			}
// // 			m.setStorageData(location, props);
// // 			m.sortData(props, type, $select);
// // 		});
// // 	},
// //
// //
// // 	/**
// // 	 *  Stores API data via localStorage for a set number of days.
// // 	 *  @param  {Number} location The city ID.
// // 	 *  @param  {Object} json     The raw JSON from the API.
// // 	 */
// // 	setStorageData: function(location, json) {
// // 		var key = 'acf_specials__' + location;
// // 		localStorage.setItem(key, JSON.stringify({
// // 			timestamp: Date.now,
// // 			props: json
// // 		}));
// // 	},
// //
// //
// // 	/**
// // 	 *  Sorts data by either unit or building.
// // 	 *  @param  {Object} props   The properties JSON object.
// // 	 *  @param  {String} type    Is this for a unit or a building?
// // 	 *  @param  {Object} $select The dynamic select box.
// // 	 */
// // 	sortData: function(props, type, $select) {
// // 		var m = this,
// // 				opts;
// // 		if (type === 'unit') {
// // 			opts = m.sortDataByUnit(props, $select);
// // 		} else if (type === 'building') {
// // 			opts = m.sortDataByBuilding(props, $select);
// // 		}
// // 	},
// //
// //
// // 	/**
// // 	 *  Sorts data by unit and inserts it into the select field.
// // 	 *  @param  {Object} props   The properties JSON object.
// // 	 *  @param  {Object} $select The dynamic select box.
// // 	 */
// // 	sortDataByUnit: function(props, $select) {
// // 		var m = this;
// // 		for (var prop in props) {
// // 			if (props.hasOwnProperty(prop)) {
// // 				var name = props[prop].seo_page_name;
// // 				if (typeof name === 'string') {
// // 					var $option = jQuery('<option></option>'),
// // 							prettyName = name.replace(new RegExp('-', 'g'), ' ');
// // 					$option.attr('value', props[prop].id).text(prettyName);
// // 					$select.append($option);
// // 				}
// // 			}
// // 		}
// // 		m.unloadDynamicOptions($select);
// // 	},
// //
// // 	/**
// // 	 *  Sorts data by building and inserts it into the select field.
// // 	 *  @param  {Object} props   The properties JSON object.
// // 	 *  @param  {Object} $select The dynamic select box.
// // 	 */
// // 	sortDataByBuilding: function(props, $select) {
// // 		var m = this,
// // 				arr = [];
// // 		for (var prop in props) {
// // 			if (props.hasOwnProperty(prop)) {
// // 				var buildingName = props[prop].location_name;
// // 				if (!arr.includes(buildingName)) {
// // 					arr.push(buildingName);
// // 					var $option = jQuery('<option></option>');
// // 					$option.attr('value', props[prop].id).text(buildingName);
// // 					$select.append($option);
// // 				}
// // 			}
// // 		}
// // 		m.unloadDynamicOptions($select);
// // 	},
// //
// // 	/**
// // 	 *  Listens for changes to the `<select>` element for cities.
// // 	 *  @param  {Object} $fields The initial object passed by ACF.
// // 	 *  @param  {String} type    Is this for a unit or a building?
// // 	 */
// // 	listenForCitySelect: function($fields, type) {
// // 		console.log('--- listenForCitySelect ------');
// // 		var m = this,
// // 				$city = $fields.children().eq(0).find('select'),
// // 				$dynamic = $fields.children().eq(1),
// // 				$dynamicSelect = $dynamic.find('select');
// //
// // 		if (!$dynamicSelect.children().length) {
// // 			$dynamicSelect.prop('disabled', true);
// // 		}
// // 		$city.change(function() {
// // 			m.prepareDynamicOptions($dynamic);
// // 			var locationId = jQuery(this).val();
// // 			m.checkStorageData(locationId, type, $dynamicSelect);
// // 		});
// // 	},
// //
// //
// // 	/**
// // 	 *  Prepares the dynamic `<select>` element by clearing options, disabling it, and adding a loading indicator.
// // 	 *  @param  {Object} $field The row with the dynamic option (building or unit).
// // 	 */
// // 	prepareDynamicOptions: function($field) {
// // 		var $select = $field.find('select'),
// // 				$label = $field.find('label'),
// // 				labelValue = $label.text();
// // 		$select.prop('disabled', true).empty();
// // 		$label.html(labelValue + ' <img src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.2.1/assets/ajax-loader.gif" style="left: 6px; position: relative; top: 3px; width: 18px;">');
// // 	},
// //
// //
// // 	/**
// // 	 *  Enables the dynamic field for use by enabling the `<seelect>` element and removing the loading indicator.
// // 	 *  @param  {Object} $select The dynamic select box.
// // 	 */
// // 	unloadDynamicOptions: function($select) {
// // 		$select.prop('disabled', false);
// // 		$select.parent('.acf-input').prev('.acf-label').find('img').remove();
// // 		$select.change(function() {
// // 			$select.find('option:selected').prop('selected', false);
// // 			$select.find('option[value="'+ jQuery(this).val() +'"]').prop('selected', true);
// // 		}).change();
// // 	}
// // };
// //
//
// acf.add_action('append', function($el) {
// 	var layout = $el.data('layout'),
// 			$fields = $el.find('.acf-fields'),
// 			$dynamic = $fields.find('[data-key="field_5a063b9f336dc"]');
// 	switch(layout) {
// 		case 'unit':
// 			var $unit = $dynamic.find('select');
// 			var $hidden = $dynamic.find('input[type="hidden"]');
//
//
// 			$unit.append(jQuery('<option>', {
// 				value: '8065|8198198|Testing-One-Two-Three-Four',
// 				text: 'Atlanta'
// 			}));
//
// 			$unit.append(jQuery('<option>', {
// 				value: '5171|651651|Testing-One-Two-Three-Six',
// 				text: 'Nashville'
// 			}));
//
// 			$unit.append(jQuery('<option>', {
// 				value: '8044|651651|Testing-One-Two-Three',
// 				text: 'Chicago'
// 			}));
//
//
//
// 			// $unit.select2({
// 			// 	data:  [
// 			// 		{
// 			// 			id: 0,
// 			// 			text: 'enhancement'
// 			// 		},
// 			// 		{
// 			// 			id: 1,
// 			// 			text: 'bug'
// 			// 		},
// 			// 		{
// 			// 			id: 2,
// 			// 			text: 'duplicate'
// 			// 		},
// 			// 		{
// 			// 			id: 3,
// 			// 			text: 'invalid'
// 			// 		},
// 			// 		{
// 			// 			id: 4,
// 			// 			text: 'wontfix'
// 			// 		}
// 			// 	]
// 			// }).on('select2:select', function(e) {
// 			// 	var data = e.params.data;
//     	// 	$hidden.val(data.id);
// 			// });
//
//
//
// 			break;
// 	}
// });
//
// //
// // acf.add_filter('select2_args', function( args, $select, settings, $field ){
// //
// //
// // 	console.log($field);
// // 	console.log($select);
// // 	console.log(settings);
// //
// // // 	// do something to args
// // // 	args.data = [
// // // {
// // // 	id: 0,
// // // 	text: 'enhancement'
// // // },
// // // {
// // // 	id: 1,
// // // 	text: 'bug'
// // // },
// // // {
// // // 	id: 2,
// // // 	text: 'duplicate'
// // // },
// // // {
// // // 	id: 3,
// // // 	text: 'invalid'
// // // },
// // // {
// // // 	id: 4,
// // // 	text: 'wontfix'
// // // }
// // // ];
// //
// // 	// return
// // 	return args;
// //
// // });
