<?php
// only run if we have Owl Carousel loaded
if( class_exists( 'Wp_Owl_Carousel' ) ) :
/**
 *	Stay Alfred Owl Carousel widget class
 *
 * @since 2.8.0
 */
class Stayalfred_Owl_Widget extends WP_Widget {

	function __construct() {
		$widget_register = array(
			'classname'		=>	'Stayalfred_Owl_Widget',
			'description'	=>	'Insert Owl Carousel Shortcode'
		);
		parent::__construct('Stayalfred_Owl_Widget', __('Stay Alfred Owl Carousel'), $widget_register);
	}

/**
 *	Output the actual contents of the widget
 */
	function widget( $args, $instance) {

		if( !isset( $instance['owl'] ) || 0 == $instance['owl'] ) { return; }

		$title = apply_filters('widget_title', $instance['title'] );

		echo $args['before_widget'];
		if( $title ) {
			echo $args['before_title'] . $title . $args['after_title'];
		}
		echo do_shortcode( sprintf('[wp_owl id="%d"]', (int) $instance['owl'] ) );

		echo $args['after_widget'];
	}

/**
 *	Process the options to be saved for the widget
 */
	function update( $new_instance, $old_instance ){
		$instance = $old_instance;
		$instance['title'] = strip_tags ( $new_instance['title'] );
		$instance['owl'] = (int) $new_instance['owl'];

		return $instance;
	}

/**
 *	Output the Options form
 */
	function form( $instance ){
		// Defaults
		$instance = wp_parse_args( (array) $instance, array(
			'title'		=> '',
			'owl'		=> 0
		));
		$title = $instance['title'];

		$owls = new WP_Query( array(
			'post_type'		=> 'wp_owl',
			'post_status'	=> 'publish',
			'orderby'		=> 'title',
			'order'			=> 'asc'
		) );

		if( $owls->have_posts() ){

			printf('<p><label for="%1$s">%2$s</label>', esc_attr( $this->get_field_id('title') ), esc_html__('Title') );
			printf('<input class="widefat" id="%1$s" name="%2$s" type="text" value="%3$s" /></p>', esc_attr( $this->get_field_id('title') ), esc_attr( $this->get_field_name('title') ), esc_attr( $title) );

			printf('<p><label for"%1$s">Owl Carousel</label><select name="%2$s" id="%1$s">', esc_attr( $this->get_field_id('owl') ), esc_attr( $this->get_field_name('owl') ) );
			printf( '<option value="0" %s>Select Carousel...</option>', selected( $instance['owl'], 0, false) );
			while( $owls->have_posts() ) : $owls->the_post();
				printf('<option value="%1$d" %3$s>%2$s</option>', get_the_ID(), get_the_title(),selected( $instance['owl'], get_the_ID(), false));
			endwhile;
			wp_reset_postdata();
			echo '</select></p>';
		} else {
			printf( '<input type="hidden" id="%1$s" name="%1$s" value="%2$s" />',  esc_attr( $this->get_field_name('title') ), '' );
			printf( '<input type="hidden" id="%1$s" name="%1$s" value="%2$s" />',  esc_attr( $this->get_field_name('owl') ), 0 );
			echo "<p>Sorry, No Owl Carousels are available to select</p>";
		}

	}
}
register_widget("Stayalfred_Owl_Widget");
endif;
