<?php

/**
 *  Adds the role of `Revenue Manager` and gives them read/write/publish access to the `Specials` post type.
 */

$role_revenue_manager = add_role('revenue_manager',
		'Revenue Manager', array(
			'read' => true,
			'edit_posts' => false,
			'delete_posts' => false,
			'publish_posts' => false,
			'upload_files' => true,
		)
	);


function add_role_caps_rm() {
	$roles = array('revenue_manager','editor','administrator');
	foreach($roles as $the_role) {
		$role = get_role($the_role);
		$role->add_cap('read');
		$role->add_cap('read_special');
		$role->add_cap('read_private_specials');
		$role->add_cap('edit_special');
		$role->add_cap('edit_specials');
		$role->add_cap('edit_others_specials');
		$role->add_cap('edit_published_specials');
		$role->add_cap('publish_specials');
		$role->add_cap('delete_others_specials');
		$role->add_cap('delete_private_specials');
		$role->add_cap('delete_published_specials');
	}
}

add_action('admin_init', 'add_role_caps_rm', 999);
