<?php
    get_header();

    $masthead_content = get_field('masthead_content');
    $masthead_image = get_field('masthead_image');
    $panels = get_field('panels');

?>

    <article class="corporate-travel-program">

			<div class="promo-banner">
				<div class="container">
					<h4 class="promo-title">Get 15% off with code: <strong>NBTD15</strong></h4>
					<div class="promo-content">
						<p>In honor of National Business Traveler Day, we're giving you (our intrepid business travelers) 15% off at any Stay Alfred.<sup>*</sup></p>
						<small><sup>*</sup>Subject to availability. Discount will be applied to nightly rate and cannot be combined with other offers. Offer valid through August 31, 2018.</small>
					</div>
				</div>
			</div>


        <section class="masthead" style="background-image: url(<?php echo $masthead_image; ?>)">
					<div class="container">
						<div class="content">
							<?php echo $masthead_content; ?>
							<a href="#form" class="btn">Get more information</a>
						</div>
					</div>
        </section>

        <?php while (have_rows('panels')) : the_row(); ?>
           <?php if (get_row_layout() == 'full-width'): ?>

               <?php
                    $content_position = get_sub_field('content_position');
                    $image = get_sub_field('image');
                    $content = get_sub_field('content');
               ?>

               <section class="panel-item full-width">
                   <?php if ($content_position === 'left'): ?>
                       <div class="content"><?php echo $content; ?></div>
                       <img src="<?php echo $image; ?>">
                   <?php else : ?>
                       <div class="content"><?php echo $content; ?></div>
                       <img src="<?php echo $image; ?>">
                   <?php endif; ?>
               </section>

           <?php elseif (get_row_layout() == 'contained'): ?>
               <?php
                    $content_position = get_sub_field('content_position');
                    $image = get_sub_field('image');
                    $content = get_sub_field('content');
               ?>

               <section class="panel-item contained">
                   <div class="container">
                       <?php if ($content_position === 'left'): ?>
                           <div class="content"><?php echo $content; ?></div>
                           <img src="<?php echo $image; ?>">
                       <?php else : ?>
                           <div class="content"><?php echo $content; ?></div>
                           <img src="<?php echo $image; ?>">
                       <?php endif; ?>
                   </div>
               </section>
           <?php elseif (get_row_layout() == 'quote'): ?>
               <?php
                    $background_color = get_sub_field('background_color');
                    $quote = get_sub_field('quote');
                    $author = get_sub_field('author');
               ?>
               <section class="quote-item" style="background-color: <?php echo $background_color; ?>">
                   <div class="container">
                       <blockquote>
                           <?php echo $quote; ?>
													 <span class="author"><?php echo $author; ?></span>
                       </blockquote>
                   </div>
               </section>
           <?php endif; ?>
        <?php endwhile; ?>

        <section class="form" id="form">
					<div class="container">
						<h2>Get started</h2>
						<p>Tell us a little about your business so we can help.</p>
						<?php echo do_shortcode('[ninja_form id=4]'); ?>
					</div>
				</section>

    </article>

<?php get_footer() ?>
