<?php

	$args = array(
		'post_type' => 'stayalfred-city',
		'posts_per_page' => -1,
		'orderby'=> 'title',
		'order' => 'ASC'
	);
	$query = new WP_Query($args);

	get_header()
?>

	<style type="text/css">
		h4,
		h5 {
			margin: 0!important;
			text-transform: none!important;
			font-weight: 300!important;
		}

		h4 { font: 30px "MyriadProRegular"; }
		h5 { font: 27px "MyriadProRegular"; }

		#citiesContent {
			padding: 0;
			width: 100%;
		}

		#citiesContent .col-md-4,
		#citiesContent .col-xs-6 { float: none; }

		#citiesContent .row {
			display: flex;
			flex-wrap: wrap;
			justify-content: space-between;
		}

		#citiesContent .block-city {
			margin-bottom: 3rem;
		}


		#citiesContent h3 {
			color:#fff;
			font: 44px 'MyriadProBold';
			left: 0;
			position: absolute;
			right: 0;
			text-align: center;
			text-shadow: 0px 0px 5px #000;
			top: 20%;
		}

		#citiesContent .imager {
			height: 225px;
			overflow: hidden;
			margin-bottom: 1.3rem;
		}

		#citiesContent .imager img {
			min-height: 225px;
		}

		@media(max-width:991px) {
			#citiesContent h1{
				font-size: 28px;
				margin-top: -20px;
			}
			#citiesContent h2 { font-size:24px; }
		}
	</style>



  <div class="container">

    <?php if ( is_single() || is_page() ) : ?>
      <div class="row margin-top">
        <div class="col-md-12">
          <div class="wrap">
            <div class="col-md-12 center">
              <h2 class="title-header"><?php the_title() ?></h2>
            </div>
          </div>
        </div>
      </div>
    <?php endif; ?>

    <div class="row">
      <div class="col-md-12">
				<div class="custom-content">
				  <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				  	<div class="entry-content">
							<div id="citiesContent" class="container">
								<div class="row">
									<?php if ($query->have_posts()) : ?>
										<?php while ($query->have_posts()): $query->the_post(); ?>

											<?php
												$city_title = get_the_title();
												$city_slug = basename(get_permalink());
												$city_img = wp_get_attachment_image_src(get_post_thumbnail_id($query->ID), 'full')[0];
											?>

											<div class="col-md-4 col-xs-6 block-city">
												<a href="/<?php echo $city_slug; ?>-vacation-rentals/">
													<div class="imager">
														<img title="" src="<?php echo $city_img ?>" alt="<?php echo $city_title; ?> Vacation Rentals">
														<h3><?php echo $city_title; ?></h3>
													</div>
													<h4>Downtown <?php echo $city_title; ?></h4>
													<h5>Vacation Rentals by Stay Alfred</h5>
												</a>
											</div>

										<?php endwhile; ?>
									<?php endif; ?>
									<?php wp_reset_postdata(); ?>

								</div>
							</div>
				  	</div><!-- .entry-content -->
						<?php edit_post_link( __( 'Edit', 'stayalfred-theme' ), '<span class="edit-link">', '</span>' ); ?>
				  </article><!-- #post -->
				</div>

      </div>
    </div>
  </div>
	<script>
		jQuery(window).load(function(){
			if(window.innerWidth < 768){
				jQuery('#citiesContent .imager').each(function(){
					var heiImg = jQuery(this).height();
					jQuery(this).find('h3').css({'top':(heiImg/2) - 27});
				});
			}
		});
	</script>
<?php get_footer() ?>
