<?php get_header(); ?>

<?php if ( have_posts() ) : ?>
<?php while ( have_posts() ) : the_post();

	$promo_coupon = get_field('promo_coupon_code');
	$promo_image = get_field('promo_image')['url'];

	$promo_booking_dates_start = date('M d, Y', strtotime(get_field('promo_booking_dates_start')));
	$promo_booking_dates_end = date('M d, Y', strtotime(get_field('promo_booking_dates_end')));

	$promo_coupon_dates_start = date('M d, Y', strtotime(get_field('promo_coupon_dates_start')));
	$promo_coupon_dates_end = date('M d, Y', strtotime(get_field('promo_coupon_dates_end')));

	$promo_props = get_field('promo_props');
	$promo_description = get_field('promo_description');
	$promo_restrictions = get_field('promo_restrictions');

?>

<div class="specials-masthead" style="background-image: url('<?php echo $promo_image; ?>')">
	<div>&nbsp;</div>
</div>

<article>
	<div class="container">
		<div class="row">
			<div class="col-md-1">&nbsp;</div>
			<div class="col-md-10">
				<h1><?php echo the_title(); ?></h1>
				<h2><span>Use promo code:</span> <?php echo $promo_coupon; ?></h2>

				<?php if (!empty($promo_description)) : ?>
					<div class="description">
						<?php echo $promo_description; ?>
					</div>
				<?php endif; ?>


				<div class="booking-dates flex-grid">
					<h4>Offer ends:</h4>
					<ul class="booking-dates-block">
						<li><?php echo $promo_coupon_dates_end; ?></li>
					</ul>
				</div>


				<div class="booking-dates flex-grid">
					<h4>Booking dates:</h4>
					<ul class="booking-dates-block">
						<li><?php echo $promo_booking_dates_start; ?>&mdash;<?php echo $promo_booking_dates_end; ?></li>
					</ul>
				</div>

				<div class="applicable-properties flex-grid">
					<h4>Locations:</h4>
					<ul class="applicable-properties-block">
						<?php while (have_rows('promo_props') ) : the_row(); ?>
							<?php
								if (get_row_layout() == 'city'):
									$prop = get_sub_field('promo_props_city');
									$data = explode('_', $prop);
									$city_id = $data[0];
									$city_name = $data[1];

							?>
							<li>
								<a href="https://www.stayalfred.com/search-results/?area_id=<?php echo $city_id; ?>">All Stay Alfreds in <?php echo $city_name; ?></a>
							</li>

							<?php
								elseif (get_row_layout() == 'building'):
									$prop = get_sub_field('promo_props_building');
									$data = explode('|', $prop);

									$city_data = explode('_', $data[0]);
									$city_id = $city_data[0];
									$city_name = $city_data[1];

									$building_data = explode('_', $data[1]);
									$building_id = $building_data[0];
									$building_name = $building_data[1];

									$url = "area_id=$city_id&location_id=$building_id";

							?>

							<li>
								<a href="https://www.stayalfred.com/search-results/?<?php echo $url; ?>">All Stay Alfreds at <?php echo $building_name; ?> in <?php echo $city_name; ?></a>
							</li>


							<?php
								elseif (get_row_layout() == 'unit'):
									$prop = get_sub_field('promo_props_unit');
									$data = explode('|', $prop);

									$city_data = explode('_', $data[0]);
									$city_id = $city_data[0];
									$city_name = $city_data[1];

									$building_data = explode('_', $data[1]);
									$building_id = $building_data[0];
									$building_name = $building_data[1];

									$unit_data = explode('_', $data[2]);
									$unit_id = $unit_data[0];
									$unit_name = $unit_data[1];

									$pretty_name = str_replace('-', ' ', $unit_name);


							?>

								<li>
									<a href="/<?php echo $unit_name;?>"><?php echo $pretty_name; ?> (<?php echo $city_name; ?>)</a>
								</li>

							<?php endif; ?>
						<?php endwhile; ?>
					</ul>
				</div>

				<?php if (!empty($promo_restrictions)) : ?>
					<div class="restrictions">
						<h3>Rules and Restrictions</h3>
						<?php echo $promo_restrictions; ?>
					</div>
				<?php endif; ?>

			</div>
			<div class="col-md-1">&nbsp;</div>
		</div>
	</div>
</article>






<?php
	endwhile;
	endif;
	get_footer();
?>
