<?php
/**
 * Template Name: Cities Page with Filter (Right Map)
 */
get_header();
?>

<?php
$areaIdFromContent = explode('location_area_id="', get_the_content());
$areaIdFromContent = substr($areaIdFromContent['1'], 0, 4);
//$areaIdFromContent = explode('area_id="', $areaIdFromContent['0']);
$areaGetId = $areaIdFromContent;
?>

<div id="primary" class="content-area container" ng-controller="PropertyController as pCtrl" ng-cloak>

    <?php
        $urlCurr = $_SERVER['REDIRECT_URL'];
        $newUrl = $_SERVER['REDIRECT_URL'].'?area_id='.$areaGetId;
        if($_SERVER['REQUEST_URI']!=$_SERVER['REDIRECT_URL'].'?area_id='.$areaGetId){
            echo '<script>window.location.href = "'.$newUrl.'";</script>';
        }
    ?>
    <?php echo '<h2 class="title-header">'.get_the_title().'</h2>'?>

    <div ng-init="<?php echo apply_filters('streamline-search-results-params', 'search.area_id='.$areaGetId.';'); ?>">
        <main id="main" class="site-main" role="main" ng-init="requestPropertyList('<?php echo $method; ?>');">

            <?php do_action('streamline-search-results-start'); ?>
            <div class="row">
                <div class="col-md-8">
                    <div class="row search_results_filter_area">
                        <?php if (is_active_sidebar('top_search_widget')): ?>
                            <div class="col-md-12">
                                <?php dynamic_sidebar('top_search_widget'); ?>
                            </div>
                        <?php endif; ?>

                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="loading" ng-show="loading">
                                        <i class="fa fa-circle-o-notch fa-spin"></i> <?php _e('Loading...', 'streamline-core') ?>
                                    </div>
                                    <?php echo apply_filters('show-unit-count-top', '<div ng-if="!loading && total_units > 0"><p class="search-pagination">' . sprintf(__('Showing %s of %s properties', 'streamline-core'), '<span ng-bind="results.length"></span>', '<span ng-bind="total_units"></span>') . '</p></div>'); ?>
                                </div>
                            </div>
                            <div ng-show="!loading" ng-if="isEmptyObject(results) || results.length == 0" ng-cloak>
                                <div class="alert alert-danger">
                                    <p>Nothing Found</p>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="row listings_wrapper_box" ng-init="limit = searchSettings.propertyPagination">

                                <div ng-repeat="property in propertiesObj| orderBy: customSorting : sort | filter: priceRange | filter: amenityFilter | filter: amenityFilterOr | filter: bedroomFilter | filter: locationFilter | filter: neighborhoodFilter | filter: viewNameFilter | limitTo: limit as results">
                                    <div class="listing col-md-6">
                                        <a href="<?php echo $property_link ?>/{[property.seo_page_name]}?sd={[search.start_date]}&ed={[search.end_date]}&oc={[search.occupants]}&ch={[search.occupants_small]}">
                                            <div class="img" style="background-image:url('{[property.default_image_path]}');" >
                                                <img ng-src="{[property.default_image_path]}" err-src="<?php ResortPro()->assets_url('images/dummy-image.jpg'); ?>" alt="{[property.location_name]}" style="display:none;"/>
                                                <div class="price">
                                                    <small><?php _e( 'from', 'stayalfred' ) ?></small> {[property.price_data.daily | currency]} <small>/<?php _e( 'night', 'stayalfred-theme' ) ?></small>
                                                </div>
                                            </div>
                                            <div class="meta">
                                                <h5>{[property.seo_page_name]}</h5>
                                                <p><?php _e( 'Sleeps', 'stayalfred-theme' ) ?> {[property.max_occupants]} &middot; {[property.bedrooms_number]} <?php _e( 'beds', 'stayalfred-theme' ) ?> &middot; {[property.bathrooms_number]} <?php _e( 'baths', 'stayalfred-theme' ) ?> </p>
                                            </div>
                                        </a>
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="streamline-pagination-wrapper text-center" ng-show="!loading">
                                <button class="btn btn-primary"
                                        ng-if="total_units > 0"
                                        ng-hide="limit > results.length"
                                        ng-click="loadMore();"><?php _e('Show More', 'streamline-core') ?></button><br />
                                <?php //echo apply_filters('show-unit-count-bottom', '<p class="search-pagination" ng-if="!loading && total_units > 0">' . sprintf(__('Showing %s of %s properties', 'streamline-core'), '<span ng-bind="results.length"></span>', '<span ng-bind="total_units"></span>') . '</p>'); ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 forMap"><?php dynamic_sidebar('cities-area'); ?></div>
                <div class="clearfix"></div>
            </div>
        </main>
    </div>
    <div class="col-md-12 contentArea">
        <?php
            $beforeContent1 = explode('[resortpro-browse-results', get_the_content());
            echo $beforeContent1['0'];
            $afterContent1 = explode('"]', get_the_content());
            echo $afterContent1['1'];
        ?>
    </div>
</div><!-- .content-area -->
<?php get_footer(); ?>

<style>
.forMap{
	padding-top:20px;
}
.contentArea {
	padding-top:20px;
	padding-bottom:20px;
}
#resortpro_search_widget-4, #resortpro_filter_widget-3 .col-lg-3:first-child{
    display: none;
}
.glyphicon{
    top: 10px;
    width: 50px;
}
.form-group{
    position: relative;
}
.caret{
    position: absolute;
    top: 25px!important;
    right: 17px;
}
#resortpro_filter_widget-3 input{
    background: #fff!important;
}
#resortpro_sw_bedrooms_number{
    -webkit-appearance:none;
    -moz-appearance: none;
}
.streamline-pagination-wrapper{
    margin: 0;
}
.streamline-pagination-wrapper br{
    display: none;
}
.search_results_filter_area{
    background: none!important;
    padding-bottom: 0!important;
}
#resortpro_filter_widget-3 .col-md-3{
    width: 33.33%!important;
}
.title-header{
    text-align: center;
}
#resortpro_filter_widget-3 input::-moz-placeholder{   
    opacity: 1!important;
    color: #555;
}
#resortpro_filter_widget-3 input::-webkit-input-placeholder {
    color: #555;
}
.img{
transition: all 0.4s;
}
.img:hover{
opacity: 0.85!important;
}
@media(max-width:991px){
#resortpro_filter_widget-3 .col-lg-3{
    width: 100%;
}
.caret{
    right: 13px;
}
}

@media(max-width:767px){
.page-template-page-cities-filter .widget_resortpro_filter_widget #resortpro-widget-form{
    padding-left: 0;
}
.page-template-page-cities-filter #resortpro_filter_widget-3 .col-md-3{
    width: 100%!important;
}
.page-template-page-cities-filter .caret{
    right: 23px;
}
}    
</style>