#!/bin/bash
#
#  SYNC DATABASES
# --------------------------------------------------

source ../../../dist/public_html/.env

TIMESTAMP=$(date +"%m-%d-%y")
BACKUP_DIR="_tmp"

STAGE_URL="//alf.nicksnyderstudios.com"
LOCAL_URL="//stayalfred.dev"

STAGE_DIR="/var/www/alf.nicksnyderstudios.com/public_html"
LOCAL_DIR="/Users/Nick/Sites/ALF_StayAlfred/ALF_004__Retainer/production/development/dist"

# Create backup directory.
mkdir $BACKUP_DIR && cd $BACKUP_DIR;

# Make a backup of the local database.
mysqldump -u $DB_USER_LOCAL -p$DB_PASS_LOCAL $DB_NAME_LOCAL > local__$TIMESTAMP.sql;

# Find and replace the directories and URLs in the SQL file.
sed -ibak "s|$LOCAL_URL|$STAGE_URL|g" *.sql;
sed -ibak2 "s|$LOCAL_DIR|$STAGE_DIR|g" *.sql;

# Replace the staging database.
ssh root@138.68.58.9 "mysql -u $DB_USER_STAGING -p$DB_PASS_STAGING $DB_NAME_STAGING" < local__$TIMESTAMP.sql;

cd ..;
rm -rf $BACKUP_DIR;

echo '';
echo '--- StayAlfred local database merged with staging. ------';
echo '';
