module.exports = {
	site_name: "AWS re:Invent",
	base_url: '/', //https://reinvent.awsevents.com/
	desc: "default site description",
	og_title: "default og Title",
	og_desc: "default og Desc",
	og_img: "https://reinvent.awsevents.com/_media/images/og/brand-og.png",
	tw_handle: "awscloud",
	tw_img: "https://reinvent.awsevents.com/_media/images/og/brand-tw.png",
	scripts_top: ""	
};
module.exports.activities = [{
	meta: [{
		title: 'Activities',
		slug: 'activities',
		url: 'https://reinvent.awsevents.com/activites',
		desc: 'Take your re:Invent experience to the next level with activities that provide learning environments, showcase your AWS skills, and meet other AWS experts.',
		wave: '3',
	}],
	header: [{
		headline: 'Activities',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Global Partner Summit, Hackathon, and Gameday</h2> \
			<p class="last">Take your re:Invent experience to the next level with activities that provide engaging learning environments and opportunities to showcase and sharpen your AWS skills while meeting other AWS experts. Are you a member of APN? Take part in our annual Global Partner Conference.</p>'
	}],
	sections: [
		{
			slug: 'global-partners-summit',
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/activities/aws-reinvent-activity-global-partners-summit-panel-of-speakers.jpg',
								alt: 'AWS re:Invent panel of speakers at Global Partners Summit.',
							},
						},
						{
							content: '<h3 class="headline-s3">Global Partner Summit</h3> \
								<p>Join us at the Global Partner Summit for the chance to hear from AWS leadership about the future of the business and what is coming next for the AWS Partner Network (APN). Here, you will have the opportunity to learn from the success of your fellow partners, participate in sessions focused on developing new skills, and discover insights into growing your cloud practice with AWS.</p> \
								<p class="last"><a class="button" href="/activities/global-partner-summit"><span>learn more</span></a></p>'
						}
					]
				}
			]
		},
		{
			slug: "hackathon",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/activities/aws-reinvent-activity-hackathon-two-engineers-colaborate.jpg',
								alt: 'Two engineers collaborate at the AWS re:Invent Hackathon.',
							},
						},
						{
							content: '<h3 class="headline-s3">Hackathon</h3> \
								<p>Our annual hackathon is back for another year, this time with even bigger and better challenges. This is the perfect place to show off your tech skills and earn bragging rights while solving real-world problems for a non-profit organization.</p> \
								<p class="last">You can register for this event in late summer.</p>'
						}
					]
				}
			]
		},
		{
			slug: "gameday",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/activities/aws-reinvent-activity-game-day-hands-working-on-circuitry.jpg',
								alt: 'An engineer working on circuity at the AWS re:Invent Game Day activity.',
							},
						},
						{
							content: '<h3 class="headline-s3">Gameday</h3> \
								<p>Do you have what it takes to securely scale an application that meet the demands of the connected world and still conquers threats from both inside and outside of your company?</p> \
								<p>Can you keep a cloud-based workload running through extreme traffic spikes and malicious attacks, with little input from the people who built it the first time?</p> \
								<p class="last">You can register for this event in late summer.</p>'
						}
					]
				}
			]
		},
	]
}];
module.exports.after_hours = [{
	meta: [{
		title: "After Hours",
		slug: "after-hours",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/after-hours",
		desc: "AWS re:Invent after hours experiences you&rsquo;ve come to love: the wing eating contest, Pub Crawl, Harley ride, re:Play party, and the brand new re:Invent 5k.",
	}],
	header: [{
		headline: "After Hours",
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">After Hours at <span class="reinvent-case">re:Invent</span></h2> \
			<p class="last">Quirky after hours experiences you&rsquo;ve come to love from the wing eating contest to the (expanded) Pub Crawl, Harley ride, re:Play party, and new this year, the re:Invent 5k.  After a full day of sessions, these activities are the perfect way to relax and connect and network with your fellow attendees, re:Invent sponsors, and AWS experts.</p>',
	//	content_2: "<h3>The New re:Invent 5k</h3> \
	//		<p>New to re:Invent this year, we are excited to offer a 5k run for our attendees. Stick to your fitness routine, get outside and stretch your legs before a full day of sessions. The re:Invent 5k will take place Wednesday morning before the keynote and is fun way to stay fit during re:Invent   Registration opens in July!</p>",
	}],
	sections: [
		{
			slug: "welcome-reception",
			name: "welcome reception",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-welcome-reception.jpg',
								alt: 'The welcome reception at the AWS re:Invent After Hours event.',
							},
						},
						{
							content: '<h3 class="headline-s3">Welcome Reception</h3> \
								<p class="last">Stop by and get your first taste of AWS re:Invent Central, located at the heart of the re:Invent action. You&rsquo;ll find everything you need to get connected, educated, and stay engaged with conference happenings. While you&rsquo;re there, take advantage of opportunities to speak with leading cloud-technology consultants and providers and get answers from our expert AWS engineers and product leaders.</p> \
								<!--<a class="button" href="/after-hours/welcome-reception"><span>learn more</span></a>-->'
						},
					]
				}
			]
		},
		{
			slug: "pub-crawl",
			name: "pub crawl",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-pub-crawl.jpg',
								alt: 'The AWS re:Invent After Hours Pub Crawl',
							},
						},
						{
							content: '<h3 class="headline-s3">Pub Crawl</h3> \
								<p class="last">Spend a night with AWS and its sponsors at some of the best clubs and restaurants Las Vegas has to offer. Hosted bar and appetizer are on us.</p> \
								<!--<a class="button" href="/after-hours/pub-crawl"><span>learn more</span></a>-->'
						},
					]
				}
			]
		},
		{
			slug: "reinvent-5k",
			name: "re:Invent 5k",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-preplay-5k.jpg',
								alt: 'The brand new AWS re:Invent 5k run.',
							},
						},
						{
							content: '<h3 class="headline-s3">The New <span class="reinvent-case">re:Invent</span> 5<span class="reinvent-case">k</span></h3> \
								<p class="last">New to re:Invent this year, we are excited to offer a 5k run for our attendees. Stick to your fitness routine, get outside and stretch your legs before a full day of sessions. The re:Invent 5k will take place Wednesday morning before the keynote and is fun way to stay fit during re:Invent   Registration opens in July!</p> \
								<!--<a class="button" href="/after-hours/preplay-5k"><span>learn more</span></a>-->'
						},
					]
				}
			]
		},
		{
			slug: "tatonka-challenge",
			name: "tatonka challenge",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-tatonka-challenge.jpg',
								alt: 'The third annual Tatonka Challenge at AWS re:Invent.',
							},
						},
						{
							content: '<h3 class="headline-s3">Tatonka Challenge</h3> \
								<p>The Tatonka Challenge is back! Join us for our third annual buffalo chicken wing eating contest that will test the heart (and stomach) of every brave participant. All entrants will receive unlimited wings (or celery, for our plant-loving friends), a commemorative t-shirt and a chance at the ultimate prize - Tatonka bragging rights.</p> \
								<p class="last">Pre-registration is encouraged. However, participants will be selected on a first-come, first-seated basis. Registration to open late summer.</p> \
								<!--<a class="button" href="/after-hours/tatonka-challenge"><span>learn more</span></a>-->',
							},
					]
				}
			]
		},
		{
			slug: "replay",
			name: "re:Play",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-replay.jpg',
								alt: 'The world-famous re:Play Party at AWS re:Invent After Hours.',
							},
						},
						{
							content: '<h3 class="headline-s3">re:Play</h3> \
								<p>Join us on Thursday evening for our world-famous re:Play Party.</p> \
								<a class="button" href="/after-hours/replay"><span>learn more</span></a>'
						},
					]
				}
			]
		},
		{
			slug: "harley-ride",
			name: "harley ride",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/after-hours/aws-reinvent-after-hours-event-harley-ride.jpg',
								alt: 'The AWS re:Invent Harley Ride.',
							},
						},
						{
							content: '<h3 class="headline-s3">Harley Ride</h3> \
								<p class="last">End your week on the perfect note by joining your fellow attendees and AWS solutions architects on a half-day Harley ride. This 5 to 6 hours ride, including a stop for lunch, will elad you approximately 160 miles into the Valley of Fire along narrow, scenic roads. We&rsquo;ll pass through Lake Mead National Recreation Area, cruise along the shores of Lake Las Vegas, and finish with stunning view of the Las Vegas skyline.</p> \
								<!--<a class="button" href="/after-hours/harley-ride"><span>learn more</span></a>-->',
						},
					]
				}
			]
		},
	]

}];

module.exports.agenda = [{
	meta: [{
		title: "Agenda",
		slug: "agenda",
		template: '',
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/agenda",
		desc: "Create the re:Invent experience that's right for you. Learn how the cloud impacts your business, including: IoT, new perspectives on cloud issues, and more.",
		wave: '2',
	}],
	header: [{
		headline: "Agenda Overview",
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Build Your Own Experience</h2> \
			<p class="last">Create the re:Invent experience that&rsquo;s right for you. Our 2016 agenda offers expanded opportunities to learn how the cloud impacts your business, including deep dives into topics like IoT, new perspectives on cloud issues, and more chances to learn from the experts.</p>',
		content_2: '<h2 class="headline-s3">Even More Ways To Learn</h2> \
			<p>The 2016 Session Catalog will be available later in the summer. In the meantime, you can browse the 2015 catalog to review the types of sessions we offered last year. This year&rsquo;s catalog will have 400+ sessions to choose from, with courses for all levels.</p> \
			<p class="last"><a class="button" target="_blank" href="https://www.portal.reinvent.awsevents.com/connect/search.ww#loadSearch-searchPhrase=&searchType=session&tc=1&sortBy=abbreviationSort&p="><span>view 2015 session catalog</span></a></p>',
	}],
	sections: [
		{
			slug: 'monday',
			name: 'Monday',
			number: 'Pre-Day',
			day: 'Monday',
			date: 'November 28',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 7:30pm',
					type: 'session',
					link: ''
				},
				{
					name: 'Bootcamps',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
			]
		},
		{
			slug: 'tuesday',
			name: 'Tuesday',
			number: 'Day 1',
			day: 'Tuesday',
			date: 'November 29',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 7:30pm',
					type: 'session',
				},
				{
					name: 'Breakfast',
					time: '7:30am — 8:30am',
					type: 'other',
				},
				{
					name: 'Hands-on Labs',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Bootcamps',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Breakout Sessions',
					url: '/sessions',
					time: '9:00am — 6:00pm',
					type: 'session',
				},
				{
					name: 'Global Partner Summit',
					url: '/activities/global-partner-summit',
					time: '11:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Technical Deep Dives',
					url: '/sessions#technical-deep-dives',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Lunch',
					time: '12:00pm — 1:30pm',
					type: 'other',
				},
				{
					name: 'Welcome Reception',
					url: '/activities',
					time: '5:00pm — 7:00pm',
					type: 'after-hours',
				},
			]
		},
		{
			slug: 'wednesday',
			name: 'Wednesday',
			number: 'Day 2',
			day: 'Wednesday',
			date: 'November 30',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 10:00pm',
					type: 'session',
				},
				{
					name: 'Breakfast',
					time: '7:30am — 8:30am',
					type: 'other',
				},
				{
					name: 'Hands-on Labs',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Bootcamps',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Keynote',
					time: '9:00am — 10:30am',
					type: 'other',
				},
				{
					name: 're:Invent Central <span>(Expo Hall)</span>',
					url: '/sponsors',
					time: '10:30am — 6:00pm',
					type: 'other',
				},
				{
					name: 'Breakout Sessions',
					url: '/sessions',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Technical Deep Dives',
					url: '/sessions#technical-deep-dives',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Lunch',
					time: '12:00pm — 1:30pm',
					type: 'other',
				},
				{
					name: 'Pub Crawl',
					url: '/after-hours/#pub-crawl',
					time: '5:30pm — 7:30pm',
					type: 'after-hours',
				},
				{
					name: 'Late Night Hands-on Labs',
					url: '/training',
					time: '7:00pm — 12:00am',
					type: 'session',
				}
			]
		},
		{
			slug: 'thursday',
			name: 'Thursday',
			number: 'Day 3',
			day: 'Thursday',
			date: 'December 1',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Breakfast',
					time: '7:30am — 8:30am',
					type: 'other',
				},
				{
					name: 'Hands-on Labs',
					url: '/training',
					time: '8:00am — 5:00pm',
					type: 'session',
				},
				{
					name: 'Keynote',
					time: '9:00am — 10:30am',
					type: 'other',
				},
				{
					name: 're:Invent Central <span>(Expo Hall)</span>',
					url: '/sponsors',
					time: '10:30am — 6:00pm',
					type: 'other',
				},
				{
					name: 'Breakout Sessions',
					url: '/sessions',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Technical Deep Dives',
					url: '/sessions#technical-deep-dives',
					time: '11:00am — 6:30pm',
					type: 'session',
				},
				{
					name: 'Lunch',
					time: '12:00pm — 1:30pm',
					type: 'other',
				},
				{
					name: 're:Play Party',
					url: '/after-hours/replay',
					time: '8:00pm — Midnight',
					type: 'after-hours',
				},
			]
		},
		{
			slug: 'friday',
			name: 'Friday',
			number: 'Day 4',
			day: 'Friday',
			date: 'December 2',
			template: 'schedule',
			events: [
				{
					name: 'AWS Certification Exams',
					url: '/certifications',
					time: '7:00am — 2:30pm',
					type: 'session',
				},
				{
					name: 'Breakfast',
					time: '7:30am — 8:30am',
					type: 'other',
				},
				{
					name: 'Hands-on Labs',
					url: '/training',
					time: '9:00am — 12:00pm',
					type: 'session',
				},
				{
					name: 'Breakout Sessions',
					url: '/sessions',
					time: '9:00am — 1:00pm',
					type: 'session',
				},
			]
		},
	]
}];
module.exports.certifications = [{
	meta: [{
		title: "Certifications",
		slug: "certifications",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/certifications",
		desc: "Demonstrate your technical proficiency by getting AWS Certified at re:Invent. Register in advance for exams and prove your expertise.",
		wave: '2',
	}],
	header: [{
		headline: 'AWS Certification',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Get AWS Certified</h2> \
			<p class="last">Demonstrate your technical proficiency and receive special recognition by getting AWS Certified at re:Invent. The AWS Certification Exam Testing Center is open throughout the week. Register in advance for one or more exams and prove your expertise.</p>',
		content_2: '<h2 class="headline-s3">Schedule Your Exam</h2> \
			<p class="last"><strong>Please note that exam registration is separate from conference registration.</strong> Associate-level exams take 80 minutes to complete and cost $150. Professional-level exams take 170 minutes to complete and cost $300. We strongly encourage you to reserve your exam time early, as seating is limited.</p>',
		register_link: 'https://www.webassessor.com/wa.do?page=publicHome&branding=AMAZON',
		register_text: 'Certification Registration',
	}],
	sections: [
		{
			slug: 'benefits',
			name: 'benefits',
			headline: 'Benefits',
			subsections: [
				{
					rule: 'true',
					columns: [
						{
							content: '<ul class="last"> \
								<li><strong>$150 off re:Invent registration at Professional level.</strong></li> \
								<li><strong>Use of AWS Certification logo on professional collateral.</strong></li> \
								<li><strong>Opportunities for career advancement.</strong></li> \
								<li class="last"><strong>Special designation on re:Invent name badge.</strong></li> \
								</ul>',

						},
						{
							content: '<ul class="last"> \
								<li><strong>Complementary AWS Certification gift.</strong></li> \
								<li class="last"><strong>Access to AWS Certification Lounge and Appreciation Reception.</strong></li> \
								</ul>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p class="last"><a href="http://aws.amazon.com/training/traincert-customer-testimonials/" target="_blank">See what IT professionals are saying about AWS Certification</a></p>',
						}
					]
				}
			]
		},
		{
			slug: 'certification-snipe',
			page_nav_exclude: 'true',
			subsections: [
				{
					columns: [
						{
							slug: 'badge',
							content: '<img width="300" src="/_media/images/certifications/aws-certified-badge.png" alt="AWS Certified Badge"/>',
						},
						{
							content: '<h2 class="headline-s2">Get AWS Certified</h2> \
								<a class="button" target="_blank" href="https://www.webassessor.com/wa.do?page=publicHome&branding=AMAZON"><span>schedule your exam</span></a>'
						}
					]
				}
			],

		},
		{
			slug: 'events',
			name: 'events',
			headline: 'Events',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Aws Certification Lounge</h3> \
								<p>Visit the AWS Certification Lounge Monday through Friday on Level 1 (across from the Casanova Ballroom) to re:Charge and network with other certified professionals. Your re:Invent AWS Certified badge is required for entry.',
							list: [
								{
									date: "Monday, November 28",
									time: "1:00pm – 5:00pm"
								},
								{
									date: "Tuesday, November 29",
									time: "8:00am – 6:00pm"
								},
								{
									date: "Wednesday, November 30",
									time: "8:00am – 6:00pm"
								},
								{
									date: "Thursday, December 1",
									time: "8:00am – 5:00pm"
								},
								{
									date: "Friday, December 2",
									time: "8:00am – 12:00pm"
								}
							]
						},
						{
							content: '<h3 class="headline-s3">Aws Certification Appreciation Reception</h3> \
								<p>Join us on Thursday evening for a special event to recognize our AWS Certified community. You&rsquo;ll have the opportunity to meet AWS Executives and Technical Evangelists and network with other AWS Certified professionals. Your re:Invent AWS Certified badge is required for entry. If you are AWS Certified, please <a href="https://aws.amazon.com/certification/certified-reception-reinvent-2016/" target="_blank">RSVP to attend this event</a>.</p> \
								<div class="reception-details clearfix"><p class="label last">Reception Details:</p><p class="details last">December 1, 2016 <br>5:30pm - 7:30pm <br>Lavo at the Palazzo</p></div>',
						}

					]
				}
			]
		},
		{
			slug: 'exams',
			name: 'exams',
			headline: "Exams",
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/certifications/aws-reinvent-exams-information-center.jpg',
								alt: 'AWS re:Invent Certification Information Center.'
							}
						},
						{
							content: '<h3 class="headline-s3">Exam Test Center Location And Hours</h3> \
								<p>The AWS Certification Exam Testing Center check-in is located in Casanova 501. Please <a href="https://www.webassessor.com/wa.do?page=publicHome&branding=AMAZON" target="_blank">reserve your seat</a> in advance and allow enough time to take your exam.',
							list: [
								{
									date: "Monday, November 28",
									time: "7:00am – 7:30pm"
								},
								{
									date: "Tuesday, November 29",
									time: "7:00am – 7:30pm"
								},
								{
									date: "Wednesday, November 30",
									time: "7:00am – 10:00pm"
								},
								{
									date: "Thursday, December 1",
									time: "7:00am – 6:30pm"
								},
								{
									date: "Friday, December 2",
									time: "7:00am – 2:30pm"
								}
							],
						},
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/certifications/aws-reinvent-developers-using-certifications-lounge.jpg',
								alt: 'AWS re:Invent Certification Information Center Lounge.'
							}
						},
						{
							content: '<h3 class="headline-s3">Aws Certification Exam Availability</h3> \
								<p class="last">The following exams are currently available in English. Many exams are also offered in Japanese, Chinese, Korean, Spanish, and Brazilian Portuguese.</p>',
						},
					]
				},
				{
					columns: [
						{
							slug: 'exam-schedule',
							subhead: 'Exams',
							list: [
								{
									name: '<a class="modal-link" href="#aws-certified-solutions-architect-associate" data-modal="aws-certified-solutions-architect-associate">AWS Certified Solutions Architect</a>',
									desc: 'Associate'
								},
								{
									name: '<a class="modal-link" href="#aws-certified-sysops-administrator" data-modal="aws-certified-sysops-administrator">AWS Certified SysOps Administrator</a>',
									desc: 'Associate'
								},
								{
									name: '<a class="modal-link" href="#aws-certified-developer" data-modal="aws-certified-developer">AWS Certified Developer</a>',
									desc: 'Associate'
								},
								{
									name: '<a class="modal-link" href="#aws-certified-solutions-architect-professional" data-modal="aws-certified-solutions-architect-professional">AWS Certified Solutions Architect</a>',
									desc: 'Professional'
								},
								{
									name: '<a class="modal-link" href="#aws-certified-devops-engineer" data-modal="aws-certified-devops-engineer-professional" >AWS Certified DevOps Engineer</a>',
									desc: 'Professional'
								}
							],
						},
						{
							slug: 'recert-schedule',
							subhead: 'Recertification Exams',
							list: [
								{
									name: 'AWS Certified Solutions Architect',
									desc: 'Associate Recertification'
								},
								{
									name: 'AWS Certified SysOps Administrator',
									desc: 'Associate Recertification'
								},
								{
									name: 'AWS Certified Developer',
									desc: 'Associate Recertification'
								},
								{
									name: 'AWS Certified Solutions Architect',
									desc: 'Professional Recertification'
								},
								{
									name: 'AWS Certified DevOps Engineer',
									desc: 'Professional Recertification'
								}
							]
						}
					]
				},
				{
					columns: [
						{
							content: '<p>To learn more about AWS Certification exams and find resources to help you prepare, <a href="http://aws.amazon.com/certification/" target="_blank">visit AWS Certification</a>.</p> \
							<a class="button" href="/training#certification-readiness"><span>learn more</span></a>'
						
						}
					]
				},
			]
		}
	],
	
	modals: [
		
		{
			headline: 'AWS Certified Solutions Architect',
			bump_r: 'Associate',
			slug: 'aws-certified-solutions-architect-associate',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/29, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3>Description</h3> \
							<p>Designed to complement the AWS course Architecting on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Associate exam. In this workshop, we review what to expect at the testing center and while taking the exam. We walk you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. We also teach you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will have the chance to apply knowledge and test concepts through a series of practice exam questions. </p> \
							<h3>Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified Solutions Architect – Associate exam</li> \
							</ul> \
							<h3>Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Architecting on AWS</strong></li> \
								<li>One or more years of hands-on experience designing and deploying scalable, highly available, and fault-tolerant systems on AWS </li> \
							</ul>'
						},
						{
						content: '<h3>Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Navigate the logistics of the examination process.</li> \
								<li>Understand the exam structure and question types.</li> \
								<li>Identify how questions are written to test AWS architectural concepts.</li> \
								<li>Interpret the concepts being tested by an exam question.</li> \
								<li>Allocate your time in studying for the AWS Certified Solutions Architect – Associate exam.</li> \
							</ul> \
							<h3>Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3>Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing Center Information and Expectations</li> \
								<li>Exam Overview and Structure</li> \
								<li>Content Domains and Question Breakdown</li> \
								<li>Topics and Concepts with Content Domains</li> \
								<li>Question Structure and Interpretation Techniques</li> \
								<li>Practice Exam Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified SysOps Administrator',
			bump_r: 'Associate',
			slug: 'aws-certified-sysops-administrator',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3>Description</h3> \
							<p>This half-day workshop is intended for individuals who are preparing for the AWS Certified SysOps Administrator – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You&rsquo;ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions. At the end of the workshop you&rsquo;ll also receive a voucher to take an additional, online practice exam at no cost.</p> \
							<h3>Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified SysOps Administrator – Associate exam</li> \
							</ul> \
							<h3>Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Systems Operations on AWS</strong> (or have equivalent knowledge)</li> \
								<li>One or more years of hands-on experience configuring, deploying, and supporting networks and systems on the AWS platform.</li> \
							</ul>'
						},
						{
						content: '<h3>Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Navigate the logistics of the examination process.</li> \
								<li>Understand the exam structure and question types.</li> \
								<li>Identify how questions are written to test AWS system operations concepts.</li> \
								<li>Interpret the concepts being tested by an exam question.</li> \
								<li>Allocate your time in studying for the AWS Certified SysOps Administrator – Associate exam.</li> \
							</ul> \
							<h3>Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3>Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing Center Information and Expectations</li> \
								<li>Exam Overview and Structure</li> \
								<li>Content Domains and Question Breakdown</li> \
								<li>Topics and Concepts with Content Domains</li> \
								<li>Question Structure and Interpretation Techniques</li> \
								<li>Practice Exam Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
			
		{
			headline: 'AWS Certified Developer',
			bump_r: 'Associate',
			slug: 'aws-certified-developer',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3>Description</h3> \
							<p>Designed to complement the course Developing on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Developer – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You&rsquo;ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions.</p> \
							<h3>Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified Developer – Associate exam</li> \
							</ul> \
							<h3>Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Developing on AWS</strong> (or have equivalent knowledge)</li> \
								<li>In depth knowledge or training in at least one high-level programming language</li> \
							</ul>'
						},
						{
						content: '<h3>Course Outline</h3> \
						<p class="last">This course teaches you how to:</p> \
						<ul> \
							<li>Navigate the logistics of the examination process.</li> \
							<li>Understand the exam structure and question types.</li> \
							<li>Interpret the concepts being tested by an exam question.</li> \
							<li>Allocate your time in studying for the AWS Certified Developer – Associate exam.</li> \
						</ul> \
						<h3>Delivery Method</h3> \
						<p class="last">This course is delivered through a mix of:</p> \
						<ul> \
							<li>Instructor-Led Training (ILT)</li> \
							<li>Group Discussion</li> \
							<li>Sample Exercise Questions</li> \
						</ul> \
						<h3>Course Outline</h3> \
						<p class="last">This course covers the following concepts:</p> \
						<ul> \
							<li>Exam Overview and Structure</li> \
							<li>Content Domains and Question Breakdown</li> \
							<li>Topics and Concepts with Content Domains</li> \
							<li>Question Structure and Interpretation Techniques</li> \
							<li>Practice Exam Questions</li> \
						</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified Solutions Architect',
			bump_r: 'Professional',
			slug: 'aws-certified-solutions-architect-professional',
			modal_meta: [{
				price: '$450',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3>Description</h3> \
							<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Professional exam. This workshop dives deep into the content domains and concepts behind them. Hands-on labs explore advanced use cases spanning multiple content domains. The workshop walks through the exam structure, including analysis and explanations of example questions. You will apply your knowledge and test your understanding of key architectural concepts through a series of practice exam questions.</p> \
							<h3>Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Solutions architects</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3>Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Advanced Architecting on AWS </strong> (or have equivalent knowledge)</li> \
								<li>Two or more years of hands-on experience designing and deploying cloud architecture on AWS </li> \
							</ul>'
						},
						{
						content: '<h3>Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the requirements of the AWS Solutions Architect – Professional exam.</li> \
								<li>Learn the content and learn where your gaps are.</li> \
								<li>Identify the content and knowledge needed to fill those gaps.</li> \
							</ul> \
							<h3>Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-on Labs</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3>Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction to content domains and exam structure </li> \
								<li>Deployment Management, Data Storage, High Availability, and Business Continuity</li> \
								<li>Costing</li> \
								<li>Security, Network Design</li> \
								<li>Cloud Migration and Hybrid Architecture, Scalability, and Elasticity</li> \
								<li>Practice Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified DevOps Engineer',
			bump_r: 'Professional',
			slug: 'aws-certified-devops-engineer-professional',
			modal_meta: [{
				price: '$450',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3>Description</h3> \
							<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified DevOps Engineer – Professional exam. The AWS Certified DevOps Engineer – Professional exam validates technical expertise in provisioning, operating, and managing distributed application systems on the AWS platform. This workshop walks you through how the exam is structured, including question formats, content domains, and a breakdown of the domains. It also teaches you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test DevOps concepts through a series of practice exam questions and a lab. This workshop is designed to complement the DevOps Engineering on AWS course.</p> \
							<h3>Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified DevOps Engineer – Professional exam</li> \
								<li>Solutions architects</li> \
								<li>Developers</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3>Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>DevOps Engineering on AWS</strong> (or have equivalent knowledge)</li> \
								<li>Two or more years of hands-on experience with production AWS systems</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
						content: '<h3>Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the structure of the AWS Certified DevOps Engineer – Professional exam.</li> \
								<li> \
									Understand the DevOps-specific domain content to prepare for the exam, including: \
									<ul> \
										<li>Implementing and managing continuous delivery systems and methodologies on AWS.</li> \
										<li>Designing, managing, and maintaining tools to automate operational processes.</li> \
										<li>Defining and deploying monitoring, metrics, and logging systems on AWS.</li> \
										<li>Understanding, implementing, and automating security controls, governance processes, and compliance validation.</li> \
										<li> Implementing systems that are highly available, scalable, and self-healing on the AWS platform.</li> \
										<li>Using AWS services for DevOps in a cost-effective manner.</li> \
									</ul> \
								</li> \
							</ul> \
							<h3>Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3>Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing center information and expectations</li> \
								<li>Exam overview and structure</li> \
								<li>Content domains and question breakdown</li> \
								<li>Topics and concepts with content domains</li> \
								<li>Question structure and interpretation techniques</li> \
								<li>Practice exam questions</li> \
							</ul>'
						}
					]
				}
			]
		}	
	]
}];

module.exports.error_doc = [{
	meta: [{
		title: "Page Not Found",
		slug: "error",
		url: "https://reinvent.awsevents.com/error",
	}],
}];

module.exports.executive_summit = [{
	meta: [{
		title: "Executive Summit",
		slug: "executive-summit",
		url: "https://reinvent.awsevents.com/executive-summit",
		desc: "The Executive Summit at AWS re:Invent hosts senior leaders from across the globe to discuss the opportunities and challenges of cloud adoption with their peers.",
	}],
	header: [{
		headline: "Executive Summit",
		bump_l: "The Venetian",
		bump_r: "11.28 – 29",
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Join The Global Cloud Leader Gathering</h2> \
			<p class="last">The Executive Summit at AWS re:Invent hosts senior leaders from across the globe to discuss the opportunities and challenges of cloud adoption with their peers. This invitation-only event occurs during the 2016 re:Invent conference in Las Vegas, Nevada.</p>',
		content_2: '<h2 class="headline-s3">Register Now</h2> \
			<p class="last">To register for Executive Summit, simply click on the register now button and register using the email address your invitation was sent to. The system will recognize you as Executive Summit invitee and will automatically add you to Executive Summit.</p>',
	}],
	sections: [
		{
			slug: 'intro',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Learn From The Experts</h3> \
								<p class="last">Hear directly from AWS executives about how AWS is investing in the future of cloud computing, including deep dives on new services launches. Agenda will feature sessions led by Andy Jassy, SVP Amazon Web Services and Stephen Schmidt, CISO Amazon Web Services as well as other members of the AWS Executive Leadership team.</p>',
						},
						{
							content: '<h3 class="headline-s3">Executive Led Agenda</h3> \
								<p class="last">The the most out of your time at re:Invent with our two-day agenda with both a leadership/business focused track with topics including operation and organizational change management as well as sessions around the technology of both building new and migrating existing applications to the cloud. </p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Make Impactful Connections</h3> \
								<p class="last">Leverage the exclusive Executive Summit Lounge to connect with our AWS teams, network with other cloud leaders, and </p>',
						},
					]
				}
			]
		},
		{
			slug: 'agenda',
			name: 'agenda',
			subhead: 'Executive Summit Agenda',
			rule: 'true',
			schedule: [
				{
					slug: 'tuesday',
					name: 'Tuesday',
					number: 'Day 1',
					day: 'Tuesday',
					date: 'November 29',
					events: [
						{
							time: '1:00pm',
							type: 'other',
							name: 'Executive Summit Lounge Open for Meetings',
						},
						{
							time: '5:00pm',
							type: 'other',
							name: 'Executive Summit Cocktail Reception',
						},
					]
				},
				{
					slug: 'wednesday',
					name: 'Wednesday',
					number: 'Day 2',
					day: 'Wednesday',
					date: 'November 30',
					events: [
						{
							time: '7:00am',
							type: 'other',
							name: 'Breakfast',
						},
						{
							time: '9:00am',
							type: 'other',
							content: '<ul> \
								<li> \
									<p class="name">Exclusive VIP Seating at the re:Invent keynote</p> \
									<p>Featuring AWS Andy Jassy, SVP AWS</p> \
								</li> \
								<li> \
									<p class="name">Executive Summit Session</p> \
								</li> \
								<li> \
									<p>Fireside Chat with Andy Jassy, SVP AWS</p> \
								</li> \
								</ul>',
						},
						{
							time: '11:00am — 5:00pm',
							type: 'other',
							content: '<ul> \
								<li> \
									<p class="name">Executive Summit Breakout Sessions</p> \
									<p>Featuring a business focused track and a technologist track</p> \
								</li> \
								<li> \
									<p class="name">Opt-In Birds-of-a-feather sessions</p> \
								</li> \
								<li> \
									<p class="name">Executive Briefing Meetings</p> \
								</li> \
								</ul>',
						},
						{
							time: '5:00pm',
							type: 'other',
							name: 'Networking Reception',
						},
					]
				},
				{
					slug: 'thursday',
					name: 'Thursday',
					day: 'Thursday',
					number: 'Day 3',
					date: 'December 1',
					events: [
						{
							time: '7:00am',
							type: 'other',
							name: 'Breakfast',
							desc: '<p>Venetian Ballroom D, Executive Summit Lounge</p>',
						},
						{
							time: '9:00am',
							type: 'other',
							content: '<ul> \
								<li> \
									<p class="name">Exclusive VIP Seating at the re:Invent keynote</p> \
									<p>Featuring Dr. Werner Vogels, CTO Amazon</p> \
								</li> \
								<li> \
									<p class="name">Executive Summit Session</p> \
								</li> \
								<li> \
									<p>Cloud Security led by Steven Schmidt, CISO, AWS</p> \
								</li> \
								</ul>',
						},
						{
							time: '11:00am — 5:00pm',
							type: 'other',
							content: '<ul> \
								<li> \
									<p class="name">Executive Summit Breakout Sessions</p> \
									<p>Featuring a business focused track and a technologist track</p> \
								</li> \
								<li> \
									<p class="name">Opt-In Birds-of-a-feather sessions</p> \
								</li> \
								<li> \
									<p class="name">Executive Briefing Meetings</p> \
								</li> \
								</ul>',
						},
						{
							time: '8:00pm',
							type: 'other',
							name: 'VIP Experience at re:Play Party',
						},
					]
				},
			]
		},
		{
			slug: 'questions',
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">For Questions</h3> \
								<p class="last">please reach out to Executive Summit Team at <a href="mailto:awsexecsummit@amazon.com">awsexecsummit@amazon.com</a></p>'
						}
					]
				}
			]
		}
	]
}];
module.exports.gameday = [{
	meta: [{
		title: "Gameday",
		slug: "gameday",
		url: "https://reinvent.awsevents.com/activities/gameday",
		parent: 'activities',
		desc: "Join us for the AWS GameDay competition at re:Invent 2016 and show off your scale compute skills.",
	}],
	header: [{
		headline: 'Gameday',
	}],
	intro: [{
		content_1: '<h3>Powered By Red Hat</h3> \
			<p><img width="158" src="/_media/images/gameday/aws-reinvent-gameday-sponsor-redhat.png" alt="Red Hat Logo" /></p> \
			<p>Do you have what it takes to securely scale an application that meet the demands of the connected world and still conquers threats from both inside and outside of your company?</p> \
			<p class="last">Can you keep a cloud-based workload running through extreme traffic spikes and malicious attacks, with little input from the people who built it the first time?</p>',
		content_2: '<p>If this sounds like your idea of a good time, join us for the AWS GameDay competition at re:Invent 2016 and show off your scale compute skills.</p> \
			<p>Not yet so confident in your abilities? Sign up and take the challenge to learn tips and tricks from AWS resources and your teammates.</p> \
			<p class="last"><a class="button" href=""><span>login and register</span></a></p>',
	}],
	sections: [
		{
			slug: 'details',
			name: 'details',
			headline: 'Details',
			rule: 'true',
			subsections: [
				{
					rule: 'true',
					columns: [
						{
							content: '<h3>A Digital Adventure</h3> \
								<p class="last">Come with us on a digital adventure through the high-pressure game of a lifetime as you and your teammates take on explosive traffic growth, internal and external threats, and the challenge of working together as a team to keep your infrastructure online and your customers happy.</p>',
						}
					]
				},
				{
					rule: 'true',
					columns: [
						{
							content: '<h3>Your Mission</h3> \
								<p>It is your first day as a DevOps engineer for a game-changing startup about to come out of stealth mode. You are a little nervous stepping into this role since the entire team is new to the company, but the infrastructure is stable, the app just went 1.0, and this is a great opportunity to really leave your mark on something big.</p> \
								<p>That is, until traffic to the site kicks up and you watch your infrastructure start to stress and snap.</p> \
								<p class="last">Of course, this would not be such a big deal if the lead engineer on the project had not just left the company to pursue a new digital currency venture powered by cat memes. Minimal documentation, minimal communication with the previous DevOps team, and a large media event scheduled for later in the day. No sweat, right?</p>'
						},
						{
							content: '<h3>Rack Up Points And Win Prizes</h3> \
								<p>In this intense, full-day competition, you and your team will earn points by maximizing performance, minimizing downtime, and managing unpredictable variables from forces both outside and inside the company.</p> \
								<p>To pull ahead of the pack, you will need to secure and optimize your platform using the features and services AWS has to offer, along with the unique skills and expertise you bring to the table.</p> \
								<p class="last">There will be awards for the most requests answered, the most efficient infrastructure, and the most innovative approach to the challenge.</p>'
						}
					]
				},
				{
					subhead: 'Take Ownership Of An Initial Architecture',
					rule: 'true',
					columns: [
						{
							content: '<p>AWS GameDay groups individuals into teams who will take ownership of an initial architecture and evolve it into a high-performing machine able to react to any situation. Go through your own personal GameDay as you learn how to deal with scaling out infrastructure, implementing high availability design, system monitoring and alerting, and crisis management.</p>'
						},
					]
				},
				{
					subhead: 'Keep Yourself Atop The Leaderboard',
					rule: 'true',
					columns: [
						{
							content: '<p class="last">Throughout the day, you will evolve your initial infrastructure into one that will continue to perform as various roadblocks pop up. Use your knowledge of AWS services, or learn as you go, but always keep your infrastructure performing as optimally as possible in order to build up points for your team and stay ahead of the competition.</p>'
						}
					]
				},
				{
					subhead: 'Now Open For Registration: AWS Gameday',
					columns: [
						{
							content: '<p>GameDay is open to anyone with an AWS re:Invent conference pass, but signups are limited to the first 250 players. Previous experience with AWS is highly recommended. Your GameDay fuel will be on us: look for food and beverages to be provided throughout the day. </p> \
								<p><a class="button" href=""><span>login and register</span></a></p> \
								<p class="last">Already registered for AWS re:Invent 2016?</p>'
						}
					]
				},
			]
		},
		{
			slug: 'agenda',
			name: 'agenda',
			headline: 'Agenda',
			rule: 'true',
			schedule: [
				{
					events: [
						{
							time: '10:00am',
							type: 'other',
							name: 'Welcome to GameDay! Basic orientation.',
						},
						{
							time: '10:30am',
							type: 'other',
							name: 'First day on the job. Let&rsquo;s get settled.',
						},
						{
							time: '11:45am',
							type: 'other',
							name: 'Oh boy! Your app has been discovered!',
							desc: '<p>Traffic increases and so does the challenge of running the infrastructure.</p>',
						},
						{
							time: '12:00pm',
							type: 'other',
							name: 'Lunch',
						},
						{
							time: '1:00pm',
							type: 'other',
							name: 'Code push. No biggie&hellip;',
						},
						{
							time: '2:30pm',
							type: 'other',
							name: 'Whoa, national attention for your app!',
							desc: '<p>Let the good times (and spiking traffic) roll!</p>',
						},
						{
							time: '3:00pm',
							type: 'other',
							name: 'A quick exercise in dealing with system failures.',
						},
						{
							time: '4:30pm',
							type: 'other',
							name: 'Snack break',
						},
						{
							time: '5:30pm',
							type: 'other',
							name: 'Wrap up and awards',
						},
					]
				}
			],
		},
		{
			slug: 'faq',
			name: 'FAQ',
			headline: 'FAQ',
			subsections: [
				{
					columns: [
						{
							content: '<h4>What Is Aws Gameday?</h4> \
								<p>AWS GameDay groups individuals into teams who will take ownership of an initial architecture and evolve it into a high-performing machine able to react to any situation. Go through your own personal GameDay as you learn how to deal with scaling out infrastructure, implementing high availability design, system monitoring and alerting, and crisis management.</p> \
								<p>Throughout the day, you will evolve your initial infrastructure into one that will continue to perform as various roadblocks are put in front of you. Use your knowledge of AWS services, or learn as you go, but always keep your infrastructure performing as optimally as possible in order to build up points for your team and stay ahead of the competition.</p>'
						},
						{
							content: '<h4>I&rsquo;ve already registered for re:Invent 2016. How do I register for the GameDay waitlist?</h4> \
								<p>Log back into your re:Invent account and add the GameDay waitlist to your schedule. We will notify those on the waitlist in the weeks before or on the day of the event as spots become available.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>Do I need a team, or will I be assigned to one?</h4> \
								<p>We will be breaking everyone into teams after they arrive. No need to bring your own.</p>'
						},
						{
							content: '<h4>Do I need to bring a laptop?</h4> \
								<p>Yes! Please bring whatever computer you are most comfortable with.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>Can I sign up onsite?</h4> \
								<p>Yes! There are often players who cannot attend after registering, and we will be accepting standby players on a first-come, first-served basis on the day of the event. Please join our GameDay waitlist in order to be prioritized.</p>'
						},
						{
							content: '<h4>Do I need to be a DevOps Ninja to participate in / have fun at AWS GameDay?</h4> \
								<p>Having some skill in the DevOps space will probably increase your chance of winning, but is not required. We will have AWS staff available to assist teams who may need a helping hand.</p>'
						}
					]
				},
			]
		}
	]
}];
module.exports.global_partner_summit = [{
	meta: [{
		title: "Global Partner Summit",
		slug: "global-partner-summit",
		url: "https://reinvent.awsevents.com/global-partner-summit",
		parent: 'activities',
		desc: "Join us at the Global Partner Summit to hear from AWS leadership about the future of the business and what is coming next for the AWS Partner Network (APN).",
		wave: '1',
	}],
	header: [{
		headline: "Global Partner Summit",
		bump_l: "The Venetian",
		bump_r: "11.29",
	}],
	intro: [{
		content_1: '<p class="last">Join us at the Global Partner Summit for the chance to hear from AWS leadership about the future of the business and what is coming next for the AWS Partner Network (APN). Here, you will have the opportunity to learn from the success of your fellow partners, participate in sessions focused on developing new skills, and discover insights into growing your cloud practice with AWS.</p>',
		content_2: '<p class="last">The Global Partner Summit will arm you and your team with information that is tailored to your goals as an APN Partner, including discussions on driving increased revenue with AWS, how to gain a greater competitive advantage, and how the APN can help expand your business. This event is free and exclusive to APN members and will not be available to general attendees.</p>',
	}],
	sections: [
		{
			slug: 'attendance',
			name: 'attendance',
			subhead: 'Attendance',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p>The Global Partner Summit is open to all AWS re:Invent attendees employed by AWS Partner Network (APN) member organizations as of November 29, 2016. This event is a free benefit of APN membership and does not require any additional registration fees.</p> \
								<p class="last">Sessions at the Global Partner Summit cover a wide range of topics relevant to executives, sales managers, and technical professionals. We encourage partners from all levels and disciplines to attend.</p>',
						},
						{
							content: '<p class="last">Click <a href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww" target="_blank">here</a> to register for AWS re:Invent. To register for the Global Partner Summit, please identify yourself as an APN member during AWS re:Invent registration. Admittance will be validated by your company&rsquo;s email address domain.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'agenda',
			name: 'agenda',
			subhead: 'Global Partner Summit Agenda',
			schedule: [
				{
					slug: 'tuesday',
					name: 'Tuesday',
					number: 'Day 2',
					day: 'Tuesday',
					date: 'November 29',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							time: '8:00am — 9:00am',
							type: 'other',
							name: 'Pre-Summit Breakfast Briefings',
							//desc: '<p>Venetian Ballroom D, Executive Summit Lounge</p>',
						},
						{
							time: '9:30am – 11:15am',
							type: 'other',
							name: 'Global Partner Summit Keynote',
							//desc: '<p>VIP seating will be held until 8:15 am. Live-stream keynote viewing will be available in the Executive Summit Lounge</p>',
						},
						{
							time: '11:30am - 12:30pm',
							type: 'other',
							name: '1 Breakout Session (6-8 tracks/session plus 4/5 Chalk Talk rooms)',
							//desc: '<p>Venetian Ballroom D, Executive Summit General Session</p>',
						},
						{
							time: '12:30pm - 1:45pm',
							type: 'other',
							name: 'Lunch',
							//desc: '<p>Keynote Hall B</p>',
						},
						{
							time: '1:45pm - 5:30pm',
							type: 'other',
							name: '3 Breakout Sessions (6-8 tracks/session plus 4/5 Chalk Talk rooms)',
							//desc: '<p>Venetian Ballroom D, Executive Summit General Session</p>',
						}
					]
				}
			]
		},
	]
}];

module.exports.hackathon = [{
	meta: [{
		title: "Hackathon",
		slug: "hackathon",
		url: "https://reinvent.awsevents.com/activities/hackathon",
		page_nav: 'true',
		parent: 'activities',
		desc: "Our annual hackathon is back for another year, this time with even bigger and better challenges while solving real-world problems for a non-profit organization.",
	}],
	header: [{
		headline: "Hackathon",
	}],
	intro: [{
		content_1: '<h3>Come Hack With Us</h3> \
			<p>Our annual hackathon is back for another year, this time with even bigger and better challenges. This is the perfect place to show off your tech skills and earn bragging rights while solving real-world problems for a non-profit organization.</p> \
			<p class="last">Registration to open late summer.</p>',
	}],
	sections: [
		{
			slug: 'details',
			name: 'details',
			headline: 'Details',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h3>What You&rsquo;ll Be Doing</h3> \
								<p>Hackers will gather into pre-assigned teams and work together to solve real-world issues.</p>',
						}
					]
				},
				{
					subhead: 'Non-profit Sponsors And Challenge Overviews',
					columns: [
						{
							content: '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
						},
						{

							content: '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
						}
					],
					sponsors: [
						{
							name: 'cloudability',
							img: {
								src: '_media/images/home/aws-reinvent-sponsor-cloudability.png',
								alt: '',
								width: '172'
							}
						},
						{
							name: 'data-dog',
							img: {
								src: '_media/images/home/aws-reinvent-sponsor-data-dog.png',
								alt: '',
								width: '93'
							}
						},
						{
							name: 'intel',
							img: {
								src: '_media/images/home/aws-reinvent-sponsor-intel-logo.png',
								alt: '',
								width: '114'
							}
						},
						{
							name: 'tableau',
							img: {
								src: '_media/images/home/aws-reinvent-sponsor-tableau.png',
								alt: '',
								width: '182'
							}
						},
					]
				},
			]
		},
		{
			slug: 'agenda',
			name: 'agenda',
			headline: 'Agenda',
			rule: 'true',
			header_text: 'Please be sure to check back frequently for updates to the agenda as we get closer to re:Invent 2016.',
			schedule: [
				{
					slug: 'tuesday',
					name: 'Tuesday',
					number: 'Day 2',
					day: 'Tuesday',
					date: 'November 29',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							time: '8:00am — 9:00am',
							type: 'other',
							name: 'Breakfast',
						},
						{
							time: '9:00am — 10:00am',
							type: 'other',
							name: 'Hackathon Introduction',
						},
						{
							time: '10:00am — 10:00pm',
							type: 'other',
							name: 'Coding',
						},
						{
							time: '12:00pm — 1:00pm',
							type: 'other',
							name: 'Lunch',
						},
						{
							time: '5:00pm — 6:00pm',
							type: 'other',
							name: 'Dinner',
						},
						{
							time: '10:00pm — 11:30pm',
							type: 'other',
							name: 'Presentations and judging',
						},
						{
							time: '11:30pm — 12:00am',
							type: 'other',
							name: 'Winners announced',
						},
					]
				}
			],
			subsections: [
				{
					columns: [
						{
							content: '<h3>Requirements</h3> \
								<p>Bring your laptop but leave the rest to us. We will take care of all of your food, beverage, power, flip charts, connectivity, AWS credits, and AWS expertise.</p>'
						}
					]
				}
			]
		},
		{
			slug: 'faq',
			name: 'FAQ',
			headline: 'FAQ',
			subsections: [
				{
					columns: [
						{
							content: '<h4>I&rsquo;ve already registered for re:Invent. How do I register for the Hackathon waitlist?</h4> \
								<p class="last">Log back into your re:Invent account and add the Hackathon waitlist to your schedule.</p>'
						},
						{
							content: '<h4>I forgot to sign up for a team! How do I find teammates now?</h4> \
								<p class="last">If you haven&rsquo;t signed up for a team, you will be placed into a pre-formed team prior to your arrival. You&rsquo;ll have the opportunity to meet your new teammates and introduce yourself during the Mixer the evening prior to the event.</p>'
						}
					]
				},
				{

					columns: [
						{
							content: '<h4>Do I need a team?</h4> \
								<p class="last">Yes, but no need to worry about putting one together. Our staff is dedicated to matching up individuals with complimentary skill sets and working hard to make sure you have an amazing team. If you requested specific team members during the registration process, we will do our best to make sure you are teamed up together. Please note that teams are placed into groups of 5, so if your group is larger, you will be split into separate teams. If you don&rsquo;t join a team or request a team member prior to the event, you will be matched with other Hackathon participants with complementary skills to create a team on the day of the hack. Just be sure to fill out the registration form that is sent out in the &ldquo;Know before you go&rdquo; email, and you&rsquo;re all set!</p>'
						},
						{
							content: '<h4>How do I form a team with my friends?</h4> \
								<p class="last">There is a portion of the registration form that requests the names of your proposed teammates. If you were unable to fill it out but have other members of your organization already signed up for the Hackathon that you would like to partner with, please contact <a href="mailto:reinvent-hackathon@amazon.com">reinvent-hackathon@amazon.com</a>. We will do what we can to put together your dream team.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>The Hackathon has filled up. Can I still join?</h4> \
								<p class="last">We have a waiting list for the first 100 people who register after we reach our 250-participant limit. We will notify those on the waitlist in the weeks before, or on the day of the event as spots become available.</p>'
						},
						{
							content: '<h4>Where is the Hackathon?</h4> \
								<p class="last">The Hackathon will be held in the Venetian. Please pick up your re:Invent conference badge prior to coming to the Hackathon.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>What will AWS provide?</h4> \
								<ul class="last"> \
									<li>Food and beverages</li> \
									<li>Whiteboards, power strips, flip charts, wireless internet access</li> \
									<li>Plenty of AWS credits for your hacking needs</li> \
									<li>An amazing start to re:Invent!</li> \
								</ul>'
						},
						{
							content: '<h4>Do I need experience with certain types of apps / coding to participate?</h4> \
								<p class="last">We will be sharing more details about the Hackathon challenges in the coming months that will help you determine which challenge your skillset is best suited for. We&rsquo;ll make sure every team is well rounded and ready for anything.</p>'
						},
					]
				},
				{
					columns: [
						{
							content: '<h4>What should I bring?</h4> \
								<p>A laptop suitable for coding.</p>',
						}
					]
				},
			]
		}
	]
}];
module.exports.harley_ride = [{
	meta: [{
		title: "Harley Ride",
		slug: "harley-ride",
		url: "https://reinvent.awsevents.com/after-hours/harley-ride",
		parent: 'after-hours',
		desc: "",
	}],
	header: [{
		headline: "Harley Ride",
	}],
	intro: [{
		content_1: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
		content_2: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
	}],
}];
module.exports.home = [{
	meta: [{
		title: "Home",
		slug: "home",
		template: '',
		url: "https://reinvent.awsevents.com/",
		desc: "At AWS re:Invent 2016, connect with peers and cloud experts, collaborate at our bootcamps, and learn how AWS can improve productivity, security and performance.",
		wave: '1',
	}],
	header: [{
		headline: '<span class="reinvent-case">AWS re:Invent</span> 2016',
		bump_l: 'Las Vegas',
		bump_r: '11.28 - 12.2',
	}],
	intro: [{
		headline: "Registration Now Open",
		content_1: '<h3 class="headline-s3">Start Here.</h3> \
			<p class="last">You&rsquo;re invited to join the largest gathering of the global Amazon Web Services community at AWS re:Invent 2016. Connect with peers and cloud experts, collaborate at our hands-on labs and bootcamps, and learn how AWS can improve developer productivity, network security, and application performance while keeping infrastructure costs low.</p>',
		content_2: '<h3 class="headline-s3">Become a Sponsor</h3> \
			<p>Interested in sponsorship opportunities at AWS re:Invent 2016? Reach out to us <a href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS" target="_blank">here</a>.</p> \
			<a class="button" href="/become-a-sponsor"><span>learn more</span></a>',
	}],
	sections: [
		{
			slug: 'features',
			subsections: [
				{
					columns: [
						{
							headline_basic: 'What To Expect <br class="mobile-break">In 2016',
							content: '<p class="last">Start planning now to attend the largest global cloud computing conference. We have designed re:Invent 2016 to give you increased opportunities to connect, collaborate, and learn about AWS solutions. This year we are offering all-new mini conferences on topics such as IoT, Serverless Computing, Security, and Containers. In addition, we are delivering more than 400 sessions, and more hands-on labs, bootcamps, and opportunities for one-on-one engagements with AWS experts.</p>',
						},
						{
							col_img: 'true',
							img: {
								src: '_media/images/home/aws-reinvent-crowded-hall.jpg',
								alt: 'Crowded hall at AWS re:Invent.',
							},
						}
					]
				},
				{
					columns: [
						{
							content: '<p>This year we are offering a <strong>full additional day of content</strong>, bootcamps, hands-on labs, workshops, and <strong>full-day technical deep dives</strong> on topics such as IoT, Serverless Computing, Databases, and Containers.</p> \
								<p class="last"><strong>Two new venues</strong> with <strong>twice as many breakout sessions as last year</strong>. Don&rsquo;t worry, we&rsquo;ll make it easy for you to get from venue to venue.</p>',
						},
						{
							content: '<p><strong>Reserved seating</strong> for all breakout session! No more waiting in line for your favorite session.</p> \
								<p class="last">Quirky after hours experiences you&rsquo;ve come to love from the wing eating contest to the (expanded) Pub Crawl, Harley Ride, re:Play party, and new this year, the <strong>re:Invent 5k</strong>.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'pass',
			subsections: [
				{
					columns: [
						{
							content: '<img width="153" src="_media/images/branding/aws-reinvent-logo-2016.png" alt="AWS re:Invent 2016" /> \
								<h2 class="headline-s2 last">Full Conference Pass</h2>'
						},
						{
							content: '<p class="pitch last"><span class="cost">$1,599</span><br>\
								<span class="opening">Registration Now Open</span></p>\
								<a class="register-now" target="_blank" href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww">register now</a>',
						}
					]
				}
			]
		},
		{
			slug: "agenda-sessions",
			subsections: [
				{
					columns: [
						{
							headline: 'Agenda',
							content: '<p>Create the re:Invent experience that&rsquo;s right for you. Our 2016 agenda offers expanded opportunities to learn how the cloud impacts your business, including deep dives into topics like IoT, new perspectives on cloud issues, and more chances to learn from the experts.</p>  \
								<p class="last"><a class="button" href="/agenda"><span>learn more</span></a></p>',
						},
						{
							headline: 'Sessions',
							content: '<p>AWS re:Invent is designed to bring together AWS users of all skill levels to connect, collaborate, and learn more about AWS.</p>  \
								<p class="last"><a class="button" href="/sessions"><span>learn more</span></a></p>',
						}
					]
				}
			]
		},
		{
			slug: "training",
			template: "poster",
			bg: {
				src: '_media/images/home/aws-reinvent-instructor-using-white-board.jpg',
				alt: '',
			},
			headline: "Training Bootcamps",
			content: '<p>Our in-person training Bootcamps are your chance to get exclusive knowledge directly from AWS experts. This year, we&rsquo;re offering Technical Bootcamps, APN Partner Accreditation Bootcamps, and Certification Exam Readiness Workshops.</p> \
				<p class="button-wrap last"><a class="button" href="/training"><span>learn more</span></a></p>'
		},
		{
			slug: "certifications",
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/home/aws-reinvent-woman-developer-at-certifications-event.jpg',
								alt: 'A smiling, happy engineer at the AWS re:Invent Certification Event.',
							},
						},
						{
							headline: "Certifications",
							content: '<p>Demonstrate your technical proficiency and receive special recognition by getting AWS Certified at re:Invent. The AWS Certification Exam Testing Center is open throughout the week. Register in advance for one or more exams and prove your expertise.</p> \
								<p class="last"><a class="button" href="/certifications"><span>learn more</span></a></p>'
						}
					]
				}
			]
		},
		{
			slug: "travel",
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/home/aws-reinvent-las-vegas-hotels.jpg',
								alt: 'An landscape of Las Vegas hotels for the AWS re:Invent event.',
							},
						},
						{
							headline: "Travel",
							content: '<p>Book your travel early. We have secured discounted rates at <a href="https://aws.passkey.com/g/58756472" target="_blank">The Venetian | Palazzo</a>, <a href="https://aws.passkey.com/g/54603902" target="_blank">The Mirage</a>, and the <a href="https://aws.passkey.com/g/59560325" target="_blank">Wynn | Encore</a>. We are providing you with a flight discount and other perks offered by Delta Air Lines, our preferred global airline. To receive the discount, please enter code <strong>NMNHR</strong> in the &ldquo;Meeting Event Code&rdquo; field when you <a href="http://www.delta.com/air-shopping/searchFlights.action" target="_blank">book your flight online</a>. You can get the Delta flight discount by using the code online or by calling Delta Meeting Reservations at 1-800-328- 1111, Monday through Friday, 7:00am-7:00pm CDT. The discount is available for travel between November 23, 2016 and December 7, 2016.</p> \
								<p class="last"><a class="button" href="/travel"><span>learn more</span></a></p>'
						}
					]
				}
			]
		},
		{
			slug: "activities",
			subsections: [
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/home/aws-reinvent-two-men-attend-development-activity.jpg',
								alt: 'Two engineers taking part in an activity at AWS re:Invent.',
							},
						},
						{
							headline: "Activities",
							content: '<p>Take your re:Invent experience to the next level with activities that provide engaging learning environments and opportunities to showcase and sharpen your AWS skills while meeting other AWS experts. Are you a member of APN? Take part in our annual Global Partner Conference.</p> \
								<p class="last"><a class="button" href="/activities"><span>learn more</span></a></p>'
						}
					]
				}
			]
		},
		{
			slug: 'sponsors',
			template: 'sponsors',
			content: '<p>AWS re:Invent Central is designed to facilitate connections between sponsors and attendees. As a sponsor, you will have the opportunity to share your space with leading cloud-technology providers and consultants, over 24,000 attendees and expert Amazon Web Services engineers and product leaders.</p> \
				<p class="last"><a class="button" href="/sponsors"><span>learn more</span></a><a class="no-wrap" href="/become-a-sponsor">become a sponsor</a></p>',
			sponsors: [
				{
					name: 'accenture',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-accenture-aws-business-group.png',
						alt: 'AWS re:Invent sponsor: Accenture',
						width: '132'
					}
				},
				{
					name: 'cloudability',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-cloudability.png',
						alt: 'AWS re:Invent sponsor: Cloudability',
						width: '172'
					}
				},
				{
					name: 'data-dog',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-data-dog.png',
						alt: 'AWS re:Invent sponsor: Data Dog',
						width: '93'
					}
				},
				{
					name: 'intel',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-intel-logo.png',
						alt: 'AWS re:Invent sponsor: Intel',
						width: '114'
					}
				},
				{
					name: 'new-relic',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-new-relic.png',
						alt: 'AWS re:Invent sponsor: New Relic',
						width: '110'
					}
				},
				{
					name: 'tableau',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-tableau.png',
						alt: 'AWS re:Invent sponsor: Tableau',
						width: '182'
					}
				},
				{
					name: 'trend-micro',
					img: {
						src: '_media/images/home/sponsors/aws-reinvent-sponsor-trend-micro.png',
						alt: 'AWS re:Invent sponsor: Trend Micro',
						width: '140'
					}
				},

			]
		},
	]
}];
if (module === null || typeof(module) !== "object") { var module = {}; module.exports = {}; }
module.exports.menus = {
	primary: [
		{
			title: "agenda",
			url: "/agenda",
			slug: "agenda"
		},
		{
			title: "sessions",
			url: "/sessions",
			slug: "sessions"
		},
		{
			title: "training",
			url: "/training",
			slug: "training"
		},
		{
			title: "certifications",
			url: "/certifications",
			slug: "certifications"
		},
		{
			title: "activities",
			url: "/activities",
			slug: "activities"
		},
		{
			title: "travel",
			url: "/travel",
			slug: "travel"
		},
		{
			title: "register now",
			url: "https://www.portal.reinvent.awsevents.com/portal/newreg.ww",
			slug: "register"
		},
	],
	secondary: [
		{
			title: "home",
			url: "/",
			slug: "home"
		},
		{
			title: "agenda",
			url: "/agenda",
			slug: "agenda"
		},
		{
			title: "sessions",
			url: "/sessions",
			slug: "sessions"
		},
		{
			title: "training",
			url: "/training",
			slug: "training"
		},
		{
			title: "certifications",
			url: "/certifications",
			slug: "certifications"
		},
		{
			title: "activities",
			url: "/activities",
			slug: "activities",
			sub: [
				{
					title: "main",
					url: "/activities",
					slug: "main"
				},
				{
					title: "global partner summit",
					url: "/activities/global-partner-summit",
					slug: "global-partner-summit",
				},
				{
					title: "hackathon",
					url: "/activities#hackathon",
					slug: "hackathon"
				},
				{
					title: "gameday",
					url: "/activities#gameday",
					slug: "gameday"
				}
			]
		},
		{
			title: "after hours",
			url: "/after-hours",
			slug: "after-hours",
			sub: [
				{
					title: "main",
					url: "/after-hours",
					slug: "main"
				},
				{
					title: "welcome reception",
					url: "/after-hours#welcome-reception",
					slug: "welcome-reception"
				},
				{
					title: "pub crawl",
					url: "/after-hours#pub-crawl",
					slug: "pub-crawl"
				},
				{
					title: "re:Invent 5k",
					url: "/after-hours#reinvent-5k",
					slug: "reinvent-5k"
				},
				{
					title: "tatonka challenge",
					url: "/after-hours#tatonka-challenge",
					slug: "tatonka-challenge"
				},
				{
					title: "re:Play",
					url: "/after-hours/replay",
					slug: "replay"
				},
				{
					title: "harley ride",
					url: "/after-hours#harley-ride",
					slug: "harley-ride"
				}
			]
		},
		{
			title: "travel",
			url: "/travel",
			slug: "travel",
			// sub: [
			// 	{
			// 		title: "conference centers",
			// 		url: "/travel#conference-centers",
			// 		slug: "conference-centers"
			// 	},
			// 	{
			// 		title: "accommodations",
			// 		url: "/travel#accommodations",
			// 		slug: "accommodations"
			// 	},
			// 	{
			// 		title: "know before you go",
			// 		url: "/travel#know-before-you-go",
			// 		slug: "know-before-you-go"
			// 	},
			// ]
		},
		{
			title: "resources",
			url: "/resources",
			slug: "resources",
			sub: [
				{
					title: "main",
					url: "/resources",
					slug: "main"
				},
				// {
				// 	title: "mobile app",
				// 	url: "/resources#mobile-app",
				// 	slug: "mobile-app"
				// },
				// {
				// 	title: "press kit",
				// 	url: "/press",
				// 	slug: "press"
				// },
				{
					title: "justification letter",
					url: "/resources#justification-letter",
					slug: "justification-letter"
				},
				{
					title: "FAQ",
					url: "/resources#faq",
					slug: "faq"
				},
			]
		},
		{
			title: "sponsors",
			url: "/sponsors",
			slug: "sponsors",
			sub: [
				{
					title: "sponsor list",
					url: "/sponsors",
					slug: "sponsor-list"
				},
				{
					title: "become a sponsor",
					url: "/become-a-sponsor",
					slug: "become-a-sponsor"
				},
			]
		},
		{
			title: "login",
			url: "https://www.portal.reinvent.awsevents.com/portal/login.do",
			slug: "login",
			outside: true
		},
		{
			title: "register",
			url: "https://www.portal.reinvent.awsevents.com/portal/newreg.ww",
			slug: "register now",
			outside: true
		}
	],
	footer_nav: [
		// {
		// 	title: "Press Kit",
		// 	url: "/press",
		// 	slug: "press"
		// },
		{
			title: "FAQ",
			url: "/resources#faq",
			slug: "faq"
		},
		{
			title: "Terms + Policy",
			url: "/terms",
			slug: "terms"
		},
	],
	footer_tools: [
		{
			title: "login",
			url: "https://www.portal.reinvent.awsevents.com/portal/login.do",
			slug: "login"
		},
		{
			title: "register now",
			url: "https://www.portal.reinvent.awsevents.com/portal/newreg.ww",
			slug: "register"
		},
	],
	footer_social: [
		{
			title: "Youtube",
			url: "https://www.youtube.com/user/AmazonWebServices",
			slug: "youtube"
		},
		{
			title: "Instagram",
			url: "https://www.instagram.com/amazonwebservices/",
			slug: "instagram"
		},
		{
			title: "Facebook",
			url: "https://www.facebook.com/amazonwebservices",
			slug: "facebook"
		},
		{
			title: "Twitter",
			url: "https://twitter.com/awscloud",
			slug: "twitter"
		},
	]
};


module.exports.press = [{
	meta: [{
		title: "Press",
		slug: "press",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/resources/press",
		parent: 'resources',
		desc: "",
	}],
	header: [{
		headline: "Press Kit",
	}],
	intro: [{
		content_1: '<h3>AWS Pr And Ar Contact Details</h3> \
			<p>AWS Public Relations Inquiries <br><a href="mailto:aws-pr@amazon.com">aws-pr@amazon.com</a></p> \
			<p>AWS Analyst Relations Inquiries <br><a href="mailto:aws-ar@amazon.com">aws-ar@amazon.com</a></p>',
	}],
}];
module.exports.pub_crawl = [{
	meta: [{
		title: "Pub Crawl",
		slug: "pub-crawl",
		url: "https://reinvent.awsevents.com/after-hours/pub-crawl",
		parent: 'after-hours',
		desc: "",
	}],
	header: [{
		headline: "Pub Crawl",
		bump_r: "12.1",
	}],
	intro: [{
		content_1: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
		content_2: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
	}],
	sections: [
		{
			slug: 'locations',
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'AQUAKNOX',
							content: '<p>Grab a refreshing cocktail and enjoy the oceanic atmosphere at this uniquely Vegas seafood restaurant.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'B&amp;B BURGER &amp; BEER',
							content: '<p>Come for the craft beers and burgers, stay for the unforgettable views of the Grand Canal.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'CANALETTO',
							content: '<p>Transport yourself to the street life of Venice with this quintessential Italian dining experience.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'DAL TORO RISTORANTE',
							content: '<p>Buckle up and feast your eyes on the magical views of the Vegas Strip from an expansive patio.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'DB BRASSERIE',
							content: '<p>Put on your pearls and explore your sophisticated side in this Parisian-inspired bistro.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'LAGASSE&rsquo;S STADIUM',
							content: '<p>Cozy up on a couch, grab some of your game-day favorites and enjoy the chill vibe at this sports themed den.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'LAVO LOUNGE',
							content: '<p>Step into this luxurious, gold-clad lounge and pick from a long list of specialty cocktails.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'MADAME TUSSAUDS',
							content: '<p>Don&rsquo;t miss an opportunity to hang with the stars at this Las Vegas staple.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'OTTO ENOTECA PIZZERIA',
							content: '<p>Soak up the New York City atmosphere and enjoy a glass of wine at this casual pizzeria.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'PUBLIC HOUSE',
							content: '<p>Cozy up with a mug of cask ale in this trendy gastro pub lounge.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'ROCKHOUSE BAR',
							content: '<p>Saunter into this quintessential dive bar and test your luck on the mechanical bull or a classic arcade game.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'SUSHISAMBA',
							content: '<p>Unwind with a glass of wine and let yourself be dazzled by the Mondrian-inspired décor.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'TABLE 10',
							content: '<p>Experience the magic of the French Quarter as you sip on drinks under a colorful canopy of glass.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'TAO NIGHTCLUB',
							content: '<p>Let loose and live it up at this trendy nightclub. </p>',
						}
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'TAQUERIA CANONITA',
							content: '<p>Treat your palette to the exciting flavors of Old Mexico at this centrally located venue.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'YARDBIRD SOUTHERN TABLE &amp; BAR',
							content: '<p>Enjoy the best of the South with farm-fresh ingredients and not-to-be-missed Southern dishes.</p>',
						}
					]
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/placeholder/groot.png',

							}
						},
						{
							subhead: 'ZAFFIRINO',
							content: '<p>Delight your senses with historic décor and authentic, fresh Venetian cuisine. </p>',
						}
					]
				},
				
				
			]
		},
	]
}];
module.exports.preplay_5k = [{
	meta: [{
		title: "re:Invent 5K",
		slug: "reinvent-5K",
		url: "https://reinvent.awsevents.com/after-hours/preplay-5k",
		parent: 'after-hours',
		desc: "",
	}],
	header: [{
		headline: "re:Invent 5K",
	}],
	intro: [{
		content_1: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
		content_2: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
	}],
}];
module.exports.replay = [{
	meta: [{
		title: "re:Play",
		slug: "replay",
		url: "https://reinvent.awsevents.com/after-hours/replay",
		parent: 'after-hours',
		desc: "The re:Play party is the perfect way to end a great week at re:Invent. This year&rsquo;s event will be held outdoors again at the LINQ parking lot.",
	}],
	header: [{
		headline: "re:PLAY",
		bump_l: "Linq",
		bump_r: "12.1",
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">More Details Coming Soon</h3> \
			<p class="last">The re:Play party is the perfect way to end a great week at re:Invent. This year&rsquo;s event will be held outdoors again at the LINQ parking lot with new activities along with crowd favorites from previous years.  Come ready to be wowed again.</p>'
	}],
	sections: [
		{
			slug: 'details',
			name: 'Details',
			headline: "Details",
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Venue</h3> \
								<p>LINQ parking lot <br>Behind the Linq High Roller and Linq Station</p> \
								<h3 class="headline-s3">Date</h3> \
								<p>Thursday, December 8</p> \
								<h3 class="headline-s3">Time</h3> \
								<p class="last">8:00pm – Midnight</p>',
						},
						{
							images: [
								{
									src: '_media/images/after-hours/replay/aws-reinvent-people-cheer-in-confetti-at-replay.jpg',
									alt: 'AWS re:Invent attendees cheering in confetti at the After Hours re:Play event.',
								},
								{
									src: '_media/images/after-hours/replay/aws-reinvent-attendee-flying-in-wind-chamber.jpg',
									alt: 'An attendee flying in a wind chamber at the AWS re:Invent After Hours re:Play event.',
								}
							]
						}
					]
				},
				
			]
		},
		// {
		// 	slug: 'activities',
		// 	name: 'Activities',
		// 	headline: 'Activities',
		// 	subhead: 'ALL NIGHT LONG',
		// 	content: '<p>4 different zones of activities including but not limited to:</p>',
		// 	grid: [
		// 		{
		// 			name: 'DRONE GAMES <br>&amp; ACTIVATIONS'
		// 		},
		// 		{
		// 			name: 'GIANT INTEL <br>VIDEO GAME'
		// 		},
		// 		{
		// 			name: 'SKYDIVING <br>WIND TUNNEL'
		// 		},
		// 		{
		// 			name: 'GIANT OBSTACLE <br>COURSE'
		// 		},
		// 		{
		// 			name: 'DODGEBALL'
		// 		},
		// 		{
		// 			name: 'ARCADE <br>GAMES'
		// 		},
		// 		{
		// 			name: 'MINI <br>GOLF'
		// 		},
		// 		{
		// 			name: 'TABLETOP <br>GAME ARENA'
		// 		},
		// 		{
		// 			name: 'GIVEAWAYS'
		// 		},
				
		// 	]
		// },
		// {
		// 	slug: 'attractions',
		// 	name: 'Attractions',
		// 	headline: 'Attractions',
		// 	subhead: 'PREMIUM OPEN BAR AND FOOD',
		// 	content: '<p>free all night long</p>',
		// 	grid: [
		// 		{
		// 			name: 'TEPPANYAKI <br>STATIONS'
		// 		},
		// 		{
		// 			name: 'MAC AND CHEESE <br>BAR'
		// 		},
		// 		{
		// 			name: 'ALL AMERICAN <br>GRILL'
		// 		},
		// 		{
		// 			name: 'NITROGEN <br>ICE CREAM'
		// 		},
				
		// 	]
		// },
	]
}];
module.exports.resources = [{
	meta: [{
		title: "Resources",
		slug: "resources",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/resources",
		desc: "For all general re:Invent questions, including questions on registration.",
		wave: '3',
	}],
	header: [{
		headline: 'AWS <span class="reinvent-case">re:Invent</span> Contact Details',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">AWS Press and Analyst Contact</h2> \
			<p>For all general re:Invent questions, including questions on registration.</p> \
			<p>Registration questions: <br><a class="emphatic-link" href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a></p> \
			<p class="last">Sponsors questions: <br><a class="emphatic-link" href="mailto:reinvent-sponsorship@amazon.com">reinvent-sponsorship@amazon.com</a></p>',
		content_2: '<h2 class="headline-s3">Social Media Resources</h2> \
			<div class="feeds"> \
				<p>Twitter Feeds <br><a target="_blank" href="https://twitter.com/awscloud">@awscloud</a> <br><a target="_blank" href="https://twitter.com/jeffbarr">@jeffbarr</a></p> \
			</div> \
			<div class="blogs"> \
				<p class="last">Blogs <br><a target="_blank" href="https://aws.amazon.com/blogs/aws/">AWS Blog</a> <br><a target="_blank" href="https://www.awsarchitectureblog.com/">AWS Architecture Blog</a> <br><a target="_blank" href="https://medium.com/aws-activate-startup-blog">AWS Startup Blog</a></p> \
			</div>',
	}],
	sections: [
		{
			slug: 'justification-letter',
			name: 'justification letter',
			headline: 'Justify Your Trip To AWS <span class="reinvent-case">re:Invent</span>',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p class="last">Trying to convince your manager to let you attend the AWS re:Invent conference? We&rsquo;ve created a customizable email template you can use to prove the value of your trip.</p>',
						}
					]
				},
				{
					columns: [
						{
							slug: 'justification-letter-1',
							cols: '1',
							content: '<div class="short-rule rule"></div> \
								<h3 class="headline-s4">Dear [your manager&rsquo;s name],</h3> \
								<p>I&rsquo;d like your permission to attend the largest global conference focused on cloud computing, AWS re:Invent, from November 28 to December 2 in Las Vegas. Attending this conference will be beneficial for both my personal growth and our company&rsquo;s cloud knowledge in the following areas:</p> \
								<ul class="last"> \
									<li>Learn more about core AWS services like Amazon EC2, S3, RDS, and Redshift.</li> \
									<li>Be the first to hear about new AWS products and features</li> \
									<li>Get educated on technical best practices during over 400-plus breakout sessions on topics such as cloud architecture, continuous deployment, monitoring and management, performance, security, migration and more</li> \
									<li>Find answers to our development questions and learn technical tips and tricks from AWS architects, engineers, product leads, and expert users</li> \
									<li>Gain valuable hands-on experience that can be brought back to my team in day-long technical bootcamps, self-paced labs, and hackathons</li> \
									<li>Discover new ways to reduce our company&rsquo;s AWS bill</li> \
								</ul>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p>Here&rsquo;s an estimated breakdown of costs:</p> \
								<p>Airfare estimate: $640 <br>Hotel (4 nights at the Venetian) $189/night: $756<br>Registration fee: $1,599 <br>Total: $3,005</p> \
								<p>After the conference, I&rsquo;ll circulate a report that will include a summary of what I learned plus a set of recommendations to increase our team&rsquo;s productivity and maximize our cloud investment.</p> \
								<p class="last">Thank you for considering my request to attend this event. <br>Looking forward to your reply, <br>[your name]</p>',
						}
					]
				}
				
			]
		},
		{
			slug: 'faq',
			name: 'FAQ',
			headline: "FAQ",
			subsections: [
				{
					subhead: 'General',
					columns: [
						{
							h4: 'What is AWS re:Invent?',
							content: '<p class="last">AWS re:Invent is a learning conference hosted by Amazon Web Services for the global cloud computing community. The event features keynote announcements, training and certification opportunities, more than 400 technical sessions, a partner expo, after-hours events, and more.</p>',
						},
						{
							h4: 'How can I register? ',
							content: '<p class="last">Registration for AWS re:Invent opens on June 23 at 10:00am PT. Click &ldquo;<a href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww" target="_blank">Register Now</a>&rdquo; in the navigation menu above to start the registration process. A valid credit card is required to purchase a conference pass, or you can choose to pay with Amazon Payment. Please note, you must be 21 years or older to register for the AWS re:Invent conference.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'Who should attend AWS re:Invent?',
							content: '<p class="last">The event is ideal for developers and engineers, system administrators, systems architects, and technical decision makers.</p>',
						},
						{
							h4: 'How can I convince my boss to let me attend?',
							content: '<p class="last">There are many great reasons for attending AWS re:Invent. We have made it easy for you to convince your boss with our <a class="hash-link" href="#justification-letter">Justify Your Trip template</a>.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'What is included in the full conference pass?',
							content: '<p class="last">The full conference pass gives you access to all keynotes and sessions, Hands-on Labs, re:Invent Central (expo hall), and the Developer Lounge, plus the Welcome Reception, Pub Crawl, re:Play Party, and breakfast, lunch, and snacks on main conference days.</p>',
						},
						{
							h4: 'I received a discount promotion code. How do I apply it to my registration?',
							content: '<p class="last">If you have a registration code, please log in <a href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww" target="_blank">here</a>. You can log in on this site to manage or update your existing registration.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'Can I purchase multiple conference passes and have them invoiced to my AWS account?',
							content: '<p class="last">Yes. Please email <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a> with your AWS account ID and the number of passes you wish to purchase. We will do our best to accommodate your needs.</p>',
						},
						{
							h4: 'How can I sign up for a Training Bootcamp if I am already registered for the conference?',
							content: '<p class="last"><a href="https://www.portal.reinvent.awsevents.com/portal/login.do" target="_blank">Log in</a> to your AWS re:Invent account with the credentials you created during registration and click on &ldquo;Purchase Additional Registration Items.&rdquo; You will need a valid credit card to complete your registration. Training Bootcamps are limited, so please register early.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'How do I purchase multiple Group Passes?',
							content: '<p class="last">You can purchase up to 75 group passes at a time by selecting the group-ticket option during registration.</p>',
						},
						{
							h4: 'How do I update my registration information or my name badge?',
							content: '<p class="last">To view or make changes to your registration details, such as name, title, company, or email address, log in to your account on this <a href="https://www.portal.reinvent.awsevents.com/portal/login.do" target="_blank">page</a>. Click on the &ldquo;Account Settings&rdquo; section to edit your personal information.</p>',
						},
					]
				},
				{
					columns: [
						{
							h4: 'How do I redeem my Group Passes?',
							content: '<p class="last">After purchasing a group pass, you will receive a confirmation email that includes a unique registration code. This code will be valid for all of the group passes purchased and may be used multiple times until all your passes have been redeemed. For example, if you purchased 10 passes, the registration code will be valid for 10 uses. Share this unique registration code with your colleagues and ask them to <a href="https://www.portal.reinvent.awsevents.com/portal/newreg.ww" target="_blank">register here</a>. After completing the &ldquo;Personal Information&rdquo; page, registrants will be taken to the &ldquo;Events Selection&rdquo; page, where they will be able to input the registration code. The code applied will remove any costs associated with the purchase of a full conference pass.  You are not registered to attend AWS re:Invent until you have redeemed your registration code.</p>',
						},
						{
							h4: 'What is your cancellation policy? ',
							content: '<p class="last">You may cancel your Event registration by sending written notice to AWS by email to <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>. If AWS receives your cancellation notice by 12:00 noon (PT), September 1, 2016, AWS will issue you a full refund of registration fees, minus a cancellation fee, via the original payment method. The cancellation fee for a full conference pass is $100, and the cancellation fee for Certifications or Bootcamps is $50. If AWS receives your cancellation notice by 12:00 noon (PT), between September 1, 2016 and November 1, 2016, AWS will issue you a 50% refund of registration fees, via the original payment method. If AWS receives your cancellation notice after 12:00 noon (PT), November 1, 2016, you will not be eligible for a refund. Event registrations may be transferred to another participant upon approval by AWS in its sole discretion. To request a transfer of your Event registrations, contact us at <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>.</p>',
						},
					]
				},
				{
					rule: 'true',
					columns: [
						{
							h4: 'Why is there a QR code on the email confirming my registration?',
							content: '<p class="last">The square-shaped black and white image on your registration confirmation email (a QR Code) has been placed on your registration confirmation email to help simplify and expedite your check-in when you are arrive at re:Invent. At each check-in station, you will find a laser scanner attached to a check-in computer. When you scan the QR code using the check-in scanner, your account information will immediately appear on-screen, allowing for quick and easy check-in.</p>',
						},
						{
							h4: 'Can I get a receipt for my registration?',
							content: '<p class="last">Upon completing the online registration process, you will be sent a confirmation email with payment receipt details from <a href="mailto:noreply@awsevents.com">noreply@awsevents.com</a>. Be sure to check your junk mail folder if you don&rsquo;t see an email in your inbox. If you do not receive the confirmation email, contact us for a copy at <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>. Charges will appear on your credit card statement as &ldquo;AMZ*AWS re:Invent.&rdquo;</p>',
						},
					]
				},
				{
					slug: 'travel',
					subhead: 'Travel',
					rule: 'true',
					columns: [
						{
							h4: 'Which hotel should I stay at?',
							content: '<p>There are a limited number of discounted sleeping rooms at <a href="https://aws.passkey.com/g/58756472" target="_blank">The Venetian / Palazzo</a>, <a href="https://aws.passkey.com/g/54603902" target="_blank">The Mirage</a>, and <a href="https://aws.passkey.com/g/59560325" target="_blank">The Wynn / Encore Resort</a>. Please book your hotel today.</p> \
								<p class="last">Airport transportation information, including cabs, town cars and shuttles can be found at the <a href=" https://www.mccarran.com/Go/Shuttles.aspx" target="_blank">McCarran International Airport</a>.  You can also find them at the <a href="http://www.venetian.com/hotel/explore-the-venetian/map.html#getting-here" target="_blank">Venetian/Palazzo Hotel</a>, <a href="https://www.mirage.com/en.html" target="_blank">The Mirage</a>, and <a href="http://www.wynnlasvegas.com/AboutUs/Directions" target="_blank">The Wynn/Encore</a> websites.</p>'
						}
					]
				},
				{
					slug: 'event-detail',
					subhead: 'Event Detail',
					columns: [
						{
							h4: 'Where is the conference agenda?',
							content: '<p class="last">You can review the event <a href="/agenda">agenda</a> here. The session catalog will go live this summer.</p>'
						},
						{
							h4: 'Will you be providing translation services?',
							content: '<p class="last">Onsite translation services in Chinese, Korean, and Japanese will be provided for the keynotes. Translation services will not be provided for other sessions and activities.</p>'
						},
					]
				},
				{
					columns: [
						{
							h4: 'How will reserved seating work?',
							content: '<p class="last">Reserved seating will allow you to reserve a space in the breakout sessions you are interested in attending. This will allow you to plan in advance how you will spend your time while attending re:Invent. As the session catalog launches, we will communicate more details on how and when you can reserve your space.</p>'
						},
						{
							h4: 'Can I sign up for sessions I want to attend?',
							content: '<p class="last">Yes. New this year is the ability to reserve a seat in advance. Once the full session schedule goes live a few weeks before re:Invent, you can start building your onsite schedule and reserving a spot in your favorite sessions. Look for announcements to come later this summer on the launch of the Schedule Builder.</p>'
						},
					]
				},
				{
					rule: 'true',
					columns: [
						{
							h4: 'Can I bring a guest to the after-hours activities?',
							content: '<p class="last">We only have a limited number of passes available for the re:Play Party only, which takes place December 1, from 8:00pm to 12:00am. They are available for purchase for $300 each during the registration process. You must hold a full conference pass in order to purchase a guest pass for the re:Play party. One guest pass only will be allowed to purchase.</p>'
						},
						{
							h4: 'What is the AWS re:Invent code of conduct?',
							content: '<p class="last">AWS expects all re:Invent participants (attendees, staff, speakers, sponsors, etc.) to behave in such a way as to create a safe, supportive learning environment while at the conference and any conference-related events. AWS will not tolerate any form of harassment or offensive speech or behavior, including any relating to race, gender, sexual orientation, religion, or disability. Participants engaging in behavior deemed by AWS as discriminatory or offensive will be asked to leave the conference or related event immediately. Anyone witnessing such behavior is encouraged to contact an AWS staff member so direct action can be taken.</p>'
						},
						// {
						// 	h4: 'When and where can I pick up my conference badge?',
						// 	content: '<p>You can pick up your conference badge from Registration on Level 2 of the Sands Expo Convention Center during the following hours:</p>',
						// 	list: [
						// 		{
						// 			date: "Monday, November 28",
						// 			time: "7:00am — 5:00pm"
						// 		},
						// 		{
						// 			date: "Tuesday, November 29",
						// 			time: "7:00am — 5:00pm"
						// 		},
						// 		{
						// 			date: "Wednesday, November 30",
						// 			time: "7:00am — 5:00pm"
						// 		},
						// 		{
						// 			date: "Thursday, December 1",
						// 			time: "7:00am — 5:00pm"
						// 		},
						// 		{
						// 			date: "Friday, December 2",
						// 			time: "7:00am — 5:00pm"
						// 		}
						// 	],
						// },
					]
				},
				{
					slug: 'additional-information',
					subhead: "Other",
					columns: [
						{
							h4: 'Are you streaming the keynotes or any sessions?',
							content: '<p class="last">We will provide a free livestream of the keynotes and a number of sessions. More to come!</p>'
						},
						{
							h4: 'Why do I need to provide my photo?',
							content: '<p class="last">Your re:Invent badge will have your photo printed on it. We are adding this as an additional security measure to prevent unauthorized badge usage.</p>'
						},
					]
				},
				{
					columns: [
						{
							h4: 'Do you accept submissions for speakers or session ideas?',
							content: '<p class="last">We are not hosting a call for content/speakers this year. Instead, we are exploring the idea of customer-led unconference sessions and other non-traditional presentation styles to highlight customer stories. We&rsquo;re still in the brainstorming stage, so check back as we get closer to the event for more information on these types of opportunities.</p>'
						},
						{
							h4: 'How do I upload my photo?',
							content: '<p class="last">Complete your registration, then click the &ldquo;Upload Badge Photo&rdquo; button on the confirmation page. Select the option to upload a file from your computer. Click upload file to save the photo that you have taken or imported.  Your photo will appear in the preview area. From there, you can retake the photo or upload the photo.  Finally, click the &ldquo;Verify&rdquo; button to return to the My Account page.</p>'
						},
					]
				},
				{
					columns: [
						{
							h4: 'How do I add a photo to my account if I have already registered?',
							content: '<p class="last">Log In to your account through <a href="https://www.portal.reinvent.awsevents.com/portal/login.do" target="_blank">My Portal</a>.  Select Registration to enter the registration portal (this will happen after Connect launch).  On the My Account page in the registration portal, select &ldquo;Upload Badge Photo&rdquo;.   You will then be prompted to upload a file from your computer.  Click upload file to save the photo that you have taken or imported. Your photo will appear in the preview area. From there, you can retake the photo or upload the photo.  Finally, click the &ldquo;Verify&rdquo; button to return to the My Account page.</p>'
						},
						{
							h4: 'How can I contact the conference organizers?',
							content: '<p>If you have a question that was not addressed above, please contact us at:</p> \
								<p class="last">Registration questions: <a class="emphatic-link" href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a></p> \
								<p class="last">Sponsors questions: <a class="emphatic-link" href="mailto:reinvent-sponsorship@amazon.com">reinvent-sponsorship@amazon.com</a></p>'
						},
					]
				},
				{
					columns: [
						{
							h4: 'Will you offer child care?',
							content: '<p class="last">Additional information will be provided about available child care resources.</p>'
						},
					]
				}
			]
		}
	]
}];
module.exports.sessions = [{
	meta: [{
		title: "Sessions",
		slug: "sessions",
		template: '',
		url: "https://reinvent.awsevents.com/sessions",
		desc: "AWS re:Invent is designed to bring together AWS users of all skill levels to connect, collaborate, and learn more about AWS.",
		wave: '3',
	}],
	header: [{
		headline: "Breakout Sessions",
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Sessions at <span class="reinvent-case">re:Invent</span></h2> \
			<p class="last">AWS re:Invent is designed to bring together AWS users of all skill levels to connect, collaborate, and learn more about AWS.</p>',
		content_2: '<h2 class="headline-s3">Explore the Catalog</h2> \
			<p>All sessions will be delivered by subject matter experts, AWS engineers, Solutions Architects or expert customers who will share their real world experiences and lessons learned. Explore the AWS re:Invent 2015 session catalog to learn about the session offering.  The new AWS re:Invent 2016 session catalog will be available in late summer.</p> \
			<p class="last"><a class="button" target="_blank" href="https://www.portal.reinvent.awsevents.com/connect/search.ww#loadSearch-searchPhrase=&searchType=session&tc=1&sortBy=abbreviationSort&p="><span>view 2015 session catalog</span></a></p>',
	}],
	sections: [
		{
			slug: 'intro',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h2 class="headline-s3">Technical Breakout Sessions</h2> \
								<p class="last">AWS re:Invent is designed to bring together AWS users of all skill levels to connect, collaborate, and learn more about AWS.</p>',
						},
						{
							content: '<h2 class="headline-s3">Learn From The Experts</h2> \
								<p class="last">Subject-matter experts with real-world experience, including AWS engineers, solution architects, and expert customers, will lead every session.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<h2 class="headline-s3">Over 400 Sessions</h2> \
								<p class="last">We have the perfect session to meet your needs, whether you are just getting started with AWS, interested in knowing more about the latest in cloud technology, or ready to dive deep into new AWS solutions.</p>',
						},
						{
							content: '<h2 class="headline-s3">Expand Your Cloud Skills</h2> \
								<p class="last">From technical bootcamps to hands-on labs, re:Invent offers training opportunities to suit the level of every participant.</p>',
						}
					]
				},
				{
					columns: [
						{
							slug: 'technical-deep-dives',
							content: '<h2 class="headline-s3">Full-Day Technical Deep Dives</h2> \
								<p class="last">New to AWS re:Invent this year are full-day technical deep dives. In these deep dives, customers and AWS engineers will explore topics such as IoT, Serverless Computing, Databases and Containers in greater detail to fully understand real-world challenges and the solutions provided by AWS services and features.</p>',
						},
					]
				},
			]
		},
		{
			slug: 'levels',
			headline: "Session Levels",
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/sessions/aws-reinvent-blue-lit-session-auditorium.jpg',
								alt: 'AWS re:Invent Introductory Level Sessions hall.'
							}
						},
						{
							content: '<h3 class="headline-s3">Introductory <span>&ldquo;I&rsquo;m new to this.&rdquo;</span></h3> \
								<p class="last">Sessions are focused on providing an overview of AWS services or features with the assumption that attendees are new to the topic. These sessions highlight basic use cases, features, functions, and benefits.</p>',
						}
					]
					
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/sessions/aws-reinvent-advanced-session-auditorium.jpg',
								alt: 'AWS re:Invent Advanced Level Sessions hall.'
							}
						},
						{
							content: '<h3 class="headline-s3">Advanced <span>&ldquo;I get it and want to learn more.&rdquo;</span></h3> \
								<p class="last">Sessions will dive deeper into the the selected topic. Presenters assume the audience has some familiarity with the topic but may or may not have direct experience implementing a similar solution. Code may be shared, but will not be the primary focus of the session.</p>',
						}
					]
					
				},
				{
					columns: [
						{
							col_r: 'true',
							col_img: 'true',
							img: {
								src: '_media/images/sessions/aws-reinvent-presenters-at-expert-session.jpg',
								alt: 'AWS re:Invent Expert Level Sessions hall.'
							}
						},
						{
							content: '<h3 class="headline-s3">Expert <span>&ldquo;I live and breathe this stuff.&rdquo;</span></h3> \
								<p class="last">Sessions are for attendees who are deeply familiar with the topic, have implemented a solution on their own already, and are comfortable with how the technology works across multiple services, architectures, and implementations. Presenters will dive into code, cover advanced tricks, and explore future developments in the technology.</p>',
						}
					]
					
				}
			]
		},
		{
			slug: 'offerings',
			rule: 'true',
			//header_text:'<p class="last">Our session catalog goes live this summer, but you don&rsquo;t have to wait that long to get a taste of what AWS re:Invent 2016 will offer. Take a look at some of the new offerings we are working on to make your re:Invent experience even better.</p>',
			subsections: [
				{
					columns: [
						{
							content: '<h2 class="headline-s3">One-day Immersive Topics <span class="new-badge">New</span></h2> \
								<p class="last">Wish that you could spend more than a few hours in your favorite sessions? This year, AWS re:Invent will offer you the opportunity to plunge even deeper into some of today&rsquo;s hottest tech topics. Think of it as a one-day, fully immersive mini-conference guiding you through more of what you want to know about subjects like machine learning, mobile, IoT, containers, big data and analytics, and serverless computing.</p>',
						},
						{
							content: '<h2 class="headline-s3">Reserved Seating <span class="new-badge">New</span></h2> \
								<p class="last">You asked, we listened. This year, when you add a breakout session to your AWS re:Invent calendar, you will automatically have a seat reserved in that session. Here&rsquo;s how it will work: the session catalog will be posted later this summer, with new sessions added every week. One month before re:Invent, we&rsquo;ll notify you that the session scheduling tool is going live. This is your chance to build your customized conference calendar. Reserve a spot in your favorite session or join the waitlist if it&rsquo;s already full. If a spot opens up, you&rsquo;ll automatically get a seat.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<h2 class="headline-s3">Breakout Sessions <span class="new-badge">New</span></h2> \
								<p class="last">This year, we&rsquo;re offering even more of our popular one-hour breakout sessions led by AWS subject-matter experts and/or top AWS customers. These sessions are an informative mixture of lectures, demonstrations, and guest speakers. You&rsquo;ll find deep dive technical content, customer stories, and new launch announcements.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'tracks',
			headline: "Track Descriptions",
			subsections: [
				{
					columns: [
						{
							icon: 'architecture',
							subhead: 'Architecture',
							tags: 'architecture principles, best practices, high availability, fault tolerance, performance',
							content: '<p class="last">Sessions in the architecture track will show you how to design highly available, performant, cost effective cloud architectures on AWS.</p>',
						},
						{
							icon: 'data-analytics',
							subhead: 'Big Data &amp; Analytics',
							tags: 'architecture principles, best practices, high availability, fault tolerance, performance',
							content: '<p class="last">Sessions on the Big Data &amp; Analytics track will provide best practices, architectural design patterns, and in-depth discussions of Hadoop, Amazon Elastic MapReduce, Amazon Redshift, Amazon Kinesis, Amazon QuickSight, and a variety of other data services.</p>'
						},
						{
							icon: 'business-apps',
							subhead: 'Business Apps',
							tags: 'Amazon WorkSpaces, Amazon WorkMail, Amazon WorkDocs, managed desktops, virtual desktops',
							content: '<p class="last">Sessions in the Business Apps track will show how you can use Amazon WorkSpaces, Amazon WorkMail, and Amazon Desktop to meet the usability, performance &amp; reliability expectations of employees, while delivering on the security and compliance requirements of the most demanding enterprise IT organizations.</p>'
						},
						{
							icon: 'compute',
							subhead: 'Compute',
							tags: 'Amazon EC2, Auto Scaling, Amazon VPC, Elastic Load Balancing',
							content: '<p>Amazon EC2 and its family of related services enable customers to incubate ideas, start new ventures, consolidate datacenter operations, and scale fast-growing business to millions of users.</p> \
								<p class="last">Sessions in the Compute track cover the latest instance types and features of Amazon EC2, Amazon VPC, Auto Scaling, and Elastic Load Balancing and show how to operate at scale and efficiently manage your compute resources.</p>',
						},
						{
							icon: 'containers',
							subhead: 'Containers',
							tags: 'Amazon ECS, Amazon ECR, Docker',
							content: '<p class="last">In the Containers track, you will learn how to use Amazon ECS to run Docker-enabled containers on AWS and build robust, scalable applications and services.</p>',
						},
						{
							icon: 'databases',
							subhead: 'Databases',
							tags: 'Amazon RDS, Amazon DynamoDB, Amazon Redshift, Amazon ElastiCache, Amazon Aurora',
							content: '<p class="last">Sessions in the Databases track  will cover how to setup, operate and scale relational, NoSQL and analytic databases and data warehouses in the cloud and will go deep into Amazon RDS, Amazon DynamoDB, Amazon Redshift, Amazon ElastiCache and Amazon Aurora.</p>',
						},
						{
							icon: 'dev-tools',
							subhead: 'Developer Tools',
							tags: 'AWS CLI, SDKs, Java, Ruby, PHP, Python',
							content: '<p class="last">This Dev tools track will cover the best practices for building cloud applications and demonstrate how to optimize your applications using our SDKs, and increase your productivity using our toolkits and command line interfaces. </p>',
						},
						{
							icon: 'enterprise',
							subhead: 'Enterprise',
							tags: 'change management, TCO, migration, cost optimization, assessment, adoption ',
							content: '<p class="last">The sessions in the Enterprise track will explore how to select projects for the cloud, how to improve economics, how to plan and execute migrations, and how to manage change in large-scale IT transformations to cloud.</p>',
						},
						{
							icon: 'iot',
							subhead: 'IoT',
							tags: 'AWS IoT, IoT ',
							content: '<p class="last">Sessions in the IoT trackvwill highlight best practices using the cloud for IoT applications, connecting devices with AWS IoT, and using AWS endpoints. </p>',
						},
						{
							icon: 'machine-learning',
							subhead: 'Machine Learning',
							tags: 'Amazon Machine Learning, predictive analytics, artificial intelligence,',
							content: '<p class="last">Sessions in the Machine Learning track will show you how to apply predictive analytics to your data, and add new smart data processing features to your applications using Amazon Machine Learning as well as open source frameworks like Spark ML running on Amazon EMR. </p>',
						},
						{
							icon: 'mobile',
							subhead: 'Mobile',
							tags: 'AWS Lambda, AWS Mobile Hub, Amazon Cognito, Amazon Mobile Analytics, Auto Scaling ',
							content: '<p class="last">Session in the Mobile track will help you understand AWS&rsquo; latest portfolio of mobile optimized services as provide examples of best practices and lessons learned from real world companies that use AWS to power their mobile apps.</p>',
						},
						{
							icon: 'networking',
							subhead: 'Networking And Content Delivery',
							tags: 'Amazon VPC, AWS Direct Connect, Amazon Route 53, Elastic Load Balancing ',
							content: '<p class="last">The Networking sessions will go deep into the range of networking services provided by AWS to enable you to create a logically isolated network that you define, establish a private network connection to the AWS cloud, use a highly available and scalable DNS service and deliver content to your end users with low latency at high data transfer speeds with a content delivery web service.</p>',
						},
						{
							icon: 'security',
							subhead: 'Security &amp; Compliance',
							tags: 'Governance, AWS Directory Service, AWS IAM, AWS CloudTrail, AWS Config, AWS CloudWatch',
							content: '<p class="last">The Security &amp; Compliance track will provide you with the latest information about security-related AWS features and capabilities, and how to tailor them to meet your business objectives and compliance requirements.</p>',
						},
						{
							icon: 'storage',
							subhead: 'Storage',
							tags: 'Amazon S3, Amazon Glacier, Amazon EBS, AWS Storage Gateway, Amazon EFS, Amazon CloudFront, Amazon Snowball',
							content: '<p class="last">In the Storage &amp; Content Delivery track, you&rsquo;ll learn how to use the different AWS storage services and features for all your storage needs and gain insights into practical strategies, architectural patterns, and learn best practices to optimize your storage tiers to implement secure, scalable solutions and reduce costs. </p>',
						},
						{
							icon: 'serverless-computing',
							subhead: 'Serverless Computing',
							tags: 'AWS Lambda, Amazon API Gateway ',
							content: '<p class="last">In the Serverless Computing track you will learn how to build serverless architectures on AWS using AWS Lambda. We will demonstrate how you can build a range of applications from data processing systems to mobile backends to web applications.</p>',
						},

					],
				}
			]
		},
		{
			slug: 'workshops',
			headline_basic: "Workshops — Expanded For 2016",
			subsections: [
				{
					columns: [
						{
							content: '<p>Looking for a different way to learn about your favorite topics? Sign up for a workshop! Workshops engage attendees in a small-scale, hands-on session that provides a more tangible way to learn. These sessions are two-plus hours long and are capped at about 75 attendees per workshop to maximize networking and learning opportunities. After seeing how popular these sessions were last year, we decided to double the number of workshops being offered at re:Invent 2016.</p> \
								<p class="last">Workshop details will be available in late Summer when the session catalog is released.</p>',
						},
					]
				}
			]
		},
		{
			slug: 'chats-demos',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<h2 class="headline-s3">Dev Chats</h2> \
								<p class="last">Bring your questions to our Dev Chats, which let you &ldquo;ask the expert&rdquo; anything about a specific topic, solution, or technology. Visit the Developer Lounge in the Expo Hall to connect with experts in these small-scale, short-format sessions.</p>',
						},
						{
							content: '<h2 class="headline-s3">Live Demos</h2> \
								<p class="last">You don&rsquo;t need hours of practice to pick up a new skill. These short-format, real-time demo sessions are a great way to get how-to instructions straight from the experts.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'revisit-2015',
			header_text: '<p class="last">In addition, you can revisit a few of our highest-rated sessions form re:Invent 2015:</p>',
			subsections: [
				{
					columns: [
						{
							list: [
								{
									name: '<a href="https://www.youtube.com/watch?v=5_bQ6Dgk6k8" target="_blank">Creating Your Virtual Data Center &raquo;</a>',
									desc: 'NET201: VPC Fundamentals and Connectivity Options'
								},
								{
									name: '<a href="https://www.youtube.com/watch?v=-mL3zT1iIKw" target="_blank">A Day in the Life of a Netflix Engineer Using 37% of the Internet &raquo;</a>',
									desc: 'DVO203'
								},
								{
									name: '<a href="https://www.youtube.com/watch?v=qEYbjCXOU7Q" target="_blank">Alexa Voice Service Under the Hood &raquo;</a>',
									desc: 'MBL310'
								},
							],
						},
						{
							list: [
								{
									name: '<a href="https://www.youtube.com/watch?v=sGUQFEZWkho" target="_blank">AWS Config/Config Rules &raquo;</a>',
									desc: 'SEC314: Use AWS Config Rules to Improve Governance over Configuration Changes to Your Resources'
								},
								{
									name: '<a href="https://youtu.be/xPXIrxZGRm8" target="_blank">Making Every Packet Count &raquo;</a>',
									desc: 'NET404'
								},
								{
									name: '<a href="https://www.youtube.com/watch?v=C4c0pkY4NgQ" target="_blank">From Monolithic to Microservice &raquo;</a>',
									desc: 'ARC309'
								},
							],
						}
					]
				}
			]
		}
	],
}];


module.exports.sponsors = [{
	meta: [{
		title: "Sponsors",
		slug: "sponsors",
		page_nav: 'true',
		template: 'pale',
		url: "https://reinvent.awsevents.com/sponsors",
		desc: "AWS re:Invent Central is the hub for gathering with cloud peers to be entertained, educated, and engaged.",
	}],
	header: [{
		headline: 'AWS <span class="reinvent-case">re:Invent</span> SPONSORS',
		bump_r: '<span class="reinvent-case">re:Invent</span> Central',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">AWS <span class="reinvent-case">re:Invent</span> Central</h2> \
			<p class="last">AWS re:Invent Central is the hub for gathering with cloud peers to be entertained, educated, and engaged. Inside re:Invent Central, attendees are able to get questions answered by Amazon Web Services engineers and product leaders, connect with leading cloud technology providers and consultants, participate in a variety of activities at several activity pavilions, relax at a Connected Café, and re:Charge your devices at numerous charging stations.</p>',
		content_2: '<h2 class="headline-s3">Become a Sponsor</h2> \
			<p>Interested in sponsorship opportunities at AWS re:Invent 2016? Reach out to us <a target="_blank" href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS">here</a>.</p> \
			<p class="last"><a class="button" href="/become-a-sponsor"><span>learn more</span></a></p>',
	}],

	sections: [
		{
			headline: 'Diamond',
			name: 'diamond',
			slug: 'diamond',
			header_rule: 'true',
			sponsors: [
				{
					name: 'accenture',
					competencies: ['big-data','ms-exchange'],
					modal: 'accenture',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-accenture.png',
						alt: '',
						width: '180'
					}
				},
				{
					name: 'cloudability',
					modal: 'cloudability',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-cloudability.png',
						alt: '',
						width: '237'
					}
				},
				{
					name: 'datadog',
					modal: 'datadog',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-data-dog.png',
						alt: '',
						width: '127'
					}
				},
				{
					name: 'intel',
					modal: 'intel',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-intel.png',
						alt: '',
						width: '157'
					}
				},
				{
					name: 'new-relic',
					modal: 'new-relic',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-new-relic.png',
						alt: '',
						width: '151'
					}
				},
				{
					name: 'tableau',
					modal: 'tableau',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-tableau.png',
						alt: '',
						width: '250'
					}
				},
				{
					name: 'trend-micro',
					modal: 'trend-micro',
					img: {
						src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-trend-micro.png',
						alt: '',
						width: '193'
					}
				},
			]
		},
		{
			headline: 'Platinum',
			name: 'platinum',
			slug: 'platinum',
			header_rule: 'true',
			sponsors: [
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-2nd-watch.png',
						alt: '',
						width: '171'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-alert-logic.png',
						alt: '',
						width: '266'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-cliqr.png',
						alt: '',
						width: '161'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-cloud-checkr.png',
						alt: '',
						width: '199'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-cloud-health.png',
						alt: '',
						width: '221'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-cloudreach.png',
						alt: '',
						width: '234'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-dynatrace.png',
						alt: '',
						width: '253'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-evident-io.png',
						alt: '',
						width: '261'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-signal-fx.png',
						alt: '',
						width: '202'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/platinum/aws-reinvent-platinum-sponsor-sumo-logic.png',
						alt: '',
						width: '243'
					}
				},
			]
		},
		{
			headline: 'Gold',
			name: 'gold',
			slug: 'gold',
			header_rule: 'true',
			sponsors: [
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-aspera.png',
						alt: '',
						width: '199'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-att.png',
						alt: '',
						width: '112'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-avere.png',
						alt: '',
						width: '224'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-chef.png',
						alt: '',
						width: '141'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-citrix.png',
						alt: '',
						width: '219'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-cloud-passage.png',
						alt: '',
						width: '257'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-cloud-technology-partners.png',
						alt: '',
						width: '224'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-cloudberry-lab.png',
						alt: '',
						width: '242'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-datapipe.png',
						alt: '',
						width: '249'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-dome-security-9.png',
						alt: '',
						width: '280'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-f5.png',
						alt: '',
						width: '125'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-hgst.png',
						alt: '',
						width: '219'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-lg.png',
						alt: '',
						width: '198'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-pagerduty.png',
						alt: '',
						width: '241'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-palerra.png',
						alt: '',
						width: '249'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-qubole.png',
						alt: '',
						width: '225'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-science-logic.png',
						alt: '',
						width: '265'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-sungard-availability-services.png',
						alt: '',
						width: '256'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-treasure-data.png',
						alt: '',
						width: '149'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/gold/aws-reinvent-gold-sponsor-veritas.png',
						alt: '',
						width: '213'
					}
				},
			]
		},
		{
			headline: 'Silver',
			name: 'silver',
			slug: 'silver',
			header_rule: 'true',
			sponsors: [
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-c2s-consulting-group.png',
						alt: '',
						width: '111'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-chartio.png',
						alt: '',
						width: '184'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-cloudinary.png',
						alt: '',
						width: '103'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-pivotal.png',
						alt: '',
						width: '144'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-rean-cloud.png',
						alt: '',
						width: '112'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-scality.png',
						alt: '',
						width: '168'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-statuspage-io.png',
						alt: '',
						width: '186'
					}
				},
				{
					name: '',
					img: {
						src: '_media/images/sponsors/silver/aws-reinvent-silver-sponsor-zadara-storage.png',
						alt: '',
						width: '195'
					}
				},
			]
		},
		{
			headline: 'Bronze',
			name: 'bronze',
			slug: 'bronze',
			header_rule: 'true',
		sponsor_list: [
				{
					name: '47Line',
					link: '#',
					competencies: ['big-data','ms-exchange'],
				},
				{
					name: 'Acquia',
					link: '#',
				},
				{
					name: 'Actifio',
					link: '#',
				},
				{
					name: 'Akana',
					link: '#',
				},
				{
					name: 'AlgoSec',
					link: '#',
				},
				{
					name: 'Amazon Alexa',
					link: '#',
				},
				{
					name: 'Amazon Business',
					link: '#',
				},
				{
					name: 'Amazon Cloud Drive',
					link: '#',
				},
				{
					name: 'Amazon Payments',
					link: '#',
				},
				{
					name: 'Ansible',
					link: '#',
				},
				{
					name: 'Appcito',
					link: '#',
				},
			]
		},
		{
			headline: 'Startup',
			name: 'startup',
			slug: 'startup',
			header_rule: 'true',
			sponsor_list: [
				{
					name: '47Line',
					link: '#',
					competencies: ['big-data','ms-exchange'],
				},
				{
					name: 'Acquia',
					link: '#',
				},
				{
					name: 'Actifio',
					link: '#',
				},
				{
					name: 'Akana',
					link: '#',
				},
				{
					name: 'AlgoSec',
					link: '#',
					competencies: ['big-data','ms-exchange'],
				},
				{
					name: 'Amazon Alexa',
					link: '#',
				},
				{
					name: 'Amazon Business',
					link: '#',
				},
				{
					name: 'Amazon Cloud Drive',
					link: '#',
				},
				{
					name: 'Amazon Payments',
					link: '#',
				},
				{
					name: 'Ansible',
					link: '#',
					competencies: ['big-data'],
				},
				{
					name: 'Appcito',
					link: '#',
				},
				
			]
		}
	],

	sponsor_modals: [
		{
			name: 'Accenture',
			slug: 'accenture',
			level: 'Diamond',
			link: 'https://www.accenture.com',
			link_text: 'accenture.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-accenture.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Cloudability',
			slug: 'cloudability',
			level: 'Diamond',
			link: 'https://www.cloudability.com/',
			link_text: 'cloudability.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-cloudability.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Datadog',
			slug: 'datadog',
			level: 'Diamond',
			link: 'https://www.datadoghq.com/',
			link_text: 'datadoghq.com',
			desc: '<p class="last">Datadog is a monitoring service for Dev and Ops teams that run applications at scale.</p>',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-data-dog.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Intel',
			slug: 'intel',
			level: 'Diamond',
			link: 'http://www.intel.com/',
			link_text: 'intel.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-intel.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'New Relic',
			slug: 'new-relic',
			level: 'Diamond',
			link: 'https://newrelic.com/',
			link_text: 'newrelic.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-new-relic.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Tableau',
			slug: 'tableau',
			level: 'Diamond',
			link: 'http://get.tableau.com/',
			link_text: 'get.tableau.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-tableau.png',
				alt: '',
				width: '180'
			}
		},
		{
			name: 'Trend Micro',
			slug: 'trend-micro',
			level: 'Diamond',
			link: 'http://www.trendmicro.com/',
			link_text: 'trendmicro.com',
			img: {
				src: '_media/images/sponsors/diamond/aws-reinvent-diamond-sponsor-trend-micro.png',
				alt: '',
				width: '180'
			}
		}
	]
}];



module.exports.sponsorship_process = [{
	meta: [{
		title: "AWS re:Invent SPONSORSHIP",
		slug: "sponsorship",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/sponsorship",
		desc: "As a AWS re:Invent sponsor, you will have the opportunity to share your space with leading cloud-technology providers and consultants, over 24,000 attendees.",
		wave: '2',
	}],
	header: [{
		headline: 'AWS <span class="reinvent-case">re:Invent</span> Sponsorship',
		bump_r: '<span class="reinvent-case">re:Invent</span> Central',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Sponsorship Opportunities</h2> \
			<p class="last">AWS re:Invent Central was designed to facilitate connections between sponsors and attendees. As a sponsor, you will have the opportunity to share your space with leading cloud-technology providers and consultants, over 24,000 attendees and expert Amazon Web Services engineers and product leaders. Prospects include influential developers, engineers, architects, IT managers, and executives who can assist with your sales and marketing goals.</p>',
		content_2: '<h2 class="headline-s3">Become A Sponsor</h2> \
			<p class="last">Interested in sponsorship opportunities at AWS re:Invent 2016? Reach out to us <a target="_blank" href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS">here</a>.</p>',
	}],
	sections: [
		{
			slug: 'intro',
			name: 'become a sponsor',
			subhead: '<span class="reinvent-case">re:Invent</span> Central Includes:',
			subsections: [
				// {
				// 	columns: [
				// 		{
				// 			content: '<p>As a sponsor, you will have the opportunity to share your space with leading cloud-technology providers and consultants, over 24,000 attendees and expert Amazon Web Services engineers and product leaders. Prospects include influential developers, engineers, architects, IT managers, and executives who can assist with your sales and marketing goals. You can also use this time to gain technical education and increase your knowledge of the AWS Cloud.</p>',
				// 		},
				// 		{
				// 			content: '<p>re:Invent conference includes 3 days of keynote announcements, 300-plus sessions and 13 tracks, technical workshops, hackathons, Bootcamps, developer activities, networking events and parties*, and more.</p> \
				// 				<p>*Full conference only</p>',
				// 		}
				// 	]
				// },
				{
					columns: [
						{
							content: '<h3 class="headline-s4">7 Sponsorship Levels:</h3> \
							<p>Diamond, Platinum, Gold Premium, Gold, Silver, Bronze, and Startup.</p> \
							<p class="last">For more information, please click <a href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS" target="_blank">here</a>.</p>',
						},
						{
							content: '<h3 class="headline-s4">Activity Pavilions</h3> \
								<p class="last">Enhance attendee engagement, networking, and education with the Partner Theater Sessions.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<h3 class="headline-s4">Updated Floorplan</h3> \
								<p class="last">Five separate villages, each with engaging cafes and activity pavilions – Floorplan will be available in June.</p>',
						},
					]
				}
			]	
		},
		{
			slug: 'sponsors',
			name: 're:Invent sponsors',
			subsections: [
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s2"><span class="reinvent-case">AWS re:Invent</span> Sponsors</h2> \
								<a class="button" href="/sponsors"><span>view sponsors</span></a>'
						}
					]
				}
			]
		},
		
		
		{
			slug: 'sponsorship-contract',
			name: 'sponsorship contract process',
			headline: 'Sponsorship Contract Process',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p class="number-entry"><span class="number">1</span><span class="number-text"> Sign Up <br>Contact</span></p> \
								<p class="last">Please <a href="https://www.portal.reinvent.awsevents.com/portal/registration/PROSPECTUS" target="_blank">click here</a> if you&rsquo;re ready to sign up, or contact us at <a href="mailto:reinvent-sponsorship@amazon.com">reinvent-sponsorship@amazon.com</a> with additional questions</p>',
						},
						{
							content: '<p class="number-entry"><span class="number">2</span><span class="number-text"> Contract <br>Review</span></p>\
								<p class="last">A contract will be emailed to you and your authorized signer to review and sign by hand or via DocuSign or EchoSign. All fields must be complete to be accepted.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p class="number-entry"><span class="number">3</span><span class="number-text"> Sponsorship <br>Agreement</span></p> \
								<p class="last">Send  all pages of the signed Sponsorship Agreement back to AWS at <a href="mailto:reinvent-sponsorship@amazon.com">reinvent-sponsorship@amazon.com</a>. The Sponsorship Agreement will be effective only if it is executed and submitted to AWS in accordance with these instructions. Any deletions or revisions to the Sponsorship Agreement will void the Agreement.</p>',
						},
						{
							content: '<p class="number-entry"><span class="number">4</span><span class="number-text"> Exhibitor Resource <br>Center</span></p> \
								<p class="last">Your company&rsquo;s main contact will be added to the Exhibitor Resource Center (ERC) and will receive a welcome email with log in credentials and next steps. Your welcome email will include instructions for selecting your <a href="#section-booth-selection">booth space</a>.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p class="number-entry"><span class="number">5</span><span class="number-text"> Invoice <br>Paid / Received</span></p> \
								<p class="last">An invoice will be automatically emailed to your company&rsquo;s main contact. Your invoice <strong>MUST BE PAID / RECEIVED</strong> in full by AWS before <a href="#section-booth-selection">booth selection</a>.</p>',
						},
						{
							content: '<p class="number-entry"><span class="number">6</span><span class="number-text"> Complete Sponsorship <br>Deliverables</span></p> \
								<p class="last">Pay your invoice and complete sponsorship deliverables via the ERC.</p>',
						}
					]
				},
				{
					columns: [
						{
							content: '<p class="number-entry"><span class="number">7</span><span class="number-text"> Start Planning <br>For Re:invent</span></p> \
								<p class="last">Start planning for re:Invent and remember, we&rsquo;re always here to help.</p>',
						}
					]
				}
			]
		},
		
		
		{
			slug: 'booth-selection',
			name: 'booth selection process',
			rule: 'true',
			headline: 'Booth Selection Process',
			header_text: '<p>Your space in the queue for booth selection is contingent upon the following dates:</p>',
			subsections: [
				{
					columns: [
						{
							content: '<ul class="number-list last"> \
								<li><p class="number-entry"><span class="number">1</span><span class="number-text"> Date The Contract <br>Was Requested</span></p></li> \
								<li><p class="number-entry"><span class="number">2</span><span class="number-text"> Date The Signed Contract <br>Was Delivered Back To AWS</span></p></li> \
								<li><p class="number-entry"><span class="number">3</span><span class="number-text"> Date The Invoice Was <br>Paid / Received By AWS</span></p></li> \
								</ul>',
						},
						{
							content: '<p>AWS will reach out when it&rsquo;s your turn to select your booth. In the meantime, you can check the Booth Queue site to see where you stand.</p> \
								<p class="last">Once you have made your selection, AWS will email you to confirm your booth number.</p>',
						}
					]
				}
			]
		},
		{
			slug: 'floorplan',
			name: 'floorplan',
			headline: 'Floorplan',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p class="last">This floorplan is for informational purposes only and is not an indication of available spaces. Please refer to the <a class="hash-link" href="#booth-selection">Booth Selection Process</a> above for more information.</p>',
						}
					]
				}
			]
		},
		
		{
			slug: 'faq',
			name: 'FAQ',
			headline: 'FAQ',
			subsections: [
				{
					columns: [
						{
							content: '<p class="last">Download the PDF <a href="https://s3-us-west-2.amazonaws.com/2016reinvent/2016+reInvent+FAQ.pdf" target="_blank">here</a>.</p>'
						}
					]
				}
			]
		},
		
	]
}];

module.exports.tatonka_challenge = [{
	meta: [{
		title: "Tatonka Challenge",
		slug: "tatonka-challenge",
		url: "https://reinvent.awsevents.com/after-hours/tatonka-challenge",
		parent: 'after-hours',
		desc: "",
	}],
	header: [{
		headline: "Tatonka Challenge",
	}],
	intro: [{
		content_1: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
		content_2: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
	}],
}];
module.exports.terms = [{
	meta: [{
		title: "Terms",
		slug: "terms",
		template: 'pale',
		url: "https://reinvent.awsevents.com/resources/press",
		desc: "Terms and Conditions for AWS re:Invent 2016 registration.",
	}],
	header: [{
		headline: '<span class="reinvent-case">AWS re:Invent</span> 2016',
		bump_r: 'Registration Terms and Conditions',
	}],
	sections: [
		{
			subsections: [
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">Registration Terms And Conditions</h2> \
								<p class="last">These AWS re:Invent 2016 Registration Terms and Conditions (these &ldquo;Terms&rdquo;) contain the terms and conditions that govern your registration for AWS re:Invent 2016 to be held November 28 through December 2, 2016 in Las Vegas, Nevada, at the Venetian Casino Resort Sands Expo &amp; Convention Center, the Mirage, and Wynn/Encore (the &ldquo;Event&rdquo;). These Terms are an agreement between Amazon Web Services, Inc. (&ldquo;AWS,&rdquo; &ldquo;we,&rdquo; &ldquo;us,&rdquo; or &ldquo;our&rdquo;) and you or the entity you represent (&ldquo;you&rdquo;).  By clicking &ldquo;Complete Registration&rdquo; on the AWS re:Invent 2016 registration page, you confirm that you have read, understand and agree to these Terms.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">1. Registration</h2> \
								<p class="last">To register for the Event, you must complete the Event registration process and pay all required registration fees no later than November 28, 2016. Event registration may close earlier than November 28, 2016, as we may determine in our sole discretion.  Event registrations are subject to availability.  You must be 21 years of age or older to register for the Event.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">2. Payment</h2> \
								<p class="last">Payment for registration must be made via credit card or with your Amazon Payment account at the time you register for the Event.  Confirmation of payment will be sent via email.  To request an invoice for your Event registration, contact us at <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>.  AWS reserves the right to cancel your registration without notice for failure to pay in accordance with these Terms.  AWS is not responsible for any damages, direct or indirect, resulting from such cancellation. </p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">3. Attendee Cancellation And Changes</h2> \
								<p class="last">You may cancel your Event registration by sending written notice to AWS by email to <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>. If AWS receives your cancellation notice by 12:00 noon (PT), September 1, 2016, AWS will issue you a full refund of registration fees, minus a cancellation fee, via the original payment method. The cancellation fee for a full conference pass is $100, and the cancellation fee for Certifications or Bootcamps is $50. If AWS receives your cancellation notice after 12:00 noon (PT), September 1, 2016 and on or before 12:00 noon (PT), November 1, 2016, AWS will issue you a 50% refund of registration fees, via the original payment method. If AWS receives your cancellation notice after 12:00 noon (PT), November 1, 2016, you will not be eligible for a refund. Event registrations may be transferred to another participant upon approval by AWS in its sole discretion. To request a transfer of your Event registrations, contact us at <a href="mailto:awsreinvent-support@amazon.com">awsreinvent-support@amazon.com</a>.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">4. Event Program And AWS Cancellation</h2> \
								<p class="last">The Event program is subject to change.  AWS may cancel the Event at any time and may deny, limit or cancel a registration for the Event (including confirmed registrations) at any time, for any or no reason.  AWS is not responsible for any damages, direct or indirect, resulting from such cancellation.  If AWS cancels the Event or your registration, so long as you are in compliance with these Terms, AWS will issue you a full refund of your Event registration fee.  </p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">5. Personal Information</h2> \
								<p class="last">Please note that your contact details and other information we collect (including credit card information) are subject to the <a href="http://aws.amazon.com/privacy/" target="_blank">AWS Privacy Notice</a>. You consent to our collection, use and disclosure of the information you enter when registering for the Event in accordance with the AWS Privacy Notice. Your contact information will be used to send details and announcements to you related to the Event and other AWS marketing communications. We may also provide your contact information to third-party Event sponsors if (a) you elect to attend any breakout sessions or other activities at the Event hosted by Event sponsors (in which case we would provide your contact information to only the Event sponsor(s) acting as host), or (b) you opt-in during registration to receive communications from our third-party Event sponsors.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">6. License To Use Items</h2> \
								<p class="last">In consideration of the opportunity to participate in the Event, you grant to AWS and its affiliates, agents, employees and assigns an irrevocable, nonexclusive, royalty-free right and license throughout the world and in perpetuity to reproduce, edit, publish, distribute or translate, for advertising, publicity and promotional purposes or for any other purpose relating to AWS&rsquo;s business, all or any part of the following items (&ldquo;Items(s)&rdquo;): (a) all still photographs and all audio and video recordings that AWS or its independent contractors make of you or your voice or likeness in connection with the Event, including the right to use your name, likeness and biographical information, and (b) all materials (electronic or hard copy) submitted or presented by you in connection with the Event. You consent to the use of the Items pursuant to the foregoing in perpetuity without compensation (unless prohibited by law) or additional consents from you.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">7. Assumption Of Risk</h2> \
								<p class="last">You acknowledge and agree that your attendance and participation in the Event is voluntary.  You agree to assume the risks associated with attending and participating in the Event to the fullest extent permitted under applicable law.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">8. Release Of Claims</h2> \
								<p class="last">You (for yourself, your heirs, personal representatives, assigns, and anyone else who might make a claim on your behalf) hereby release AWS and its affiliates, and their respective directors, officers, employees, contractors, representatives, agents, successors and assigns, from any and all claims, demands, causes of action, suits, damages, losses, debts, liabilities, costs and expenses (including without limitation reasonable attorneys&rsquo; fees and costs) that you may have now or in the future associated in any way with the Event or the Items.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">9. Indemnification</h2> \
								<p class="last">You will defend, indemnify and hold harmless AWS and its affiliates, and their respective directors, officers, employees, contractors, representatives, agents, successors and assigns, from and against any loss, damage, judgment, settlement, expense, interest, costs and expenses (including without limitation reasonable attorneys&rsquo; fees and costs), and any other liability related to or arising out of your attendance, participation or conduct at the Event.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">10. Limitation Of Liability</h2> \
								<p class="last">IN NO EVENT WILL (a) AWS BE LIABLE FOR ANY LOSS OF DATA, LOSS OF PROFITS, COST OF COVER OR OTHER SPECIAL, INCIDENTAL, CONSEQUENTIAL, INDIRECT, PUNITIVE, EXEMPLARY OR RELIANCE DAMAGES OR (b) THE LIABILITY OF AWS FOR DIRECT DAMAGES UNDER THESE TERMS EXCEED $100.</p>'
						}
					]
				},
				{
					columns: [
						{
							cols: '1',
							content: '<h2 class="headline-s3">11. Choice Of Law And Venue</h2> \
								<p class="last">These Terms will be deemed made in and will be construed in accordance with and governed by the laws of the State of Washington.  For any dispute arising out of these Terms, you irrevocably submit to venue and exclusive personal jurisdiction in the federal and state courts in Seattle, King County, Washington, USA, and waive all objections to jurisdiction and venue of such courts.</p>'
						}
					]
				}
			]

		}
	]
}];
module.exports.training = [{
	meta: [{
		title: "Training",
		slug: "training",
		page_nav: 'true',
		url: "https://reinvent.awsevents.com/training",
		desc: "Our in-person training Bootcamps are your chance to get exclusive knowledge directly from AWS experts.",
		wave: '1',
	}],
	header: [{
		headline: 'Training Bootcamps<br class="desktop-break"> &amp;<br class="desktop-break"> Hands-on Labs',
	}],
	intro: [{
		content_1: '<h2 class="headline-s3">Bootcamps</h2> \
			<p class="last">Our in-person training Bootcamps are your chance to get exclusive knowledge directly from AWS experts. This year, we&rsquo;re offering Technical Bootcamps, APN Partner Accreditation Bootcamps, and Certification Exam Readiness Workshops.</p>',
		content_2: '<h2 class="headline-s3">Hands-on Labs</h2> \
			<p class="last">Stop by our Hands-on Labs throughout the week and choose from more than 90 training lab topics. Learn at your own pace as you walk through step-by-step scenarios in a live practice environment. Labs take 60 minutes to complete depending on your level of experience. Walk-ups are welcome. Sign-up is not necessary.</p>',
	}],
	sections: [
		{
			slug: 'bootcamps',
			name: 'overview',
			headline: 'Bootcamps',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							content: '<p class="last">Bootcamps are an opportunity to dive deep into existing skills and learn new ways of working with AWS. This year, we&rsquo;re offering Technical Bootcamps, APN Partner Accreditation Bootcamps, and Certification Exam Readiness Workshops. Bootcamps are offered on Monday, Tuesday, and Wednesday, and run either half a day (8:00 AM - 12:00 PM or 1:00 PM - 5:00 PM) or a full day (9:00 AM - 5:00 PM). You can choose to take one or more Bootcamps based on your schedule.</p>',

						},
						{
							content: '<p class="last">All students taking a Bootcamp must bring their own laptop (no tablets). Laptops must have a dual-core processor with 4GB of RAM. We also recommend having the current version of Chrome or Firefox installed.</p>',

						}
					]
				},
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Technical Bootcamps</h3> \
								<p class="last">Technical Bootcamps are for end users responsible for designing, developing, and implementing cloud-based solutions on AWS. These sessions give you the chance to learn from experienced AWS Instructors and Solutions Architects who bring their extensive technical skills and real-world experience to each class. Each full-day class includes a mix of instructor-led presentations and hands-on lab exercises.</p>',

						},

						{
							content: '<h3 class="headline-s3">Partner Bootcamps</h3> \
								<p class="last">Partner Bootcamps are offered exclusively to members of the AWS Partner Network (APN). These sessions help APN Partners gain a greater understanding of how AWS solutions address customer business requirements. APN Partner Accreditations, which will help your team meet APN training requirements, are awarded upon successful competition of a Partner Bootcamp.</p>',

						}
					]
				},
				{

					columns: [
						{
							content: '<h3 class="headline-s3">Certification Exam Readiness Workshops</h3> \
								<p class="last">Certification Exam Readiness Workshops are open to all customers and partners preparing for an AWS Certification exam. These workshops will go over the structure of an exam and help you interpret the concepts being tested so you can better eliminate incorrect responses.</p>',

						}
					]
				}
			]
		},
		{
			slug: 'introductory',
			name: 'introductory',
			headline: 'Introductory',
			bump_l: 'Bootcamps',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							slug: 'aws-business-essentials',
							modal: 'aws-business-essentials',
							content: '<h3 class="headline-s3">AWS Business Essentials</h3> \
								<p>This is a one-day, introductory-level bootcamp that helps you as an IT business decision maker understand the benefits of cloud computing and how a cloud strategy can help you meet your business objectives. This course discusses the advantages of cloud computing for your business and the fundamentals of AWS, including financial benefits. This course also introduces you to successful cloud adoption frameworks to help you consider the AWS platform within your cloud computing strategy.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						},
						{
							slug: 'aws-technical-essentials',
							modal: 'aws-technical-essentials',
							content: '<h3 class="headline-s3">AWS Technical Essentials</h3> \
								<p>This is a one-day, introductory-level bootcamp that introduces you to AWS products, services, and common solutions. It provides you with fundamentals to become more proficient in identifying AWS services so that you can make informed decisions about IT solutions based on your business requirements and get started working on AWS.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				}
			]
		},
		{
			slug: 'advanced',
			name: 'advanced',
			headline: 'Advanced',
			bump_l: 'Bootcamps',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							slug: 'aws-well-architected-framework',
							modal: 'aws-well-architected-framework',
							content: '<h3 class="headline-s3">AWS Well-architected Framework</h3> \
								<p>This half-day, advanced-level bootcamp describes the benefits of the AWS Well-Architected Framework, which enables customers to assess and improve their cloud architectures and better understand the business impact of their design decisions. It addresses general design principles, best practices, and guidance in four pillars of the Well-Architected Framework.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						},
						{
							slug: 'building-a-serverless-data-lake',
							modal: 'building-a-serverless-data-lake',
							content: '<h3 class="headline-s3">Building A Serverless Data Lake</h3> \
								<p>Building a Serverless Data Lake is a one-day, advanced-level bootcamp designed to teach you how to design, build, and operate a serverless data lake solution with AWS services. The bootcamp will include topics such as ingesting data from any data source at large scale, storing the data securely and durably, enabling the capability to use the right tool to process large volumes of data, and understanding the options available for analyzing the data in near-real time.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
				{
					columns: [
						{
							slug: 'building-and-analyzing-alexa-skills',
							modal: 'building-and-analyzing-alexa-skills',
							content: '<h3 class="headline-s3">Building And Analyzing Alexa Skills</h3> \
								<p>&ldquo;Alexa, build analytics for my skill.&rdquo; Wouldn&rsquo;t it be great if creating new applications was as easy as simply speaking that command? Building and Analyzing Alexa Skills is a one-day, advanced-level bootcamp that guides you through creating an Alexa Skill (interactive voice application) running on serverless AWS services (Amazon DynamoDB and AWS Lambda). You will learn how to capture usage metrics (via Amazon DynamoDB Streams) and how to store them in a data warehouse (Amazon Redshift) where you can see how users are interacting with your skill. You will be able to keep the working, practical skill you&rsquo;ve built and use the analytics to track how your skill is being used.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						},
						{
							slug: 'building-serverless-solutions-on-aws',
							modal: 'building-serverless-solutions-on-aws',
							content: '<h3 class="headline-s3">Building Serverless Solutions On AWS</h3> \
								<p>Building Serverless Solutions on AWS is a one-day, advanced-level bootcamp that demonstrates how to create applications using AWS Lambda, Amazon DynamoDB, Amazon API Gateway, and other serverless services. You will get hands-on experience using established patterns and best practices to design and build dynamic web applications, stream processors, and batch data processing systems without servers. This bootcamp will cover design and implementation considerations for building scalable and highly available systems and techniques for integrating these solutions with conventional server-based applications.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
				{
					columns: [
						{
							slug: 'processing-data-using-serverless-architectures',
							modal: 'processing-data-using-serverless-architectures',
							content: '<h3 class="headline-s3">Processing Data Using Serverless Architectures</h3> \
								<p>Processing Data Using Serverless Architectures is a one-day, advanced-level bootcamp that provides in-depth knowledge about the design, development, and implementation of a complete end to end AWS solution that leverages serverless architectures. You will use a broad set of AWS technologies, including AWS IoT, Amazon Kinesis, AWS Lambda, Amazon API Gateway, Amazon Simple Storage Service (S3), Amazon Cognito, Amazon Redshift, Amazon Aurora, and Amazon DynamoDB, as building blocks of the solution. Additionally, you will be exposed to a number of AWS solutions and design patterns and gain hands-on experience integrating these services with IoT devices to deliver a complete solution.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
			]
		},
		{
			slug: 'expert',
			name: 'expert',
			headline: 'Expert',
			bump_l: 'Bootcamps',
			rule: 'true',
			subsections: [
				{
					columns: [
						{
							slug: 'automating-cloud-scale-security',
							modal: 'automating-cloud-scale-security',
							content: '<h3 class="headline-s3">Automating Cloud Scale Security</h3> \
								<p>This is a one-day, expert-level bootcamp designed to teach solutions architects, operations professionals, DevOps engineers, and hands-on security teams how to implement security automation in their code, applications, and infrastructure lifecycle and how to integrate their systems with core AWS services like AWS Identity and Access Management (IAM) and AWS Key Management Service (KMS). This includes topics such as securing and validating your code and infrastructure deployments, understanding how to integrate with services like KMS for simple encryption of sensitive information, and securing your EC2 instances at run-time in an elastic workload.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						},
						{
							slug: 'running-container-enabled-microservices-on-aws',
							modal: 'running-container-enabled-microservices-on-aws',
							content: '<h3 class="headline-s3">Running Container-enabled Microservices On AWS</h3> \
								<p>This is a one-day, expert-level bootcamp that provides an in-depth, hands-on introduction to managing and scaling container-enabled applications. This full-day bootcamp provides an overview of container and microservice architectures. You will learn how to containerize an example application and architect it according to microservices best practices. Hands-on labs that feature the AWS container-focused services show you how to schedule long-running applications and services, set up a software delivery pipeline for your microservices application, and implement elastic scaling of the application based on customer load.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
				{
					columns: [
						{
							slug: 'building-a-recommendation-engine-on-aws',
							modal: 'building-a-recommendation-engine-on-aws',
							content: '<h3 class="headline-s3">Building A Recommendation Engine On AWS</h3> \
								<p>This is a one-day, expert-level bootcamp that teaches you how to build a fully featured, location-aware, search-enabled recommendation engine using AWS Lambda, Amazon DynamoDB, Amazon Machine Learning (ML), and the popular serverless framework. You will learn how to code, test, and deploy a microservices-based architecture using the serverless framework and Node.js. You will also learn best practices for SDLC of microservices-based architectures that use AWS Lambda and Amazon API Gateway. The bootcamp focuses on code maintainability and testing, continuous integration and deployment, and logging and monitoring. At the conclusion of the bootcamp, you will have the skills to begin building scalable and production-ready applications using AWS services and the serverless framework.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',

						}
					]
				},
			]
		},
		
		{
			slug: 'certification-readiness',
			name: 'certification',
			headline: 'Certification Readiness',
			bump_l: 'Bootcamps',
			rule: 'true',
			subsections: [
				
				{
					columns: [
						{
							slug: false,
							modal: false,
							content: '<p class="last">AWS Certification Exam Readiness Workshops are open to all customers and partners who are working to prepare for an AWS Certification exam. These workshops are designed to walk you through the structure of an exam and help interpret the concepts being tested so that you can better eliminate incorrect responses.</p>'
						},
					]
				},
				
				
				{
					columns: [
						{
							slug: 'aws-certified-solutions-architect-associate',
							modal: 'aws-certified-solutions-architect-associate',
							content: '<h3 class="headline-s3">AWS Certified Solutions Architect – Associate Workshop</h3> \
								<p>Designed to complement the AWS course Architecting on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Associate exam. In this workshop, we review what to expect at the testing center and while taking the exam. We walk you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. We also teach you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will have the chance to apply knowledge and test concepts through a series of practice exam questions.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						},
						{
							slug: 'aws-certified-solutions-architect-professional',
							modal: 'aws-certified-solutions-architect-professional',
							content: '<h3 class="headline-s3">AWS Certified Solutions Architect – Professional Workshop</h3> \
								<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Professional exam. This workshop dives deep into the content domains and concepts behind them. Hands-on labs explore advanced use cases spanning multiple content domains. The workshop walks through the exam structure, including analysis and explanations of example questions. You will apply your knowledge and test your understanding of key architectural concepts through a series of practice exam questions.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						}
					]
				},
				
				{
					columns: [
						{
							slug: 'aws-certified-devops-engineer-professional',
							modal: 'aws-certified-devops-engineer-professional',
							content: '<h3 class="headline-s3">AWS Certified DevOps Engineer – Professional Workshop</h3> \
								<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified DevOps Engineer – Professional exam. The AWS Certified DevOps Engineer – Professional exam validates technical expertise in provisioning, operating, and managing distributed application systems on the AWS platform. This workshop walks you through how the exam is structured, including question formats, content domains, and a breakdown of the domains. It also teaches you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test DevOps concepts through a series of practice exam questions and a lab. This workshop is designed to complement the DevOps Engineering on AWS course.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						},
						{
							slug: 'aws-certified-developer',
							modal: 'aws-certified-developer',
							content: '<h3 class="headline-s3">AWS Certified Developer – Associate Workshop</h3> \
								<p>Designed to complement the course Developing on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Developer – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You’ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						}
					]
				},
				
				{
					columns: [
						{
							slug: 'aws-certified-sysops-administrator',
							modal: 'aws-certified-sysops-administrator',
							content: '<h3 class="headline-s3">AWS Certified SysOps Administrator – Associate Workshop</h3> \
								<p>Designed to complement the course Developing on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Developer – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You’ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions.</p> \
								<p class="last"><span class="button last"><span>learn more</span></span><!-- <a href="">register</a></p>-->',
						}
					]
				},

			]
		},
		
		{
			slug: 'agenda',
			name: 'agenda',
			subhead: 'Training &amp; Certification Schedule',
			schedule: [
				{
					slug: 'monday',
					number: 'Pre-Day',
					day: 'Monday',
					date: 'November 28',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 7:30pm',
							type: 'session',
						},
						{
							name: 'Bootcamps',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
					]
				},
				{
					slug: 'tuesday',
					number: 'Day 1',
					day: 'Tuesday',
					date: 'November 29',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 7:30pm',
							type: 'session',
						},
						{
							name: 'Hands-on Labs',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
						{
							name: 'Bootcamps',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
					]
				},
				{
					slug: 'wednesday',
					number: 'Day 2',
					day: 'Wednesday',
					date: 'November 30',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 10:00pm',
							type: 'session',
						},
						{
							name: 'Hands-on Labs',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
						{
							name: 'Bootcamps',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
						{
							name: 'Late Night Hands-on Labs',
							time: '7:00pm — 12:00am',
							type: 'session',
						}
					]
				},
				{
					slug: 'thursday',
					number: 'Day 3',
					day: 'Thursday',
					date: 'December 1',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 6:30pm',
							type: 'session',
						},
						{
							name: 'Hands-on Labs',
							time: '8:00am — 5:00pm',
							type: 'session',
						},
					]
				},
				{
					slug: 'friday',
					number: 'Day 4',
					day: 'Friday',
					date: 'December 2',
					template: 'schedule',
					page_nav_exclude: 'true',
					events: [
						{
							name: 'AWS Certification Exams',
							time: '7:00am — 2:30pm',
							type: 'session',
						},
						{
							name: 'Hands-on Labs',
							time: '9:00am — 12:00pm',
							type: 'session',
						}
					]
				},
			]
		},
	],
	
	modals: [
		{
			headline: 'AWS Business Essentials',
			bump_r: 'Bootcamp',
			slug: 'aws-business-essentials',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/30',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>AWS Business Essentials is a one-day, introductory-level bootcamp that helps you as an IT business decision maker understand the benefits of cloud computing and how a cloud strategy can help you meet your business objectives. This course discusses the advantages of cloud computing for your business and the fundamentals of AWS, including financial benefits. This course also introduces you to successful cloud adoption frameworks to help you consider the AWS platform within your cloud computing strategy.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>IT business decision-makers</li> \
								<li>Individuals who are new to working with AWS</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Working knowledge of IT infrastructure concepts</li> \
								<li>Familiarity with basic finance concepts</li> \
								<li>Familiarity with basic IT security concepts</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Identify the value and benefits of the AWS cloud.</li> \
								<li>Recognize the valuable ways that the AWS platform can be used.</li> \
								<li>Understand the robust security capabilities, controls, and assurances in place to maintain security and data protection.</li> \
								<li>Articulate the financial impact the AWS cloud can have on an organization&rsquo;s procurement cycle, cost management, and contracts, while minimizing risks associated with consumption-based pricing models.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Benefits of Cloud Computing and Defining Your Cloud Strategy</li> \
								<li>Introduction to the AWS Cloud</li> \
								<li>Security and Compliance</li> \
								<li>Cloud Financials</li> \
								<li>Migrating to the Cloud: Next Steps</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Technical Essentials',
			bump_r: 'Bootcamp',
			slug: 'aws-technical-essentials',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29, 11/30',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>AWS Technical Essentials is a one-day, introductory-level bootcamp that introduces you to AWS products, services, and common solutions. It provides you with fundamentals to become more proficient in identifying AWS services so that you can make informed decisions about IT solutions based on your business requirements and get started working on AWS.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals responsible for articulating the technical benefits of AWS services to customers</li> \
								<li>Individuals interested in learning how to get started with using AWS</li> \
								<li>SysOps administrators, solutions architects, and developers interested in using AWS services</li> \
							</ul> \
							<h3 class="headline-s3">Hands-On Activity</h3> \
							<p>This course allows you to test new skills and apply knowledge to your working environment through a variety of practical exercises. Please bring a laptop to complete lab exercises – tablets are not appropriate.</p> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand basic data center design concepts.</li> \
								<li>Recognize terminology and concepts as they relate to the AWS platform and navigate the AWS Management Console.</li> \
								<li>Understand the foundational infrastructure services, including Amazon Virtual Private Cloud (VPC), Amazon Elastic Compute Cloud (EC2), Amazon Elastic Block Store (EBS), Amazon Simple Storage Service (S3), Auto Scaling, and Elastic Load Balancing (ELB).</li> \
								<li>Understand the security measures AWS provides and key concepts of AWS Identity and Access Management (IAM).</li> \
								<li>Understand AWS database services, including Amazon DynamoDB and Amazon Relational Database Service (RDS).</li> \
								<li>Understand AWS management tools, including Amazon CloudWatch and AWS Trusted Advisor.</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction and History of AWS</li> \
								<li>AWS Infrastructure: Compute, Storage, and Networking</li> \
								<li>AWS Security, Identity, and Access Management</li> \
								<li>AWS Databases</li> \
								<li>AWS Management Tools</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Secrets to Successful Cloud Transformations',
			bump_r: 'Bootcamp',
			slug: 'secrets-to-successful-cloud-transformations-intro',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Secrets to Successful Cloud Transformations is a one-day, introductory-level bootcamp that teaches you how to select the right strategy, people, migration plan, and financial management methodology needed when moving your workloads to the cloud. This bootcamp provides guidance on how to build a holistic cloud adoption plan and how to hire people who will execute that plan. You will learn best practices for choosing workloads to migrate from your on-premises environment to AWS. In addition, you will also learn best practices for managing your AWS expenses and dealing with internal chargebacks.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>IT/Senior managers</li> \
								<li>Solutions architects/Enterprise architects</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">This is an introductory level bootcamp; no experience is required.</p>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Build your cloud strategy.</li> \
								<li>Develop the hiring plan for your cloud team.</li> \
								<li>Choose and prioritize which applications to move to AWS.</li> \
								<li>Build a migration plan for moving workloads to AWS.</li> \
								<li>Manage your AWS expenditures and internal chargebacks.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Activities</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Building Your Cloud Strategy</li> \
								<li>Hiring Your Cloud Team</li> \
								<li>Migration Planning</li> \
								<li>Cloud Expenditure Management</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Well Architected Framework',
			bump_r: 'Bootcamp',
			slug: 'aws-well-architected-framework',
			modal_meta: [{
				price: '$450',
				date: '11/28, 11/29, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This half-day, advanced-level bootcamp describes the benefits of the AWS Well-Architected Framework, which enables customers to assess and improve their cloud architectures and better understand the business impact of their design decisions. It addresses general design principles, best practices, and guidance in four pillars of the Well-Architected Framework.  </p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Solutions architects</li> \
								<li>IT management</li> \
								<li>Operations staff</li> \
								<li>Risk &amp; Compliance engineers</li> \
								<li>Development staff</li> \
								<li>Process owners</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Strong working knowledge of AWS core services and features</li> \
								<li>Previous architectural experience</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the AWS Well-Architected Framework.</li> \
								<li>Understand general design principles.</li> \
								<li>Understand AWS best practices.</li> \
								<li>Assess, improve, and sustain your cloud architectures.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Activities</li> \
							</ul> \
							<h3 class="headline-s3">Hands-On Activity</h3> \
							<p>This course allows you to test new skills and apply knowledge to your working environment through a variety of practical architectural review exercises.</p> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction to the Well-Architected Framework</li> \
								<li>Walk through architectural examples</li> \
								<li>Learn about the four pillars of the Well-Architected Framework</li> \
								<li>Hands-on application of the framework on a sample architecture</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Building a Serverless Data Lake',
			bump_r: 'Bootcamp',
			slug: 'building-a-serverless-data-lake',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Building a Serverless Data Lake is a one-day, advanced-level bootcamp designed to teach you how to design, build, and operate a serverless data lake solution with AWS services. The bootcamp will include topics such as ingesting data from any data source at large scale, storing the data securely and durably, enabling the capability to use the right tool to process large volumes of data, and understanding the options available for analyzing the data in near-real time.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Solutions architects </li> \
								<li>Big Data developers</li> \
								<li>Data architects and analysts</li> \
								<li>Other hands-on data analysis practitioners</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Good working knowledge of AWS core services, including Amazon Elastic Compute Cloud (EC2) and Amazon Simple Storage Service (S3)</li> \
								<li>Some experience working with a programming or scripting language</li> \
								<li>Familiarity with the Linux operating system and command line interface</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Collect large amounts of data using services such as Kinesis Streams and Firehose and store the data durably and securely in Amazon Simple Storage Service.</li> \
								<li>Create a metadata index of your data lake that uses Amazon DynamoDB for search capabilities.</li> \
								<li>Choose the best tools for ingesting, storing, processing, and analyzing your data in the lake.</li> \
								<li>Apply the knowledge to hands-on labs that provide practical experience with building an end-to-end solution.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Activities</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Key services that help enable a serverless data lake architecture</li> \
								<li>A data analytics solution that follows the ingest, store, process, and analyze workflow</li> \
								<li>Repeatable template deployment for implementing a data lake solution</li> \
								<li>Building a metadata index and enabling search capability</li> \
								<li>Setup of a large scale data ingestion pipeline from multiple data sources</li> \
								<li>Transformation of data with simple functions that are event-triggered</li> \
								<li>Data processing by choosing the best tools and services for the use case</li> \
								<li>Options available to better analyze the processed data</li> \
								<li>Best practices for deployment and operations</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Building Serverless Solutions on AWS',
			bump_r: 'Bootcamp',
			slug: 'building-serverless-solutions-on-aws',
			modal_meta: [{
				price: '$600',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Building Serverless Solutions on AWS is a one-day, advanced-level bootcamp that demonstrates how to create applications using AWS Lambda, Amazon DynamoDB, Amazon API Gateway, and other serverless services. You will get hands-on experience using established patterns and best practices to design and build dynamic web applications, stream processors, and batch data processing systems without servers. This bootcamp will cover design and implementation considerations for building scalable and highly available systems and techniques for integrating these solutions with conventional server-based applications.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
								<li>Solutions architects</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Certification as an AWS Developer – Associate, AWS SysOps Administrator – Associate, or AWS Solutions Architect – Associate</li> \
								<li>Basic understanding of JavaScript</li> \
								<li>Requires a laptop to complete lab exercises – tables are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Use AWS Lambda and API Gateway to build serverless dynamic web applications and services.</li> \
								<li>Process and analyze Amazon Kinesis or Amazon DynamoDB streams without servers.</li> \
								<li>Integrate serverless components with existing resources deployed in an Amazon VPC.</li> \
								<li>Build serverless scheduled and event-based batch processing systems.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Activities</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction to Serverless Solutions</li> \
								<li>Dynamic Web Applications and Microservices</li> \
								<li>Serverless Stream Processing</li> \
								<li>Scheduled Functions and Batch Processing</li> \
								<li>VPC Integration and Hybrid Architectures</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Building and Analyzing Alexa Skills',
			bump_r: 'Bootcamp',
			slug: 'building-and-analyzing-alexa-skills',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>&ldquo;Alexa, build analytics for my skill.&rdquo; Wouldn&rsquo;t it be great if creating new applications was as easy as simply speaking that command? Building and Analyzing Alexa Skills is a one-day, advanced-level bootcamp that guides you through creating an Alexa Skill (interactive voice application) running on serverless AWS services (Amazon DynamoDB and AWS Lambda). You will learn how to capture usage metrics (via Amazon DynamoDB Streams) and how to store them in a data warehouse (Amazon Redshift) where you can see how users are interacting with your skill. You will be able to keep the working, practical skill you&rsquo;ve built and use the analytics to track how your skill is being used.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
								<li>Solutions architects</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Basic working knowledge of AWS Lambda and Amazon DynamoDB</li> \
								<li>Familiarity with at least one programming language</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Create a basic Alexa Skill.</li> \
								<li>Use Lambda and DynamoDB to create a serverless, scalable service behind the skill.</li> \
								<li>Use DynamoDB Streams, Lambda, and Redshift to collect, process, and analyze streaming data.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction/Architecture</li> \
								<li>Alexa Skill Setup (Alexa Skills Kit, AWS Lambda, Amazon DynamoDB)</li> \
								<li>Capturing and Storing Usage Data (Amazon DynamoDB Streams, Amazon Redshift)</li> \
								<li>Transferring/Saving Your Work</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Processing Data Using Serverless Architectures',
			bump_r: 'Bootcamp',
			slug: 'processing-data-using-serverless-architectures',
			modal_meta: [{
				price: '$600',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Processing Data Using Serverless Architectures is a one-day, advanced-level bootcamp that provides in-depth knowledge about the design, development, and implementation of a complete end to end AWS solution that leverages serverless architectures. You will use a broad set of AWS technologies, including AWS IoT, Amazon Kinesis, AWS Lambda, Amazon API Gateway, Amazon Simple Storage Service (S3), Amazon Cognito, Amazon Redshift, Amazon Aurora, and Amazon DynamoDB, as building blocks of the solution. Additionally, you will be exposed to a number of AWS solutions and design patterns and gain hands-on experience integrating these services with IoT devices to deliver a complete solution.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
								<li>Solution Architects</li> \
								<li>Systems Engineers</li> \
								<li>Other hands on IoT, systems and platform owners</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Working knowledge of core AWS services and features including Identity Access and Management (IAM), Amazon Simple Storage Service (S3), Amazon Elastic Compute Cloud (EC2) and general compute.</li> \
								<li>Good understanding of the AWS security model, including shared responsibility, compliance, reports and security best practices.</li> \
								<li>Basic understanding of IoT compute modules (such as Intel Edison, Raspberry Pi etc) and associated development frameworks and languages (node.js, Python, Bash etc)</li> \
								<li>Fundamental understanding of serverless architectures, AWS APIs and SDKs</li> \
								<li>Understanding of basic Unix and system administration activities such as identity and access management, configuration managements, remote administration and automation frameworks such as AWS Cloudformation.</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Design, develop, and deploy serverless architectures for a remote sensing and monitoring solution using IoT, Kinesis, Lambda, API Gateway, S3, Cognito, Redshift and DynamoDB.</li> \
								<li>Leverage the flexibility and power of the AWS service APIs and SDKs to deliver a complete end to end solution</li> \
								<li>Understand the complexities, design patterns and intricacies of deploying IoT solutions across a range of embedded devices, AWS services, and physical interfaces.</li> \
								<li>Implement an end to end solution for the acquisition, processing and analysis of data from multiple environmental sensors</li> \
								<li>Interface IoT compute modules with sensor data streams</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Acquisition of multi-sensor data using physical IoT compute module, AWS IoT and MQTT</li> \
								<li>Processing of raw sensor data using API Gateway, Lambda, Kinesis and Cognito</li> \
								<li>Analysis and visualization of processed data using Redshift, DynamoDB, Aurora, visualization libraries and AWS SDKs.</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Automating Cloud Scale Security',
			bump_r: 'Bootcamp',
			slug: 'automating-cloud-scale-security',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Automating Cloud Scale Security is a one-day, expert-level bootcamp designed to teach solutions architects, operations professionals, DevOps engineers, and hands-on security teams how to implement security automation in their code, applications, and infrastructure lifecycle and how to integrate their systems with core AWS services like AWS Identity and Access Management (IAM) and AWS Key Management Service (KMS). This includes topics such as securing and validating your code and infrastructure deployments, understanding how to integrate with services like KMS for simple encryption of sensitive information, and securing your EC2 instances at run-time in an elastic workload.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Security engineers</li> \
								<li>DevOps engineers</li> \
								<li>Solutions architects</li> \
								<li>Other hands-on security practitioners</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Good understanding of information security techniques such as defining and implementing security controls, maintaining roles and responsibilities, generating artifacts, and performing audits</li> \
								<li>Good understanding of the AWS security model, including shared responsibility, compliance reports, and security best practices</li> \
								<li>Working knowledge of core AWS services and features, including Amazon Elastic Compute Cloud (EC2), Auto Scaling, Amazon Virtual Private Cloud (VPC), Amazon Elastic Block Store (EBS), and Amazon Simple Storage Service (S3)</li> \
								<li>Fundamental understanding of software development paradigms such as encryption, logging, version control systems, workflow engines, pub/sub notifications, and making AWS API calls</li> \
								<li>Basic understanding of system administration activities such as identity and access management, configuration management, remote administration, and automation frameworks</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Validate your application and infrastructure by using a validation pipeline.</li> \
								<li>Integrate with IAM and KMS.</li> \
								<li>Implement an Automatic Incident Response Remediation framework.</li> \
								<li>Detect, track, and report your application and infrastructure lifecycle for future improvements on security.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Deep Dive on Security Automation</li> \
								<li>Integration of Code, Applications, and Systems with IAM and KMS</li> \
								<li>Validation of Code, Applications, and Infrastructure using a Secure Pipeline</li> \
								<li>Implementation of Security and Validation for Elastic EC2 Deployments</li> \
								<li>Implementation of Automated Incident Response Remediation Processes and Framework</li> \
								<li>Logging, Tracking, and Reporting on the Infrastructure Lifecycle of your Application</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Building a Recommendation Engine on AWS',
			bump_r: 'Bootcamp',
			slug: 'building-a-recommendation-engine-on-aws',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Building a Recommendation Engine on AWS is a one-day, expert-level bootcamp that teaches you how to build a fully featured, location-aware, search-enabled recommendation engine using AWS Lambda, Amazon DynamoDB, Amazon Machine Learning (ML), and the popular serverless framework. You will learn how to code, test, and deploy a microservices-based architecture using the serverless framework and Node.js. You will also learn best practices for SDLC of microservices-based architectures that use AWS Lambda and Amazon API Gateway. The bootcamp focuses on code maintainability and testing, continuous integration and deployment, and logging and monitoring. At the conclusion of the bootcamp, you will have the skills to begin building scalable and production-ready applications using AWS services and the serverless framework.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Strong working knowledge of AWS core services and features</li> \
								<li>Some experience with a programming language</li> \
								<li>Familiarity with the Linux operating system</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Program, test, deploy, and monitor microservice endpoints using AWS services with the serverless framework and Node.js.</li> \
								<li>Use AWS services like Amazon DynamoDB, Amazon DynamoDB Streams, and Amazon Elasticsearch Service to add full text and geospatial searching to your application.</li> \
								<li>Train a predictive model to generate real-time recommendations for your application using Amazon ML.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Serverless Application Development on AWS</li> \
								<li>Strategies for Testing Serverless Microservice Endpoints</li> \
								<li>Operationalizing Serverless Microservice Architectures</li> \
								<li>Generating Real-Time Predictions With Machine Learning</li> \
								<li>Putting it all Together: A Location-Aware, Search-Enabled Recommendation Engine</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'Running Container-Enabled Microservices on AWS',
			bump_r: 'Bootcamp',
			slug: 'running-container-enabled-microservices-on-aws',
			modal_meta: [{
				price: '$600',
				date: '11/28, 11/29',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Running Container-Enabled Microservices on AWS is a one-day, expert-level bootcamp that provides an in-depth, hands-on introduction to managing and scaling container-enabled applications. This full-day bootcamp provides an overview of container and microservice architectures. You will learn how to containerize an example application and architect it according to microservices best practices. Hands-on labs that feature the AWS container-focused services show you how to schedule long-running applications and services, set up a software delivery pipeline for your microservices application, and implement elastic scaling of the application based on customer load.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Developers</li> \
								<li>Operations professionals</li> \
								<li>Solutions architects</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Fundamental knowledge of core AWS services and features</li> \
								<li>Basic knowledge of Docker</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
							content: '<h3 class="headline-s3">Course Objectives</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Design and deploy a microservices-based architecture using containers.</li> \
								<li>Use Amazon EC2 Container Service to run a scalable microservices based application.</li> \
								<li>Use EC2 Container Registry to store the application container images.</li> \
								<li>Integrate Amazon EC2 Container Service with other AWS services. </li> \
								<li>Use AWS services to build a continuous delivery pipeline for your application.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Containerize Your First Application</li> \
								<li>From Monolith to Microservice: Break up Your Monolithic Application into Smaller Microservices</li> \
								<li>From Dev to Prod: Creating Continuous Delivery Pipelines for your Microservices Application</li> \
								<li>Scaling Your Container-Based Application</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified Solutions Architect',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-solutions-architect-associate',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/29, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Designed to complement the AWS course Architecting on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Associate exam. In this workshop, we review what to expect at the testing center and while taking the exam. We walk you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. We also teach you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will have the chance to apply knowledge and test concepts through a series of practice exam questions. </p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified Solutions Architect – Associate exam</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Architecting on AWS</strong></li> \
								<li>One or more years of hands-on experience designing and deploying scalable, highly available, and fault-tolerant systems on AWS </li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Navigate the logistics of the examination process.</li> \
								<li>Understand the exam structure and question types.</li> \
								<li>Identify how questions are written to test AWS architectural concepts.</li> \
								<li>Interpret the concepts being tested by an exam question.</li> \
								<li>Allocate your time in studying for the AWS Certified Solutions Architect – Associate exam.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing Center Information and Expectations</li> \
								<li>Exam Overview and Structure</li> \
								<li>Content Domains and Question Breakdown</li> \
								<li>Topics and Concepts with Content Domains</li> \
								<li>Question Structure and Interpretation Techniques</li> \
								<li>Practice Exam Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified SysOps Administrator',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-sysops-administrator',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This half-day workshop is intended for individuals who are preparing for the AWS Certified SysOps Administrator – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You&rsquo;ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions. At the end of the workshop you&rsquo;ll also receive a voucher to take an additional, online practice exam at no cost.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified SysOps Administrator – Associate exam</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Systems Operations on AWS</strong> (or have equivalent knowledge)</li> \
								<li>One or more years of hands-on experience configuring, deploying, and supporting networks and systems on the AWS platform.</li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Navigate the logistics of the examination process.</li> \
								<li>Understand the exam structure and question types.</li> \
								<li>Identify how questions are written to test AWS system operations concepts.</li> \
								<li>Interpret the concepts being tested by an exam question.</li> \
								<li>Allocate your time in studying for the AWS Certified SysOps Administrator – Associate exam.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing Center Information and Expectations</li> \
								<li>Exam Overview and Structure</li> \
								<li>Content Domains and Question Breakdown</li> \
								<li>Topics and Concepts with Content Domains</li> \
								<li>Question Structure and Interpretation Techniques</li> \
								<li>Practice Exam Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
			
		{
			headline: 'AWS Certified Developer',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-developer',
			modal_meta: [{
				price: '$225',
				date: '11/28, 11/30',
				duration: 'Half Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>Designed to complement the course Developing on AWS, this half-day workshop is intended for individuals who are preparing for the AWS Certified Developer – Associate exam. This workshop reviews what to expect at the testing center and while taking the exam. It walks you through how the exam is structured, including question formats, content domains, and the breakdown of questions across those domains. You&rsquo;ll also learn how to interpret the concepts being tested by individual questions so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test concepts through a series of practice exam questions.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified Developer – Associate exam</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Developing on AWS</strong> (or have equivalent knowledge)</li> \
								<li>In depth knowledge or training in at least one high-level programming language</li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
						<p class="last">This course teaches you how to:</p> \
						<ul> \
							<li>Navigate the logistics of the examination process.</li> \
							<li>Understand the exam structure and question types.</li> \
							<li>Interpret the concepts being tested by an exam question.</li> \
							<li>Allocate your time in studying for the AWS Certified Developer – Associate exam.</li> \
						</ul> \
						<h3 class="headline-s3">Delivery Method</h3> \
						<p class="last">This course is delivered through a mix of:</p> \
						<ul> \
							<li>Instructor-Led Training (ILT)</li> \
							<li>Group Discussion</li> \
							<li>Sample Exercise Questions</li> \
						</ul> \
						<h3 class="headline-s3">Course Outline</h3> \
						<p class="last">This course covers the following concepts:</p> \
						<ul> \
							<li>Exam Overview and Structure</li> \
							<li>Content Domains and Question Breakdown</li> \
							<li>Topics and Concepts with Content Domains</li> \
							<li>Question Structure and Interpretation Techniques</li> \
							<li>Practice Exam Questions</li> \
						</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified Solutions Architect',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-solutions-architect-professional',
			modal_meta: [{
				price: '$450',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified Solutions Architect – Professional exam. This workshop dives deep into the content domains and concepts behind them. Hands-on labs explore advanced use cases spanning multiple content domains. The workshop walks through the exam structure, including analysis and explanations of example questions. You will apply your knowledge and test your understanding of key architectural concepts through a series of practice exam questions.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Solutions architects</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>Advanced Architecting on AWS </strong> (or have equivalent knowledge)</li> \
								<li>Two or more years of hands-on experience designing and deploying cloud architecture on AWS </li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the requirements of the AWS Solutions Architect – Professional exam.</li> \
								<li>Learn the content and learn where your gaps are.</li> \
								<li>Identify the content and knowledge needed to fill those gaps.</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-on Labs</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Introduction to content domains and exam structure </li> \
								<li>Deployment Management, Data Storage, High Availability, and Business Continuity</li> \
								<li>Costing</li> \
								<li>Security, Network Design</li> \
								<li>Cloud Migration and Hybrid Architecture, Scalability, and Elasticity</li> \
								<li>Practice Questions</li> \
							</ul>'
						}
					]
				}
			]
		},
		
		{
			headline: 'AWS Certified DevOps Engineer',
			bump_r: 'Bootcamp',
			slug: 'aws-certified-devops-engineer-professional',
			modal_meta: [{
				price: '$450',
				date: '11/28',
				duration: 'Full Day',
				location: 'TBD'
			}],
			subsections: [
				{
					columns: [
						{
							content: '<h3 class="headline-s3">Description</h3> \
							<p>This one-day workshop is intended for individuals who are preparing for the AWS Certified DevOps Engineer – Professional exam. The AWS Certified DevOps Engineer – Professional exam validates technical expertise in provisioning, operating, and managing distributed application systems on the AWS platform. This workshop walks you through how the exam is structured, including question formats, content domains, and a breakdown of the domains. It also teaches you how to interpret the concepts being tested by a question so that you can better eliminate incorrect responses. During the workshop, you will apply knowledge and test DevOps concepts through a series of practice exam questions and a lab. This workshop is designed to complement the DevOps Engineering on AWS course.</p> \
							<h3 class="headline-s3">Intended Audience</h3> \
							<p class="last">This course is intended for:</p> \
							<ul> \
								<li>Individuals who are preparing to take the AWS Certified DevOps Engineer – Professional exam</li> \
								<li>Solutions architects</li> \
								<li>Developers</li> \
								<li>Operations professionals</li> \
							</ul> \
							<h3 class="headline-s3">Prerequisites</h3> \
							<p class="last">We recommend that attendees of this course have the following prerequisites:</p> \
							<ul> \
								<li>Courses attended: <strong>DevOps Engineering on AWS</strong> (or have equivalent knowledge)</li> \
								<li>Two or more years of hands-on experience with production AWS systems</li> \
								<li>Requires a laptop to complete lab exercises – tablets are not appropriate</li> \
							</ul>'
						},
						{
						content: '<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course teaches you how to:</p> \
							<ul> \
								<li>Understand the structure of the AWS Certified DevOps Engineer – Professional exam.</li> \
								<li> \
									Understand the DevOps-specific domain content to prepare for the exam, including: \
									<ul> \
										<li>Implementing and managing continuous delivery systems and methodologies on AWS.</li> \
										<li>Designing, managing, and maintaining tools to automate operational processes.</li> \
										<li>Defining and deploying monitoring, metrics, and logging systems on AWS.</li> \
										<li>Understanding, implementing, and automating security controls, governance processes, and compliance validation.</li> \
										<li> Implementing systems that are highly available, scalable, and self-healing on the AWS platform.</li> \
										<li>Using AWS services for DevOps in a cost-effective manner.</li> \
									</ul> \
								</li> \
							</ul> \
							<h3 class="headline-s3">Delivery Method</h3> \
							<p class="last">This course is delivered through a mix of:</p> \
							<ul> \
								<li>Instructor-Led Training (ILT)</li> \
								<li>Hands-On Labs</li> \
								<li>Group Discussion</li> \
								<li>Sample Exercise Questions</li> \
							</ul> \
							<h3 class="headline-s3">Course Outline</h3> \
							<p class="last">This course covers the following concepts:</p> \
							<ul> \
								<li>Testing center information and expectations</li> \
								<li>Exam overview and structure</li> \
								<li>Content domains and question breakdown</li> \
								<li>Topics and concepts with content domains</li> \
								<li>Question structure and interpretation techniques</li> \
								<li>Practice exam questions</li> \
							</ul>'
						}
					]
				}
			]
		}
		
	]
}];
module.exports.travel = [{
	meta: [{
		title: "Travel",
		slug: "travel",
		url: "https://reinvent.awsevents.com/travel",
		desc: "Information about flights and hotels for AWS re:Invent 2016.",
		wave: '1',
	}],
	header: [{
		headline: "Travel &amp; Accommodations",
	}],
	// intro: [{
	// 	content_1: "<h3>VEGAS HEADER</h3> \
	// 		<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut.</p>",
	// 	content_2: "<h3>HOTEL PARTNERS</h3>",
	// }],
	sections: [
		// {
		// 	slug: 'conference-centers',
		// 	name: 'Conference Centers',
		// 	headline: 'Conference Centers',
		// 	rule: 'true',
		// 	subsections: [
		// 		{
		// 			columns: [
		// 				{
		// 					content: "<h3>Venue A</h3> \
		// 						<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut dapibus. Nunc laoreet, est sed.",
		// 				},
		// 				{
		// 					img: {
		// 						src: '_media/images/placeholder/groot.png',

		// 					}
		// 				}
		// 			]
		// 		},
		// 		{
		// 			columns: [
		// 				{
		// 					content: "<h3>Venue B</h3> \
		// 						<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut dapibus. Nunc laoreet, est sed .",
		// 				},
		// 				{
		// 					img: {
		// 						src: '_media/images/placeholder/groot.png',

		// 					}
		// 				}
		// 			]
		// 		},
		// 		{
		// 			columns: [
		// 				{
		// 					content: "<h3>Venue C</h3> \
		// 						<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut dapibus. Nunc laoreet, est sed.",
		// 				},
		// 				{
		// 					img: {
		// 						src: '_media/images/placeholder/groot.png',

		// 					}
		// 				}
		// 			]
		// 		},
		// 	]
		// },
		{
			slug: 'accommodations',
			name: 'Accommodations',
			headline: 'Accommodations',
			//rule: 'true',
			subsections: [
				{
					slug: 'hotels',
					subhead: 'Book Your Hotel Early',
					rule: 'true',
					columns: [
						{
							cols: '3',
							img: {
								src: '_media/images/travel/aws-reinvent-hotel-venetian.jpg',
								alt: 'An AWS re:Invent hotel: The Venetian & Palazzo, Las Vegas.'
							},
							subhead: 'The Venetian &bull; Palazzo',
							price: '$189+',
							content: '<p>Discounted rates at The Venetian &amp; Palazzo Resorts are only available from Friday, November 25, 2016 – Friday, December 2, 2016.</p> \
								<a class="button" href="https://aws.passkey.com/g/58756472" target="_blank"><span>book now</span></a>',
						},
						{
							cols: '3',
							img: {
								src: '_media/images/travel/aws-reinvent-hotel-mirage.jpg',
								alt: 'An AWS re:Invent hotel: The Mirage, Las Vegas'
							},
							subhead: 'The Mirage',
							price: '$119+',
							content: '<p>Discounted rates at The Mirage are only available from Friday, November 25, 2016 – Friday, December 2, 2016.</p> \
								<a class="button" href="https://aws.passkey.com/g/54603902" target="_blank"><span>book now</span></a>',
						},
						{
							cols: '3',
							img: {
								src: '_media/images/travel/aws-reinvent-hotel-wynn-encore.jpg',
								alt: 'An AWS re:Invent hotel: The Wynn & Encore, Las Vegas.'
							},
							subhead: 'Wynn &bull; Encore',
							price: '$199+',
							content: '<p>Discounted rates at Wynn | Encore are only available from Friday, November 25, 2016 – Friday, December 2, 2016.</p> \
								<a class="button" href="https://aws.passkey.com/g/59560325" target="_blank"><span>book now</span></a>',
						},
					]
				},
				{
					slug: 'airline',
					subhead: 'Discount On Airline Tickets',
					columns: [
						{
							content: '<p>This year we are providing you with a flight discount and other perks offered by Delta Airlines, our preferred global airline.</p> \
								<p>To get the discount, please enter code <strong>NMNHR</strong> in the &ldquo;Meeting Event Code&rdquo; field when you <a href="http://www.delta.com/air-shopping/searchFlights.action" target="_blank">book your flight online</a>.</p> \
								<p>You can get the Delta flight discount by using the code online or by calling Delta Meeting Reservations at 1-800-328-1111, Monday through Friday, 7:00am – 7:00pm CDT. The discount is available for travel between November 23, 2016 and December 7, 2016.</p> \
								<p class="last"><a class="button" href="http://www.delta.com/air-shopping/searchFlights.action" target="_blank"><span>book your delta flight</span></a></p>',
						},
						{
							img: {
								src: '_media/images/travel/aws-reinvent-preferred-global-delta-airlines-logos.jpg',
								alt: 'AWS re:Invent global airlines, feautring Delta Airlines.',
							},
							content: '<div class="discount-code"><p class="bump-l bump">discount code</p><p class="headline-s1">NMNHR</p></div>',
						},
					]
				}
			]
		},
		// {
		// 	slug: 'know-before-you-go',
		// 	name: 'Know Before You Go',
		// 	headline: "KNOW BEFORE YOU GO",
		// 	subsections: [
		// 		{
		// 			columns: [
		// 				{
		// 					content: '<h3>GET READY FOR AWS RE:INVENT</h3> \
		// 						<p>If this is your first time at AWS re:Invent, take a look at our &ldquo;<a href="">Navigating AWS re:Invent 2016</a>&rdquo; slideshow. This presentation gives important details about our agenda that will help you get the most out of everything re:Invent has to offer.</p> \
		// 						<h3>LEARN HOW TO GET AROUND</h3> \
		// 						<p>AWS re:Invent takes place at the Sands Expo in the Venetian &amp; Palazzo Resorts, The Mirage and The Encore. Check out the <a href="">McCarran International Airport</a> website for a list of transportation options or hail a ride on <a href="">Uber</a>.</p> \
		// 						<h3>BADGE PICK-UP</h3> \
		// 						<p>Bring a valid photo ID and pick up your badge early from the conference registration desk in the Sands Expo lobby. You must have your name badge to attend any event at AWS re:Invent.</p>',
		// 				},
		// 				{
		// 					content: '<h3>ADDITIONAL ITEMS</h3> \
		// 						<p>Please remember to bring any devices, chargers, cables, cords, and other items that you may need for labs, sessions, and training courses. You will need a laptop for some workshops and all bootcamps, hackathons, and GameDay activities.</p> \
		// 						<p>Keep your AWS re:Invent experience enjoyable by wearing comfortable shoes and bringing personal care items like lip balm and eye drops.</p> \
		// 						<p>Dress is casual.</p> \
		// 						<p>You can find maps of the conference here.</p> \
		// 						<p>Don&rsquo;t forget to stop by our after hours activities for more opportunities to network and connect with your fellow attendees.</p>',
		// 				}
		// 			]
		// 		},
		// 	]
		// },
	]
}];
module.exports.welcome_reception = [{
	meta: [{
		title: "Welcome Reception",
		slug: "welcome-reception",
		url: "https://reinvent.awsevents.com/after-hours/welcome-reception",
		parent: 'after-hours',
		desc: "",
	}],
	header: [{
		headline: "Welcome Reception",
	}],
	intro: [{
		content_1: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
		content_2: '<h3>Lorem Ipsum</h3> \
			<p class="last">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent tincidunt magna ex, a ornare justo condimentum non. Curabitur aliquet lorem sit amet diam tristique, a aliquet lorem vestibulum. Nullam euismod finibus ipsum ut </p>',
	}],
}];